<?php
/**
 * c_pers_autre.php
 *
 * C'est la page listant le personnel autre qu'enseignant et administratif, et le trombinoscope associ
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */
 
function liste_autres_personnels($categorie,$nom_cat)
{
	if ($categorie == "4") // Si c'est le COP
	{
    	$sql = "SELECT t1.civilite,t1.nom,t1.prenom,t2.categorie,id_pers FROM personnel as t1,categories_pers as t2 WHERE t1.categorie='".quote_smart($categorie)."' AND t2.id_cat=t1.categorie ORDER BY nom";
	}
  	elseif ($categorie == "12") // Contrat Aid
  	{
    	$sql = "SELECT t1.civilite,t1.nom,t1.prenom,t1.activite,t2.categorie,id_pers FROM personnel as t1,categories_pers as t2 WHERE t1.categorie='".quote_smart($categorie)."' AND t2.id_cat=t1.categorie ORDER BY nom";
  	}
  	else // cas par dfaut
  	{
    	$sql = "SELECT t1.civilite,t1.nom,t1.prenom,t2.categorie,t3.sous_categorie,t1.activite,id_pers FROM personnel as t1, categories_pers as t2, sous_categories_pers as t3 WHERE t1.categorie='".quote_smart($categorie)."' AND t2.id_cat=t1.categorie AND t3.id_sous_cat=t1.sous_categorie ORDER BY nom";
    	// DEBUGG print $sql."<br />";
  	}
  	$resultat = @mysql_query($sql);
  	if (mysql_num_rows($resultat)>0) // s'il y a des rsultats on affiche le tableau correspondant
  	{
    	echo "
    	<table width=\"100%\">
      	<tr>
	        <td width=\"50%\"><a href=\"#haut\">Haut de la page</a></td>
    	    <td width=\"50%\" align=\"right\"><a href=\"#bas\">Bas de la page</a></td>
      	</tr>
    	</table>";
    	echo "
    	<table class='fond_clair' border=\"0\" width=\"100%\">
      	<tr>
	        <td align=\"center\"><h2><font color=\"red\">".$nom_cat."</font></h2></td>
      	</tr>
    	</table>
    	<br />";
    	echo "
    	<table border=\"0\" width=\"100%\">";
    	if (mysql_num_rows($resultat)<=5) // si - de 6 personnes
    	{
      		echo "<tr>";
      		$largeur_colonne = @floor(100/mysql_num_rows($resultat)); 
      		for ($i=1;$i<=mysql_num_rows($resultat);$i++)
      		{
	        	$ligne = mysql_fetch_array($resultat);
        		$civilite = $ligne['civilite'];
        		$nom = $ligne['nom'];
        		if ($ligne['nom']!="")
        		{
	          		echo "<td width=\"$largeur_colonne\" align=\"center\" valign='top'>";
    	      		echo affiche_fotoprof($ligne['prenom'],$ligne['nom'],$ligne['id_pers']);
        	  		if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
          			{
            			if (!isset($ligne['id_sous_cat']))
	              			$ligne['id_sous_cat'] = "";
            			echo "<a href=\"../prive/donnees_perso.php?id_pers=".$ligne['id_pers']."&amp;gpe=personnel\"><font size='2'>".$ligne['civilite']." ".$ligne['nom']." ".$ligne['prenom']."</font></a>";
            			if (isset($ligne['sous_categorie']) && $ligne['sous_categorie']!="0")
	              			echo "<br /><font color='red'>".$ligne['sous_categorie']."</font>";
            			if (isset($ligne['activite']) && $ligne['activite'] != "")
	              			echo "<br />(".$ligne['activite'].")";
    	      		}
          			else
          			{
	            		if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
              				echo "<font size=\"2\">$civilite&nbsp;$nom ".$ligne['prenom']."</font>";
            			else
	              			echo "<font size=\"2\">$civilite&nbsp;$nom</font>";
            			if (isset($ligne['sous_categorie']) && $ligne['sous_categorie']!="0")
	              			echo "<br /><font color='red'>".$ligne['sous_categorie']."</font>";
            			if (isset($ligne['activite']) && $ligne['activite'] != "")
	              			echo "<br />(".$ligne['activite'].")";
          			}
          			echo "</td>";
        		}
      		}
      		echo "</tr>";
    		echo "</table>";
    		echo "<br /><br />";
  		}
    	else // si + de 5 personnes, crer au moins une ligne supplmentaire dans la tableau
    	{
	    	// Combien y aura-t-il de lignes ?
    		$quotient = mysql_num_rows($resultat)/5;
      		if (is_int($quotient))
        		$nb_ligne_tableau = $quotient;
      		else
        		$nb_ligne_tableau = intval($quotient)+1;
      		$largeur_colonne = floor(100/mysql_num_rows($resultat)); 
			// Voici les lignes  afficher
      		for ($j=1;$j<=$nb_ligne_tableau;$j++)
      		{
		        // sur chaque ligne, 5 personnes au max
		        echo "<tr>";
		        for ($i=1;$i<=5;$i++)
		        {
          			$ligne = mysql_fetch_array($resultat);
          			$civilite = $ligne['civilite'];
          			$nom = $ligne['nom'];
          			if ($ligne['nom']!="")
          			{
            			echo "<td width=\"$largeur_colonne\" align=\"center\" valign='top'>";
    	      			echo affiche_fotoprof($ligne['prenom'],$ligne['nom'],$ligne['id_pers']);
        	  			if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
          				{
            				if (!isset($ligne['id_sous_cat']))
	              				$ligne['id_sous_cat'] = "";
            				echo "<a href=\"../prive/donnees_perso.php?id_pers=".$ligne['id_pers']."&amp;gpe=personnel\"><font size='2'>".$ligne['civilite']." ".$ligne['nom']." ".$ligne['prenom']."</font></a>";
            				if (isset($ligne['sous_categorie']) && $ligne['sous_categorie']!="0")
		              			echo "<br /><font color='red'>".$ligne['sous_categorie']."</font>";
    	        			if (isset($ligne['activite']) && $ligne['activite'] != "")
	    	          			echo "<br />(".$ligne['activite'].")";
    	      			}
          				else
          				{
	            			if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
              					echo "<font size=\"2\">$civilite&nbsp;$nom ".$ligne['prenom']."</font>";
            				else
		              			echo "<font size=\"2\">$civilite&nbsp;$nom</font>";
            				if (isset($ligne['sous_categorie']) && $ligne['sous_categorie']!="0")
		              			echo "<br /><font color='red'>".$ligne['sous_categorie']."</font>";
            				if (isset($ligne['activite']) && $ligne['activite'] != "")
		              			echo "<br />(".$ligne['activite'].")";
    	      			}
        	  			echo "</td>";
          			}
        		}
        		echo "</tr>";
      		}
    		echo "</table>";
    		echo "<br /><br />";
  		} // if (mysql_num_rows($resultat)<=5)
	}
}

/* Programme principal */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"admin/pers_autre.php"))
{
  // Le clic droit est interdit sur la page
  protection_image();

  echo "<h1>Les Autres Personnels</h1>";
  connexion_mysql();
  select_database();
  $sql = "SELECT count(*) FROM personnel";
  $resultat = @mysql_query($sql);
  $ligne = @mysql_fetch_array($resultat);
  if ($ligne[0] == 0)
  {
    $error_message = array("La table contenant la liste du personnel est vide !","");
    affiche_erreurs($error_message);
    return;
  }
  // Si on arrive ici, c'est que la table du personnel n'est pas vide
   liste_autres_personnels("4","Conseiller d'Orientation Psychologue"); // c'est le COP
   liste_autres_personnels("9","Personnel Mdico-social"); // Medico-social
   liste_autres_personnels("10","Agents"); // Agents
   liste_autres_personnels("12","En Contrat Aid"); // Contrats aids
  // Voici les catgories personnalises par les tablissements
  $sql = "SELECT id_cat,categorie FROM categories_pers WHERE id_cat>12";
  $resultat = mysql_query($sql);
  while ($ligne = mysql_fetch_row($resultat))
  {	  	
	liste_autres_personnels($ligne[0],$ligne[1]); // Catgorie supplmentaire
  }
  // on affiche le formulaire de gestion administrative de ces pages
  if ($_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
  {
  	echo "<br /><br /><br /><center>";
  	$code_formulaire = "<br />Cet accs est strictement rserv aux personnes charges de la gestion administrative de l'intranet, comme le secrtariat de l'tablissement par exemple.<br /><br /><a href='".$GLOBALS['chemin_relatif']."prive/admin/prive/bdd_pers.php?action=Modifier_Supprimer'>Mise  jour de la base de donnes du personnel</a><br /><br />";
  	squelette_formulaire_standard("75%","","","Rserv  l'administration",$code_formulaire,"","","","","","","");
  	echo "</center>";
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>