<?php
/**
 * c_pers_viscol.php
 *
 * Permet l'affichage du trombinoscope du personnel Vie scolaire
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"admin/pers_viscol.php"))
{
  // Le clic droit est interdit sur la page
  protection_image();

  echo "<h1>Le personnel Vie scolaire</h1>";
  connexion_mysql();
  select_database();
  $sql = "SELECT count(*) FROM personnel";
  $resultat = @mysql_query($sql);
  $ligne = @mysql_fetch_array($resultat);
  if ($ligne[0] == 0)
  {
    $error_message = array("La table contenant la liste du personnel est vide !","");
    affiche_erreurs($error_message);
    return;
  }
  // Si on arrive ici, c'est que la table du personnel n'est pas vide
  // D'abord les CPE
  $sql = "SELECT civilite,nom,prenom,sous_categorie,id_pers FROM personnel WHERE sous_categorie like 'CPE%' OR sous_categorie='22' ORDER BY nom,prenom";
  $resultat = mysql_query($sql);
  echo "
  <table width='100%' border='0'>
    <tr>";
    while ($ligne = mysql_fetch_array($resultat))
    {
      echo "<td align='center'><h2><font color='red'>CPE</font></h2>";
      echo affiche_fotoprof($ligne['prenom'],$ligne['nom'], $ligne['id_pers']);
      if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
      {
        echo "<a href=\"../prive/donnees_perso.php?id_pers=".$ligne['id_pers']."&amp;gpe=personnel\"><font size='2'>".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</font></a></td>";
      }
      elseif (isset($_SESSION['valid_group']) && ($_SESSION['valid_group'] == "3" || $_SESSION['valid_group'] == "7" || $_SESSION['valid_group'] == "8" || $_SESSION['valid_group'] == "9" || $_SESSION['valid_group'] == "10"))
      {
        echo "<font size='2'>".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</font></td>";
      }
      else
      {
        echo "<font size='2'>".$ligne['civilite']."&nbsp;".$ligne['nom']."</font></td>";
      }
    }
    echo "
    </tr>
  </table>
  <p><br /></p>";
  // puis les surveillants ou assistants d'ducation
  $sql = "SELECT civilite,nom,prenom,t2.sous_categorie, id_pers FROM personnel as t1, sous_categories_pers as t2 WHERE categorie='8' AND t1.sous_categorie not like 'CPE%' AND t1.sous_categorie not like '22' AND t1.sous_categorie=t2.id_sous_cat ORDER BY nom,prenom";
  $resultat = @mysql_query($sql);
  echo "<table border=\"0\" width=\"100%\">";
  if (mysql_num_rows($resultat)<=5 && mysql_num_rows($resultat)>0) // si - de 6 surveillants
  {
    echo "<tr>";
    $largeur_colonne = floor(100/mysql_num_rows($resultat)); 
    for ($i=1;$i<=mysql_num_rows($resultat);$i++)
    {
      $ligne = mysql_fetch_array($resultat);
      $civilite = $ligne['civilite'];
      $nom = $ligne['nom'];
      echo "<td width=\"$largeur_colonne\" align=\"center\" valign='top'>";
      echo affiche_fotoprof($ligne['prenom'],$ligne['nom'], $ligne['id_pers']);
      if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
      {
        echo "<a href=\"../prive/donnees_perso.php?id_pers=".$ligne['id_pers']."&amp;gpe=personnel\"><font size='2'>".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</font></a><br /><font color='red'>".$ligne['sous_categorie']."</font></td>";
      }
      elseif (isset($_SESSION['valid_group']) && ($_SESSION['valid_group'] == "3" || $_SESSION['valid_group'] == "7" || $_SESSION['valid_group'] == "8" || $_SESSION['valid_group'] == "9" || $_SESSION['valid_group'] == "10"))
      {
        echo "<font size='2'>$civilite $nom ".ucfirst(strtolower($ligne['prenom']))."<br /><font color='red'>".$ligne['sous_categorie']."</font></font></td>";
      }     
      else
      {
        echo "<font size=\"2\">$civilite&nbsp;$nom<br /><font color='red'>".$ligne['sous_categorie']."</font></font></td>";
      }     
    }
    echo "</tr>";
    echo "</table>";
    echo "<br /><br />";
  }
  elseif (mysql_num_rows($resultat)>0) // si + de 5 surveillants, crer une ligne supplmentaire dans la tableau
  {
    // si + de 5 personnes, crer au moins une ligne supplmentaire dans la tableau
  // Combien y aura-t-il de lignes ?
  $quotient = mysql_num_rows($resultat)/5;
  if (is_int($quotient))
    $nb_ligne_tableau = $quotient;
  else
    $nb_ligne_tableau = intval($quotient)+1;
  $largeur_colonne = floor(100/mysql_num_rows($resultat)); 
  // Voici les lignes  afficher
  for ($j=1;$j<=$nb_ligne_tableau;$j++)
  {
    $largeur_colonne = floor(100/mysql_num_rows($resultat)); 
    // sur chaque ligne, 5 personnes au max
    echo "<tr>";
    for ($i=1;$i<=5;$i++)
    {
      $ligne = mysql_fetch_array($resultat);
      $civilite = $ligne['civilite'];
      $nom = $ligne['nom'];
      if ($ligne['nom']!="")
      {
      	echo "<td width=\"$largeur_colonne\" align=\"center\" valign='top'>";
      	echo affiche_fotoprof($ligne['prenom'],$ligne['nom'], $ligne['id_pers']);
      	if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
      	{
        	echo "<a href=\"../prive/donnees_perso.php?id_pers=".$ligne['id_pers']."&amp;gpe=personnel\"><font size='2'>".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</font></a><br /><font color='red'>".$ligne['sous_categorie']."</font><br /><br /></td>";
      	}
      	elseif (isset($_SESSION['valid_group']) && ($_SESSION['valid_group'] == "3" || $_SESSION['valid_group'] == "7" || $_SESSION['valid_group'] == "8" || $_SESSION['valid_group'] == "9" || $_SESSION['valid_group'] == "10"))
      	{
        	echo "<font size='2'>$civilite $nom ".ucfirst(strtolower($ligne['prenom']))."<br /><font color='red'>".$ligne['sous_categorie']."</font></font></td>";
      	}  
      	else
      	{
        	echo "<font size=\"2\">$civilite&nbsp;$nom<br /><font color='red'>".$ligne['sous_categorie']."</font></font><br /><br /></td>";
      	} 
      }  
    }
    echo "</tr>";
    }
    echo "</table>";
    echo "<br /><br />";
 } // if (mysql_num_rows($resultat)<=5)
 else
  echo "</table>";
  
  // on affiche le formulaire de gestion administrative de ces pages
  if ($_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
  {
  	echo "<br /><br /><br /><center>";
  	$code_formulaire = "<br />Cet accs est strictement rserv aux personnes charges de la gestion administrative de l'intranet, comme le secrtariat de l'tablissement par exemple.<br /><br /><a href='".$GLOBALS['chemin_relatif']."prive/admin/prive/bdd_pers.php?action=Modifier_Supprimer'>Mise  jour de la base de donnes du personnel</a><br /><br />";
  	squelette_formulaire_standard("75%","","","Rserv  l'administration",$code_formulaire,"","","","","","","");
  	echo "</center>";
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>