<?php
/**
 * pers_viscol.php
 *
 * descriptif du contexte de la page listant le personnel Vie scolaire et le trombinoscope associ
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

$array_valid_user=array("tous"); // tout utilisateur authentifi a une autorisation d'accs (quelque soit son groupe)
$error_message = check_valid_user($array_valid_user);
// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="c_pers_viscol.php";

$chemin_relatif = "../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

$titre_page = "Trombinoscope du personnel de Vie Scolaire";

$js = array("trombi.js","scriptaculous.js","lightview2.8.0/js/lightview.js"); // fichier js qui sera inclus dans le head
$css_file = "javascript/lightview2.8.0/css/lightview.css";

// Squelette de page utilis
include(IEW_DIR."squelette.php");
?>