<?php
/**
 * consult_not.php
 *
 * Description de la page de consultation des notes d'information  destination des lves et/ou des profs
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)).'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

// Un contrle d'accs est effectu en cas de tentative d'accs aux notes d'information aux profs
if (isset($_GET["critere"]) && $_GET["critere"]=="profs")
{
  $array_valid_user=array("1","3","5","6","7","8","9","10"); // les groupes qui ont une autorisation d'accs
  $error_message = check_valid_user($array_valid_user);
}
elseif (isset($_GET["critere"]) && $_GET["critere"]=="parents")
{
  $array_valid_user=array("1","3","4","5","6","7","8","9","10"); // les groupes qui ont une autorisation d'accs
  $error_message = check_valid_user($array_valid_user);
}
else // pour tous les autres cas (notes d'informations aux lves
{
  $array_valid_user=array("tous"); // tout utilisateur authentifi
  $error_message = check_valid_user($array_valid_user);
}
// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="c_consult_not.php";

// Squelette de page utilis
include(IEW_DIR."squelette.php");
?>
