<?php
/**
 * copyright-fr.php
 *
 * Page affichant la licence et les conditions d'utilisation de l'application IntraEduWeb
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)).'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");
?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>
<html xmlns='http://www.w3.org/1999/xhtml' lang='fr-FR' xml:lang='fr-FR'>
<head>
<title>Licence et conditions d'utilisation de l'application IntraEduWeb</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-15" />
<style type="text/css"><!--
h1 { font-family: Verdana, Arial, Sans, sans-serif; color: blue; }
h2 { font-family: Verdana, Arial, Sans, sans-serif; }
p, form { font-family: Georgia, Garamond, Times, serif; font-size: 1.1em; text-align: justify; }
a { text-decoration: none; }
a:hover { text-decoration: underline; }
a.icone { text-decoration: none; }
a.icone:hover { text-decoration: none; }--></style>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table>
<tr>
<td><img src="images/logo_bleu.png" align="top" border="0" alt="Application IntraEduWeb" /></td>
<td valign="bottom" align="center">
<h1>Licence et conditions d'utilisation</h1><br/><img src="images/gplv3-127x51.png" alt="" /></td>
</tr>
</table>

<br /><br />
<center>

<table width="770">
<tr><td width="770">

<h2>IntraEduWeb (IEW), Brique <abbr title='Espace Numrique de travail'>ENT</abbr> pour tablissement scolaire du second degr</h2>
<p>Copyright &copy; 2004-<?php echo date("Y"); ?>, Sylvain GODM &lt;sylvain.godme@gmail.com&gt;</p>
<p>Conformment aux articles L112-1 et suivants du Code de la Proprit 
Intellectuelle, le logiciel IntraEduWeb est une oeuvre de l'esprit 
pour laquelle s'applique la lgislation relative aux droits d'auteur.
Ce logiciel est protg par Copyright. </p>
<p>Ce logiciel est libre&nbsp;; vous pouvez le redistribuer et/ou le modifier conform&eacute;ment aux dispositions de la Licence Publique G&eacute;n&eacute;rale GNU, telle que publi&eacute;e par la Free Software Foundation&nbsp;; version 3 de la licence, ou encore (&agrave; votre choix) toute version ult&eacute;rieure. </p>
<p><u><b>Avertissement</b></u> : IEW comporte un seul composant dont les droits sont restreints par rapport  la licence GPL3; Ce composant (Lightview 2.8.0) est sous licence <a href="http://creativecommons.org/licenses/by-nc-nd/3.0/deed.fr">Creative Commons by-nc-nd License</a>.
Vous devez en tenir compte si vous voulez redistribuer IEW (pas de modification du composant et pas d'utilisation commerciale de IEW <u>avec</u> ce composant). Pour plus d'informations, consultez le fichier README.</p>
<p>IEW est distribue dans l'espoir qu'elle sera utile, mais SANS AUCUNE GARANTIE&nbsp;; sans m&ecirc;me la garantie implicite de COMMERCIALISATION ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de d&eacute;tails, voir la Licence Publique G&eacute;n&eacute;rale GNU. </p>
<p>Un exemplaire de la Licence Publique G&eacute;n&eacute;rale GNU doit &ecirc;tre fourni avec ce logiciel&nbsp;; si ce n'est pas le cas, &eacute;crivez &agrave; la <span lang='en'>Free Software Foundation Inc., 51 Franklin Street, Suite 500, Boston, MA 02110-1335, USA.</span></p>

<h2>Tlchargement</h2>
<p>Vous pouvez vous procurer ce logiciel en vous rendant sur le site hbergeant les sources de l'application, <a href="http://iew.free.fr/?Telecharger-IEW" title='Tlcharger le logiciel IntraEduWeb'>page de tlchargement</a></p>

<h2>Documentation</h2>
<p>La <a href="http://iew.free.fr/?-Documentation-" title='documentation du logiciel IntraEduwEb'>documentation</a>  votre disposition comprend le guide administrateur (installation, administration courante) et les guides utilisateurs</p>

<h2>Licence <abbr lang="en" title='General Public License'>GPL</abbr> version 3</h2>
<p>Texte original (en anglais) de la GNU <span lang="en">General Public License</span>&nbsp;: [<a href='COPYING' title='Licence GPL v3,Version texte en anglais'>version texte</a>] [<a href='http://www.gnu.org/copyleft/gpl.html' title='Licence GPL v3,Version html en anglais'>version HTML</a>]</p>
<p>Traduction fran&ccedil;aise non officielle (et non finalise)&nbsp;: [<a href='COPYING-fr' title='Licence GPL v3,Version texte, traduction franaise non officielle'>version texte</a>]<br />
<i>Cette traduction est propose  titre d'information comme un outil pdagogique pour aider les francophones  comprendre le contenu de la licence. Elle ne constituera pas une version officielle franaise de la licence GPL : seule la version originale anglaise de la GNU GPL dtermine les termes de distribution d'un logiciel</i></p>

</td></tr></table>
<table width="770">
<?php
// Si on affiche cette licence pendant la phase d'installation IntraEduWeb (le fichier inc_connect.php n'existe pas encore)
if (!file_exists(CONF_DIR."inc_connect.php"))
{
?>
<tr>
<td>
<hr />
<form method='post' action='./install/install.php'>
  <table width='100%'>
  <tr>
  <td>
  <input type='radio' checked='checked' id='yes_accept' name='accept_licence_value' value="oui" />
  <label for='yes_accept' accesskey='A'>J'accepte ces conditions de licence</label>
  <br />
  <input type='radio' id='no_accept' name='accept_licence_value' value="non" />
  <label for='no_accept' accesskey='R'>Je refuse ces conditions de licence</label>
  </td>
  <td align='right'>
  <input type='submit' id='btn_valider_licence' name='licence_install' value="Valider" accesskey='V' title='Alt+V' />
  </td>
  </tr>
  </table>
</form>
</td>
</tr>
<?php
}
else
{
?>
<tr>
<td align='right'>
<form action=''>
  <input type='button' value="Retour" onclick="window.location.replace('<?php echo $_SERVER['HTTP_REFERER'] ?>')" />
</form>
</td>
</tr>
<?php
}
?>
</table>
</center>
<br /><br />
</body>
</html>
