<?php
/**
 * index.php
 *
 * 1er script excut lors de l'accs  l'application
 * redirige sur le script d'installation si celle-ci n'est pas encore ralise
 * sinon redirige vers la page d'accueil aprs authentification de l'utilisateur
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */
 
if (!defined('IEW_DIR')) {
 	/**
 	 * Constante contenant le chemin complet du rpertoire d'installation IEW
 	 */	
	define('IEW_DIR',realpath(dirname(__FILE__)).'/');
}

/**
 * On inclut la librairie complte des fonctions et les fichiers de config, et on dmarre la session PHP
 */
require_once(IEW_DIR."librairie_fonctions.php");

// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="accueil.php";


// Comme c'est le script index  la racine, on vrifie d'abord si l'installation a t faite, sinon on redirige vers le script d'install

if (!verif_install()) {
  header("Location: ./install/install.php");
  exit;
}

$error_message = array(check_authentication(),"login"); 
// Si l'authentification russie, le premier lment de $error_message est vide
// dans ce cas, la fonction affiche_contenu() affichera le contenu normal de la page
// Si le premier lment de $error_message n'est pas vide, alors la fonction affiche_contenu()
// affichera le message d'erreur + le formulaire de login ( cause de la valeur "login" dans le 2me lment de $error_message
// On fait l'authentification ici, si le formulaire natif d'identification est rempli

/**
 * Squelette de page utilis
 */
include(IEW_DIR."squelette.php");
?>