<?php
/**
 * modele_conf_dir.php
 *
 * fichier modle utilis par le script install.php pour crer le fichier conf_dir.php
 * dans lequel est inscrit le dossier de stockage du fichier de configuration IEW
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

$fichier_conf_dir = "<?php
/**
 * conf_dir.php
 *
 * fichier dans lequel est inscrit le dossier de stockage du fichier de configuration IEW
 * et des autres donnes-fichiers (sous-dossier data)
 * Il est gnr automatiquement lors de l'installation
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	gnr  l'installation, le ";
$fichier_conf_dir .= format_date_long("fr","")."  ".date("H:i:s");
$fichier_conf_dir .= "
 * @copyright	2004-".date("Y")." Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('CONF_DIR')) define('CONF_DIR', \"".$_SESSION['liste_variables']['new_stock_baselev']."\");";
// On enregistre le fichier  la racine IEW : il faut que les droits soient OK
$fichier = fopen(IEW_DIR."conf_dir.php","w"); // ouverture en criture en crasant le contenu existant, si le fichier n'existe pas, il est cr
// on ecrit la ligne d'en-tte contenant les champs de donnes
fwrite($fichier,$fichier_conf_dir);
fclose($fichier);
?>