/**
 * Code grant l'autorafrachissement du div "contenu"
 * Il permet de rafrachir les donnes affiche par un script de contenu c_nom-script.php
 * en appelant celui-ci  intervalles rguliers
 * Il faut que ce script contienne un div id='contenu'
 * et S'IL UTILISE LA LIBRAIRIE DES FONCTIONS IEW, les 2 lignes suivantes en dbut de script 
 * if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../../").'/');
 * require_once(IEW_DIR."librairie_fonctions.php");
 * => Voir exemple dans /prive/admintraeduweb/c_users_inline.php
 * 
 * Il faut galement que le script de descrition de contenu nom-script.php dfinisse la frquence
 * de rafrachissement (exemple dans /prive/admintraeduweb/users_inline.php)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW) version 2.0.0
 * 
 * Auteur :     Sylvain GODME <sylvain.godme@ac-reims.fr>
 *     
 * Copyright  2004-2011 Sylvain GODME
 * Licence : GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 */

Event.observe(window, 'load', refresh); // Excution au chargement de la page, puis  intervalles rguliers

var url = document.location.href;
//On rcupre l'adresse du script de description de contenu
var IsoleUrlBrute = url.split("?");
var UrlBrute = IsoleUrlBrute[0]; // on ne tient pas compte de la query string
var IsoleScript = UrlBrute.split("/"); // Le dernier lment de ce tableau contient le nom du script  appeler

// Variables globales, vont conditionner le script appel par la requte AJAX dans la fonction refresh() et la frquence d'appel
Script = "c_" + IsoleScript[IsoleScript.length - 1]; // on ajoute c_ car on veut rcuprer la partie "contenu_central" de la page et pas la page complte

FrequencyRefresh = recup_paramurl('refresh'); // frquence de rafrachissement rcupre dans l'url

//alert(Script + " refresh : " + FrequencyRefresh);

function refresh()
{
	// on met  jour le div 'contenu' priodiquement
	new Ajax.PeriodicalUpdater
	(
		'contenu', 
		Script, 
		{
		  method: 'get', 
		  frequency: FrequencyRefresh
		}
	);
}

function recup_paramurl(urlParam)
{ 
	// Rcupration de tous les paramtres de l'url de la page en cours
	var varsFromUrl = document.location.search;

	// on supprime '?'                                                  
	varsFromUrl = varsFromUrl.substring(1);

	// On isole les couples nom_paramtre=valeur
	var pairsArray = varsFromUrl.split("&");

	for (i = 0; i < pairsArray.length; i++)
	{
		var pair = pairsArray[i].split("=");
	    if (pair[0] == urlParam)
	    {
	    	//alert(pair[1] + ' est la valeur du paramtre ' + urlParam);
	    	return pair[1];
	    }
	} 
}