/**
 * change_edt.js
 *
 * Code grant la modification d'un emploi du temps et quelques options d'affichage du planning
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

//variables globales
var i = 0; // sera incrment  chaque clic sur l'lment $('lien_modif_edt') surveill dans la fonction init
var j = 0; // sera incrment  chaque clic sur l'lment $('icon_aff_taf') surveill dans la fonction init
var k = 0; // sera incrment  chaque clic sur l'lment $('icon_aff_ct') surveill dans la fonction init
var m = 0; // sera incrment  chaque clic sur l'lment $('icon_aff_nopub') surveill dans la fonction init
var title; // va tre initialis dans la fonction init, mais sera ensuite disponible partout (mais utilis en fait que dans la fonction display_ctrl)
var when = 'first'; // sera utilis dans la fonction init pour sauvegarder le contenu de l'attribut title de l'lment $('icon_modif_edt') au chargement de page

//on s'assure que le dom est charg pour surveiller les vnements sur certains lments
document.observe('dom:loaded', init);

//Comme le dom peut changer lors de la mise  jour d'lments sur la page (et donc les gestionnaires de surveillance peuvent tre supprims par un Element.update)
//Il faut relancer la surveillance
document.observe('dom:changed', init);

function init() 
{
	/**
	 * Gestionnaire d'vnements
	 */
	
	/* mis en commentaire car je n'ai pas russi  reproduire le mme comportement que l'attribut onchange sur le datepicker sans recharger la page (voir galement la fonction display_after_choose_datepicker mise aussi en commentaire + loin) 
	if ($('choix_date_semaine_edt'))
	{
		$('choix_date_semaine_edt').removeAttribute('onchange'); // au cas o il y ait un gestionnaire d'vnement li  l'vnement onchange sur le datepicker
		// On y met notre propre gestionnaire
		$('choix_date_semaine_edt').observe('change', display_after_choose_datepicker);
	}*/
	
	// Gestion de l'overflow dans les plannings EDT
	if ($('content-edt'))
	{
		maxWidthBody = document.body.style.maxWidth;
		test_overflow();
	}
	
	// L'icne en forme de crayon sert  switcher dans le mode modification/mode consultation d'un EDT
	if ($('lien_modif_edt'))
	{
		$('lien_modif_edt').observe('click', display_ctrl);
	}
	// L'attribut title va changer  chaque clic : on sauvegarde la valeur initiale pour pouvoir la recharger + tard
	// car dans le cas d'un prof, il contient le nom et prnom du prof, qu'il serait compliquer de rcuprer par la suite sans accder  la base de donnes...
	if (when == 'first' && $('icon_modif_edt')) // il faut tester aussi la prsence de l'lment d'id 'icon_modif_edt' sinon l'affectation de la variable suivante provoque une erreur et le script est interrompu (c'est le cas si le paramtre URL categorie=classes car dans ce cas il n'y a pas d'lment $('icon_modif_edt')) 
		title = $('icon_modif_edt').readAttribute('title');
	// Voici les contrles d'ajout, de suppression et de modification d'un cours
	$$('a.add_cours').each(function(element) {
		element.observe('click', display_form);// Pour les + (ajout)
	});
	$$('a.del_cours').each(function(element) {
		element.observe('click', display_form); // Pour les croix (suppression) et les crayons (modification)
	});
	$$('a.restore_cours').each(function(element) {
		element.observe('click', display_form); // Pour les icnes de rtablissement du cours d'origine
	});
	// Suveillance des contrles de navigation semaine prcdente et semaine suivante
	if ($('WeekNavLeft'))
		$('WeekNavLeft').observe('click', displayOtherWeek);
	if ($('WeekNavRight'))
		$('WeekNavRight').observe('click', displayOtherWeek);
	// Depuis prototype 1.7 (Event delegation)
	$('planning_edt').on('click', 'div.ctEDT', displayCt); // au clic souris, permet d'afficher le dtail du contenu de sance du cahier de textes (contenu publi)
	$('planning_edt').on('mouseover', 'div.ctEDT', displayTitle); // au passage de la souris, permet d'afficherune info-bulle
	$('planning_edt').on('click', 'div.tafEDT', displayCt); // au clic souris, permet d'afficher le dtail du travail  faire (taf publi)
	$('planning_edt').on('mouseover', 'div.tafEDT', displayTitle); 
	// Mme chose, pour les entres non publies
	$('planning_edt').on('click', 'div.ctEDTnopub', displayCt); 
	$('planning_edt').on('mouseover', 'div.ctEDTnopub', displayTitle);
	$('planning_edt').on('click', 'div.tafEDTnopub', displayCt);
	$('planning_edt').on('mouseover', 'div.tafEDTnopub', displayTitle); 
	
	// Surveillance des contrles d'affichage du cahier de textes dans le planning EDT
	if ($('icon_aff_taf'))
	{
		$('icon_aff_taf').observe('click', displayCTcontent);
		if (when == 'first')
			first_taf_title = $('icon_aff_taf').readAttribute('title'); // important pour remettre l'attribut title d'origine car change  chaque clic 
	}
	if ($('icon_aff_ct'))
	{
		$('icon_aff_ct').observe('click', displayCTcontent);
		if (when == 'first')
			first_ct_title = $('icon_aff_ct').readAttribute('title');
	}	
	if ($('icon_aff_nopub'))
	{
		$('icon_aff_nopub').observe('click', displayCTcontent);
		if (when == 'first')
			first_ct_title = $('icon_aff_nopub').readAttribute('title');
	}	
}

function display_ctrl(event)
{
	/**
	 * Affiche les contrles de modification de l'emploi du temps
	 */
	Event.stop(event); // On supprime l'action par dfaut de l'vnement (ici le rechargement de page avec le paramtre URL modif=true)
	i++;
	var src = $('icon_modif_edt').readAttribute('src'); // on a l'image pour l'icne en forme de crayon
	if (i % 2 == 1) // Nb de clics impair => On est en mode modification de l'EDT
	{
		src = src.replace('/edt_write','/noedt_write'); // changement d'image pour l'icne en forme de crayon
		$('icon_modif_edt').writeAttribute('src', src);
		$('icon_modif_edt').writeAttribute('title', "Sortir du mode Modification de l'emploi du temps"); // On change galement l'attribut title indiquant la nouvelle fonction du lien
		// On modifie les proprits CSS ( none par dfaut) des tag <a> de classe add_cours et del_cours (liens graphiques des contrles de modification de l'emploi du temps) : ces contrles (+, croix ou crayon) sont affichs
		$$('a.add_cours').each(function(e){
			e.style.display = "inline-table"; // Pour les +
		});
		$$('a.del_cours').each(function(e) {
			e.style.display = "inline-table"; // Pour les croix et les crayons
		});
		$$('a.restore_cours').each(function(e) {
			e.style.display = "inline-table"; // Pour les icnes de rtablissement du cours d'origine
		});
		// Il faut galement ajouter le paramtre modif=true  l'url cible des contrles semaine prcdente et suivante
		var href = $('WeekNavLeft').parentNode.readAttribute('href'); // parentNode car l'attribut href est sur le lien <a> qui contient l'image $('WeekNavLeft')
		var fragmentsArray = href.split("?"); // on isole les paramtre URL (query_string)
		var paramUrl = fragmentsArray[1]; // ce qui nous intresse se trouve aprs le ?
		var newHref = fragmentsArray[0] + '?modif=true&' + paramUrl;
		$('WeekNavLeft').parentNode.writeAttribute('href', newHref);
		var href = $('WeekNavRight').parentNode.readAttribute('href'); // parentNode car l'attribut href est sur le lien <a> qui contient l'image $('WeekNavLeft')
		var fragmentsArray = href.split("?"); // on isole les paramtre URL (query_string)
		var paramUrl = fragmentsArray[1]; // ce qui nous intresse se trouve aprs le ?
		var newHref = fragmentsArray[0] + '?modif=true&' + paramUrl;
		$('WeekNavRight').parentNode.writeAttribute('href', newHref);
	}
	else // Nb de clics pair => On est en mode consultation de l'EDT
	{
		src = src.replace('/noedt_write','/edt_write'); // on revient  l'image d'origine
		$('icon_modif_edt').writeAttribute('src', src);
		$('add_msg').style.display = 'none'; // au cas o le formulaire soit prsent (ou une message du mode modification)
		// On recharge la valeur initiale de l'attribut title sauvegard au chargement de la page (voir fonction init())
		$('icon_modif_edt').writeAttribute('title', title);
		// On modifie les proprits CSS des tag <a> de classe add_cours et del_cours (liens graphiques des contrles de modification de l'emploi du temps) pour rtablir les valeurs par dfaut (none)
		$$('a.add_cours').each(function(e) {
			e.style.display = "none";
		});
		$$('a.del_cours').each(function(e) {
			e.style.display = "none";
		});
		$$('a.restore_cours').each(function(e) {
			e.style.display = "none";
		});
		// Il faut galement retirer le paramtre modif=true  l'url cible des contrles semaine prcdente et suivante
		// c redondant avec le test prcdent, mais g essay de faire une boucle, a marche pas... alors je laisse ainsi tant pis pour la redondance
		var href = $('WeekNavLeft').parentNode.readAttribute('href'); // parentNode car l'attribut href est sur le lien <a> qui contient l'image $('WeekNavLeft')
		var newHref = href.replace('modif=true&','');
		$('WeekNavLeft').parentNode.writeAttribute('href', newHref);
		var href = $('WeekNavRight').parentNode.readAttribute('href'); // parentNode car l'attribut href est sur le lien <a> qui contient l'image $('WeekNavLeft')
		var newHref = href.replace('modif=true&','');
		$('WeekNavRight').parentNode.writeAttribute('href', newHref);
	}
}

function display_form(event)
{
	/**
	 * Affiche le formulaire d'ajout/modification/suppression d'un cours
	 */
	Event.stop(event); // On supprime l'action par dfaut de l'vnement (ici le rechargement de la page avec le paramtre URL changeform=true)
	var element = Event.element(event); // c'est l'lment sur lequel l'vnement a eu lieu (ici l'icne en forme de +, de croix ou de crayon : c'est une balise img qui ne contient pas d'attribut href)
	// pour avoir l'attribut href, il va falloir prendre comme element le parent direct de cette balise <img>  savoir la balise <a> qui la contient
	var element = element.parentNode; // voil le bon lment sur lequel on va rcuprer l'attribut href
	var href = element.readAttribute('href'); // on rcupre la valeur du href du lien sur lequel l'vnement click a eu lieu
	var fragmentsArray = href.split("?"); // on isole les paramtres URL (query_string)
	var paramUrl = fragmentsArray[1]; // ce qui nous intresse se trouve aprs le ?
	var url = 'form_change_edt.php?' + paramUrl;
	new Ajax.Updater
	(
		'add_msg',
		url,
		{
			method: 'get',
			onComplete: function gestionReponse(xhr)
			{
				if (xhr.status == 200)
				{
					$('add_msg').style.display = 'block'; // au cas o il soit mis  none par une autre fonction
					$('add_msg').setStyle({marginBottom: '1.5em'}); // sinon a touche le datepicker de la semaine
					$('add_msg').innerHTML = xhr.responseText; // On affiche la rponse du script (formulaire d'ajout/modification/suppression d'un cours)
					decorateLabels(); // On applique la classe CSS 'required' aux labels des champs de formulaire obligatoires
					$('page').scrollTo(); // on se met en haut de page (pour s'assurer de voir le formulaire)
					// on enregistre des gestionnaires d'vnements sur certains lments du formulaire
					$('AddModifyCoursForm').observe('submit', action_change_edt);
					$('AnnulerForm').observe('click', NodisplayForm);
					$('CoursPonctuel').observe('click', displayOrNotAlternance);
				}
				else
				{
					$('add_msg').style.display = 'block';
					$('add_msg').setStyle({marginBottom: '1.5em'}); // sinon a touche le datepicker de la semaine
					$('add_msg').innerHTML = "La requte AJAX sur do_change_edt.php n'a pas abouti. Le code d'erreur est : " + xhr.status;
				}
			}
		}
	);
}

function decorateLabels() 
{
    /** Repris de decorate_label.js dj charg, mais cette fonction ne s'excute pas puisque dans decorate_label.js
     * elle s'excute au chargement de la page. Or, ici, au chargement initial de la page
     * le formulaire n'est pas encore prsent (donc pas d'lment label dans le document)
     * Lorsque le formulaire est prsent dans le DOM de la page (suite  l'appel AJAX dans la fonction display_form(event)),
     * il faut alors relancer l'excution de cette fonction pour que le libell des champs obligatoires aient la classe 'required' 
     * On remarquera que le code concernant les accesskey a disparu, car ces accesskeys ne sont plus recommands par le WCGA 2.0 */
	var labels = document.getElementsByTagName('label');
    for (var index = 0; index < labels.length; ++index)
    {
        var label = labels[index];
        if (label.htmlFor)
        {
            var elt = document.getElementById(label.htmlFor);
            if (!elt)
                continue;
            if (elt.id.match(/Req/))
                label.className += ' required';
        }
    }
} // decorateLabels

function action_change_edt(event)
{
	/**
	 * Permet la mise  jour de la table "cours_diff" aprs soumission du formulaire d'ajout/modification/suppression d'un cours
	 */
	Event.stop(event); // On supprime l'action par dfaut de l'vnement (ici l'xcution du script dfini par l'attribut action du formulaire)
	// On lance la requte de modification de l'EDT
	new Ajax.Request
	(
		'do_change_edt.php',
		{
			method: 'post',
			parameters: $('AddModifyCoursForm').serialize(true),
			onComplete: function gestionReponse(xhr)
			{
				if (xhr.status == 200)
				{
					$('add_msg').update(xhr.responseText); // On affiche la rponse du script (succs ou chec de l'enregistrement dans la base de donnes)
		        	$('ChangeCoursBlockForm').style.display = 'none'; // On masque le formulaire
		        }
			    else
			    {
			        $('add_msg').update("La requte AJAX sur do_change_edt.php n'a pas abouti. Le code d'erreur est : " + xhr.status);
			    }
			}
		}
	);
	var url = document.location.href;
	var fragmentsArray = url.split("/");
	url = fragmentsArray[fragmentsArray.length -1] + "&modif=true"; // modif = true pour rafficher les contrles de modification
	//alert(url);
	display_edt_update(url);
}

function NodisplayForm(event) {
	
	/**
	 * Dsactive l'affichage du div contenant le formulaire
	 */
	Event.stop(event); // On supprime l'action par dfaut de l'vnement (ici l'effacement des donnes saisies du formulaire)
	$('add_msg').style.display = 'none';
}

function displayOrNotAlternance(event)
{
	/**
	 * On affiche ou pas (selon la prsence ou non d'une coche dans la case "Cours ponctuel")
	 * le champ select pour l'alternance 
	 */
	
	if ($('CoursPonctuel').checked == true)
	{
		$('L_AlternanceCours').style.display = 'none';
		$('AlternanceCours').style.display = 'none';
	}
	else // On s'assure de rafficher lors d'un dcochage si une coche prcdente a mis  none
	{
		$('L_AlternanceCours').style.display = 'inline';
		$('AlternanceCours').style.display = 'inline';
	}
}

function displayOtherWeek(event)
{
	/**
	 * Va afficher l'edt pour une semaine prcdente ou suivante
	 */
	Event.stop(event); // On supprime l'action par dfaut de l'vnement (ici le rechargement de page avec un nouveau paramtre URL debut_semaine
	// On va afficher le spinner AJAX  la place de l'icne de modif
	var element = Event.element(event); // c'est l'lment sur lequel l'vnement a eu lieu (ici l'icne en forme de flche vers la gauche, c'est une balise img qui ne contient pas d'attribut href)
	// pour avoir l'attribut href, il va falloir prendre comme element le parent direct de cette balise <img>  savoir la balise <a> qui la contient
	var element = element.parentNode; // voil le bon lment sur lequel on va rcuprer l'attribut href
	var url = 'edt.php' + element.readAttribute('href'); // on rcupre la valeur du href du lien sur lequel l'vnement click a eu lieu
	//alert(url);
	display_edt_update(url);
}

function display_edt_update(url)
{
	/**
	 * Met  jour la planning EDT selon l'url
	 */
	
	// Voil l'lment qui recevra le spinner AJAX
	if ($('icon_modif_edt')) // Dans le cas d'un EDT prof
		var spinner = $('icon_modif_edt');
	else if ($('icon_choose_edt')) // Dans le cas d'un EDT classe
		var spinner = $('icon_choose_edt');
	else // les lves ou les parents n'ayant qu'un enfant n'ont pas l'icne de choix de classe, il faut mettre le spinner ailleurs
		var spinner = $('WeekNavLeft');
	var src = spinner.readAttribute('src'); // on garde l'image en cours en mmoire
	spinner.writeAttribute('src', '../images/ajax-loader.gif');
	spinner.writeAttribute('width', '48'); // Evite un dcalage car on met la mme taille que l'icne de modif
	spinner.writeAttribute('height', '48');
	new Ajax.Updater
	(
		'content-edt',
		url,
		{
			method: 'get',
			onComplete: function gestionReponse(xhr)
			{
				if (xhr.status == 200)
				{
					// On cre un element dans le DOM pour recevoir la rponse (texte contenant du HTML) que l'on souhaitera parser
					// En effet, ce qui est renvoy est le document source HTML complet de la requte
					// on ne veut pas tout le code de la page mais seulement le contenu du div id='content-edt'
					var wrapper = new Element('div'); // ce sera la seule faon de pouvoir parser la rponse a priori
				    wrapper.update(xhr.responseText);
					// on ne veut pas tout le code de la page mais seulement le contenu du div id='content-edt' : il faut l'extraire de la rponse
				    var nestedElement = wrapper.select('[id="content-edt"]');
					$('content-edt').update(nestedElement[0].outerHTML); // On affiche la rponse du script (formulaire d'ajout/modification/suppression d'un cours)
					spinner.writeAttribute('src', src); // on rtablit l'icne de modif  la place du spinner AJAX
					// Le DOM tant modifi, on recharge les gestionnaires d'vnements (voir en haut du script)
					when = 'other'; //  faire avant de changer l'tat du DOM
					document.fire('dom:changed'); // cela va faire appel  la fonction init
					// Le problme rsiduel est que le datepicker ne fonctionne plus, mais le code de datepicker.js est encore en mmoire, il suffit de rappeler la fonction de cration du datepicker
					createPickers(); // date picker  nouveau fonctionnel !
				}
				else
				{
					$('add_msg').style.display = 'block';
					$('add_msg').setStyle({marginBottom: '1.5em'}); // sinon a touche le datepicker de la semaine
					$('add_msg').append("<br />L'affichage de l'emploi du temps n'a pas pu tre mis  jour. Le code d'erreur est : " + xhr.status);
				}
			}
		}
	);
}

function display_after_choose_datepicker(event)
{
	/**
	 * Met  jour l'affichage de l'edt aprs un choix de date avec le datepicker
	 */
	Event.stop(event);
	var element = Event.element(event);
	var debut_semaine = element.value; // la date au format dd-mm-yyyy
	var fragmentsArray = debut_semaine.split("-");
	debut_semaine = fragmentsArray[2] + '-' + fragmentsArray[1] + '-' + fragmentsArray[0]; // la date au format MySQL
	var query = document.location.href.toQueryParams();
	var url = replaceQueryString(document.location.href,'debut_semaine',debut_semaine);
	//alert(url);
	display_edt_update(url);
}

function replaceQueryString(url,param,value)
{
    /**
     * Remplace la valeur d'un paramtre URL avec la nouvelle valeur spcifie en argument
     */
	var re = new RegExp("([?|&])" + param + "=.*?(&|$)","i");
    if (url.match(re))
        return url.replace(re,'$1' + param + "=" + value + '$2');
    else
        return url + '&' + param + "=" + value;
}

function displayCt(event, element)
{
	/**
	 * Effet lightbox sur le rsum du cahier de textes pour en afficher le dtail
	 */
	var Elt = element.previous('div'); // on recherche le div qui prcde le span sur lequel le click a eu lieu (il contient le contenu du cahier de textes)
	Lightview.show({ href: '#'+Elt.id, title: Elt.readAttribute('title'), rel: 'inline' });
}

function displayTitle(event, element)
{
	/**
	 * Affichage d'une info-bulle pour indiquer qu'il faut cliquer pour accder au dtail d'informations pour une entre du chaier de textes rsume dnas l'edt
	 */
	element.writeAttribute('title', 'Cliquer pour afficher le dtail');
}

function displayCTcontent(event)
{
	/**
	 * Affiche ou masque les TAF ou les contenus de sances publies (ventuellement non publies) du cahier de textes dans le planning EDT
	 */
	
	var elt = Event.element(event).id; // c'est l'lment sur lequel l'vnement a eu lieu (ici l'icne en forme de punaise)
	if (elt == 'icon_aff_taf')
	{
		var icon = '/punaise1';
		var noicon = '/nopunaise1';
		var cttitle = 'Cahier de Textes : Afficher les travaux  faire publis (intro)';
		var nocttitle = "Supprimer l'affichage des travaux  faire";
		var TabEltClassName = new Array("div.tafEDT");
		var first_title = first_taf_title;
		var affct = 'taf';
		var compteurClic = j; // compteur local = valeur compteur global de clics pour l'lment
	}
	else if (elt == 'icon_aff_ct')
	{	var icon = '/punaise2';
		var noicon = '/nopunaise2';
		var cttitle = 'Cahier de Textes : Afficher les contenus de sances publis (intro)';
		var nocttitle = "Supprimer l'affichage des contenus de sances";
		var TabEltClassName = new Array("div.ctEDT");
		var first_title = first_ct_title;
		var affct = 'content';
		var compteurClic = k; // compteur local = valeur compteur global de clics pour l'lment
	}
	else if (elt == 'icon_aff_nopub')
	{	var icon = '/punaise3';
		var noicon = '/nopunaise3';
		var cttitle = 'Cahier de Textes : Afficher les contenus de sance et les travaux  faire non publies (intro)';
		var nocttitle = "Supprimer l'affichage des entres de cahiers de textes non publies";
		var TabEltClassName = new Array("div.tafEDTnopub","div.ctEDTnopub");
		var first_title = first_ct_title;
		var affct = 'nopub';
		var compteurClic = m; // compteur local = valeur compteur global de clics pour l'lment
	}
	// Voil un nouveau clic : on incrmente le compteur local et le compteur global de clics pour l'lment
	compteurClic++;
	if (elt == 'icon_aff_taf')
		j++;
	else if (elt == 'icon_aff_ct')
		k++;
	else if (elt == 'icon_aff_nopub')
		m++;
	var src = $(elt).readAttribute('src'); // on a l'image pour l'icne en forme de punaise rouge
	if (compteurClic % 2 == 1) // Nb de clics impair => On supprime l'affichage du TAF ou des contenus de sances
	{
		src = src.replace(noicon,icon); // changement d'image pour l'icne
		$(elt).writeAttribute('src', src);
		$(elt).writeAttribute('title', cttitle); // On change galement l'attribut title indiquant la nouvelle fonction de l'icne
		// Suppression effective de l'affichage
		for(var z = 0; z < TabEltClassName.length; z++)
		{
			eltClassName = TabEltClassName[z];
			$$(eltClassName).each(function(d){
			    d.style.display = 'none';
			});
		}
		
		// Il faut galement retirer le paramtre affct  l'url cible des contrles semaine prcdente et suivante pour conserver le mode d'affichage du TAF ou des contenus de sances d'une semaine  l'autre
		// c redondant avec le test prcdent, mais g essay de faire une boucle, a marche pas... alors je laisse ainsi tant pis pour la redondance
		var href = $('WeekNavLeft').parentNode.readAttribute('href'); // parentNode car l'attribut href est sur le lien <a> qui contient l'image $('WeekNavLeft')
		var newHref = href.replace(affct + '=true&','');
		$('WeekNavLeft').parentNode.writeAttribute('href', newHref);
		var href = $('WeekNavRight').parentNode.readAttribute('href'); // parentNode car l'attribut href est sur le lien <a> qui contient l'image $('WeekNavLeft')
		var newHref = href.replace(affct + '=true&','');
		$('WeekNavRight').parentNode.writeAttribute('href', newHref);
		
		if (elt == 'icon_aff_nopub') // cas particulier du contrle d'affichage/masquage des entres de cahier de textes non publies
		{
			if ($('nopub_legend'))
				$('nopub_legend').style.display = 'none';
		}
	}
	else // Nb de clics pair => On est en mode affichage du TAF ou des contenus de sances
	{
		src = src.replace(icon,noicon); // on revient  l'image d'origine
		$(elt).writeAttribute('src', src);
		// On recharge la valeur initiale de l'attribut title sauvegard au chargement de la page (voir fonction init())
		$(elt).writeAttribute('title', first_title);
		// Affichage
		// Suppression effective de l'affichage
		for(var z = 0; z < TabEltClassName.length; z++)
		{
			eltClassName = TabEltClassName[z];
			$$(eltClassName).each(function(d){
			    d.style.display = 'block';
			});
		}
		// Il faut galement ajouter le paramtre affct  l'url cible des contrles semaine prcdente et suivante pour conserver le mode d'affichage du TAF ou des contenus de sances d'une semaine  l'autre
		var href = $('WeekNavLeft').parentNode.readAttribute('href'); // parentNode car l'attribut href est sur le lien <a> qui contient l'image $('WeekNavLeft')
		var fragmentsArray = href.split("?"); // on isole les paramtre URL (query_string)
		var paramUrl = fragmentsArray[1]; // ce qui nous intresse se trouve aprs le ?
		var newHref = fragmentsArray[0] + '?' + affct + '=true' + '&' + paramUrl;
		$('WeekNavLeft').parentNode.writeAttribute('href', newHref);
		var href = $('WeekNavRight').parentNode.readAttribute('href'); // parentNode car l'attribut href est sur le lien <a> qui contient l'image $('WeekNavLeft')
		var fragmentsArray = href.split("?"); // on isole les paramtre URL (query_string)
		var paramUrl = fragmentsArray[1]; // ce qui nous intresse se trouve aprs le ?
		var newHref = fragmentsArray[0] + '?' + affct + '=true' + '&' + paramUrl;
		$('WeekNavRight').parentNode.writeAttribute('href', newHref);
		
		if (elt == 'icon_aff_nopub') // cas particulier du contrle d'affichage/masquage des entres de cahier de textes non publies
		{
			if ($('nopub_legend'))
				$('nopub_legend').style.display = 'inline-block';
		}
	}
	when = ''; // on prvient test_overflow() que c'est au moins sa 2me excution
	test_overflow(); //  chaque clic sur les punaises, on vrifie si le planning sort de son conteneur
}

function test_overflow()
{
	if ($('content-edt').scrollWidth > $('content-edt').clientWidth)
	{
		document.body.style.maxWidth = '100%';
	}
}