/**
 * trombi.js
 *
 * Code grant l'affichage des trombinoscopes dans une lightbox (avec lightview)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

function init() 
{
	/**
	 * Gestionnaire d'vnements
	 */
	// Depuis prototype 1.7 (Event delegation)
	$('contenu_central').on('click', 'img', displayImg); // au clic souris, permet d'afficher la photo
}

function displayImg(event, element)
{
	// On appelle le script show_foto.php qui permet de renvoyer le fichier image (mme si stock hors arborescence web)
	// Il faut d'abord retrouver le chemin d'accs  ce script (on ne peut pas le faire en relatif, car trombi.js est appel depuis diffrents scripts situs  des endroits diffrents de l'arborescence IEW)
	var niveau = recup_url(); // Voil le niveau de profondeur par rapport  la racine iew
	var path = "";
	for (i = 0; i < niveau; i++)
	{
		path = path + "../";
	}
	var url = path + 'prive/show_foto.php?id=';
	// L'attribut rel qui suit permet de donner un aspect "gallery"  l'affichage (sans pour autant permettre le slideshow car Lightview.show ne le permet pas...)
	Lightview.show({ href: url + element.readAttribute('id'), title: element.readAttribute('title'), rel: 'gallery[mygallery]' });
}

function recup_url()
{
	var CurrentUrl = document.URL;
	var f = CurrentUrl.split("/iew/");
	var n = f[1].split("/");
	var niveau = n.length -1;
	return niveau;
}

//on s'assure que le dom est charg pour surveiller les vnements sur certains lments
document.observe('dom:loaded', init);