<?php
/**
 * fonctions_liens.php
 *
 * regroupe les fonctions gnrant des liens HTML
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

function affiche_lien_annuler_la_notification($script,$id_transaction,$champ,$classe,$date)
 //***************************** description *****************************************************************//
 // cette fonction assure l'affichage du lien [Annuler la notification] dans le cahier d'appel (voir c_cahier_appel.php et c_bddabsences.php) mais aussi du lien [Ajouter]
 // Date de cration : 15/12/2004
 // Date de dernire mise  jour : 
 //***************************** Fin description ***********************************************************//
 {
   global $racine;
   $ancre_classe = str_replace(" ","",$classe); // permettra de rediriger l'affichage du cahier d'apppel directement au niveau de la classe
   // $champ est utilis par le script c_cahier_appel.php pour mettre des paramtres supplmentaires dans l'url
   if ($champ !="")
     echo "<a href='".$script."?effacer=ok&amp;id_transaction=".$id_transaction."&amp;".$champ."#$ancre_classe' onclick=\"return(window.confirm('Voulez-vous vraiment annuler cette notification d\'absences ? \\nAttention ! Faite sur un groupe (pas une classe entire), cette annulation sera effective pour les notifications d\'absences de toutes les classes qui composent ce groupe ( l\'horaire considr) !\\nSi vous souhaitez seulement modifier les absences pour une classe qui compose un groupe (sans en affecter les autres classes) cliquez plutt sur le lien [Retirer] ou [Ajouter]\\nEnfin, si l\'annulation porte sur une classe entire, vous pouvez poursuivre sans aucun problme.'));\">[Annuler la notification]</a>";
   else
     echo "<a href='".$script."?effacer=ok&amp;id_transaction=".$id_transaction."#$ancre_classe' onclick=\"return(window.confirm('Voulez-vous vraiment annuler cette notification d\'absences ? \\nAttention ! Faite sur un groupe (pas une classe entire), cette annulation sera effective pour les notifications d\'absences de toutes les classes qui composent ce groupe ( l\'horaire considr) !\\nSi vous souhaitez seulement modifier les absences pour une classe qui compose un groupe (sans en affecter les autres classes) cliquez plutt sur le lien [Retirer] ou [Ajouter]\\nEnfin, si l\'annulation porte sur une classe entire, vous pouvez poursuivre sans aucun problme.'));\">[Annuler la notification]</a>";
   
   if (check_del_access_absences($id_transaction))
   { // ce lien n'est affich que si les autorisations requises sont satisfaites : il s'agit de donner la possibiliter de modifier la liste des absents directement dans le cahier d'appel (lien [Ajouter])
     echo " <a href='".$racine."prive/absences.php?ok=ok&amp;modif_liste=oui&amp;id_transaction=$id_transaction&amp;date=$date'>[Ajouter]</a>";
   }
 }

function affiche_ligne_de_liens($texte_lien1,$texte_lien2)
 //***************************** description *****************************************************************//
 // cette fonction affiche une ligne de lien sur la page formate sous forme de tableau  deux colonnes
 // (une par lien)
 // Date de cration : 12/12/2004
 // Date de dernire mise  jour : 
 //***************************** Fin description ***********************************************************//
 {
   echo "
   <table width='100%' border='0'>
     <tr>
       <td width='50%'>$texte_lien1</td>
       <td width='50%' align='right'>$texte_lien2</td>
     </tr>
   </table>";
 }
?>