<?php 
/**
 * ProfesseurManager.php
 *
 * Gestion des objets de la classe Professeur (CRUD et autres fonctionnalits)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2014 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

class ProfesseurManager
{
	private $db; // instance de l'objet de connexion  la BDD
	
	public function __construct($db)
  	{
    	$this->setDb($db);
  	}
  
	// getters : pas besoin ici
	
  	// setters
  	
	public function setDb(DB $db)
  	{
	    $this->db = $db;
  	}
  	
  	// CRUD
	
	public function add() // Create
	{
		
	}
	
	public function get($id_prof) // Read
	{
		$prof = $this->db->query("SELECT id_individu,civilite,prenom,nom FROM personnel where categorie='7' AND id_individu='$id_prof'");
		return $prof;
	}
	
	public function update()	// Update
	{
		
	}
	
	public function delete()	// Delete
	{
		
	}
	
	// Autres mthodes

	public function getList()
	{
		$liste_profs = $this->db->query("SELECT id_individu,civilite,prenom,nom FROM personnel where categorie='7' ORDER BY nom,prenom");
		return $liste_profs;
    }

    
}
?>