<?php 
/**
 * ServiceEnseignement.php
 *
 * Dfinition de la classe ServiceEnseignement pour la gestion des services d'enseignement de l'tablissement
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2014 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

class ServiceEnseignement extends Hydrator
{
	private		$id_service,
				$code_structure,
				$code_matiere,
				$code_mod_cours,
				$heure,
				$co_ens;
	
	// getters
	
	public function id_service()
	{
		return $this->id_service;
	}

	public function code_structure()
	{
		return $this->code_structure;
	}

	public function code_matiere()
	{
		return $this->code_matiere;
	}

	public function code_mod_cours()
	{
		return $this->code_mod_cours;
	}

	public function heure()
	{
		return $this->heure;
	}

	public function co_ens()
	{
		return $this->co_ens;
	}
	
	// setters

	public function setId_service($id_service)
	{
		$this->id_service = $id_service;
	}

	public function setCode_structure($code_structure)
	{
		$this->code_structure = $code_structure;
	}

	public function setCode_matiere($code_matiere)
	{
		$this->code_matiere = $code_matiere;
	}

	public function setCode_mod_cours($code_mod_cours)
	{
		$this->code_mod_cours = $code_mod_cours;
	}

	public function setHeure($heure)
	{
		$this->heure = $heure;
	}

	public function setCo_ens($co_ens)
	{
		$this->co_ens = $co_ens;
	}

	// Autres mthodes
	
}
?>