<?php
/**
 * somuser.php
 *
 * contient le libell des rubriques, sous-rubriques (avec leur liens) du sommaire
 * relatif aux donnes utilisateurs (tout utilisateur sauf les parents et l'administrateur)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Dans le tableau suivant, pour chaque rubrique, on associe les sous-rubriques et leurs liens
// Si le lien doit ouvrir un pop-up ou un nouvel onglet, sa structure doit tre la suivante :
// $lien = "javascript://chemin_vers_la_cible_du_lien\" title=\"titre_du_lien (nouvelle fentre ou nouvel onglet)\"// onclick='code_du_onclick'" (attribut title obligatoire)
// Ceci permet de passer la validation XHTML (car target='_blank' pas valide)

// Les donnes personnelles sont accessibles  travers des scripts diffrents selon la catgorie de l'utilisateur
switch ($_SESSION['valid_group'])
{
  case "4": // Cas d'un parent
    $url_script = "prive/donnees_parent.php\" title='Consulter ma fiche administrative'";
    $rubriques_somuser = array(
    "Informations personnelles" => array("Mes donnes" => $url_script,"Mes connexions" => "prive/admintraeduweb/users_stats.php?top=log&amp;id_pers=".$_SESSION['valid_id_user']."\" title=\"Consulter l'historique de mes connexions\"")
    );
    break;
  case "2": // Cas d'un lve
    $url_script = "prive/donnees_perso.php\" title='Consulter ma fiche administrative'";
    $rubriques_somuser = array(
    "Informations personnelles" => array("Mes donnes" => $url_script,"Mes connexions" => "prive/admintraeduweb/users_stats.php?top=log&amp;id_pers=".$_SESSION['valid_id_user']."\" title=\"Consulter l'historique de mes connexions\"","Mes notes" => "javascript://".$GLOBALS['url_notation']."\" title='Consulter mes notes (nouvelle fentre ou nouvel onglet)'// onclick='window.open(this.href); return false;'")
    );
    break;
  default: // Pour tous les autres cas
    $url_script = "prive/donnees_perso.php\" title='Consulter ma fiche administrative'";
    $rubriques_somuser = array(
    "Informations personnelles" => array("Mes donnes" => $url_script,"Mes connexions" => "prive/admintraeduweb/users_stats.php?top=log&amp;id_pers=".$_SESSION['valid_id_user']."\" title=\"Consulter l'historique de mes connexions\"")
    );
}
// Dans tous les cas
if ($GLOBALS['auth_method'] == "native" || $_SESSION['auth_method_user'] == 'native') // pour les utilisateurs locaux
{
  	$rubriques_somuser['Informations personnelles']['Changer de mot de passe'] = "prive/mdp.php\" title='Changer mon mot de passe'";
}
// DEBUGG var_dump($rubriques_somuser);
?>