<?php
/**
 * autorisations_domaine.php
 *
 * Renvoie un fichier xml contenant les donnes  afficher dans un formulaire
 * o l'on utilise la "technologie" AJAX (le script d'appel est c_autorisations.php)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

if (isset($_GET['id_domaine']))
{
  // On informe le navigateur qu'il va recevoir un fichier XML
  header('Content-Type: text/xml'); 
  echo "<?xml version=\"1.0\" encoding=\"ISO-8859-1\" ?>\n";
  echo "<description_autorisations_parentales>\n";
  echo "<annotation>\n";
  echo "Ce fichier XML contient les donnes concernant la description des autorisations parentales personnalises pour le ".$GLOBALS['nom_etablissement']."\n";
  echo "</annotation>\n";

  //on connecte a la BDD
  connexion_mysql();
  select_database();

  //on lance la requete pour rcuprer les donnes concernant les autorisations pour le domaine point par id_domaine
  $sql = "SELECT * FROM autorisations_etab WHERE id_domaine=".quote_smart($_GET['id_domaine'])." order by libelle";
  $result = mysql_query($sql);
  if ($result && mysql_num_rows($result)>0)
  {
    //On boucle sur le resultat
    while ($ligne = mysql_fetch_array($result))
    {
      echo "<autorisation>\n";
      echo "<nom_champ>".$ligne['nom_champ']."</nom_champ>\n";
      echo "<libelle>".$ligne['libelle']."</libelle>\n";
      // La balise <![CDATA[ contenu ]]> propre  XML permet au navigateur de ne pas analyser les balises et caractres
      // spciaux  l'intrieur de cette section. A utiliser  chaque fois que le contenu est susceptible de
      // comporter des balises HTML par exemple
      echo "<contenu><![CDATA[".$ligne['detail']."]]></contenu>\n";
      echo "</autorisation>\n";
    }
  }
  echo "</description_autorisations_parentales>\n";
}
?>