<?php
/**
 * c_recherche_absent.php
 *
 * permet de rechercher les absences concernant un lve
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/recherche_absent.php"))
{
  /* initialisations */
  // tout d'abord, s'il y a eu un changement de format (normal vers imprimable ou l'inverse), alors la variable imprimable est fournie dans l'url. Dans ce cas, il faut pouvoir rcuprer le tableau $_POST s'il existe (mais si l'utilisateur a cliqu sur le lien format imprimable (ou normal), ces valeurs ne sont pas transmises par POST, on a donc pris le soin au pralable, aprs toute soumission d'un formulaire de copier le tableau $_POST dans la variable de session $_SESSION['post_imprimable'], on assure ainsi sa transmission d'un format de page  l'autre)
  if (isset($_GET['imprimable']) && isset($_SESSION['post_imprimable']))
    $_POST = $_SESSION['post_imprimable'];
    
  // on tablit une fois pour toutes la connexion avec la base de donne

  connexion_mysql();
  select_database();

  if (isset($_POST['soumettre'])) // si le formulaire a t envoy
  {
    // on commence par chercher si un nom d lve correspond au nom saisi dans la base de donnes	
    $eleve = strtoupper($_POST['eleve']);
    $sql = "SELECT nom,prenom,classe,eleve_id from eleves WHERE nom='".quote_smart($eleve)."' ORDER BY nom,prenom,classe";
    $resultat = mysql_query($sql);
    $nb_eleve = mysql_num_rows($resultat);
    if (mysql_num_rows($resultat))  // si un (ou plusieurs) lve(s) correpond(ent), afficher son (leur) nom
    {
      $nb_eleve = mysql_num_rows($resultat);
      echo "<br /><h1>Rsultat de la recherche des absences<br />de l'lve \"$eleve\"</h1><br />";
      echo "Cette page est un prototype qui sera dvelopp ultrieurement losque le besoin s'en fera sentir. Elle permettra d'afficher pour chaque lve, les dates de ses absences, leur dure et le motif. Voici un aperu (provisoire) du rsultat : <br /><br />";
      echo "<i>Il y a <font color=\"red\"><b>$nb_eleve</b></font> lve(s) correspondant(s) au nom cherch :</i>";
      echo "<table width=\"100%\"><tr><td width=\"33%\"></td><td width=\"33%\"></td><td width=\"33%\">";
      $i=0; // initialisation d un pointeur pour le tableau $affiche qui contiendra le nom des lves trouvs
      while ($ligne=mysql_fetch_array($resultat))
      {
        $affiche[$i] = $ligne["nom"]." ".$ligne["prenom"]." "."(".$ligne["classe"].")";
        $eleve_id[$i] = $ligne['eleve_id'];
        $ancre = $affiche[$i];
        $ancre_value = explode("(",str_replace(" ", "_",$ancre));
        echo "<a href=\"#$ancre_value[0]\">".$affiche[$i]."</a><br />"; // l affichage pointe sur un signet
        $i++;
      } //fin d affichage de la liste des lves dont le nom correspond  celui recherch
      echo "</td></tr></table>";
  
      // affichage du dtail des absences de chaque lve trouv 
      $i =0;   
      foreach ($affiche as $value)
      { 
        echo "<br />";
        $ancre_value = explode("(",str_replace(" ", "_",$value));
        // DEBUGG var_dump($ancre_value);
        echo "<a name=\"$ancre_value[0]\"></a>";
        echo "<h2 class='hidden'>Elve $value</h2><font color=\"red\"><u>Dtail des absences de l'lve $value</u></font>";
        echo "<br /><br />";
        $value = substr($value,0,strlen($value)-6); // formate le nom de l lve en enlevant la classe
        $identifiant_eleve = $eleve_id[$i]; 
        $sql = "SELECT date,debut FROM liste_absents as t1,liste_absents_transactions as t2 WHERE t1.eleve_id='$identifiant_eleve' AND t1.id_transaction=t2.id_transaction ORDER BY t2.date,t2.debut";
        $resultat = mysql_query($sql);
        if (mysql_num_rows($resultat)) // s il y a des absents
        {
          echo "<table class='ctextes edt' width=\"100%\">";
          echo "<tr bgcolor=\"#FFCC99\">";
          echo "<td width=\"50%\" align=\"center\"><b>Date</b></td>";
          echo "<td width=\"50%\" align=\"center\"><b>Heure</b></td></tr>";
          while ($ligne = mysql_fetch_array($resultat))
          {
            echo "<tr><td><font color=\"blue\">";
            echo format_date_long($GLOBALS['default_language'],date_mysql_to_jjmmaaaa($ligne['date']));
            echo "</font></td><td align=\"center\">".$ligne['debut']."</td></tr>";
          } 
          echo "</table>";     
        }
        else // s il n ya pas d absents
        {
          $error_message = array("pas d'absence signale pour cet lve");
          affiche_erreurs($error_message);
        }
        $i++;
      }
    }
    else
    {
     $error_message = array("Aucun lve dans la base de donnes ne porte le nom <font color='red'>$eleve</font>. Recommencez.","");
     affiche_erreurs($error_message);
    }
    // On affiche  nouveau le formulaire pour une autre recherche
    $code_formulaire = "<p><label for='Form_Eleve_Nom'>Entrez le nom de l'lve  rechercher :</label> <input id='Form_Eleve_Nom' type='text' name='eleve' size='15' /></p><br />";
    echo "<br /><center>";
    squelette_formulaire_standard("75%","post",$_SERVER['PHP_SELF'],"Rechercher les absences d'un autre lve",$code_formulaire,"Rechercher","soumettre","Annuler","Annuler","","","");
    echo "</center>";
  } // if $soumettre
  else // sinon on affiche le formulaire de recherche
  {
    echo "<h1>Rechercher les absences d'un lve</h1>";
  	$code_formulaire = "<p><label for='Form_Eleve_Nom'>Entrez le nom de l'lve  rechercher :</label> <input id='Form_Eleve_Nom' type='text' name='eleve' size='15' /></p><br />";
    echo "<center>";
    squelette_formulaire_standard("75%","post",$_SERVER['PHP_SELF'],"Remplissez ce formulaire",$code_formulaire,"Rechercher","soumettre","Annuler","Annuler","","","");
    echo "</center>";
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>