<?php
/**
 * c_remplacants.php
 *
 * Page de gestion des enseignants remplaants
 * 
 * Affiche les remplacements en cours et le formulaire de saisie d'un nouveau remplaant
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */
 
// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/remplacants.php"))
{
	// on vrifie qu'il existe des professeurs sans service susceptible d'tre affects  des remplacements
	// le compte utilisateur doit en effet exister dans la base de donnes IEW
	$sql = "SELECT id_individu FROM personnel WHERE categorie='7' AND id_individu not in(select id_individu FROM enseignants_services)";
	$resultat = mysql_query($sql);
	if (mysql_num_rows($resultat) > 0) // OK, il y en a
	{
		// On va chercher le contenu du formulaire de saisie d'un nouveau remplaant (sera affich + bas)
		include("form_remplacants.php");
	}
	else // pas de professeurs sans service susceptible d'tre affects  des remplacements
	{
		$error_message = array("Il n'y a pas dans la base de donnes de professeur sans service susceptible d'effectuer le remplacement d'un professeur titulaire. Veuillez consulter la documentation IEW pour savoir comment <a href='bdd_pers.php?action=Ajout'>ajouter des professeurs remplaants</a>.","");	
	}
	
	echo "<h1>Gestion des professeurs remplaants</h1>";
	
	// Bloc pour l'affichage du loader AJAX (sans contenu au dpart)
	echo "<div id='wait_message'></div>";
	echo "<div id='add_msg'>"; // bloc pour l'affichage des messages d'erreur ou de succs
	echo "<div id='no_remplacant'>";
	if (isset($error_message)) // Affich au chargement de la page, si pas de professeurs sans service susceptible d'tre affects  des remplacements
	{
		affiche_erreurs($error_message);
	}
	echo "</div>";
	echo "</div>"; 
	echo "<div id='substitutes'>"; // bloc d'affichage de la liste des remplacements en cours
	include("liste_remplatits.php"); // on va chercher la liste des remplacements en cours
	echo "</div>";
	echo "<div id='form_container'>";
	if (isset($contenu_formulaire) && $contenu_formulaire != "") // on affiche le formulaire s'il y a lieu
	{
		echo "<center>";
    	squelette_formulaire_standard("90%","post","do_remplacants.php","<h2 class='hidden'>Ajouter un nouveau professeur remplaant</h2>Ajouter un nouveau professeur remplaant",$contenu_formulaire,"Enregistrer","soumettre","Annuler","annuler","","","","","id='AddSubstituteForm'");
    	echo "</center>";
	}
	echo "</div>";
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>