<?php
/**
 * c_saisie_autorisations.php
 *
 * Page de saisie des autorisations accordes par les reprsentants lgaux
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

function affiche_formulaire_choix_classe()
{
  $code_formulaire = "<center>
  <p>
  <label for='Form_Req_Classe'>Choisissez la classe&nbsp;:</label> 
  <select size='1' name='classe' id='Form_Req_Classe'>";
  if (isset($_GET['classe']))
    $code_formulaire .= "<option selected='selected'>".$_GET['classe']."</option>";
  $tableau_options1=liste_options_form("connect","division","divisions","");
  $code_formulaire.=affiche_liste_options_formulaire($tableau_options1);
  $code_formulaire .="
  </select>
  </p><br /><p>
  <label for='Form_Req_Domain'>Choisissez un domaine&nbsp;:</label>
  <select size='1' name='domaine' id='Form_Req_Domain'>";
  if (isset($_GET['domaine']))
  {
    $fragment = preg_split("#;#",$_GET['domaine']);
    $titre_domaine = $fragment[1];
    $code_formulaire .= "<option selected='selected' value='".$_GET['domaine']."'>".$titre_domaine."</option>";
  }
  $code_formulaire .= "<option></option>";
  $sql = "SELECT titre,id_domaine FROM domaines_autorisations ORDER BY titre";
  $result = mysql_query($sql);
  if ($result && mysql_num_rows($result) >0)
  {
    while ($enregistrement = mysql_fetch_array($result)) // on les affiche
    {
      // La valeur renvoye par le formulaire sera formate ainsi : id_domaine;titre
      // Pour pourvoir rcuprer d'un coup ces deux informations
      $code_formulaire .= "<option value='".$enregistrement['id_domaine'].";".$enregistrement['titre']."'>".$enregistrement['titre']."</option>";
    }
  }
  $code_formulaire .="
  </select>
  </p>
  </center>";
  echo "<br /><center>";
  squelette_formulaire_standard("50%","post",$_SERVER['PHP_SELF'],"<h1 class='hidden'>Saisie des Autorisations Parentales</h1>Saisie des Autorisations Parentales",$code_formulaire,"Valider","soumettre","","","","","");
  echo "</center>";
}

function enregistre_eleve($eleve_id_traite,$valeurs_autorisations)
{
	/**
	 * enregistre les autorisations parentales dans la base de donnes
	 */
	
	global $copie_post, $champs_table;
	
	// DEBUGG print "Fin de traitement pour l'lve n $eleve_id_traite<br />";
        // On va rcuprer la valeur des autorisations (0 = refus, 1 = autorisation) pour chaque champ (item) du domaine d'autorisation en cours, sous forme de chane "0","1","0","0" etc...
        $liste_valeurs_autorisations = "";
        foreach ($valeurs_autorisations as $valeur)
        {
          $liste_valeurs_autorisations .= "\"$valeur\",";
        }
        $liste_valeurs_autorisations = substr($liste_valeurs_autorisations,0,strlen($liste_valeurs_autorisations)-1); // on retire la virgule terminale
        // DEBUGG print "liste des valeurs d'autorisations pour l'lve $eleve_id_traite : "; var_dump($valeurs_autorisations); print "<br />";
        $sql = "INSERT into autorisations_".quote_smart($_POST['id_domaine'])." VALUES($eleve_id_traite,$liste_valeurs_autorisations)";
        // DEBUGG print "<p>Requte  xcuter : $sql</p>";
        if (mysql_query($sql) && mysql_affected_rows()==1) // l'insertion a russi
        {
          // DEBUGG print "L'insertion des autorisations pour l'lve n$eleve_id_traite a russi !<br /><br />";
        }
        elseif (mysql_errno()==1062) // chec de l'insertion (duplicate entry) => on essaie un update
        {
          // DEBUGG print "L'insertion a chou  cause d'un duplicate entry, on cherche  faire un update : ";
        	// Construction de la requte
          $set = "";
          $a = 0;
          foreach ($champs_table as $champ)
          {
            if ($a != 0) // Le 1er champ contient est "eleve_id", on ne s'en occupe pas
            {
              $cle_post = "autorisation_$eleve_id_traite"."_".$a;
              $set .= $champ."='".quote_smart($copie_post[$cle_post])."',";
            }
            $a++;
          }
          $set = substr($set,0,strlen($set)-1); // on retire la virgule terminale
          $sql = "UPDATE autorisations_".quote_smart($_POST['id_domaine'])." SET $set WHERE eleve_id='".quote_smart($eleve_id_traite)."'";
           // DEBUGG print "<p>Requte  xcuter : $sql</p>";
          if (mysql_query($sql)) // l'update a russi
          {
            // DEBUGG print "La mise  jour des autorisations pour l'lve n$eleve_id_traite a russi !<br /><br />";
          }
          else
          {
            // DEBUGG print "La mise  jour des autorisations pour l'lve n$eleve_id_traite a chou !<br /><br />";
          }
        }
        else // Il n'y a eu ni insertion ni update : c'est un problme qu'il faut signaler !
        {
          	// DEBUGG print "La requte a chou : erreur Mysql n".mysql_errno()."<br />";
        	$erreur .= "Les autorisations pour l'lve n<font color='black'><strong>$eleve_id_traite</strong></font> n'ont pas pu tre mises  jour (".mysql_errno().")<br />";
        }
}

/* Dbut du programme principal */

// Un peu de javascript pour changer dynamiquement la couleur du fond des cellules autorisation-refus en fonction du choix dans le formulaire
  echo "
  <script type='text/javascript'>
    function changeCouleur(cellule,couleurFond)
    {
      // Cette fonction modifie la couleur de fond
      cellule.style.backgroundColor = couleurFond;
    }
  </script>";

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/admin/prive/saisie_autorisations.php"))
{
  connexion_mysql();
  select_database();
  
  global $valeurs_autorisations, $copie_post, $champs_table;
  
  if (isset($_GET['unset']) && $_GET['unset'] == "oui") // Pour permettre un changement de classe et/ou de domaine d'autorisation
    unset($_POST);
  if (isset($_POST['soumettre'])) // formulaire de choix de la classe et du domaine d'autorisations valid
  {
    /**** On affiche le formulaire de saisie ****/
    // D'abord le titre
    $fragment = preg_split("#;#",$_POST['domaine']); // on rcupre l'id_domaine et son titre
    $id_domaine = $fragment[0];
    $titre_domaine = $fragment[1];
    echo "<br /><h1>Base Elves. Autorisations du Reprsentant Lgal</h1>";
    echo "<center><h2>Classe : <a href='?unset=oui&amp;domaine=".$_POST['domaine']."' title='Changer de classe'>".$_POST['classe']."</a></h2></center>";
    echo "<center><h3>Domaine : <a href='?unset=oui&amp;classe=".$_POST['classe']."' title='Changer de domaine' style='color:red'>$titre_domaine</a></h3></center>";
    echo "<img src='".$GLOBALS['chemin_relatif']."images/ok.gif' alt='Oui' /> Autorisation";
    echo "&nbsp;&nbsp;&nbsp;<img src='".$GLOBALS['chemin_relatif']."images/no.gif' alt='Non' /> Refus";
    echo "<img src='".$GLOBALS['chemin_relatif']."images/pixel.gif' width='30' alt='' />";
    echo "<img src='".$GLOBALS['chemin_relatif']."images/leg_presel_yes.png' alt='' /> Prslection Oui";
    echo "&nbsp;&nbsp;&nbsp;<img src='".$GLOBALS['chemin_relatif']."images/leg_presel_no.png' alt='' /> Prslection Non";
    echo "<img src='".$GLOBALS['chemin_relatif']."images/pixel.gif' width='30' alt='' />";
    echo "Valeurs actuellement enregistres : <img src='".$GLOBALS['chemin_relatif']."images/pixel.gif' width='10' alt='' /><img src='".$GLOBALS['chemin_relatif']."images/leg_yes.png' alt='' /> Oui";
    echo "&nbsp;&nbsp;&nbsp;<img src='".$GLOBALS['chemin_relatif']."images/leg_no.png' alt='' /> Non";

    // On cherche le nombre d'items et le nom de chacun d'entre eux pour le domaine d'autorisation en cours
    $sql = "SELECT * from autorisations_etab WHERE id_domaine='".quote_smart($id_domaine)."'";
    // DEBUGG print $sql."<br />";
    $result = mysql_query($sql);
    if ($result && mysql_num_rows($result) >0)
    {
      /** affichage du tableau de rsultats **/
      echo "<form method='post' action='".$_SERVER['PHP_SELF']."'>";
      echo "<table width='100%' border='0' cellspacing='5' cellpadding='5'>";
      // d'abord la ligne d'en-tte
      echo "<tr>";
      echo "<th class='fond_sommaire'>Nom  Prnom</th>";
      $num = 1; // Numro d'item initialis  1
      $detail = array(); // ce tableau contiendra le dtail de l'item dans le domaine d'autorisation
      while ($ligne = mysql_fetch_array($result))
      {
        echo "<th class='fond_sommaire'><a href='#' onclick=\"window.open('details_autorisations.php?id=".$ligne['id_autorisation']."','Dtail de l\'autorisation demande','width=500,height=300,scrollbars=1').focus();\" title=\"".$ligne['libelle']."\" >Item $num</a></th>";
        $detail[$num] = $ligne['detail'];
        $num++;
      }
      echo "</tr>";
      // Maintenant les autres lignes, une par lve de la classe
      $sql1 = "SELECT nom,prenom,eleve_id from eleves WHERE classe='".quote_smart($_POST['classe'])."' ORDER BY nom,prenom";
      // DEBUGG print $sql1."<br />";
      $result1 = mysql_query($sql1);
      if ($result1 && mysql_num_rows($result1) >0)
      {
        $k = 0;
        while ($ligne1 = mysql_fetch_array($result1))
        {
          $k++;
          // si $k est pair, on colore lgrement le fond de la cellule, sinon on laisse en blanc
          if (is_int($k/2))
          {
            $class = "corps_formulaire";
          }
          else
          {
            $class = "";
          }
          echo "
          <tr>
          <td class='$class'>".$ligne1['nom']." ".$ligne1['prenom']."</td>";
          // On recherche maintenant, pour cet lve, s'il y a des autorisations dj saisies
          $sql2 = "SELECT * from autorisations_".quote_smart(nospace(noaccent($id_domaine)))." WHERE eleve_id='".$ligne1['eleve_id']."'";
          // DEBUGG print $sql2."<br />";
          $result2 = mysql_query($sql2);
          if ($result2 && mysql_num_rows($result2) > 0)
          {
            $ligne2 = mysql_fetch_array($result2);
          }
          elseif (isset($ligne2))
            unset($ligne2);
          for ($i=1;$i<$num;$i++) // chaque item est parcouru
          {
            if (isset($ligne2[$i])) // si le champ correspondant  l'item est renseign dans la bdd
            {  
              if ($ligne2[$i] == "1")
              {
                echo "
                <td class='$class' style='background-color:#46eb4e' align='center' id='auth$k"."_"."$i'>"; // fond de cellule vert (autorisation)
                echo "
                <input type='radio' name='autorisation_".$ligne1['eleve_id']."_$i' id='autorisation_".$ligne1['eleve_id']."_$i"."_yes' checked='checked' value='1' onclick=\"changeCouleur(document.getElementById('auth$k"."_"."$i'),'#c5ffc8')\" /><img src='".$GLOBALS['chemin_relatif']."images/ok.gif' alt='Oui' />
              <br />
                <input type='radio' name='autorisation_".$ligne1['eleve_id']."_$i' id='autorisation_".$ligne1['eleve_id']."_$i"."_no' value='0' onclick=\"changeCouleur(document.getElementById('auth$k"."_"."$i'),'#ffd5d4')\" /><img src='".$GLOBALS['chemin_relatif']."images/no.gif' alt='Non' />";
              }
              else
              {
                echo "
                <td class='$class' style='background-color:#ff8f8c' align='center' id='auth$k"."_"."$i'>"; // fond de cellule rouge (refus)
                echo "
                <input type='radio' name='autorisation_".$ligne1['eleve_id']."_$i' id='autorisation_".$ligne1['eleve_id']."_$i"."_yes' value='1' onclick=\"changeCouleur(document.getElementById('auth$k"."_"."$i'),'#c5ffc8')\" /><img src='".$GLOBALS['chemin_relatif']."images/ok.gif' alt='Oui' />
              <br />
                <input type='radio' name='autorisation_".$ligne1['eleve_id']."_$i' id='autorisation_".$ligne1['eleve_id']."_$i"."_no' checked='checked' value='0' onclick=\"changeCouleur(document.getElementById('auth$k"."_"."$i'),'#ffd5d4')\" /><img src='".$GLOBALS['chemin_relatif']."images/no.gif' alt='Non' />";
              }
            }
            else // si le champ correspondant  l'item n'est pas renseign dans la bdd
            {
              // Pour limiter le travail de saisie, on prselectionne (couleur verte claire) un autorisation effective
              echo "
              <td class='$class' align='center' style='background-color:#c5ffc8' id='auth$k"."_"."$i'>"; // pas de fond color dfini pour la cellule
              echo "
              <input type='radio' name='autorisation_".$ligne1['eleve_id']."_$i' id='autorisation_".$ligne1['eleve_id']."_$i"."_yes' checked='checked' value='1' onclick=\"changeCouleur(document.getElementById('auth$k"."_"."$i'),'#c5ffc8')\" /><img src='".$GLOBALS['chemin_relatif']."images/ok.gif' alt='Oui' />
              <br />
              <input type='radio' name='autorisation_".$ligne1['eleve_id']."_$i' id='autorisation_".$ligne1['eleve_id']."_$i"."_no' value='0' onclick=\"changeCouleur(document.getElementById('auth$k"."_"."$i'),'#ffd5d4')\" /><img src='".$GLOBALS['chemin_relatif']."images/no.gif' alt='Non' />";
            }
            echo "
            </td>";
          }
          echo "
          </tr>";
        }
      }
      else // pas d'lve trouv dans la classe ou serveur mysql non disponible
      {
        echo "</table>"; // il faut fermer la balise
        $error_message = array("Aucun lve n'a t trouv dans cette classe !","");
        affiche_erreurs($error_message);
        return; // interruption du script
      }
      echo "</table>";
      echo "<div align='right'><input type='submit' name='valid_saisie' id='valid_saisie' value='Valider la saisie' /></div>";
      echo "<input type='hidden' name='id_domaine' id='id_domaine' value='$id_domaine' />"; // Il faudra connatre le domaine d'autorisation
      echo "</form>";
    }
    else
    {
      $error_message = array("Le domaine choisi est introuvable dans la base de donnes. Veuillez contacter l'<a href=\"mailto:".email_encode($admin_email)."\">administrateur du site</a>","");
      affiche_erreurs($error_message);
    }  
  }
  elseif (isset($_POST['valid_saisie']))
  {
    $erreur = "";
    $champs_table = array();
    // On rcupre des informations (la liste des champs) sur la table MySQL concerne par la saisie des autorisations
    $result = mysql_query("SHOW COLUMNS FROM autorisations_".quote_smart($_POST['id_domaine']));
    if (mysql_num_rows($result) > 0)
    {
      while ($row = mysql_fetch_array($result))
      {
        $champs_table[] = $row[0];
      }
    }
    // On traite la saisie : les cls du tableau $_POST correspondantes  des lves sont de la forme "autorisation_(eleve_id)_(nitem)"
    // DEBUGG print "Tableau POST :<br />" ;print_r($_POST); echo "<br />Nom des champ ou items :<br />"; print_r($champs_table); echo "<br />";
    
    // les cls "valid_saisie" et "id_domaine" ne sont pas  prendre en compte car ne correspondent pas  des lves
    // donc on va travailer sur une copie du tabelau $_POST qui ne contiendra que les lves
    $copie_post =  $_POST;
    // On supprime les 2 dernires entres (ne sont pas des lves)
    array_pop($copie_post);
    array_pop($copie_post);
    //var_dump($copie_post);
    $nb_valeurs = count($copie_post);
    // On met  jour la base de donnes
    reset($copie_post);
    $cle = key($copie_post); // On capte la 1re cl (elle contient le mot autorisation_1_2
    // o 1 est l'eleve_id et 2 est l'item d'autorisation n2 dans le domaine saisi
    $fragment = explode("_",$cle);
    $eleve_id_traite = $fragment[1]; // on rcupre l'identifiant du premier lve et on le stocke dans le tableau
    $i = 0;
    foreach ($copie_post as $key => $value) // On rcupre chaque paire cl/valeur du tableau post
    {
      $i++;
      $fragment = explode("_",$key); // la cl contient l'id lve et l'item d'autorisation
      $eleve_id = $fragment[1];
      // DEBUGG print "Elve courant : $eleve_id<br />";
      // DEBUGG print "Elve trait :$eleve_id_traite<br />";
      // Si l'eleve_id vient de changer c'est qu'il faut enregistrer les donnes pour l'lve prcdent
      // mais attention pour le dernier lve trait l'eleve_id ne changera +
      if ($i < $nb_valeurs && $eleve_id != $eleve_id_traite)
      {
        // On enregistre l'lve prcdent
        enregistre_eleve($eleve_id_traite,$valeurs_autorisations);
        $eleve_id_traite = $eleve_id; // Le prochain lve  traiter est l'lve courant
        unset($valeurs_autorisations); // On supprime la variable contenant les valeurs d'autorisations pour l'lve qui vient d'tre trait
        $valeurs_autorisations = array(); // On recre cette variable pour l'lve qui va tre trait
        // L'lve vient de changer, la valeur en cours correspond donc au nouvel lve
        // il faut la stocker avant de terminer la boucle
        $valeurs_autorisations[] = $value;
        
      }
      elseif ($i == $nb_valeurs) // on a fini de lire le dernier lve
      {
      	// il faut enregistrer
      	$valeurs_autorisations[] = $value;
      	enregistre_eleve($eleve_id,$valeurs_autorisations); // mais c'est l'lve courant qu'il faut enregistrer      	
      }
      else // c'est le mme lve, on stocke ses autorisations
      {
        $valeurs_autorisations[] = $value;
      }
      //next($copie_post);
    }
    // fin du traitement des saisies, on effectue le bilan
    if ($erreur != "")
    {
      $error_message = array("<div align='justify'>Les erreurs suivantes ont t rencontres :<br/>$erreur Ceci peut se produire si vous venez de forcer le rechargement de la page : vous pouvez vrifier que vos saisies ont t prise en compte en cliquant <a href='".$_SERVER['PHP_SELF']."'>ici</a>.<br />Si aprs vrification, vos saisies ne sont pas prises en compte, veuillez contacter <a href='mailto:".email_encode($GLOBALS['admin_email'])."'>l'administrateur IntraEduWeb</a></div>","");
      affiche_erreurs($error_message);
      unset($_POST);
      unset($_SESSION['post_imprimable']);
    }
    else
    {
      $ok_message = "La mise  jour des autorisations a t correctement ralise. Vous pouvez <a href='".$_SERVER['PHP_SELF']."'>recommencer pour une autre classe</a>";
      affiche_ok($ok_message);
      unset($_POST);
      unset($_SESSION['post_imprimable']);
    }
  }
  else // Le formulaire de choix de la classe n'a pas t valid, on l'affiche
    affiche_formulaire_choix_classe();
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>