<?php
/**
 * compte_ipr.php
 *
 * Descripteur de contenu (gestion des comptes IPR)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// la page est protge, elle utilise les sessions et le systme d'authentification diffrencie
// le tableau $array_valid_user contient les identifiants des catgories d'utilisateurs autoriss  accder  cette page (voir la table groupes_utilisateurs)

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../../../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");
$chemin_relatif = "../../../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)
$array_valid_user=array("1","5","6"); // catgories d'utilisateurs IEW autoriss  accder  la page
$error_message = check_valid_user($array_valid_user);
$nomfichier ="c_compte_ipr.php";
// Indique le contexte pour l'affichage du datepicker dans le formulaire de saisie (fonction debut_code_html() dans fonctions_affichage.php)
$contexte = "compte_ipr";
$titre_page = "Gestion des comptes locaux des Inspecteurs Pdagogiques Rgionaux";
// Squelette de page utilis
include(IEW_DIR."squelette.php");
?>