<?php
/**
 * exit_archives.php
 *
 * Supprime la variable de session $_SESSION['anscol'] qui permet de prciser
 * l'anne scolaire en consultation dans les archives => on revient donc  l'anne en cours
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// la page est protge, elle utilise les sessions et le systme d'authentification diffrencie
// le tableau $array_valid_user contient les identifiants des catgories d'utilisateurs autoriss  accder  cette page (voir la table groupes_utilisateurs)

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../../../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

$array_valid_user=array("1","3","5","6"); // Seul admin, les profs gestadmin ou la diection peut y avoir accs
$error_message = check_valid_user($array_valid_user);

unset($_SESSION['anscol']);
// Pratique si on consulte le cahier de textes :
if (isset($_SESSION['date_en_cours_consultation']))
	unset($_SESSION['date_en_cours_consultation']);
if (isset($_SESSION['classe_en_cours']))
	unset($_SESSION['classe_en_cours']);
// et on redirige la page vers l'accueil ou vers la page qui permet de choisir une autre archive
if (isset($_GET['autre_archive']) && $_GET['autre_archive'] == "y")
  header("Location: archives.php");
else
{
  	$location = $_SESSION['nouveau_script']; // on retrouve la dernire page affiche avant la sortie des archives, mais dans l'anne en cours
  	header("Location: ".$location);
 	exit;
}
?>