<?php
/**
 * form_remplacants.php
 *
 * Formulaire d'ajout d'un remplaement de professeur
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../../../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

$contenu_formulaire = "
<div id='choix_remplacant'>
	<label for='Form_Req_remplacant'>Choisissez le professeur <u>remplaant</u><br />dans la liste suivante&nbsp;:</label><br /><br />
	<p><select id='Form_Req_remplacant' size='5' name='id_remplacant'>";
$contenu_formulaire .= new_liste_options_form("id_individu","nom,prenom","personnel","categorie='7' AND id_individu not in(select id_individu FROM enseignants_services)","");
$contenu_formulaire .=	"
	</select></p>
</div>
<div id='choix_titulaire'>
	<label for='Form_Req_titulaire'>Choisissez le professeur <u>titulaire</u><br />dans la liste suivante&nbsp;:</label><br /><br />
	<p><select id='Form_Req_titulaire' size='5' name='id_titulaire'>";
$contenu_formulaire .= new_liste_options_form("id_individu","nom,prenom","personnel","categorie=7 AND id_individu not in(SELECT id_titulaire FROM remplacants) AND id_individu in(select id_individu FROM enseignants_services)","");
$contenu_formulaire .=	"
	</select></p>
</div>
<div>&nbsp;</div>"; // Ce dernier div avec un espace inscable, permet un affichage correct sans dbordement

if (isset($_GET['request']) && $_GET['request'] == "ajax")
{
	echo "<center>";
    squelette_formulaire_standard("90%","post","do_remplacants.php","<h2 class='hidden'>Ajouter un nouveau professeur remplaant</h2>Ajouter un nouveau professeur remplaant",$contenu_formulaire,"Enregistrer","soumettre","Annuler","annuler","","","","","id='AddSubstituteForm'");
    echo "</center>";
}
?>