<?php
/**
 * liste_remplatits.php
 *
 * Script appel par include dans c_remplacant.php ou par Ajax.Updater dans remplacants.js 
 
 * Si appel sans paramtre url, Affiche la liste actuelle des remplacements de professeur (div id='substitutes' dans c_remplacants.php)
 * si appel avec paramtre type :
 * type=remplacants => Affiche la liste d'options comprenant les remplacants sans service dans le select id='Form_Req_remplacant' (dans c_remplacants.php)
 * type=titulaires => Affiche la liste d'options comprenant les titulaires non associs (ou pas encore)  un remplacant dans le select id='Form_Req_titulaire' (dans c_remplacants.php)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../../../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

if (!isset($_GET['type']) || $_GET['type'] == "")
{
	// On remplit le div au dpart avec les donnes connues (sera vide si pas de remplacement en cours et sera mis  jour si formulaire de saisie soumis)
	$sql = "SELECT id_remplacant, id_titulaire,nom as nom_remplacant,prenom as prenom_remplacant FROM remplacants, personnel WHERE id_remplacant=id_individu ORDER BY nom_remplacant,prenom_remplacant";
	$resultat = mysql_query($sql);
	$nb_resultats = mysql_num_rows($resultat);
	if ($nb_resultats >0)
	{
		echo "<h2>Remplacements en cours</h2>";
		echo "<table class='ctextes' width='100%'>
        <tr>
          <th class='fond_sommaire topleft'>Nom - Prnom du  remplaant</th>
          <th class='fond_sommaire'>Nom - Prnom du titulaire</th>
          <th class='fond_sommaire topright'>Action</th>
        </tr>";
		$i=0;
		$k = 1;
		while ($ligne=mysql_fetch_array($resultat))
		{
		  if ($k == $nb_resultats)
		  {
		  	$class_add_first = " bottomleft";
      		$class_add_last = " bottomright";
		  }
		  // on recherche le nom + prnom du titulaire remplac
		  $sql = "SELECT nom as nom_titulaire, prenom as prenom_titulaire FROM personnel WHERE id_individu='".$ligne['id_titulaire']."'";
		  $resultat2 = mysql_query($sql);
		  $ligne2 = mysql_fetch_array($resultat2);
		  $i++;
          // si $i est pair, on colore lgrement le fond de la cellule, sinon on laisse en blanc
          if (is_int($i/2))
            $class = "corps_formulaire";
          else
            $class = "";
          echo "
          <tr>
          	<td class='".$class.$class_add_first."'>".$ligne['nom_remplacant']." ".$ligne['prenom_remplacant']."</td>
          	<td class='$class'>".$ligne2['nom_titulaire']." ".$ligne2['prenom_titulaire']."</td>
          	<td class='".$class.$class_add_last."' align='center'><a href='do_remplacants.php?suppr=".$ligne['id_remplacant']."' id='linkSuppr$i' title='Supprimer le remplacement de ".$ligne2['nom_titulaire']." ".$ligne2['prenom_titulaire']." par ".$ligne['nom_remplacant']." ".$ligne['prenom_remplacant']."'><img src='../../../images/delete.png' alt='[Supprimer]' /></a></td>
          </tr>";
          $k++;
		}
		echo "</table>";
	}
}
elseif ($_GET['type'] == "remplacants") // un paramtre 'type' non vide est fourni dans l'url
{
	$response = new_liste_options_form("id_individu","nom,prenom","personnel","categorie='7' AND id_individu not in(select id_individu FROM enseignants_services)","");
	if (!empty($response))
		echo $response;
	else 
	{
		$message = "Il n'y a plus de professeur sans service susceptible d'effectuer le remplacement d'un professeur titulaire. Vous ne pouvez pas pour le moment ajouter des remplacements supplmentaires  la liste actuellement affiche.";
		$error_message = array("$message Veuillez consulter la documentation IEW pour savoir comment <a href='bdd_pers.php?action=Ajout'>ajouter des professeurs remplaants</a>.","");
		affiche_erreurs($error_message);	
	}
}
elseif ($_GET['type'] == "titulaires")
{
	echo new_liste_options_form("id_individu","nom,prenom","personnel","categorie=7 AND id_individu not in(SELECT id_titulaire FROM remplacants) AND id_individu in(select id_individu FROM enseignants_services)","");
}
?>