<?php
/**
 * c_affecter_groupe.php
 *
 * permet d'affecter un groupe (au sens des groupes d'utilisateurs propres  IntraEduWeb)  un utilisateur
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

function mysql_problem()
{
  $error_message = array("Un problme est survenu avec le serveur MySQL. La requte n'a pas pu aboutir. Ressayez ultrieurement.","");
  return $error_message;
}
/* Programme principal */

connexion_mysql();
select_database();

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/admintraeduweb/affecter_groupe.php"))
{
  if (isset($_GET['action']) && $_GET['action']=="retirer") 
  {
      // On va retirer les droits spciaux (admin ou gestadmin)  l'utilisateur concern
      // On cherche d'abord sa catgorie et son groupe de droits par dfaut (attach  cette catgorie)
      $sql = "SELECT t2.id_groupe FROM categories_pers as t2, personnel as t1 WHERE t1.id_pers='".quote_smart($_GET['id_pers'])."' AND t1.categorie=t2.id_cat";
      $resultat = mysql_query($sql);
      $ligne = mysql_fetch_array($resultat);
      // On remet le droit par dfaut de cette catgorie
      $sql = "UPDATE login set id_gpe_utilisateurs='".quote_smart($ligne['id_groupe'])."' WHERE id_pers='".quote_smart($_GET['id_pers'])."'";
      mysql_query($sql);
  }
  if (!isset($_POST['soumettre'])) // Le formulaire n'a pas encore t soumis, on l'affiche
  {
    ?><br />
    <h1>Utilisateurs spciaux</h1>
    <br />
    Certains utilisateurs (appartenant  la liste du personnel de l'tablissement) ont des droits spciaux en fonction du groupe auquel ils appartiennent.<br />Les groupes spciaux sont dcrits dans l'<a href='../../docs/index.php'>aide IntraEduWeb</a>. Ils permettent de grer l'application IntraEduWeb.
    <br /><br />
    Voici la composition actuelle des groupes spciaux :<br /><br />
    <?php
    // composition du groupe admin
    $admin_groupe = array();
    $sql = "SELECT id_pers,nom,prenom FROM login WHERE id_gpe_utilisateurs='1'";
    $resultat = mysql_query($sql);
    if ($resultat && mysql_num_rows($resultat)!=0)
    {
      while ($ligne = mysql_fetch_array($resultat))
      {
        $admin_groupe[] = $ligne['nom']." ".$ligne['prenom'].",".$ligne['id_pers']; // On ajoute l'utilisateur au tableau
      }
    }
    else
    {
      // ceci ne devrait pas se produire
      $error_message = array("La requte vers la base de donne n'a pas pu s'effectuer ou n'a renvoy aucun rsultat concernant le groupe spcial <u>admin</u>","");
      affiche_erreurs($error_message);
    }
    // composition du groupe gestadmin
    $gestadmin_groupe = array();
    $sql = "SELECT id_pers,nom,prenom FROM login WHERE id_gpe_utilisateurs='5'";
    $resultat = mysql_query($sql);
    if ($resultat && mysql_num_rows($resultat)!=0)
    {
      while ($ligne = mysql_fetch_array($resultat))
      {
        $gestadmin_groupe[] = $ligne['nom']." ".$ligne['prenom'].",".$ligne['id_pers']; // On ajoute l'utilisateur au tableau
      }
    }
    else
    {
      $error_message = array("La requte vers la base de donne n'a pas pu s'effectuer ou n'a renvoy aucun rsultat concernant le groupe spcial <u>gestadmin</u>","");
      affiche_erreurs($error_message);
    }
    // On complte le tableau d'affichage
    echo "<center>
    <div class='encadrer'>
    <table width='100%' border='0'>
    <tr><th>Groupe <font color='red'><u>admin</u></font></th><th>Groupe <font color='red'><u>gestadmin</u></font></th></tr>";
    echo "<tr><td valign='top'><center>";
    echo "<table><tr><td>";
    echo "admin-iew<br />"; // admin fait toujours partie du groupe admin bien sr !
    foreach ($admin_groupe as $value)
    {
      $fragment = explode(",",$value);
      $nom = $fragment[0];
      $id_pers = $fragment[1];
      if (trim($nom)!="") // On vite d'afficher un nom vide (ex: admin n'a pas de nom ni de prenom)
        echo $nom." <a href='".$_SERVER['PHP_SELF']."?action=retirer&amp;grp=admin&amp;id_pers=$id_pers'>[Retirer]</a><br />";
    }
    echo "</td></tr></table>";
    echo "</center></td><td valign='top'><center>";
    echo "<table><tr><td>";
    foreach ($gestadmin_groupe as $value)
    {
      $fragment = explode(",",$value);
      $nom = $fragment[0];
      $id_pers = $fragment[1];
      if (trim($nom)!="")
        echo $nom." <a href='".$_SERVER['PHP_SELF']."?action=retirer&amp;grp=admin&amp;id_pers=$id_pers'>[Retirer]</a><br />";
    }
    echo "</td></tr></table>";
    echo "</center></td></tr></table></div></center><br />";
    
    // Voici le formulaire d'affectation de groupe
    $code_formulaire = "<br /><div align='justify'>
    En vous aidant de la liste ci-dessus, vous pouvez affecter ou changer l'affectation d'un groupe sur un ou plusieurs utilisateurs.<br /><font color='red'><u><b>ATTENTION</b></u></font> : tous les utilisateurs slectionns se verront affecter le mme groupe ! (car vous ne pouvez slectionner qu'un seul groupe dans ce formulaire)<br />Faites donc bien attention  vos slections pour ne pas donner des droits trop importants  certains utilisateurs !</div><hr />
    <table width='100%' border='0'>
    <tr>
      <td valign='top' width='70%'>
        <label for='Form_Req_user'>Slectionnez un (ou plusieurs) <b>utilisateur(s)</b> dans la liste suivante&nbsp;:</label><br />
      </td>
      <td width='70%'>
        &nbsp;
      </td>
      <td valign='top' width='70%'>
        <label for='Form_Req_group'>Slectionner le <b>groupe</b>  affecter&nbsp;:</label><br />
      </td>
    </tr>
    <tr>
      <td width='70%'>
        <br />
        <select id='Form_Req_user' size='5' multiple='multiple' name='id_user[]'>";
        $code_formulaire .= new_liste_options_form("id_pers","nom,prenom","personnel","","");
        $code_formulaire .= "
        </select>
      </td>
      <td width='70%'>
        &nbsp;
      </td>
      <td>
      <br />
        <select id='Form_Req_group' size='5' name='id_groupe'>";
        $code_formulaire .= new_liste_options_form("id_groupe","nom","groupes_utilisateurs","","");
        $code_formulaire .= "</select>
      </td>
    </tr>
    </table><br />
    <div align='justify'><font color='red'><i>Pour une slection multiple, maintenez la touche CTRL enfonce et cliquez sur les utilisateurs choisis</i></font></div>";
    echo "<center>";
    squelette_formulaire_standard("75%","post",$_SERVER['PHP_SELF'],"Affecter/changer un groupe",$code_formulaire,"Valider","soumettre","Annuler","","","","");
    echo "</center>";
  }
  else // Le formulaire est soumis
  {
    // Les entres viennent de la base de donne ou codes en dur dans le formulaire (elles ne viennent donc pas de l'utilisateur)
    // Donc on ne vrifie pas les entres, on traite tout de suite l'affectation de groupe spcial
    // Par contre, il faut quand mme vrifier si l'utilisateur a bien renseign les champs !
    if (isset($_POST['id_user']) && isset($_POST['id_groupe'])) // Si le formulaire prcdent est bien rempli, on vrifie juste la dfinition de ces variables (ne peuvent tre vides, si elles existent)
    {
      $tab_id_user = $_POST['id_user'];
      $id_groupe = $_POST['id_groupe'];
      // on traite l'affectation de groupe spcial
      // On affecte le nouveau groupe  chaque utilisateur slectionn
      $where = "";
      foreach ($tab_id_user as $value)
      {
        $where .= "id_pers='".quote_smart($value)."' OR ";
      }
      $where = substr($where,0,-4); // on retire le OR orphelin (les 4 derniers caractres)
      $sql = "UPDATE login SET id_gpe_utilisateurs='".quote_smart($id_groupe)."' WHERE $where";
      if (!mysql_query($sql) || mysql_affected_rows()==0)
      {
        $error_message = array("La nouvelle affectation de groupe n'a pas pu tre inscrite dans la base de donnes. Veuillez <a href='".$_SERVER['PHP_SELF']."'>Ressayer</a>.","");
        affiche_erreurs($error_message);
        return;
      }
      else
      {
        echo "<br />";
        $ok_message = "Les modications d'affectation de groupe ont t correctement inscrites dans la base de donnes. <a href='".$_SERVER['PHP_SELF']."'>Consulter la nouvelle composition des groupes spciaux</a>.";
        affiche_ok($ok_message);
        //  faire aprs chaque validation dfinitive de formulaire pour viter des problmes avec le changement de format d'affichage
        unset($_SESSION['post_imprimable']);
        return;
      }
    }
    else // Les champs de formulaire ne sont pas tous remplis
    {
      $error_message = array("Certains champs ne sont pas remplis ! Veuillez <a href='".$_SERVER['PHP_SELF']."'>recommencer</a> SVP","");
      affiche_erreurs($error_message);
      unset($_SESSION['post_imprimable']);
      return;
    }
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>