<?php
/**
 * c_demandes_mdp.php
 *
 * liste les utilisateurs ayant fait une demande de mot passe suite  la perte du leur
 * et cre  la vole un document PDF contenant les codes d'accs  communiquer
 * utilis uniquement en mode d'authentification native ou pour les utilisateurs locaux
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Le script en cours doit tre le script d'appel prvu
if ($_SERVER['PHP_SELF'] == $GLOBALS['racine']."prive/admintraeduweb/demandes_mdp.php")
{
  connexion_mysql();
  select_database();
  // On traite une suppression ventuelle
  if (isset($_GET['action']) && $_GET['action'] == "supprimer")
  {
    $sql = "delete FROM demande_mdp WHERE id_pers='".quote_smart($_GET['id_pers'])."' AND date='".quote_smart($_GET['date'])."'";
    if (!mysql_query($sql) || mysql_affected_rows() == 0)
    {
      $error_message = array("La demande de mot de passe de cette personne n'a pas pu tre supprime !","");
      affiche_erreurs($error_message);
    }
    else
    {
      $ok_message = "La demande de mot de passe de cette personne a t supprime !";
      affiche_ok($ok_message);
    }
  }
  // On va rechercher la liste des demandeurs de mot de passe
  $sql = "SELECT * FROM demande_mdp WHERE date_satisfaction IS NULL ORDER BY usercat,nom,prenom,date";
  $resultat = mysql_query($sql);
  if ($resultat && mysql_num_rows($resultat))
  { 
      $cat_users = array("2"=>"lve","3"=>"Professeur","4"=>"Parent d'lve","6"=>"Membre du personnel","11"=>"IPR");
    
      echo "<h1>Liste de demandes de mots de passe en cours</h1>";
      echo "<br />
      <table class='ctextes edt'>
      <tr>
        <th class='fond_sommaire topleft'>Nom</th>
        <th class='fond_sommaire'>Prnom</th>
        <th class='fond_sommaire'>Catgorie</th>
        <th class='fond_sommaire'>Date de la demande</th>
        <th class='fond_sommaire topright'>Action</th>
      </tr>";
      $k=0;
      while ($ligne=mysql_fetch_array($resultat))
      { 
        $k++;
        // si $k est pair, on colore lgrement le fond de la cellule, sinon on laisse en blanc
        if (is_int($k/2))
        {
          $class = "corps_formulaire";
        }
        else
       {
          $class = "";
        }
        if ($k == mysql_num_rows($resultat)) // dernire ligne, on arrondit les coins
        {
        	$class_add_left = " bottomleft";
        	$class_add_right = " bottomright";
        }
        else
       {
        	$class_add_left = "";
        	$class_add_right = "";
        }
        echo "
        <tr>
          <td class='$class$class_add_left'>".$ligne['nom']."</td>
          <td class='$class'>".$ligne['prenom']."</td>
          <td class='$class'>".$cat_users[$ligne['usercat']]."</td>
          <td class='$class'>".date_mysql_to_jjmmaaaa($ligne['date'])."</td>
          <td class='$class$class_add_right'><a href='?id_pers=".$ligne['id_pers']."&amp;usercat=".$ligne['usercat']."&amp;action=diffuser'><img src='".$GLOBALS['chemin_relatif']."images/mini_enveloppe.png' alt='Diffuser' title='Cre le nouveau mot de passe et la lettre de diffusion' onclick=\"alert('Veuillez patienter quelques instants pendant la gnration de la lettre de diffusion du nouveau mot de passe : le fichier PDF correspondant va tre transmis  votre navigateur. Une fois que ce sera fait, veuillez recharger cette page pour mettre  jour la liste de demandes.');\"/></a>
          <img src='".$GLOBALS['chemin_relatif']."images/pixel.gif' width='10' alt='espace' />
          <a href='?id_pers=".$ligne['id_pers']."&amp;action=supprimer&amp;date=".$ligne['date']."'><img src='".$GLOBALS['chemin_relatif']."images/no.gif' alt='Supprimer' title='Supprime la demande' /></a></td>
        </tr>";
      }
      echo "</table>";
  }
  else
  {
    $error_message = array("Il n'y a aucune demande de mot de passe en cours.","");
    affiche_erreurs($error_message);
  }
  
  // On affiche maintenant (s'il y en a) des demandes dj satisfaites
  $sql = "SELECT * FROM demande_mdp WHERE date_satisfaction IS NOT NULL ORDER BY usercat,nom,prenom,date";
  $resultat = mysql_query($sql);
  if ($resultat && mysql_num_rows($resultat))
  {
    echo "<h1>Liste de demandes dj satisfaites</h1>";
    $cat_users = array("2"=>"lve","3"=>"Professeur","4"=>"Parent d'lve","6"=>"Membre du personnel","11"=>"IPR");
      echo "<br /><i>Le tri est dfini par les critres suivants : catgorie d'utilisateur, nom, prenom, et enfin date de satisfaction</i><br />
      <table class='ctextes edt'>
      <tr>
        <th class='fond_sommaire topleft'>Nom</th>
        <th class='fond_sommaire'>Prnom</th>
        <th class='fond_sommaire'>Catgorie</th>
        <th class='fond_sommaire'>Date de la demande</th>
        <th class='fond_sommaire topright'>Date de satisfaction</th>
      </tr>";
      $k=0;
      while ($ligne=mysql_fetch_array($resultat))
      { 
        $k++;
        // si $k est pair, on colore lgrement le fond de la cellule, sinon on laisse en blanc
        if (is_int($k/2))
        {
          $class = "corps_formulaire";
        }
        else
       {
          $class = "";
        }
        if ($k == mysql_num_rows($resultat)) // dernire ligne, on arrondit les coins
        {
        	$class_add_left = " bottomleft";
        	$class_add_right = " bottomright";
        }
        else
       {
        	$class_add_left = "";
        	$class_add_right = "";
        }
        echo "
        <tr>
          <td class='$class$class_add_left'>".$ligne['nom']."</td>
          <td class='$class'>".$ligne['prenom']."</td>
          <td class='$class'>".$cat_users[$ligne['usercat']]."</td>
          <td class='$class'>".date_mysql_to_jjmmaaaa($ligne['date'])."</td>
          <td class='$class$class_add_right'>".date_mysql_to_jjmmaaaa($ligne['date_satisfaction'])."</td>
        </tr>";
      }
      echo "</table>";
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>