<?php
/**
 * demandes_mdp.php
 *
 * Descriptif de la page listant les utilisateurs ayant fait une demande de mot passe suite  la perte du leur
 * utilis uniquement en mode d'authentification native ou pour les utilisateurs locaux
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// la page est protge, elle utilise les sessions et le systme d'authentification diffrencie
// le tableau $array_valid_user contient les identifiants des catgories d'utilisateurs autoriss  accder  cette page (voir la table groupes_utilisateurs)

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");
require_once(IEW_DIR."lib/fpdf/fpdf.php");
include(CONF_DIR."k.php");

$array_valid_user=array("1"); // seul l'admin a une autorisation d'accs
$error_message = check_valid_user($array_valid_user);

$chemin_relatif = "../../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

function diffuse_new_mdp($passwd)
{
  // Cre  la vole un document PDF, lettre de diffusion du nouveau mot de passe  l'utilisateur
  // Cette lettre devra ensuite tre imprime par l'admin IEW et diffuse directement auprs de l'utilisateur
  // concern
  
  $objet = "Communication de votre nouveau mot de passe pour l'accs  l'application IntraEduWeb (IEW) de l'tablissement";
  $intro = "Suite  votre dclaration de perte de votre mot de passe concernant l'accs  l'application IntraEduWeb de notre tablissement, je vous en communique un nouveau. Les codes d'accs doivent tre renseigns sur le formulaire de connexion au service  l'adresse :";
  if (empty($_SERVER['HTTPS']))
      $protocole = "http://";
    else
      $protocole = "https://";
  $adresse_intranet = $protocole.$_SERVER['HTTP_HOST'].$GLOBALS['racine']."?log=locale";

  switch($_GET['usercat'])
  {
    case "2": // C'est un lve
      // On rcupre les infos utiles
      $sql = "SELECT t1.nom,t1.prenom,t1.classe,t1.code_sexe,t2.nomlogin FROM eleves as t1,login as t2 WHERE id_eleve='".quote_smart($_GET['id_pers'])."' AND id_eleve=id_pers";
      $resultat = mysql_query($sql);
      if ($resultat && mysql_num_rows($resultat) >0)
      {
        $ligne = mysql_fetch_array($resultat);
        $nom = $ligne['nom'];
        $prenom = $ligne['prenom'];
        $classe = $ligne['classe'];
        $nomlogin = $ligne['nomlogin'];
      }
      else
      {
        $error_message = array("<div align='justify'>Les informations concernant cet lve, ncessaire  l'laboration de la lettre de diffusion de son nouveau mot de passe n'ont pas pu tre trouves. La lettre de diffusion n'est donc pas cre.</div>","");
        affiche_erreurs($error_message);
      }
      $destinataire = "$nom $prenom\n(Classe de $classe)";
      // Si c'est une fille
      if ($ligne['code_sexe'] == "2")
      {
        $titre = "Mademoiselle,";
        $civilite = "mademoiselle";
        $civilite_courte = "Mlle";
      }
      else // Si c'est un garon
      {  
        $titre = "Monsieur,";
        $civilite = "monsieur";
        $civilite_courte = "M.";
      }
      $conclusion = "Certain de votre attention  l'gard des  mesures de scurit, et souhaitant votre satisfaction des services numriques proposs par notre tablissement, je vous prie de recevoir, $civilite, mes sincres salutations.";
      break;
    
    case "4": // C'est un parent d'lve
      // On rcupre les infos utiles
       $sql = "SELECT t1.personne_id, lc_civilite,nom,prenom, t1.adresse_id, 
       	AES_DECRYPT(ligne1_adresse,'".$GLOBALS['crypt_key']."') as ligne1_adresse,
   		AES_DECRYPT(ligne2_adresse,'".$GLOBALS['crypt_key']."') as ligne2_adresse,
   		AES_DECRYPT(ligne3_adresse,'".$GLOBALS['crypt_key']."') as ligne3_adresse,
   		AES_DECRYPT(ligne4_adresse,'".$GLOBALS['crypt_key']."') as ligne4_adresse,
   		AES_DECRYPT(code_postal,'".$GLOBALS['crypt_key']."') as code_postal,
   		AES_DECRYPT(libelle_postal,'".$GLOBALS['crypt_key']."') as libelle_postal,
   		mel, 
   		AES_DECRYPT(tel_personnel,'".$GLOBALS['crypt_key']."') as tel_personnel, 
   		AES_DECRYPT(tel_mobile,'".$GLOBALS['crypt_key']."') as tel_mobile, 
   		AES_DECRYPT(tel_professionnel,'".$GLOBALS['crypt_key']."') as tel_professionnel,
   		nomlogin as t3
   		FROM responsables as t1, adresses_responsables as t2, nomlogin as t3 WHERE id_pers='".quote_smart($_GET['id_pers'])."') AND t1.adresse_id=t2.adresse_id AND t1.id_pers=t3.id_pers";
      $resultat = mysql_query($sql);
      if ($resultat && mysql_num_rows($resultat) >0)
      {
          $ligne = mysql_fetch_array($resultat);
        
          if ($ligne['lc_civilite'] == "M.")
            { 
              $titre = "Monsieur,";
              $civilite = "monsieur";
              $civilite_courte = "M.";
            }
            elseif ($ligne['lc_civilite'] == "MME")
            { 
              $titre = "Madame,";
              $civilite = "madame";
              $civilite_courte = "Mme";
            }
            // rien si lc_civilit contient NULL
            $nom = $ligne['nom'];
            $prenom = $ligne['prenom'];
            $adresse = $ligne['ligne1_adresse'];
            // on ajoute le complment d'adresse si ncessaire
            for ($i=2;$i<=4;$i++)
            {
            	if ($ligne["ligne".$i."_adresse"] != "")
            	{
            		$adresse .= "\n".$ligne["ligne".$i."_adresse"];
            	}
            }
            $code_postal = $ligne['code_postal'];
            $commune = $ligne['libelle_postal'];
            $nomlogin = $ligne['nomlogin'];    
      }
      else
      {
        $error_message = array("<div align='justify'>Les informations concernant ce parent d'lve, ncessaire  l'laboration de la lettre de diffusion de son nouveau mot de passe n'ont pas pu tre trouves. La lettre de diffusion n'est donc pas cre.</div>","");
        affiche_erreurs($error_message);
      }
      // d'autres informations  rcuprer => les enfants scolariss dans l'tablissement
      $liste_enfants = "";
      $sql = "SELECT t1.nom,t1.prenom,t1.classe FROM eleves as t1, responsables_eleves as t2 WHERE t1.eleve_id=t2.eleve_id AND t2.personne_id='".$ligne['personne_id']."'";
      $resultat = mysql_query($sql);
      if ($resultat && mysql_num_rows($resultat) >0)
      {
        while ($ligne = mysql_fetch_array($resultat))
        {
          $liste_enfants .= "- ".$ligne['nom']." ".$ligne['prenom']." (Classe de ".$ligne['classe'].")\n";
        }
      }
      else
      {
        $error_message = array("<div align='justify'>Les informations concernant <strong>les enfants</strong> de ce parent d'lve, ncessaire  l'laboration de la lettre de diffusion de son nouveau mot de passe n'ont pas pu tre trouves. La lettre de diffusion n'est donc pas cre.</div>","");
        affiche_erreurs($error_message);
      }
      $destinataire = "$nom $prenom\n$adresse\n$code_postal $commune";
      $conclusion = "Certain de votre attention  l'gard des  mesures de scurit, et souhaitant votre satisfaction des services numriques proposs par notre tablissement, je vous prie de recevoir, $civilite, mes sincres salutations.";
      break;
    
      case "6":
      // On rcupre les infos utiles
      $sql = "SELECT civilite,t1.nom,t1.prenom,nomlogin FROM personnel as t1,login as t2 WHERE t1.id_pers='".quote_smart($_GET['id_pers'])."' AND t1.id_pers=t2.id_pers";
      $resultat = mysql_query($sql);
      if ($resultat && mysql_num_rows($resultat) >0)
      {
        $ligne = mysql_fetch_array($resultat);
        $civilite = $ligne['civilite'];
        $nom = $ligne['nom'];
        $prenom = $ligne['prenom'];
        $nomlogin = $ligne['nomlogin'];
      }
      else
      {
        $error_message = array("<div align='justify'>Les informations concernant ce membre du personnel, ncessaire  l'laboration de la lettre de diffusion de son nouveau mot de passe n'ont pas pu tre trouves. La lettre de diffusion n'est donc pas cre.</div>","");
        affiche_erreurs($error_message);
      }
      $destinataire = "$civilite $nom $prenom";
      $titre = "Cher(chre) collgue,";
      $conclusion = "Certain de votre attention  l'gard des  mesures de scurit, et souhaitant votre satisfaction des services numriques proposs par notre tablissement, je vous prie de recevoir, cher(chre) collgue, mes sincres salutations.";
      break;
    
    case "11": // c'est un IPR
      // Cette partie sera trs peu utilise et ncessitera peut-tre des modifs :
      // - Message plus personnalis pour IPR
      // - indication du nb de jours restants pour le maintien de l'activation du compte
      $sql = "SELECT t1.nom,t1.prenom,nomlogin FROM ipr as t1,login as t2 WHERE t1.id_pers='".quote_smart($_GET['id_pers'])."' AND t1.id_pers=t2.id_pers";
      $resultat = mysql_query($sql);
      if ($resultat && mysql_num_rows($resultat) >0)
      {
        $ligne = mysql_fetch_array($resultat);
        $nom = $ligne['nom'];
        $prenom = $ligne['prenom'];
        $nomlogin = $ligne['nomlogin'];
      }
      else
      {
        $error_message = array("<div align='justify'>Les informations concernant cet IPR, ncessaire  l'laboration de la lettre de diffusion de son nouveau mot de passe n'ont pas pu tre trouves. La lettre de diffusion n'est donc pas cre.</div>","");
        affiche_erreurs($error_message);
      }
      $destinataire = "Mme ou M. $nom $prenom";
      $titre = "Madame, monsieur,";
      $conclusion = "Certain de votre attention  l'gard des  mesures de scurit, et souhaitant votre satisfaction des services numriques proposs par notre tablissement, je vous prie de recevoir, madame, monsieur, mes sincres salutations.";
      break;
    
    default:
      // Cas pour tout membre de la communaut ducative autre que les cas dj traits
      // On rcupre les infos utiles
      $sql = "SELECT nom,prenom,nomlogin FROM login WHERE t1.id_pers='".quote_smart($_GET['id_pers'])."'";
      $resultat = mysql_query($sql);
      if ($resultat && mysql_num_rows($resultat) >0)
      {
        $ligne = mysql_fetch_array($resultat);
        $nom = $ligne['nom'];
        $prenom = $ligne['prenom'];
        $nomlogin = $ligne['nomlogin'];
      }
      else
      {
        $error_message = array("<div align='justify'>Les informations concernant cette personne, ncessaire  l'laboration de la lettre de diffusion de son nouveau mot de passe n'ont pas pu tre trouves. La lettre de diffusion n'est donc pas cre.</div>","");
        affiche_erreurs($error_message);
      }
      $destinataire = "$prenom $nom";
      $titre = "Cher(chre) collgue,";
      $conclusion = "Certain de votre attention  l'gard des  mesures de scurit, et souhaitant votre satisfaction des services numriques proposs par notre tablissement, je vous prie de recevoir, cher(chre) collgue, mes sincres salutations.";    	
  }

  //***************************** Gnration de la lettre PDF ****************************
  //**************************************************************************************
  //Instanciation de la classe
  $pdf=new FPDF();
  $pdf->AddPage();
  $pdf->SetMargins(20,20,20); // 2cm de marges (tous cts)

  //******************** En-tte de la premire page ************************
  //(comme il n'y a que la premire page qui a un entte, on ne passe par
  // la function Header() de la classe PDF extends FPDF)
  //*************************************************************************
  //Logo
  $pdf->Image($GLOBALS['stock_baselev']."logo_en_etab.jpg",10,8,50);
  //Police Times Gras 10
  $pdf->SetFont("Times","",10);
  //Dcalage  droite de 10cm
  $pdf->Cell(100);
  // Dcalage de 13cm  droite et 2cm en bas par rapport aux marges
  $pdf->SetXY(130,20);
  //Titre
  $pdf->MultiCell(60,5,"L'administrateur IntraEduWeb\n\n\n\n$civilite_courte $destinataire",0,"L");
  //Saut de ligne
  $pdf->Ln(20);

  //********************** l'objet de la lettre *******************************
  //***************************************************************************
  $pdf->SetFont("Times","BU",10);
  $pdf->setX(20);
  $pdf->Cell(15,10,"Objet :",0,0,"L");
  $pdf->SetFont("Times","",10);
  $pdf->Cell(0,10,$objet,0,1,"L");

  //********************** Dbut "Madame, monsieur" ****************************
  //****************************************************************************
  $pdf->setXY(20,90);
  $pdf->Cell(0,10,$titre,0,1,"L");

  //********************** Corps de la lettre **********************************
  //****************************************************************************
  $pdf->Ln(10);
  $pdf->MultiCell(0,5,$intro);
  $pdf->SetTextColor(0,66,255);
  $pdf->SetFont("Times","U",10);
  $pdf->Cell(0,5,$adresse_intranet,0,1,"C",0,$adresse_intranet);
  $pdf->SetFont("Times","",10);
  $pdf->SetTextColor(0,0,0);
  $pdf->Ln();
  $pdf->MultiCell(0,5,"Je vous rappelle que le navigateur Mozilla Firefox est vivement recommand (http://www.mozilla.org/fr/firefox/fx/) pour un confort d'utilisation, d'affichage et de scurit accrus.",0,"L");
  $pdf->Ln();
  $pdf->SetFont("Times","U",10);
  $pdf->Cell(35,5,"Votre identifiant :",0,0,"L",0);
  $pdf->SetFont("Helvetica","BI",9);
  $pdf->Cell(0,5,"$nomlogin",0,1,"L",0);
  $pdf->SetFont("Times","U",10);
  $pdf->Cell(35,5,"Votre mot de passe :",0,0,"L",0);
  $pdf->SetFont("Helvetica","BI",9);
  $pdf->Cell(0,5,"$passwd",0,1,"L",0);
  if (stristr($passwd,"o") || stristr($passwd,"l") || stristr($passwd,"0"))
  {
    $pdf->Ln();
    $pdf->SetFont("Helvetica","I",9);
    $pdf->MultiCell(0,5,"Attention : Ne confondez pas 1 (chiffre un) et l (lettre L minuscule) ainsi que o (lettre o minuscule), O (lettre o majuscule), et 0 (chiffre zro)",1);
  }
  $pdf->SetFont("Times","",10);

  if (isset($liste_enfants)) // Cas de la diffusion de la lettre  un parent d'lve
  {
    $expr_enfants = "votre/vos enfant(s)";
    $pdf->Ln();
    $pdf->MultiCell(0,5,"Ces codes vous permettent d'accder  travers l'application IntraEduWeb, entre autres, au cahier de textes et  la fiche individuelle de $expr_enfants :");
    $pdf->SetFont("Times","I",10);
    $pdf->MultiCell(0,5,"\n$liste_enfants"); // on affiche la liste des enfants du responsable
    $pdf->SetFont("Times","",10);
  }
  $pdf->Ln();
  $pdf->MultiCell(0,5,"L'tablissement met tous les moyens  sa disposition pour garantir une scurit maximale des informations changes, notamment en tablissant une connexion scurise (crypte) entre notre serveur et votre navigateur.
Cependant, quelque soit la complexit de la chane de scurit, celle-ci reste vulnrable par son maillon le plus faible : l'utilisateur (vous). Vous avez donc une part importante de responsabilit  laquelle vous devez tre sensibilis(e). C'est pourquoi les consignes suivantes, simples mais efficaces, doivent tre scrupuleusement respectes :

1) Vos codes d'accs sont strictement personnels et confidentiels. Ils ne doivent en aucun cas tre communiqus (volontairement ou involontairement)   des tiers. Stockez ce document en lieu sr.

2) Certaines techniques de piratage peuvent rcuprer vos codes, comme par exemple le phishing, qui consiste  vous envoyer un mail en se faisant passer par une autorit de confiance (votre banque, votre tablissement scolaire...), laquelle vous demande pour diverses raisons, de lui fournir vos codes d'accs : NE LE FAITES EN AUCUN CAS.

3) Lors du remplissage du formulaire de connexion, votre navigateur vous demandera si vous souhaitez que le gestionnaire de mot de passe se souvienne de vos codes d'accs : rpondez Jamais pour ce site. 
NE REPONDEZ SURTOUT PAS Oui, auquel cas le formulaire serait pr-rempli lors de votre prochaine visite, ce qui permettrait  un tiers se servant de votre ordinateur par la suite, de se faire passer pour vous (l'usurpation d'identit est punie par la loi), et accder ainsi  des informations qui ne lui sont pas destines.

4) Ne quittez jamais votre ordinateur sans vous tre au pralable dconnect de l'application IEW, ne ft-ce que pour quelques minutes.

Ces mesures de scurit sont lmentaires : elles font partie de l'apprentissage et de la matrise des technologies de l'information et de la communication en gnral et ne sont pas spcifiques  l'application IEW (il en est de mme pour la consultation d'un compte bancaire en ligne par exemple).

Je vous rappelle qu'une documentation dtaille, spcialement rdige pour chaque catgorie d'utilisateur de l'application IEW, est disponible dans l'espace Documentation, aprs votre connexion. Vous pouvez la consulter en ligne, ou bien l'imprimer.");
$pdf->Ln();
$pdf->MultiCell(0,5,"$conclusion");

  //**************************** signature *********************************
  //************************************************************************
  $pdf->Ln(10);
  $pdf->MultiCell(0,5,"L'administrateur de l'application IntraEduWeb\n".$GLOBALS['admin_name'],0,"R");
  $y=$pdf->GetY();
  $pdf->Image($GLOBALS['stock_baselev']."sign_admin.jpg",160,$y,30);

  $pdf->Output();
}

if (isset($_GET['action']) && $_GET['action']=="diffuser")
{
  connexion_mysql();
  select_database();
      // On commence par vrifi si le logo de l'tablissement et la signature de l'admin IEW + le chef d'tablissement ont t installs
      $missing_file = "";
      $missing_list = "";
      if (!file_exists($GLOBALS['stock_baselev']."logo_en_etab.jpg"))
      {
        $missing_file .= "- le logo de l'tablissement pour les en-ttes des courriers officiels<br />";
        $missing_list .= "logo_en_etab.jpg+";
      }
      if (!file_exists($GLOBALS['stock_baselev']."sign_admin.jpg"))
      {
        $missing_file .= "- la signature de l'administrateur IEW pour les courriers officiels<br />";
        $missing_list .= "sign_admin.jpg+";
      }
      if (!file_exists($GLOBALS['stock_baselev']."sign_boss.jpg"))
      {
        $missing_file .= "- la signature du chef d'tablissement (avec cachet) pour les courriers officiels<br />";
        $missing_list .= "sign_boss.jpg+";
      }
      // Si au moins l'un des fichiers manque, il faut les mettre  jour ! Dans le cas contraire le script est abandonn est la cration  la vole du document PDF n'aura pas lieu
      if ($missing_file != "")
      {
        $missing_list = substr($missing_list,0,strlen($missing_list)-1); // on retire le + terminal
        $error_message = array("<div align='justify'>Pour pouvoir gnrer le document de diffusion du nouveau mot de passe de l'utilisateur, il vous manque les lments suivants :<br />$missing_file<br />Veuillez <a href='javascript://' onclick=\" window.open('".$GLOBALS['chemin_relatif']."prive/admintraeduweb/maj_logos_sign.php?missing=$missing_list','Mise_a_jour_logo_sign_etab','toolbar=no,location=no,directories=no,menuBar=no,scrollbars=yes,resizable=no,status=no,width=500,height=430')\">Mettre  jour</a> ces lments SVP. Quand ce sera fait, <strong><u>rechargez</u></strong> cette page.<br /<br /><a href='".$_SERVER['PHP_SELF']."'>[Retour  la Liste de demandes de mots de passe en cours]</a></div>","");
        affiche_erreurs($error_message);
        return;
      }
      // On cre le nouveau mot de passe 8 caractres
      $passwd = random_password("8");
	  // Sa dure de validit est paramtrable dans config.php (en nombre de mois)  moins que la table semab soit renseigne
      $sql = "SELECT dbt_ete FROM semab";
      $resultat = mysql_query($sql);
      if ($resultat && mysql_num_rows($resultat) > 0) // la table semab est renseigne : a date limite de validit du mot de passe est la date de fin d'anne scolaire
      {
    	$ligne = mysql_fetch_array($resultat);
    	$limit_date_passwd = $ligne['dbt_ete']; // cette date limite pourra tre remodifie automatiquement lors de la saisie des dates du calendrier scolaire (voir c_saisie_semab.php)
      }
      if (!isset($limit_date_passwd))
      {
    	$today = strtotime(date("Y-m-d"));
    	$upto = $today+60*60*24*30*$GLOBALS['validite_mdp'];
    	$limit_date_passwd = date("Y-m-d",$upto);	
      }
      // On l'enregistre
      $sql = "update login set mot_pass='".md5($passwd)."',limit_date_passwd='".quote_smart($limit_date_passwd)."' WHERE id_pers='".quote_smart($_GET['id_pers'])."'";
      if (!mysql_query($sql) || mysql_affected_rows() != 1)
      {
        $error_message = array("Le nouveau mot de passe n'a pas pu tre enregistr dans la base de donnes !","");
        affiche_erreurs($error_message);
      }
      else
      {
        // On va le diffuser
        diffuse_new_mdp($passwd);
        // On indique la demande comme satisfaite
        $sql = "update demande_mdp set date_satisfaction=NOW() WHERE id_pers='".quote_smart($_GET['id_pers'])."' AND date_satisfaction IS NULL";
        mysql_query($sql);
      }
}
else // Si pas d'action dfinie dans les paramtres d'appel du script ou bien le paramtre action vaut autre chose que "diffuser" (ex : "supprimer") => affichage de la liste des demandes (page normale)
{

  // Voici le script du contenu qui sera affich dans le corps de la page
  $nomfichier ="c_demandes_mdp.php";

  // Squelette de page utilis
  include(IEW_DIR."squelette.php");
}
?>