<?php
/**
 * maj_logos_sign.php
 *
 * description de la page de mise  jour des logos et signature des documents officiels de l'tablissement
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

$array_valid_user=array("1","5","6"); // Seul le groupe admin gestadmin, direction a une autorisation d'accs
$error_message = check_valid_user($array_valid_user);

$chemin_relatif = "../../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="c_maj_logos_sign.php";

// Squelette de page utilis
include(IEW_DIR."squelette.php");
?>