<?php
/**
 * bddabsences.php
 *
 * descripteur de contenu de la page affichant le cahier d'appel des classes
 * (authentification, titre de la page, squelette de page utilis, sommaire utilis, contenu inclus)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// la page est protge, elle utilise les sessions et le systme d'authentification diffrencie
// le tableau $array_valid_user contient les identifiants des catgories d'utilisateurs autoriss  accder  cette page (voir la table groupes_utilisateurs)

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");
require_once(IEW_DIR."lib/fonctions_edt.php"); // fonctions spcifiques

$chemin_relatif = "../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

// authentification
$array_valid_user=array("1","3","6","8"); // les groupes admin, profs, direction et surveillants ont une autorisation d'accs
$error_message = check_valid_user($array_valid_user);

// contenu
$nomfichier ="admin/c_bddabsences.php";

$contexte = "absences"; // Dfinit le contexte de la page pour afficher les lments de sommaires adapts

// Squelette de page utilis
include(IEW_DIR."squelette.php");
?>