<?php
/**
 * bddelev.php
 *
 * descriptif du contexte de la page de consultation de la base lves
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// la page est protge, elle utilise les sessions et le systme d'authentification diffrencie
// le tableau $array_valid_user contient les identifiants des catgories d'utilisateurs autoriss  accder  cette page (voir la table groupes_utilisateurs)

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

$array_valid_user=array("1","3","5","6","8","9","10"); // ces groupes ont seuls une autorisation d'accs (
$error_message = check_valid_user($array_valid_user);

// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="admin/c_bddelev.php";
$chemin_relatif = "../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

// Squelette de page utilis
//include(IEW_DIR."squelette.php");
include(IEW_DIR.$GLOBALS['repertoire_theme']."imprimable.php");
?>