<?php
/**
 * c_coordonnateurs.php
 *
 * liste les coordonnateurs matires
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Le script en cours doit tre le script d'appel prvu
if ($_SERVER['PHP_SELF'] == $GLOBALS['racine']."prive/coordonnateurs.php")
{
  connexion_mysql();
  select_database();
$annee_scol = annee_scolaire_en_cours();
  if ($annee_scol == "")
    $annee_scol = "(non dfinie)";
  echo "<br /><h1>Liste des Coordonnateurs matires<br />Anne scolaire ".$annee_scol."</h1>";
  $sql ="SELECT libelle_long,t2.* FROM coordonnateurs as t1, personnel as t2, matieres_sconet as t3 WHERE t1.id_individu=t2.id_individu AND t1.code_matiere=t3.code_matiere ORDER BY t1.code_matiere";
  // DEBUGG print $sql;
  $resultat = mysql_query($sql);
  if ($resultat)
  {
    $nb_resultats = mysql_num_rows($resultat);
  	if ($nb_resultats > 0)
    {
      echo "
      <br />
      <center>
      <table class='ctextes edt'>
        <tr>
          <th class='fond_sommaire topleft'>Matire</th>
          <th class='fond_sommaire topright'>Professeur coordonnateur</th>
        </tr>";
      $i=0; // variable utilise pour contrler la parit du numro de ligne dans le tableau des rsultats pour colorer diffremment une ligne sur deux le fond de la cellule
      while ($ligne = mysql_fetch_array($resultat))
      {
        $civilite = $ligne['civilite'];
        $nom = $ligne['nom'];
        $prenom = $ligne['prenom'];
        $matiere = $ligne['libelle_long'];
        $i++;
        // si $i est pair, on colore lgrement le fond de la cellule, sinon on laisse en blanc
        if (is_int($i/2))
        {
          $class = "";
        }
        else
       {
          $class = "ligne_impaire";
        }
        if ($i == $nb_resultats)
      	{
      		$class_add_first = " bottomleft";
      		$class_add_last = " bottomright";
      	}
        echo "
        <tr>
          <td class='$class"."$class_add_first' align='left'>
            <b>$matiere</b>
          </td>";
        // lien vers la fiche personnelle si le visiteur est membre du groupe admin,gestadmin ou direction
        if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
        {
          echo "
          <td class='$class"."$class_add_last' align='left'><a href='../prive/admin/prive/bdd_pers.php?action=Modifier_une_fiche&id_pers=".$ligne['id_pers']."&nom=".$ligne['nom']."&prenom=".$ligne['prenom']."&datenaiss=".date_mysql_to_jjmmaaaa_tiret($ligne['datenaiss'])."&categorie=".$ligne['categorie']."&sous_categorie=".$ligne['sous_categorie']."&activite=".$ligne['activite']."&discipline=".$ligne['discipline']."&civilite=".$ligne['civilite']."'>$civilite $nom $prenom</a></td>";
        }
        else
       {
          echo "
          <td class='$class"."$class_add_last'>$civilite $nom $prenom</td>";
        }
        echo "
        </tr>";
      }
      echo "
      </table></center>";
    }
    else
    {
      $mess = "";
      if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5")
        $mess = " Veuillez renseigner les <a href='".$GLOBALS['chemin_relatif']."prive/admin/prive/maj_coord.php'>Coordonnateurs matires</a>.";
      $error_message = array("La table des coordonnateurs matires ne contient aucune donne.".$mess,"");
      affiche_erreurs($error_message);
      return;
    }
  }
  else
  {
    $error_message = array("Le serveur de base de donnes est indisponible. Veuillez ressayer ultrieurement.","");
    affiche_erreurs($error_message);
    return;
  }
  if (isset($_SESSION['valid_group']) && ($_SESSION['valid_group']=="1" || $_SESSION['valid_group']=="5" )) // pour admin ou gestadmin
  {
    if ((isset($_GET['imprimable']) && $_GET['imprimable'] == "non") || !isset($_GET['imprimable']))
    {
    	// on affiche le formulaire de gestion administrative de ces pages
  		if ($_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
  		{
	      // seulement en format normal (pas en format imprimable)
    	  echo "
      		<a name='bas'></a>
      		<br />
      		<center>";
      		$code_formulaire = "
      		<br />Cet accs est strictement rserv aux personnes charges de la gestion administrative de l'intranet, comme le secrtariat de l'tablissement par exemple.<br /><br />
      		<a href='".$GLOBALS['racine']."prive/admin/prive/maj_coord.php'>Mise  jour des Coordonnateurs matires</a>
      		<br /><br />";
      		squelette_formulaire_standard("75%","","","Rserv  l'administration",$code_formulaire,"","","","","","","");
      		echo "
      		</center>";
  		}
    }
}
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>