<?php
/**
 * c_donnees_parent.php
 *
 * page donnant accs aux donnes personnelles d'un parent d'lve
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

function affiche_form()
{
  echo "<center><div class='encadrer_justifie'>Voici toutes les donnes personnelles vous concernant dans la base de donnes. Conformment  la loi Informatique et liberts, vous disposez d'un droit d'accs et de rectification que vous pouvez exercer en contactant les services administratifs de l'tablissement.<font color='red'> Merci de bien vouloir signaler toute erreur repre au secrtariat de l'tablissement.</font></div></center>";
  global $ligne,$id_user;
  // DEBUGG var_dump($ligne);
  if (isset($_POST) && count($_POST)!=0) // Le formulaire a dj t post, mais un champ manque ou contient une valeur invalide => il faut rafficher le formulaire avec les valeurs transmises
    $tab = $_POST; // voil les valeurs transmises
  else
    $tab = $ligne; // initialisation d'un tableau, qui contient les donnes personnelles du parents telles qu'elles ont t rcupres dans la base
  // Voil le formulaire
        $code_formulaire = "<br />
        <div align='justify'>
        Merci d'indiquer dans le formulaire ci-dessous les modifications <u>ventuelles</u> de vos donnes personnelles, en compltant les champs correspondants et cliquez sur le bouton [Enregistrer les modifications]<br />
        Ce formulaire de collecte de donnes respecte <a href='javascript://' onclick=\"window.open('".$GLOBALS['chemin_relatif']."cnil_art32.php?usercat=".$_SESSION['valid_group']."','CNIL_article32','toolbar=no,location=no,directories=no,menuBar=no,scrollbars=yes,resizable=no,status=no,width=500,height=500');return false;\">les recommandations de la CNIL</a>
        </div>
        <br />
        <h2 class='hidden'>Donnes me concernant</h2><div class='titre_cadre_formulaire' align='left'><b>Donnes me concernant</b></div>
        <div class='cadre_formulaire_gris' align='left'>
        <p>
        <label for='Form_Req_Nom'>Nom</label>&nbsp;:
         <input type='text' name='nom' id='Form_Req_Nom' size='25' value=\"".stripslashes($tab['nom'])."\" /> 
         <label for='Form_Req_Prenom'>Prnom</label>&nbsp;: 
         <input type='text' name='prenom' id='Form_Req_Prenom' size='25' value=\"".stripslashes($tab['prenom'])."\" />
        </p>
        <p>
        <label for='Form_Req_Adresse'>Adresse</label>&nbsp;: 
        <input type='text' name='ligne1_adresse' id='Form_Req_Adresse' size='30' value=\"".stripslashes($tab['ligne1_adresse'])."\" />
        </p>
        <p>
        <label for='Form_Req_Code_postal'>Code postal</label>&nbsp;: <input type='text' name='code_postal' id='Form_Req_Code_postal' size='5' value='".$tab['code_postal']."' /> 
        <label for='Form_Req_Commune'>Commune</label>&nbsp;: <input type='text' name='libelle_postal' id='Form_Req_Commune' size='30' value=\"".stripslashes($tab['libelle_postal'])."\" />
        </p>
        <p>
        <label for='Form_Tel_Personnel'>Tl (fixe)</label>&nbsp;: <input type='text' name='tel_personnel' id='Form_Tel_Personnel' size='13' value='".numtel($tab['tel_personnel'])."' /> 
        <label for='Form_Tel_Mobile'>Tl (mobile)</label>&nbsp;: <input type='text' name='tel_mobile' id='Form_Tel_Mobile' size='13' value='".numtel($tab['tel_mobile'])."' />
        </p>
        <p>
        <label for='Form_Email'>Email</label>&nbsp;: <input type='text' name='mel' id='Form_Email' size='60' value='".$tab['mel']."' />
        </p>
        </div>
        <br />
        <h2 class='hidden'>Donnes concernant mon/mes enfants</h2><div class='titre_cadre_formulaire' align='left'><b>Donnes concernant mon/mes enfants</b></div>
        <div class='cadre_formulaire_gris' align='center'>";
        $sql1 = "SELECT t1.id_eleve,t1.nom,t1.prenom,t2.resp_legal,t3.libelle_court FROM eleves as t1, responsables_eleves as t2, liens_parente as t3 WHERE t1.eleve_id=t2.eleve_id AND t2.personne_id='".$ligne['personne_id']."' AND t2.code_parente=t3.code_parente";
        // DEBUGG print $sql1."<br />";
        $resultat1 = mysql_query($sql1);
        $code_formulaire .= "
        <table width='100%' border='0' cellspacing='5' cellpadding='5'>
        <tr>
          <th class='fond_sommaire'>Nom - Prnom de l'enfant</th>";
          $code_formulaire .= "
          <th class='fond_sommaire'>Titulaire de Responsabilit lgale</th>
          <th class='fond_sommaire'>Responsabilit Lgale</th>
        </tr>";
        $i=0;
        while ($ligne1=mysql_fetch_array($resultat1))
        {
          $i++;
          // si $i est pair, on colore lgrement le fond de la cellule, sinon on laisse en blanc
          if (is_int($i/2))
            $class = "corps_formulaire";
          else
            $class = "";
          $code_formulaire .= "
          <tr>
            <td class='$class' align='center'>
              <a href='admin/fichelev.php?id_eleve=".$ligne1['id_eleve']."' title='Voir sa fiche personnelle'>".$ligne1['nom']." ".$ligne1['prenom']."</a>
            </td>
            <td class='$class' align='center'>";
             $code_formulaire .= $ligne1['libelle_court']."
            </td>
            <td class='$class' align='center'>";
             if ($ligne1['resp_legal'] != 1 && $ligne1['resp_legal'] != 2)
             {
             	$code_formulaire .= "NON";
             }
             else
             {
             	$code_formulaire .= "OUI";
             }
             $code_formulaire .="
            </td>
          </tr>";
        }
        $code_formulaire .= "</table>";
        $code_formulaire .= "
        </div>
        ".info_champs_obligatoires()."<br /> ";
        echo "<br /><center>";
        squelette_formulaire_standard("100%","post","donnees_parent.php?".$_SERVER['QUERY_STRING'],"<h1 class='hidden'>Consulter/Modifier mes donnes personnelles</h1>Consulter/Modifier mes donnes personnelles",$code_formulaire,"Enregistrer les modifications","soumettre","Annuler","annuler","","","");
        echo "</center>";
        affiche_mention_cnil();
}

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/donnees_parent.php"))
{
  global $ligne,$id_user;
  connexion_mysql();
  select_database();
  // On dtermine l'identifant numrique de l'utilisateur dont on veut voir la fiche personnelles
  if (isset($_GET['id_pers']) && $_GET['id_pers'] != "" && $_SESSION['valid_group'] == "1") // Si id_pers prsent dans l'url ET que la page est demande par un administrateur
    $id_user = $_GET['id_pers']; // alors l'identifiant numrique est celui spcifi dans l'url
  else
    $id_user = $_SESSION['valid_id_user']; // sinon l'identifiant numrique est celui de l'utilisateur qui demande la page
  //print_r($_POST); echo "<br />";
  // On rcupre les donnes parentales depuis la base et on les stocke dans des variables de session
  $sql = "SELECT t1.personne_id, lc_civilite,nom,prenom, t1.adresse_id, AES_DECRYPT(ligne1_adresse,'".$GLOBALS['crypt_key']."') as ligne1_adresse,
   AES_DECRYPT(ligne2_adresse,'".$GLOBALS['crypt_key']."') as ligne2_adresse,
   AES_DECRYPT(ligne3_adresse,'".$GLOBALS['crypt_key']."') as ligne3_adresse,
   AES_DECRYPT(ligne4_adresse,'".$GLOBALS['crypt_key']."') as ligne4_adresse,
   AES_DECRYPT(code_postal,'".$GLOBALS['crypt_key']."') as code_postal,
   AES_DECRYPT(libelle_postal,'".$GLOBALS['crypt_key']."') as libelle_postal,
   mel, 
   AES_DECRYPT(tel_personnel,'".$GLOBALS['crypt_key']."') as tel_personnel, 
   AES_DECRYPT(tel_mobile,'".$GLOBALS['crypt_key']."') as tel_mobile, 
   AES_DECRYPT(tel_professionnel,'".$GLOBALS['crypt_key']."') as tel_professionnel 
   FROM responsables as t1, adresses_responsables as t2 WHERE (personne_id='".$_SESSION['identifiant_individu']."' OR id_pers='$id_user') AND t1.adresse_id=t2.adresse_id";
  // DEBUGG print $sql."<br />";
  $resultat = mysql_query($sql);
  if ($resultat)
  {
    if (mysql_num_rows($resultat)>0)
    {
      $ligne = mysql_fetch_array($resultat);
      // On sauvegarde certaines valeurs actuelles dans une variable de session
      $_SESSION['ancien_nom']= $ligne['nom'];
      $_SESSION['ancien_prenom']= $ligne['prenom'];
      $_SESSION['adresse_id']= $ligne['adresse_id'];
      $_SESSION['ancien_adresse']= $ligne['ligne1_adresse'];
      $_SESSION['ancien_code_postal']= $ligne['code_postal'];
      $_SESSION['ancien_libelle_postal']= $ligne['libelle_postal'];
      $_SESSION['ancien_tel_personnel']= $ligne['tel_personnel'];
      $_SESSION['ancien_tel_mobile']= $ligne['tel_mobile'];
      $_SESSION['ancien_mel']= $ligne['mel'];
    } 
    else 
    { 
      $error_message = array("Il n'y aucune donne personnelle vous concernant dans la base de donnes. Veuillez prvenir le secrtariat de l'tablissement.","");
      affiche_erreurs($error_message);
      return;
    }
  }
  else
  {
    $error_message = array("Il est impossible pour le moment d'accder  vos informations personnelles. Veuillez ressayer ultrieurement.","");
    affiche_erreurs($error_message);
    return;
  }
  if (isset($_POST['soumettre'])) // Le formulaire est soumis
  {
    // Si le formulaire est soumis, on enregistre les modifications dans la table parents
    // On vrifie d'abord certaines choses
    // Pas de valeurs vides sur nom, prenom, ligne1_adresse, libelle_postal
    if ($_POST['nom']=="" || $_POST['prenom']=="" || $_POST['ligne1_adresse']=="" || $_POST['libelle_postal']=="")
    {
      $error_message = array("Certains champs obligatoires sont vides !","");
      affiche_erreurs($error_message);
      affiche_form();
      return;
    }
    // Le format du code postal (format numrique non vide de 5 caractres)
    $code_postal = $_POST['code_postal'];
    if ($code_postal=="" || !preg_match("#^[0-9]{5}$#",$code_postal))
    {
      $error_message = array("Le code postal n'est pas valide !","");
      affiche_erreurs($error_message);
      affiche_form();
      return;
    }
    // Le format des n de tlphone (au moins un n tel doit tre fourni -fixe ou mobile-)
    if ($_POST['tel_personnel']=="" && $_POST['tel_mobile']=="")
    {
      $error_message = array("Vous devez remplir au moins l'un des champs <strong>Tl&nbsp;(fixe)</strong> ou <strong>Tl&nbsp;(mobile)</strong> !","");
      affiche_erreurs($error_message);
      affiche_form();
      return;
    }
    $tel_personnel = str_replace(" ","",$_POST['tel_personnel']); // On retire les espaces ventuels de saisie
    $tel_mobile = str_replace(" ","",$_POST['tel_mobile']); // On retire les espaces ventuels de saisie
    // Les n lorqu'ils sont fournis doivent tre  10 chiffres
    if (($tel_personnel!="" && !preg_match("#^[0-9]{10}$#",$tel_personnel)) || ($tel_mobile!="" && !preg_match("#^[0-9]{10}$#",$tel_mobile)))
    {
      $error_message = array("Les numros de tlphone doivent comporter <strong>10&nbsp;chiffres</strong>&nbsp;!","");
      affiche_erreurs($error_message);
      affiche_form();
      return;
    }
    // Le format de l'email (si champ renseign)
    if ($_POST['mel']!="")
    {
      $mel = trim(htmlspecialchars($_POST['mel']));
      if (!email_check($mel, $error_message))
      {
        // la fonction renvoie un message d'erreur sous la form d'une chane
        $error_message = array("$error_message",""); // on la transforme en tableau pour permettre l'affichage par le systme d'affichage des messages d'erreurs (qui s'attend  avoir un tableau  traiter)
        affiche_erreurs($error_message);
        affiche_form();
        return;
      }
    }
    else
      $mel = "";
    // On prpare les donnes
    $nom_parent = stripslashes($_POST['nom']); // Au cas o php.ini active les magic quotes
    $prenom_parent = stripslashes($_POST['prenom']); // Au cas o php.ini active les magic quotes
    $ligne1_adresse = stripslashes($_POST['ligne1_adresse']); // Au cas o php.ini active les magic quotes
    $libelle_postal = stripslashes($_POST['libelle_postal']); // Au cas o php.ini active les magic quotes
    // dernier nettoyage
    $nom_parent=trim(htmlspecialchars(quote_smart($nom_parent)));
    $prenom_parent=trim(htmlspecialchars(quote_smart($prenom_parent)));
    $ligne1_adresse=trim(htmlspecialchars(quote_smart($ligne1_adresse)));
    $libelle_postal=trim(htmlspecialchars(quote_smart($libelle_postal)));
    $tel_personnel = trim(htmlspecialchars(quote_smart($tel_personnel)));
    $tel_mobile = trim(htmlspecialchars(quote_smart($tel_mobile)));
    // si des donnes ont chang, on update la table parents
    $flag_error = false;
    $crypt_key = $GLOBALS['crypt_key']; // on accde  la cl de cryptage
    if ($nom_parent!=$_SESSION['ancien_nom'] || $prenom_parent!=$_SESSION['ancien_prenom'] ||$ligne1_adresse!=$_SESSION['ancien_adresse'] || $code_postal!=$_SESSION['ancien_code_postal'] || $libelle_postal!=$_SESSION['ancien_libelle_postal'] || $tel_personnel!=$_SESSION['ancien_tel_personnel'] || $tel_mobile!=$_SESSION['ancien_tel_mobile'] || $mel!=$_SESSION['ancien_mel'])
    {
      // On tente une mise  jour de la base de donnes
      $sql2 = "UPDATE responsables SET nom='$nom_parent',prenom='$prenom_parent',tel_personnel=AES_ENCRYPT('$tel_personnel','$crypt_key'),tel_mobile=AES_ENCRYPT('$tel_mobile','$crypt_key'),mel='".quote_smart($mel)."' WHERE personne_id='".$_SESSION['identifiant_individu']."' OR id_pers='$id_user'";
      // DEBUGG print $sql2."<br />";
      if (!mysql_query($sql2) || mysql_affected_rows() == -1)
      {
      	$flag_error = true;
      }
      $sql3 = "UPDATE adresses_responsables SET ligne1_adresse=AES_ENCRYPT('$ligne1_adresse','$crypt_key'),code_postal=AES_ENCRYPT('".quote_smart($code_postal)."','$crypt_key'),libelle_postal=AES_ENCRYPT('$libelle_postal','$crypt_key') WHERE adresse_id='".$_SESSION['adresse_id']."'";
      // DEBUGG print $sql3."<br />";
      if (!mysql_query($sql3) || mysql_affected_rows() == -1)
      {
      	$flag_error = true;
      }
      if (!$flag_error)
      {
        $ok_message = "<div align='justify'>Vos donnes personnelles ont t mises  jour avec succs !<br />Le service administratif sera averti par mail automatique et procdera  la mise  jour de ces informations dans les fichiers administratifs de scolarit. Vous pouvez vrifier ces donnes dans le formulaire ci-dessous et ventuellement y apporter une modification (si ncessaire).</div>";
        affiche_ok($ok_message);
        // Information immdiate => par mail
        // Voici le mail
        $message = "Bonjour,\n\nCeci est un message automatique envoy par l'application IntraEduWeb du ".$GLOBALS['nom_etablissement']." :\n\nDes donnes parentales personnelles ont t modifies par ".$_SESSION['ancien_prenom']." ".$_SESSION['ancien_nom']." dans l'application IEW. Merci de mettre  jour ces nouvelles donnes dans le fichier scolarit (SCONET) de l'tablissement :\n\nLes modifications concernent :\n";
        if ($nom_parent!=$_SESSION['ancien_nom'])
          $message .= "- le NOM : $nom_parent\n";
        if ($prenom_parent!=$_SESSION['ancien_prenom'])
          $message .= "- le PRENOM : $prenom_parent\n";
        if ($ligne1_adresse!=$_SESSION['ancien_adresse'])
          $message .= "- l'ADRESSE : $ligne1_adresse\n";
        if ($code_postal!=$_SESSION['ancien_code_postal'])
          $message .= "- le CODE POSTAL : $code_postal\n";
        if ($libelle_postal!=$_SESSION['ancien_libelle_postal'])
          $message .= "- la LIBELLE POSTAL : $libelle_postal\n";
        if ($tel_personnel!=$_SESSION['ancien_tel_personnel'])
          $message .= "- le numro du TELEPHONE PERSONNEL (fixe) : $tel_personnel\n";
        if ($tel_mobile!=$_SESSION['ancien_tel_mobile'])
          $message .= "- le numro du TELEPHONE MOBILE : $tel_mobile\n";
        if ($mel!=$_SESSION['ancien_mel'])
          $message .= "- l'EMAIL : $mel\n"; 
        // DEBUGG var_dump($message); print "<br />";
        // Ce message doit tre morcel en lignes de 70 cc max pour la fonction mail()
        $message = wordwrap($message, 70);
        $entetes_additionnels = "From: ".$GLOBALS['nom_etablissement']."<".$GLOBALS['email_etablissement'].">\n";
        // Si chec du mail automatique, lui communiquer autrement (mail manuel, ou de vive voix...)
        if (!mail($GLOBALS['email_etablissement'],"Modifications de donnes parentales dans l'application IntraEduWeb du ".$GLOBALS['nom_etablissement'],$message,$entetes_additionnels))
        {
          $error_message = array("
          <div align='justify'>
          Suite  un problme technique, le service administratif de l'tablissement n'a pas pu tre inform <strong>par mail</strong> des modifications que vous avez effectues. Pour une mise  jour rapide de ces informations dans les fichiers administratifs, merci de contacter le secrtariat pour l'informer des changements. 
          </div>","");
          affiche_erreurs($error_message);
        }
        
        // Affichage du formulaire de contrle des infos persos
        affiche_form();
        unset($_POST);
        unset($_SESSION['post_imprimable']);
      }
      else // l'update n'a pas pu se faire
      {
        $error_message = array("<div align='justify'>Les changements ont dj t effectus (vrifiez dans le formulaire ci-dessous) ou n'ont pas pu tre enregistrs dans la base de donnes. Dans ce cas, veuillez ressayer ultrieurement. Si le problme persiste, prenez contact avec votre <a href='mailto:".email_encode($GLOBALS['admin_email'])."'>administrateur IEW.</a></div>","");
        affiche_erreurs($error_message);
        affiche_form();
      }
    }
    else // il n'y a pas d'update  faire
    {
      $error_message = array("<div align='justify'>Il n'y a pas de changement par rapport aux donnes prsentes dans la base : aucune modification n'a t effectue. Le formulaire ci-dessous contient l'tat actuel de vos donnes personnelles; veuillez vrifier si tout est correct SVP.</div>","");
      affiche_erreurs($error_message);
      affiche_form();
    }
  }
  else // formulaire non soumis
  {
    // On affiche la fiche du parent sous forme de formulaire Editable
    affiche_form();
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>