<?php
/**
 * c_donnees_perso.php
 *
 * Page donnant accs  la consultation des donnes personnelles d'un utilisateur
 * Certaines portions de ce script sont des copies de portions de c_fichelev.php
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

function affiche_donnees_parents() // Copi de c_fichelev.php
{
  global $ligne_parents,$code_formulaire;
  $tab = $ligne_parents; // initialisation d'un tableau, qui contient les donnes personnelles du parents telles qu'elles ont t rcupres dans la base
  if ($tab['resp_legal'] != 0)
  {
  	$qualite = "Responsable Lgal n".$tab['resp_legal'];
  }
  else
  {
  	$qualite = "Autre personne";
  }
  $code_formulaire .="
  <div class='titre_cadre_formulaire' align='left'><b>Contacts famille =&gt; ".$qualite."</b></div>
  <div class='cadre_formulaire_gris' align='center'>
  <p>
  <label for='Form_Nom".$tab['resp_legal']."'>Nom&nbsp;:</label> <input type='text' name='nom' id='Form_Nom".$tab['resp_legal']."' size='25' value=\"".stripslashes($tab['nom'])."\" readonly='readonly' />
  <label for='Form_Prenom".$tab['resp_legal']."'>Prnom&nbsp;:</label> <input type='text' name='prenom' id='Form_Prenom".$tab['resp_legal']."' size='25' value=\"".stripslashes($tab['prenom'])."\" readonly='readonly' />
  </p><br />
  <p>
  <label for='Form_Adresse".$tab['resp_legal']."'>Adresse&nbsp;:</label> <input type='text' name='ligne1_adresse' id='Form_Adresse".$tab['resp_legal']."' size='30' value=\"".stripslashes($tab['ligne1_adresse'])."\" readonly='readonly' />
  </p><br />
  <p>
  <label for='Form_CP".$tab['resp_legal']."'>Code postal&nbsp;:</label> <input type='text' name='code_postal' id='Form_CP".$tab['resp_legal']."' size='5' value='".$tab['code_postal']."' readonly='readonly' /> 
  <label for='Form_Commune".$tab['resp_legal']."'>Commune&nbsp;:</label> <input type='text' name='commune' id='Form_Commune".$tab['resp_legal']."' size='30' value=\"".stripslashes($tab['libelle_postal'])."\" readonly='readonly' />
  </p><br />
  <p>
  <label for='Form_Telperso".$tab['resp_legal']."'>Tl (fixe)&nbsp;:</label> <input type='text' name='tel_fixe' id='Form_Telperso".$tab['resp_legal']."' size='13' value='".numtel($tab['tel_personnel'])."' readonly='readonly' /> 
  <label for='Form_Telmobile".$tab['resp_legal']."'>Tl (mobile)&nbsp;:</label> <input type='text' name='tel_mobile' id='Form_Telmobile".$tab['resp_legal']."' size='13' value='".numtel($tab['tel_mobile'])."' readonly='readonly' />
  </p><br />
  <p>
  <label for='Form_Mail".$tab['resp_legal']."'>Email&nbsp;:</label> <input type='text' name='email' id='Form_Mail".$tab['resp_legal']."' size='60' value='".$tab['mel']."' readonly='readonly' />
  </p>
  </div>
  <br />";
}

function affiche_autorisations_responsable_legal() // Copi de c_fichelev.php
{
  global $record,$code_formulaire;
  if (isset($_POST) && count($_POST)!=0) // Le formulaire a dj t post, mais un champ manque ou contient une valeur invalide => il faut rafficher le formulaire avec les valeurs transmises
    $tab = $_POST; // voil les valeurs transmises
  else
    $tab = $record;
  // Seuls gestadmin, la direction, la vie scolaire et admin on le droit de modifier les autorisations de publications dans IEW
  /* Les parents avaient t initalement prvus pour tre autoriss  faire des modifications, mais aprs discussion avec la direction du collge Lonard de Vinci, il nous est apparu "risqu" de permettre des changements  tout moment : en effet si la photo d'un lve est dj publie (avec autorisation parentale) et qu'un parent sans crier gare modifie en refusant ce qu'il avait prcdemment accept, la responsabilit de l'tablissement pourrait tre engage. Nous avons prfr maintenir des autorisations figes pour une anne scolaire ( partir du document papier rempli par les parents en dbut d'anne scolaire) et traiter les demandes de modification au cas par cas, celles-ci tant ralises non pas par les parents eux-mmes, mais par la vie soclaire, qui devra alors au pralable vrifier qu'aucune publication existante n'est en contradiction avec les autorisations nouvellement modifies, et dans le cas contriare, il faudra procder  la suppresion de la publication qui ne serait plus en concordance avec les nouvelles autorisations parentales.
  Si toutefois, on veut permettre aux parents de modifier les autorisations  tout moment (et sans en avertir explicitement la vie scolaire), il suffirait d'ajouter,  la condition if suivante "$_SESSION['valid_group']=="5" */
  if ($_SESSION['valid_group']=="5" || $_SESSION['valid_group']=="6" || $_SESSION['valid_group']=="8" || $_SESSION['valid_group']=="1")
    $disabled = "";
  else
    $disabled = "disabled='disabled'";
  $code_formulaire .="
  <br /><a name='legal'></a>
  <div class='titre_cadre_formulaire' align='left'><h2 class='hidden'>Autorisations du Reprsentant Lgal dans le domaine TICE</h2><b>Autorisations du Reprsentant Lgal (Domaine TICE-Donnes Personnelles)</b></div>
  <div class='cadre_formulaire_gris' align='center'>
    <table class='auth_parentales'>
    <tr>
      <th>Autorise</th>
      <th>Refuse</th>
      <th>Pour mon enfant :</th>
    </tr>";
  // On cherche dans la base de donnes la liste des autorisations du reprsentant lgal demandes par l'tablissement
  $sql = "SELECT * FROM autorisations_etab ORDER BY ordre";
  $liste_autorisations_etab = mysql_query($sql);
  if ($liste_autorisations_etab && mysql_num_rows($liste_autorisations_etab)>0)
  {
    $nb_autorisations = mysql_num_rows($liste_autorisations_etab);
    $i=1;
    while ($demande_autorisation = mysql_fetch_array($liste_autorisations_etab))
    {
      $background_ok = "";
      $background_no = "";
      $checked_ok = "";
      $checked_no = "";
      if (isset($record[$demande_autorisation["nom_champ"]]) && $record[$demande_autorisation["nom_champ"]]==1) // Si pour ce champ, il y a autorisation
      {  
        $background_ok = "style='background-color: #46eb4e;'";
        $background_no = "";
        $checked_ok = "checked='checked'"; // On coche le bouton radio correspondant
        $checked_no = ""; // On dcoche l'autre
      }
      elseif (isset($record[$demande_autorisation["nom_champ"]]) && $record[$demande_autorisation["nom_champ"]]==0) // Si pour ce champ, il y a refus
      {
        $background_no = "style='background-color: red;'";
        $background_ok = "";
        $checked_ok = ""; // On dcoche l'autorisation
        $checked_no = "checked='checked'"; // On coche le refus
      }
      else // Enfin si le champ n'et pas renseign
      {
        $checked_ok = ""; // On dcoche l'autorisation
        $checked_no = ""; // On dcoche le refus
      }
      $code_formulaire .="
      <tr>
        <td id='autorisation$i' align='center' $background_ok><label class='hidden' for='".$demande_autorisation["nom_champ"]."btn_yes'>".$demande_autorisation["nom_champ"]."</label><input type='radio' name='".$demande_autorisation["nom_champ"]."' id='".$demande_autorisation["nom_champ"]."btn_yes' value='1' $checked_ok $disabled onclick=\"changeCouleur(document.getElementById('autorisation$i'),'#46eb4e',document.getElementById('refus$i'),'#e6e7e6')\" /></td>
        <td id='refus$i' align='center' $background_no><label class='hidden' for='".$demande_autorisation["nom_champ"]."btn_no'>".$demande_autorisation["nom_champ"]."</label><input type='radio' name='".$demande_autorisation["nom_champ"]."' id='".$demande_autorisation["nom_champ"]."btn_no' value='0' $checked_no $disabled onclick=\"changeCouleur(document.getElementById('refus$i'),'red',document.getElementById('autorisation$i'),'#e6e7e6')\" /></td>
        <td align='justify'>".$demande_autorisation["detail"]."</td>
      </tr>
      ";
      $i++;
    }
  }
  $code_formulaire .="
    </table>
  </div><br />";
  // Seuls gestadmin, la direction, la vie scolaire et admin on le droit de modifier les autorisations de publications dans IEW
  /* Les parents avaient t initalement prvus pour tre autoriss  faire des modifications, mais aprs discussion avec la direction du collge Lonard de Vinci, il nous est apparu "risqu" de permettre des changements  tout moment : en effet si la photo d'un lve est dj publie (avec autorisation parentale) et qu'un parent sans crier gare modifie en refusant ce qu'il avait prcdemment accept, la responsabilit de l'tablissement pourrait tre engage. Nous avons prfr maintenir des autorisations figes pour une anne scolaire ( partir du document papier rempli par les parents en dbut d'anne scolaire) et traiter les demandes de modification au cas par cas, celles-ci tant ralises non pas par les parents eux-mmes, mais par la vie soclaire, qui devra alors au pralable vrifier qu'aucune publication existante n'est en contradiction avec les autorisations nouvellement modifies, et dans le cas contriare, il faudra procder  la suppresion de la publication qui ne serait plus en concordance avec les nouvelles autorisations parentales.
  Si toutefois, on veut permettre aux parents de modifier les autorisations  tout moment (et sans en avertir explicitement la vie scolaire), il suffirait d'ajouter,  la condition if suivante "$_SESSION['valid_group']=="5" */
  if ($_SESSION['valid_group']=="5" || $_SESSION['valid_group']=="6" || $_SESSION['valid_group']=="8" || $_SESSION['valid_group']=="1")
    $code_formulaire .="
    <input type='hidden' name='id_eleve' id='id_eleve' value='".$_GET["id_eleve"]."' />  
    <input type='submit' id='soumettre_autorisations' name='soumettre_autorisations' value='Enregistrer les nouvelles autorisations' />
    <br />";

  // Un peu de javascript pour changer dynamiquement la couleur du fond des cellules autorisation-refus en fonction du choix dans le formulaire
  echo "
  <script type='text/javascript'>
    function changeCouleur(cellule_ok,couleurFond_ok,cellule_no,couleurFond_no)
    {
      // Cette fonction modifie la couleur de fond
      cellule_ok.style.backgroundColor = couleurFond_ok;
      cellule_no.style.backgroundColor = couleurFond_no;
    }
  </script>";
}

function affiche_autorisations_publication()
{
  global $valid_id_user;
  if (isset($valid_id_user) && $valid_id_user != "")
  	$id_pers = $valid_id_user;
  else	
  	$id_pers = $_SESSION['valid_id_user'];
  $code_formulaire = "<div align='justify'>
  Vous pouvez dans certains cas vous opposer  la publication de certaines donnes personnelles. Les cas correspondants sont lists ci-dessous. Vous pouvez modifier  tout moment les autorisations correspondantes&nbsp;:</div>";
  switch($_SESSION['valid_group'])
  {
    case "2": // Cas d'un lve
      return; // Un lve ne peut pas s'opposer  la publication de ses donnes persos
      // Enfin ces donnes sont indispensables au bon fonctionnement de IEW
      break;
    case "4": // Cas d'un parent d'lve
      return; // Un parent d'lve ne peut pas s'opposer  la publication de ses donnes persos
      // Ces donnes sont indispensables au bon fonctionnement de IEW
      break;
    case "11": // Cas d'un IPR
      return; // Un IPR ne peut pas s'opposer  la publication de ses donnes persos, tant donn que celles-ci ne sont visibles que par l'administration de l'tablissement (et de toutes faons, pas de photo d'identit)
      // Enfin ces donnes sont indispensables au bon fonctionnement de IEW pour les IPR
      break;
    default: // Cas d'un membre du personnel
      // Il faut d'abord rcuprer les autorisations (si elles existent) dans la base de donnes
      $sql = "SELECT * from auth_foto WHERE id_pers='".quote_smart($id_pers)."'";
      // DEBUGG print $sql."<br />";
      $resultat = mysql_query($sql);
      if ($resultat && mysql_num_rows($resultat) >0)
      {
        $ligne = mysql_fetch_array($resultat);
      }
      $rowtab = array(
      "Elves" => "auth_eleves",
      "Parents" => "auth_parents",
      "IPR" => "auth_ipr",
      "Collgues membres du personnel" => "auth_collegues"
      );
      $code_formulaire .= "<center><strong><font color='red'><u>*** Autorisation de publication de ma photographie d'identit ***</u></font></strong></center><br />
      <table class='ctextes' width='100%'>
      <tr>
        <th class='fond_sommaire topleft'>Catgorie de destinataires</th>
        <th class='fond_sommaire'>J'autorise</th>
        <th class='fond_sommaire topright'>Je refuse</th>
      </tr>";
      $k = 0;
      foreach ($rowtab as $key => $value)
      {
        $k++;
        // si $k est pair, on colore lgrement le fond de la cellule, sinon on laisse en blanc
        if (is_int($k/2))
        {
          $color = "#ffffff";
          $style = "background-color: $color;";
        }
        else
        {
          $color = "#cecfce";
          $style  = "background-color: $color;";
        }
        $code_formulaire .="
        <tr>
          <td style='$style'>$key</td>
          ";
          if (isset($ligne[$value]) && $ligne[$value] == 0) // Refus
          {
            $code_formulaire .="
            <td style='$style' align='center' id='".$value."1'>
              <label for='Form_".$value."1' class='hidden'>J'autorise</label>
              <input type='radio' name='$value' id='Form_".$value."1' value='1' onclick=\"changeCouleur(document.getElementById('".$value."1'),'#c5ffc8');changeCouleur(document.getElementById('".$value."2'),'$color')\" />
              <img src='".$GLOBALS['chemin_relatif']."images/ok.gif' alt='Oui' />
            </td>
            <td style='background-color:#ff8f8c' align='center' id='".$value."2'>
              <label for='Form_".$value."2' class='hidden'>Je refuse</label>
              <input type='radio' name='$value' id='Form_".$value."2' checked='checked' value='0' onclick=\"changeCouleur(document.getElementById('".$value."2'),'#ffd5d4');changeCouleur(document.getElementById('".$value."1'),'$color')\" />
              <img src='".$GLOBALS['chemin_relatif']."images/no.gif' alt='Non' />
            </td>
            ";
          }
          else
          {
            $code_formulaire .="
            <td style='background-color:#46eb4e' align='center' id='".$value."1'>
              <label for='Form_".$value."1' class='hidden'>J'autorise</label>
              <input type='radio' name='$value' id='Form_".$value."1' checked='checked' value='1' onclick=\"changeCouleur(document.getElementById('".$value."1'),'#c5ffc8');changeCouleur(document.getElementById('".$value."2'),'$color')\" />
              <img src='".$GLOBALS['chemin_relatif']."images/ok.gif' alt='Oui' />
            </td>
            <td style='$style' align='center' id='".$value."2'>
              <label for='Form_".$value."2' class='hidden'>Je refuse</label>
              <input type='radio' name='$value' id='Form_".$value."2' value='0' onclick=\"changeCouleur(document.getElementById('".$value."1'),'$color');changeCouleur(document.getElementById('".$value."2'),'#ffd5d4')\" />
              <img src='".$GLOBALS['chemin_relatif']."images/no.gif' alt='Oui' />
            </td>";
          }
          $code_formulaire .="
        </tr>";
      }
    $code_formulaire .= "</table><br />";
  }
  echo "<center>";
  squelette_formulaire_standard("100%","post",$_SERVER['PHP_SELF']."?".$_SERVER['QUERY_STRING'],"<h2 class='hidden'>Mes autorisations de publication</h2>Mes autorisations de publication",$code_formulaire,"Valider","soumettre","","","","","");
  echo "</center>";
}

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/donnees_perso.php"))
{
  	global $ligne_parents,$code_formulaire,$record,$valid_id_user;
	echo "
  <script type='text/javascript'>
    function changeCouleur(cellule,couleurFond)
    {
      // Cette fonction modifie la couleur de fond
      cellule.style.backgroundColor = couleurFond;
    }
  </script>";
	
  if(isset($_GET['id_pers']) && isset($_GET['gpe'])) // Si ces paramtres URL existent (appel depuis c_users_inline.php ou c_users_stats.php par un admin)
  {
  	$valid_id_user = $_GET['id_pers']; // C'est l'admin qui envoie le formulaire
  	echo "<h1>Donnes personnelles<br />de ";
  	$sql = "SELECT nom,prenom FROM login WHERE id_pers='".quote_smart($valid_id_user)."'";
  	$resultat = mysql_query($sql);
  	if ($resultat && mysql_num_rows($resultat) > 0)
  	{
  		$ligne = mysql_fetch_array($resultat);
  		echo $ligne['prenom']." ".$ligne['nom'];
  	}
  	echo "</h1>"; 	
  }
  else // il s'agit de l'utilisateur lui-mme
  {
  	$valid_id_user = $_SESSION['valid_id_user']; // C'est l'utilisateur lui-mme qui envoie le formulaire
  	echo "<h1>Mes donnes personnelles</h1>";
  }
  if (isset($_POST['soumettre'])) // Le formulaire des autorisations de publication de photo d'identit a t valid
  {
  	// DEBUGG var_dump($_POST);
  	// On vrifie que le formulaire a t soumis soit par la personne concerne, soit par un administrateur
  	if ($_SESSION['valid_id_user'] != $valid_id_user && $_SESSION['valid_group'] != 1)
  	{
  		$error_message = array("Vous n'avez pas les droits ncessaires pour modifier les autorisations de publication de cette personne. Seule la personne elle-mme ou un administrateur peut faire cette modification.<a href='".$_SERVER['REQUEST_URI']."'>[Retour  la fiche de donnes]</a>","");
      	affiche_erreurs($error_message);
      	unset($_POST);
      	unset($_SESSION['post_imprimable']);
      	return;
  	}
    $sql = "INSERT INTO auth_foto VALUES('".quote_smart($valid_id_user)."','".quote_smart($_POST['auth_eleves'])."','".quote_smart($_POST['auth_parents'])."','".quote_smart($_POST['auth_ipr'])."','".quote_smart($_POST['auth_collegues'])."')";
    // DEBUGG print $sql."<br />";
    if (mysql_query($sql) && mysql_affected_rows()==1) // l'insertion a russi
    {
      $ok_message = "Les autorisations de publication concernant votre photo d'identit ont t insres dans la base de donnes. Vous pouvez le vrifier en les consultant sur le formulaire correspondant :";
      affiche_ok($ok_message);
      unset($_POST);
      unset($_SESSION['post_imprimable']);
    }
    elseif (mysql_errno()==1062) // chec de l'insertion (duplicate entry) => on essaie un update
    {
      $sql = "UPDATE auth_foto set auth_eleves='".quote_smart($_POST['auth_eleves'])."',auth_parents='".quote_smart($_POST['auth_parents'])."',auth_ipr='".quote_smart($_POST['auth_ipr'])."',auth_collegues='".quote_smart($_POST['auth_collegues'])."' WHERE id_pers='".quote_smart($valid_id_user)."'";
      // DEBUGG print $sql."<br />";
      if (mysql_query($sql)) // l'update a russi
      {
        $ok_message = "Les autorisations de publication concernant votre photo d'identit ont t modifies. Vous pouvez vrifier les modifications effectues en consultant le formulaire correspondant :";
        affiche_ok($ok_message);
        unset($_POST);
        unset($_SESSION['post_imprimable']);
      }
      else
      {
        $error_message = array("<div align='justify'>Les autorisations de publication concernant votre photo d'identit n'ont pas pu tre modifies (Erreur Mysql n".mysql_errno().")<br />$sql</div>","");
        affiche_erreurs($error_message);
      }
    }
    else // Il n'y a eu ni insertion ni update : c'est un problme qu'il faut signaler !
    {
      $error_message = array("<div align='justify'>Les autorisations de publication concernant votre photo d'identit n'ont pas pu tre insres ou mises  jour dans la base de donnes (Erreur Mysql n".mysql_errno().")<br />$sql</div>","");
      affiche_erreurs($error_message);
    }
  }

  echo "<center><div class='encadrer_justifie' style='margin-top: 2.8em;'>Voici toutes les donnes personnelles vous concernant dans la base de donnes. Conformment  la loi Informatique et liberts, vous disposez d'un droit d'accs et de rectification que vous pouvez exercer en contactant les services administratifs de l'tablissement.<font color='red'> <u>Merci de bien vouloir signaler toute erreur</u> repre au secrtariat de l'tablissement, qui procdera aux rectifications ncessaires.</font></div></center>";
  echo "<br />";
  
  if (isset($_GET['id_pers']) && isset($_GET['gpe'])) // Si ces paramtres URL existent (appel depuis c_users_inline.php ou c_users_stats.php par un admin)
  {
  	$valid_group = ""; // permet de passer au cas par dfaut (membre du personnel dans le switch {} qui suit)   	
  }
  else
  {
  	$valid_group = $_SESSION['valid_group'];
  }
      
  switch($valid_group)
  {
    case "2": // Cas d'un lve
  		$sql = "SELECT t1.*, t3.libelle_long as regime FROM eleves as t1, regimes as t3 WHERE eleve_id='".$_SESSION['identifiant_individu']."'";
    	// DEBUGG print $sql."<br />";
    	$resultat = mysql_query($sql);
    	if ($resultat)
    	{
       		if (mysql_num_rows($resultat)>0)
       		{
         		$ligne = mysql_fetch_array($resultat);
         		$nom = $ligne['nom'];
         		$prenom = $ligne['prenom'];
         		$eleve_id = $ligne['eleve_id']; // lien numrique avec la table parents
         		$info_legale = "";
		         // Recherche des autorisations/refus du reprsentant lgal
    	     	$sql = "SELECT * FROM autorisations_1 WHERE eleve_id='$eleve_id'";
        	 	$result = mysql_query($sql);
         		if ($result && mysql_num_rows($result)==1)
         		{
           		$record = mysql_fetch_array($result);
         		}
		         // DEBUGG var_dump($record);
    		     $date_naiss = date_mysql_to_jjmmaaaa($ligne['date_naiss']);
        	 	if ($ligne['code_sexe'] == 1)
	         		$sexe = "Masculin";
         		elseif ($ligne['code_sexe'] == 2)
	         		$sexe = "Fminin";
         		else
		         	$sexe = "?";
         		$classe = $ligne['classe'];
         		if ($ligne['doublement'] == 1)
		         	$doublement = "Oui";
         		else
		         	$doublement = "Non";
         		$regime = $ligne['regime'];
         		$id_national = $ligne['id_national'];
         		if (isset($record["pub_intranet"]) && $record["pub_intranet"]==1)
         		{
		           // rien  faire ?
    	    	}
         		else
         		{
	           		$info_legale = "<font color='red'><strong><i>Conformment  l'article 34 de la loi &quot;Informatique et Liberts&quot; du 6 janvier 1978, Le responsable lgal de cet lve a refus (ou n'a pas encore explicitement accept) la publication des donnes personnelles de son enfant sur l'intranet d'tablissement</i></strong><br />La fiche lve ci-dessous n'est donc pas complte (il manque la photographie d'identit et les coordonnes parentales). Seul le responsable lgal peut rautoriser la publication de ces donnes dans l'application IEW (en prvenant l'administration de l'tablissement)</font>";
         		}
		        // Recherche des options suivies par l'lve
    	    	$sql = "SELECT num_option, libelle_court FROM options as t1, matieres_sconet as t2 WHERE t1.eleve_id='$eleve_id' AND t1.code_matiere=t2.code_matiere";
	        	// DEBUGG print $sql."<br />";
         		$result_options = mysql_query($sql);
         		while ($ligne_options = mysql_fetch_array($result_options))
         		{
         			$opt[$ligne_options['num_option']] = $ligne_options['libelle_court'];
         		}
		        // DEBUGG var_dump($opt);
    	    }
    	
    		// On recherche les informations concernant les parents
       		$new_sql = "SELECT id_lp,libelle FROM lien_parente"; // Codes et libells de responsabilit lgale gnrales
       		$new_resultat = mysql_query($new_sql);
       		$valeurs_resp_legale = array();
       		if ($new_resultat)
       		{
         		if (mysql_num_rows($new_resultat)>0)
         		{
          			while ($ligne=mysql_fetch_array($new_resultat))
          			{
            			$valeurs_resp_legale[$ligne['id_lp']]=$ligne['libelle']; // on stocke les codes et les libell dans un tableau
          			}
         		}
       		}
    	}
        // Affichage de la fiche lve
    	$code_formulaire = "<br />
    	<div class='titre_cadre_formulaire' align='left'><h2 class='hidden'>Donnes nominatives</h2><b>Donnes nominatives</b></div>
    	<div class='cadre_formulaire_gris' align='center'>
    	<table width='100%' border='0' bgcolor='#e6e7e6'>
     	<tr valign='top'>
      	<td>
       	<p><label for='Form_Nom'>Nom&nbsp;:</label></p>
      	</td>
      	<td>
       	<p><input type='text' size='25' name='nom' id='Form_Nom' value=\"$nom\" readonly='readonly' /></p>
      	</td>
      	<td rowspan='4' width='33%' align='center' valign='middle'>";
      	$code_formulaire .= affiche_fotoelev($_GET['id_eleve'],"150","180");
      	$code_formulaire .="
      	</td>
     	</tr>
     	<tr valign='top'>
      	<td>
       	<p><label for='Form_Prenom'>Prnom&nbsp;:</label></p>
      	</td>
      	<td>
       	<p><input type='text' size='25' name='prenom' id='Form_Prenom' value=\"$prenom\" readonly='readonly' /></p>
      	</td>
     	</tr>
     	<tr valign='top'>
      	<td>
       	<p><label for='Form_DateNaiss'>Date de naissance&nbsp;:</label></p>
      	</td>
      	<td>
       	<p><input type='text' size='10' name='date_naiss' id='Form_DateNaiss' value='$date_naiss' readonly='readonly' /></p>
      	</td>
     	</tr>
     	<tr valign='top'>
      	<td>
       	<p><label for='Form_Sex'>Sexe&nbsp;:</label></p>
      	</td>
      	<td>
       	<p><input type='text' size='10' name='sexe' id='Form_Sex' value='$sexe' readonly='readonly' /></p>
      	</td>
     	</tr>
     	<tr valign='top'>
      	<td>
       	<p><label for='Form_IdNational'>Identifiant national&nbsp;:</label></p>
      	</td>
      	<td>
	    <p><input type='text' size='11' name='id_national' id='Form_IdNational' value='$id_national' readonly='readonly' /></p>
      	</td>
     	</tr>
    	</table>
    	</div>
    	<br />
    	<div class='titre_cadre_formulaire' align='left'><h2 class='hidden'>Donnes pdagogiques</h2><b>Donnes pdagogiques</b></div>
    	<div class='cadre_formulaire_gris' align='center'>
    	<table width='100%' border='0'>
     	<tr valign='middle'>
      	<td>
       	<p><label for='Form_Redoublant'>Redoublant&nbsp;:</label></p>
      	</td>
      	<td>
       	<p><input type='text' size='3' name='doublement' id='Form_Redoublant' value=\"$doublement\" readonly='readonly' /></p>
      	</td>
      	<td>
       	<p><label for='Form_Regime'>R&eacute;gime&nbsp;:</label></p>
      	</td>
      	<td colspan='3'>
       	<p><input type='text' size='40' name='regime' id='Form_Regime' value=\"$regime\" readonly='readonly' /></p>
      	</td>
     	</tr>
     	<tr valign='middle'>
      	<td>
       	<p><label for='Form_LV1'>LV1&nbsp;:</label></p>
      	</td>
      	<td>
	    <p><input type='text' size='20' name='opt1' id='Form_LV1' value=\"$opt[1]\" readonly='readonly' /></p>
      	</td>
      	<td>
       	<p><label for='Form_LV2'>LV2&nbsp;:</label></p>
      	</td>
      	<td colspan='3'>
       	<p><input type='text' size='20' name='opt2' id='Form_LV2' value=\"$opt[2]\" readonly='readonly' /></p>
      	</td>
     	</tr>
     	<tr valign='middle'>
      	<td>
       	<p><label for='Form_Option1'>Option 1&nbsp;:</label></p>
      	</td>
      	<td>
	        <p><input type='text' size='20' name='opt3' id='Form_Option1' value=\"$opt[3]\" readonly='readonly' /></p>
      	</td>
      	<td>
       	<p><label for='Form_Option2'>Option 2&nbsp;:</label></p>
      	</td>
      	<td>
       	<p><input type='text' size='20' name='opt4' id='Form_Option2' value=\"$opt[4]\" readonly='readonly' /></p>
      	</td>
      	</tr>
      	<tr valign='middle'>
      	<td>
       	<p><label for='Form_Option3'>Option 3&nbsp;:</label></p>
      	</td>
      	<td>
	        <p><input type='text' size='20' name='opt5' id='Form_Option3' value=\"$opt[5]\" readonly='readonly' /></p>
      	</td>
     	</tr>
   		</table>
   		</div>
   		<br />      
   		";
   		if (isset($record["pub_intranet"]) && $record["pub_intranet"]==1) // Si autorisation parentale de publication
   		{
		    // On recherche qui est responsable lgal
    		$sql = "SELECT t2.resp_legal,t3.libelle_court, t1.nom, t1.prenom FROM responsables as t1, responsables_eleves as t2, liens_parente as t3 WHERE t2.eleve_id='$eleve_id' AND t2.code_parente=t3.code_parente AND t1.personne_id=t2.personne_id";
		    // DEBUGG print $sql."<br />";
    		$result4 = mysql_query($sql);
    		$code_formulaire .="
    		<div class='titre_cadre_formulaire' align='left'><h2 class='hidden'>Responsable lgal</h2><b>Responsable lgal</b></div>
    		<div class='cadre_formulaire_gris' align='center'>
        		<table width='100%' border='0'>
        			<tr>
        				<th class='fond_sommaire'>Qualit</th>
        				<th class='fond_sommaire'>Nom - Prnom</th>
        				<th class='fond_sommaire'>Lien de parent</th>
        			</tr>";
    		while ($ligne4 = mysql_fetch_array($result4))
    		{
    			$code_formulaire .= "
    			<tr>
    				<td align='center'>
    					Responsable lgal n".$ligne4['resp_legal']."
    				</td>	
    				<td align='center'>
    					".$ligne4['nom']." ".$ligne4['prenom']."
    				</td>
    				<td align='center'>
    					".$ligne4['libelle_court']."
    				</td>
    			</tr>";
    		}   
          	$code_formulaire .="
    		</table>
    		</div><br />";
   		}
    	// Voil les donnes parentales :
        if (isset($record["pub_intranet"]) && $record["pub_intranet"]==1) // Si autorisation parentale de publication
        {
          $sql = "SELECT lc_civilite,nom,prenom, t1.adresse_id, t3.resp_legal, AES_DECRYPT(ligne1_adresse,'".$GLOBALS['crypt_key']."') as ligne1_adresse,
   			AES_DECRYPT(ligne2_adresse,'".$GLOBALS['crypt_key']."') as ligne2_adresse,
   			AES_DECRYPT(ligne3_adresse,'".$GLOBALS['crypt_key']."') as ligne3_adresse,
   			AES_DECRYPT(ligne4_adresse,'".$GLOBALS['crypt_key']."') as ligne4_adresse,
   			AES_DECRYPT(code_postal,'".$GLOBALS['crypt_key']."') as code_postal,
   			AES_DECRYPT(libelle_postal,'".$GLOBALS['crypt_key']."') as libelle_postal,
   			mel, 
   			AES_DECRYPT(tel_personnel,'".$GLOBALS['crypt_key']."') as tel_personnel, 
   			AES_DECRYPT(tel_mobile,'".$GLOBALS['crypt_key']."') as tel_mobile, 
   			AES_DECRYPT(tel_professionnel,'".$GLOBALS['crypt_key']."') as tel_professionnel 
   			FROM responsables as t1, adresses_responsables as t2, responsables_eleves as t3 WHERE t1.personne_id=t3.personne_id AND t3.eleve_id='$eleve_id' AND t1.adresse_id=t2.adresse_id";
		  // DEBUGG print $sql."<br />";
          $new_resultat = mysql_query($sql);
          if ($new_resultat)
          {
            if (mysql_num_rows($new_resultat)>0)
            {
              while ($ligne_parents=mysql_fetch_array($new_resultat))
              {
                affiche_donnees_parents();
              }
            }
            else
            {
              $code_formulaire .= "<div class='encadrer' align='justify'>Aucune information concernant <b>les parents</b> de cet lve n'est disponible. Il est probable que les donnes parentales n'ont pas t importes.</div>";
            }
          }
        }
        // Voil les autorisations du reprsentant lgal
        affiche_autorisations_responsable_legal();
        $code_formulaire .= "
        <div align='justify'><font color='red'>TOUTE ERREUR REPEREE (ou toute modification  apporter) DANS LES INFORMATIONS prsentes sur cette fiche EST A SIGNALER DANS LES PLUS BREFS DELAIS AU SECRETARIAT DE L'ETABLISSEMENT.</font></div>
        <br />";
    	echo "<center>";
    	squelette_formulaire_standard("100%","post",$_SERVER['PHP_SELF'],"<h2 class='hidden'>Ma fiche de renseignements</h2>Ma fiche de renseignements (Classe : <a href='eqpedag.php?classe=$classe' title=\"Voir l'quipe pdagogique de la classe\">$classe</a>)",$code_formulaire,"","","","","","","");
    	echo "</center>";
    
      	break;
    
    //case "4" :  Cas d'un parent d'lve => Ne peut pas se produire ici car  la connexion un parent sera redirig vers le script donnees_parent.php
      
    case "11": // Cas d'un IPR
        $tab = array();
    	// On reformate la date de MySQL en jj-mm-aaaa
        $tab['date_visite'] = date_mysql_to_jjmmaaaa_tiret($_SESSION['ipr_date_visite']);
        if ($_SESSION['ipr_datelimite_validite'] !="")  // On calcule le nombre de jours de validit ( compter de la date de visite)
        {
          $nb_jours_validite = round((strtotime($_SESSION['ipr_datelimite_validite']) - strtotime($_SESSION['ipr_date_visite']))/(60*60*24)+1);
        }
        else
          $nb_jours_validite = -1; // pas de limite de validit
        $tab['duree_validite'] = $nb_jours_validite;
       // Portion de code recopie  partir de c_compte_ipr.php (avec qq modifs)
      $code_formulaire = "<br />Ce formulaire de donnes respecte <a href='javascript://' onclick=\"window.open('".$GLOBALS['chemin_relatif']."cnil_art32.php?usercat=".$valid_group."','CNIL_article32','toolbar=no,location=no,directories=no,menuBar=no,scrollbars=yes,resizable=no,status=no,width=500,height=500');return false;\">les recommandations de la CNIL</a><br /><br />
      <label id='L_DateVisite' for='Form_Req_DateVisite'>Date de la visite</label>
  	  <input type='text' aria-labelledby='L_DateVisite' id='Form_Req_DateVisite' name='date_visite' class='datepicker' size='12' readonly='readonly' ";
  	  if (isset($tab['date_visite']))
  		$code_formulaire .= "value='".$tab['date_visite']."'";
  	  $code_formulaire .= " /><br />
  	  <label id='L_NomIpr' for='Form_Req_NomIpr'>Nom</label>  
  	  <input type='text' aria-labelledby='L_NomIpr' size='20' id='Form_Req_NomIpr' name='nom' value=\"".stripslashes($_SESSION['valid_nom'])."\" /><br />
  	  <label id='L_PrenomIpr' for='Form_Req_PrenomIpr'>Prnom</label>  
  	  <input type='text'  aria-labelledby='L_PrenomIpr' size='20' id='Form_Req_PrenomIpr' name='prenom' value=\"".stripslashes($_SESSION['valid_prenom'])."\" /><br />
  	  <label id='L_DisciplineIpr' for='Form_Req_DisciplineIpr'>Discipline</label>
  	  <input type='text' size='30'  aria-labelledby='L_DisciplineIpr' id='Form_Req_DisciplineIpr' name='discipline' ";
  	  $fragments = explode('%',$_SESSION['ipr_discipline']);
  	  $libelle_discipline_ipr = $fragments[1];
  	  $code_formulaire .= "value='$libelle_discipline_ipr' /><br />
     <label id='L_EmailIpr' for='Form_Req_EmailIpr'>Email</label>
  	 <input type='text' aria-labelledby='L_EmailIpr' size='30' id='Form_Req_EmailIpr' name='email' value='".$_SESSION['ipr_email']."' /><br />
  	 <label id='L_DureeCompteIpr' for='Form_Req_DureeCompteIpr'>Dure de validit du compte (en jours)</label>
  	 <input type='text' aria-labelledby='L_DureeCompteIpr' size='2' id='Form_Req_DureeCompteIpr' name='duree_validite' ";
  	 if (isset($tab['duree_validite']))
     	$code_formulaire .= "value='".$tab['duree_validite'];
  	 else
    	$code_formulaire .= "value='7";
  	 $code_formulaire .= "' />";
  	 if (isset($tab['duree_validite']) && $tab['duree_validite']==-1)
     	$code_formulaire .= "<br />-1 indique une validite permanente";
  	 if (!isset($tab['duree_validite']))
     	$code_formulaire .= "<br />( partir de la date de visite)";
  	 // Affichage de la liste des professeurs inspects pendant la priode d'existence du compte local d'IPR
     foreach ($_SESSION['ipr_liste_id_individus_inspectes'] as $value) // on les affiche
     {
     	$sql = "SELECT civilite,nom,prenom FROM personnel WHERE id_individu='$value'"; // il faut rcuprer les noms + prnom des profs
     	$resultat = mysql_query($sql);
     	$enregistrement = mysql_fetch_array($resultat);
     	$liste_profs .= "<a href='edt.php?categorie=professeurs&amp;edt=$value' title=\"Voir l'emploi du temps de ".$enregistrement['civilite']." ".$enregistrement['nom']." ".$enregistrement['prenom']."\">".$enregistrement['civilite']." ".$enregistrement['nom']." ".$enregistrement['prenom']."</a><br />";
     }
     $code_formulaire .= "<br /><br /><b>Enseignants inspects</b><br /><br />
     $liste_profs<br /><br />";
     squelette_formulaire_standard("100%","","","<h2 class='hidden'>Ma fiche de renseignements</h2>Ma fiche de renseignements",$code_formulaire,"","","","","","","");
      break;
      
    default: // Cas d'un membre du personnel
  		if (isset($_GET['id_pers']) && isset($_GET['gpe'])) // Si ces paramtres URL existent (appel depuis c_users_inline.php ou c_users_stats.php par un admin)
  		{
  			$id_pers = $_GET['id_pers']; // l'id_pers ne doit pas tre celui de l'admin !   	
  		}
  		else // le script est appel pour l'utilisateur connect lui-mme
  		{
  			$id_pers = $_SESSION['valid_id_user']; 
  		}
      // On recherche d'abord toutes les donnes dans la base
      $sql = "SELECT * from personnel WHERE id_pers='".quote_smart($id_pers)."'";
      // DEBUGG print "$sql<br />";
      $resultat = mysql_query($sql);
      if (mysql_num_rows($resultat) == 0)
      {
      	$error_message = array("Il n'y a aucune donne vous concernant dans la base de donnes du personnel.","");
      	affiche_erreurs($error_message);
      	return;
      } 
      $ligne = mysql_fetch_array($resultat);
      $id_pers = $id_pers;
      $id_individu = $ligne['id_individu'];
      $civilite = $ligne['civilite'];
      $nom = $ligne['nom'];
      $prenom = $ligne['prenom'];
      if ($ligne['datenaiss'] == "0000-00-00")
        $datenaiss = "";
      else
        $datenaiss = date_mysql_to_jjmmaaaa($ligne['datenaiss']);
      $categorie = $ligne['categorie'];
      $sous_categorie = $ligne['sous_categorie'];
      $activite = $ligne['activite'];
      $discipline = $ligne['code_discipline'];
      $code_formulaire = "<br />
      Ce formulaire de donnes respecte <a href='javascript://' onclick=\"window.open('".$GLOBALS['chemin_relatif']."cnil_art32.php?usercat=".$valid_group."','CNIL_article32','toolbar=no,location=no,directories=no,menuBar=no,scrollbars=yes,resizable=no,status=no,width=500,height=500');return false;\">les recommandations de la CNIL</a><br /><br />
      <table border='0'>
      <tr>
      <td>
      <p>Civilit<font color='red'>*</font> : &nbsp;&nbsp;&nbsp;";
      switch ($civilite)
      { // si une fiche est dite en vue d tre modifie, la civilit correspondante est coche
        case "Mme":
          $code_formulaire .= "<input type='radio' value='M.' name='civilite' id='btn_M' readonly='readonly' /><label for='btn_M'>M.&nbsp;&nbsp;</label>
          <input type='radio' name='civilite' checked='checked' id='btn_Mme' value='Mme' readonly='readonly' /><label for='btn_Mme'>Mme&nbsp;&nbsp; </label>
          <input type='radio' name='civilite' id='btn_Mlle' value='Mlle' readonly='readonly' /><label for='btn_Mlle'>Mlle</label>";
          break;
        case "Mlle":
          $code_formulaire .= "<input type='radio' value='M.' name='civilite' id='btn_M' readonly='readonly' /><label for='btn_M'>M.&nbsp;&nbsp;</label>
          <input type='radio' name='civilite' id='btn_Mme' value='Mme' readonly='readonly' /><label for='btn_Mme'>Mme&nbsp;&nbsp; </label>
          <input type='radio' name='civilite' checked='checked' id='btn_Mlle' value='Mlle' readonly='readonly' /><label for='btn_Mlle'>Mlle</label>";
          break;
        default: // cas standard si la civilit n est pas dfinie (nouvelle fiche) ou si c est M.
          $code_formulaire .= "<input type='radio' value='M.' name='civilite' id='btn_M' checked='checked' readonly='readonly' /><label for='btn_M'>M.&nbsp;&nbsp;</label>
          <input type='radio' name='civilite' id='btn_Mme' value='Mme' readonly='readonly' /><label for='btn_Mme'>Mme&nbsp;&nbsp; </label>
          <input type='radio' name='civilite' id='btn_Mlle' value='Mlle' readonly='readonly' /><label for='btn_Mlle'>Mlle</label>";
      }
      $code_formulaire .= "</p>
      <p><label for='Form_Nom'>Nom<font color='red'>*</font></label> :  <input type='text' name='nom' id='Form_Nom' size='20' value=\"$nom\" readonly='readonly' /></p>
      <p><label for='Form_Prenom'>Prnom<font color='red'>*</font></label> :  <input type='text' name='prenom' id='Form_Prenom' size='20' value=\"$prenom\" readonly='readonly' /></p>
      <p><label for='Form_Datenaiss'>Date de naissance<font color='red'>*</font> (format jj/mm/aaaa)</label>&nbsp;: <input type='text' name='datenaiss' id='Form_Datenaiss' size='10' value='$datenaiss' readonly='readonly' /></p>
      <p>Catgorie de personnel<font color='red'>*</font> : ";
      // On cherche la catgorie  partir de son id dans la base de donnes
      // si $categorie est vide, cette requte ne renvoie aucune donne
      $sql1= "SELECT categorie FROM categories_pers WHERE id_cat='".quote_smart($categorie)."'";
      $resultat1 = mysql_query($sql1);
      $ligne1 = mysql_fetch_array($resultat1);
      $code_formulaire .= "<font color='red'><b>".$ligne1['categorie']."</b></font></p>";
      $code_formulaire .= "
      <p><label for='Form_EGA'>Emploi, grade ou activit<font color='red'>*</font></label> : ";
      if (is_numeric($sous_categorie)) // Si le membre du personnel n'est ni enseignant, ni CPE, ni membre de la direction
      {
      	$sql2 = "SELECT sous_categorie FROM sous_categories_pers WHERE id_sous_cat='".quote_smart($sous_categorie)."'";
      	// DEBUGG print $sql2."<br />";
      	$resultat2 = mysql_query($sql2);
      	$ligne2 = mysql_fetch_array($resultat2);
      	$sous_cat_pers = $ligne2['sous_categorie'];	
      }
      else	   
      	$sous_cat_pers = $ligne['sous_categorie']; // dj dtermin + haut
      $code_formulaire .= " <input type='text' id='Form_EGA' size='35' value=\"$sous_cat_pers\" readonly='readonly' /></p>";
      if ($categorie == "3" || $categorie == "2" || $categorie == "10" || $categorie == "11" || $categorie == "12")
      {
        $code_formulaire .= "<p><label for='Form_Activite'>Eventuellement, prcisez l'activit</label> : <input type='text' name='activite' size='35' value='$activite' readonly='readonly' /></p>";
      }
      elseif ($categorie == "7")
      {
        $sql3 = "SELECT libelle_edition FROM disciplines_bcn WHERE code_discipline='$discipline'";
        $resultat3 = mysql_query($sql3);
      	$ligne3 = mysql_fetch_array($resultat3);
      	$libelle_discipline = strtoupper(substr($ligne3['libelle_edition'],0,1)).strtolower(substr($ligne3['libelle_edition'],1,strlen($ligne3['libelle_edition'])-1)); // La 1re lettre en majuscule	
      	$code_formulaire .= "<p><label for='Form_Discipline'>Discipline<font color='red'>*</font></label> :
        <input type='text' id='Form_Discipline' size='35' value=\"$libelle_discipline\" readonly='readonly' /></p>";
      }
      // 2 lignes suivantes mises en commentaire car ne fonctionne pas sur scribe : difficile  rcuprer suivant les installationsde IEW
      //$courriel = $_SESSION['valid_login']."@".$GLOBALS['mail_server'];
      //$code_formulaire .="<p>Courriel (interne) : <a href='mailto:".email_encode($courriel)."'>".email_encode($courriel)."</a></p>";
      $code_formulaire .="
      </td>
      <td><img src='".$GLOBALS['chemin_relatif']."images/pixel.gif' width='20' alt='' /></td>
      <td align='center' valign='top'>
      <br /><br />".affiche_fotoprof($nom,$prenom,$id_pers)."
      </td>
      </tr>
      </table>
      <div align='left'>";
      if ($categorie == "7")
      {
        // on affiche la liste des classes
        $code_formulaire .= "<br /><p>Mes classes : ";
        $sql = "SELECT DISTINCT code_structure FROM services as t1, enseignants_services as t2 WHERE id_individu='$id_individu' AND t1.id_service=t2.id_service";
        $resultat = mysql_query($sql);
        if ($resultat && mysql_num_rows($resultat) >0)
        {
          while ($ligne = mysql_fetch_array($resultat))
          {
            $code_formulaire .= "<a href='admin/consult_bddelev.php?classe=".$ligne['code_structure']."'>[".$ligne['code_structure']."]</a><img src='".$GLOBALS['chemin_relatif']."images/pixel.gif' width='10' alt='' />";
          }
        }
        $code_formulaire .= "</p>";
        // on affiche la liste des groupes
        $sql = "SELECT DISTINCTROW nom FROM groupes WHERE id_responsable='$id_pers' ORDER BY nom";
        $resultat = mysql_query($sql);
        if ($resultat && mysql_num_rows($resultat) >0)
        {
          $code_formulaire .= "<p>Mes groupes : ";
          while ($ligne = mysql_fetch_array($resultat))
          {
            $code_formulaire .= "<a href='gesgroupes.php?choix=consulter&amp;nom_groupe=".$ligne['nom']."'>[".$ligne['nom']."]</a><img src='".$GLOBALS['chemin_relatif']."images/pixel.gif' width='10' alt='' />";
          }
        }
        $code_formulaire .= "</p>";
        // On cherche si l'enseignant est prof principal
        $sql = "SELECT code_structure FROM profs_principaux WHERE id_prof='$id_individu'";
        $resultat = mysql_query($sql);
        $code_formulaire .="<p>";
        if ($resultat && mysql_num_rows($resultat) >0)
        {
          $code_formulaire .= "Je suis Professeur Principal de : ";
          while ($ligne = mysql_fetch_array($resultat)) // en principe un seul rsultat, mais il se peut qu'un prof soit prof principal de 2 classes
          {
          	$code_formulaire .= "<a href='admin/consult_bddelev.php?classe=".$ligne['code_structure']."'>[".$ligne['code_structure']."]</a><img src='".$GLOBALS['chemin_relatif']."images/pixel.gif' width='30' alt='' />";
          }
        }
         $code_formulaire .= "</p>";
        // et s'il est coordonnateur matire
        $sql = "SELECT libelle_edition FROM coordonnateurs as t1, matieres_sconet as t2 WHERE id_individu='$id_individu' AND t1.code_matiere=t2.code_matiere";
        $resultat = mysql_query($sql);
        if ($resultat && mysql_num_rows($resultat) >0)
        {
          $ligne = mysql_fetch_array($resultat);
          $code_formulaire .= "<p>Je suis Professeur Coordonnateur de : <a href='".$GLOBALS['chemin_relatif']."admin/pers_prof.php#".$ligne['matiere']."'>[".$ligne['matiere']."]</a></p>";
        }
        // son emploi du temps
        $code_formulaire .= "<p>Mon emploi du temps : <a href='edt.php?categorie=professeurs&amp;edt=$id_individu'><img src='".$GLOBALS['chemin_relatif']."images/edt.png' align='middle' alt='[Emploi du temps]' title='Emploi du temps' /></a></p>";
      }
      $code_formulaire .="
      </div><br />";
      echo "<center>";
      squelette_formulaire_standard("100%","","","<h2 class='hidden'>Ma fiche de renseignements</h2>Ma fiche de renseignements",$code_formulaire,"","","","","","","");
      echo "</center>";
      echo "<br />";
      affiche_autorisations_publication();
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>