<?php
/**
 * c_synthese_ctextes.php
 *
 * affiche les rsultats de synthse sur le cahier de textes
 * du travail fait en classe ou du travail  faire pour une date donne
 * ou encore la synthse matire (=historique)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

function affiche_formulaire()
{
  global $action;
  $titre = "";
  switch($action)
  {
    case 'afaire':
      $titre = "Travaux  faire";
      break;
    case 'faitle':
      $titre = "Travaux effectus en classe";
      break;
    case 'synthmat':
      $titre = "Suivi chronologique d'une matire";
      break;
    default:
      // si $action n'est pas dfinie ou ne vaut pas ce qui est prvu, on redirige la page vers l'accueil
      // ceci se produit notamment aprs un timeout de session : on ne peut pas revenir directement sur
      // cette page sans avoir au pralable dfini $action (en cliquant sur les liens 'kivonbien') 
      if (empty($_SERVER['HTTPS']))
        $protocole = "http";
      else
        $protocole = "https";
      echo "
          <script type='text/javascript'>
          <!--
          location.href = '$protocole://".$_SERVER['HTTP_HOST'].$GLOBALS['racine']."';
          // -->
          </script>";
  }
  if (isset($_SESSION['classe_en_cours']) && $_SESSION['classe_en_cours'] != "")
  	echo "<h1 class='ct'>Synthse : $titre ".traite_longueur_titre_ctextes("(".$_SESSION['classe_en_cours'].")")."</h1><br />";
  else 
  	echo "<h1 class='ct'>Synthse : $titre</h1><br />";
  $valid_group = $_SESSION['valid_group'];
  $valid_nom = $_SESSION['valid_nom'];
  $valid_prenom = $_SESSION['valid_prenom'];
  $code_formulaire ="<br />"  ;
  if ($action == "synthmat")
  {
    $code_formulaire.="
    <label for='Form_Matiere'>Slectionnez une matire :</label> 
    <select id='Form_Matiere' size='1' name='matiere'>";
    /* On recherche les matires et les sous_matires : il faut pour cela deux requtes distinctes
    et on rassemblera les rsultats dans un mme champ. Cependant, pour qu'ultrieurement la distinction
    soit faite entre les matires et les sous_matires, il faut que ces informations soient fournies
    dans le champ : c'est pourquoi les valeurs qui seront transmises par ce champ sont au format :
    identifiant_matire,identifiant_sous_matire(vaut 0 si ce n'est pas une sous_matire), libell
    de la matire ou sous_matire.
    Du ct utilisateur, seul le libell est visible dans le champ de formulaire */
    if ($_SESSION['valid_group']!="11") // Ce n'est pas un IPR => Accs  toutes les matires
    {
      $sql = "SELECT code_matiere,libelle_edition FROM matieres_sconet ORDER BY libelle_edition";
      // DEBUGG print $sql."<hr />"; 
      $resultat = mysql_query($sql);
      $tableau_matieres1 = array(); // Ce tableau contiendra toutes les matires
      if ($resultat && mysql_num_rows($resultat)>0)
      { 
        while ($ligne=mysql_fetch_array($resultat,MYSQL_ASSOC))
        {
          $tableau_matieres1[]= $ligne['code_matiere'].",0,".$ligne['libelle_edition']; // le tableau contient le rsultat de la requte et le formate comme spcifi + haut
        }
      }
    }
    else // c'est un IPR, il n'aura accs qu'aux matires enseignes par les profs qu'il inspecte
    {  
      $tableau_matieres1 = array_unique($_SESSION['ipr_liste_matieres']); // on a dj ce qu'il faut...mais il faut ddoubler et extraire certaines infos
      // On rcupre les id_matires sous forme d'une variable avec des valeurs spares par des virgules
      $liste_id_matieres = "";
      foreach ($tableau_matieres1 as $value)
      {
        $fragment = explode(",",$value);
        $liste_id_matieres .= $fragment[0].",";
      }
      $liste_id_matieres = substr($liste_id_matieres,0,strlen($liste_id_matieres)-1); // on retire la virgule finale, cette variable va tre utilise plus loin dans une requte
    }
    if ($_SESSION['valid_group']!="11") // Ce n'est pas un IPR
    {
      // Maintenant les sous_matires
      $sql = "SELECT t1.code_matiere,id_sous_matiere,sous_matiere FROM matieres_sconet as t1, sous_matieres as t2 WHERE t1.code_matiere=t2.code_matiere ORDER BY sous_matiere";
      // DEBUGG print $sql."<hr />";
      $resultat = mysql_query($sql);
      // on vient de rcuprer la liste des sous_matires (et des matires dont elles dpendent)
      /* contiendra la liste des matires  supprimer (ce sont les matires parents de sous_matires)
      En effet dans le champ de formulaire, les matires parents doivent laisser place aux sous_matires
      Par exemple, il ne faut pasque dans le formulaire on ait  la fois Histoire-gographie (matire parent)
      et Education civique, Histoire,Gographie. Il faudra donc supprimer la matire parent (par ex Histoire-gographie)
      */
      $tableau_matieres_a_suppr = array(); 
      $tableau_matieres2 = array(); // contiendra les sous_matires seulement, mais au format spcifi + haut
      if ($resultat && mysql_num_rows($resultat)>0)
      {
        while ($ligne=mysql_fetch_array($resultat,MYSQL_ASSOC))
        {
          $tableau_matieres_a_suppr[]= $ligne['matiere']; // la matire parent est stocke 
          $tableau_matieres2[]= $ligne['code_matiere'].",".$ligne['id_sous_matiere'].",".$ligne['sous_matiere'];
        }
      }
      /* on ddoublonne le tableau des matires  supprimer car il contient forcment des doublons
      deux ou trois sous_matires dpendent d'une mme matire parent donc compte tenu du while
      excut ci-dessus, la matire parent apparatra plusieurs fois dansle tableau $tableau_matieres_a_suppr
      (autant de fois qu'elle comporte de sous_matires)
      */
      $tableau_matieres_a_suppr=array_unique($tableau_matieres_a_suppr);
      // On supprime les matires comprenant des sous_matires (seules les sous_matires doivent rester)
      $i=0;
      foreach($tableau_matieres1 as $value) // on parcourt le tableau contenant la liste de toutes les matires
      {
        $fragment=explode(",",$value); // $fragment[0] = code_matiere, $fragment[1] = 0 (si ce n'est une sous_matiere) ou une autre valeur (si c'est une sous_matiere), $fragment[2] = libell de la matire ou sous-matire
        $needle = $fragment[2]; // voil le libell de la matire
        if (in_array($needle,$tableau_matieres_a_suppr)) // Est-ce une matire parent  supprimer ?
        {
          $tableau_matieres1[$i] = ""; // On l'efface du tableau des matires
        }
        $i++;
      } 
    }
    else // C'est un IPR, on ne vas rcuprer que les sous_matires des matires qu'il inspecte
    {
      $sql = "SELECT DISTINCT t1.id_matiere,t2.matiere,t1.id_sous_matiere,t1.sous_matiere FROM sous_matieres as t1,matieres as t2 WHERE t1.id_matiere IN (".quote_smart($liste_id_matieres).") AND t1.id_matiere=t2.id_matiere ORDER BY sous_matiere";
      // DEBUGG print $sql."<hr />";
      $resultat = mysql_query($sql);
      // on vient de rcuprer la liste des sous_matires (et des matires dont elles dpendent)
      /* contiendra la liste des matires  supprimer (ce sont les matires parents de sous_matires)
      En effet dans le champ de formulaire, les matires parents doivent laisser place aux sous_matires
      Par exemple, il ne faut pasque dans le formulaire on ait  la fois Histoire-gographie (matire parent)
      et Education civique, Histoire,Gographie. Il faudra donc supprimer la matire parent (par ex Histoire-gographie)
      */
      $tableau_matieres_a_suppr = array(); 
      $tableau_matieres2 = array(); // contiendra les sous_matires seulement, mais au format spcifi + haut
      if ($resultat && mysql_num_rows($resultat)>0)
      {
        while ($ligne=mysql_fetch_array($resultat,MYSQL_ASSOC))
        {
          $tableau_matieres_a_suppr[]= $ligne['matiere']; // la matire parent est stocke 
          $tableau_matieres2[]= $ligne['id_matiere'].",".$ligne['id_sous_matiere'].",".$ligne['sous_matiere'];
        }
      }
      /* on ddoublonne le tableau des matires  supprimer car il contient forcment des doublons
      deux ou trois sous_matires dpendent d'une mme matire parent donc compte tenu du while
      excut ci-dessus, la matire parent apparatra plusieurs fois dansle tableau $tableau_matieres_a_suppr
      (autant de fois qu'elle comporte de sous_matires)
      */
      $tableau_matieres_a_suppr=array_unique($tableau_matieres_a_suppr);
      // On supprime les matires comprenant des sous_matires (seules les sous_matires doivent rester)
      $i=0;
      foreach($tableau_matieres1 as $value) // on parcourt le tableau contenant la liste de toutes les matires
      {
        $fragment=explode(",",$value);
        $needle = $fragment[2]; // voil le libell de la matire
        if (in_array($needle,$tableau_matieres_a_suppr)) // Est-ce une matire parent  supprimer ?
        {
          $tableau_matieres1[$i] = ""; // On l'efface du tableau des matires
        }
        $i++;
      }  
    }
    $tableau_matieres1 = enlever_valeurs_vides($tableau_matieres1);
    $tableau_matieres = array_merge($tableau_matieres1,$tableau_matieres2); // Voil les matires (non parents) et les sous_matires sont dans un mme tableau
    // DEBUGG var_dump($tableau_matieres1);echo "<hr />";var_dump($tableau_matieres_a_suppr);echo "<hr />";var_dump($tableau_matieres2);echo "<hr />";var_dump($tableau_matieres);
    
    // On peut maintenant proposer le choix des matires  l'utilisateur
    // la premire valeur du champ doit tre la matire principale enseigne (si c'est un prof)
    if ((isset($_SESSION['code_matiere_principale_enseignee']) && $_SESSION['code_matiere_principale_enseignee'] != "") || (isset($_SESSION['code_matiere_en_cours']) && $_SESSION['code_matiere_en_cours'] != ""))
    {
    	$i=0;
    	foreach($tableau_matieres as $value) // on parcourt le tableau contenant la liste de toutes les matires
        {
        	// DEBUGG print "<br/>$value"." : ";
        	$fragment=explode(",",$value);
        	$code_matiere = $fragment[0]; // voil le code de la matire
        	// DEBUGG print "$code_matiere :";
        	if ($code_matiere == $_SESSION['code_matiere_principale_enseignee'] || $code_matiere == $_SESSION['code_matiere_en_cours']) // l'lment courant est la matire principale enseigne ou la matire en cours de consultation
        	{
          		prev($tableau_matieres); // mais le pointeur interne est sur dj sur le prochain lment du tableau : il faut le remettre sur l'lment courant
        		$key_mat = key($tableau_matieres); // cl d'indice contenant le code matire enseigne = cl courante du tableau
          		// DEBUGG print "Cl trouve = $key_mat<br />";
          		$fragment = explode(",",$value);
          		// l'option affiche est la matire (ou sous_matire), mais la valeur qui sera renvoye est $value
      			// c'est--dire une chane du type code_matiere,id_sous_matiere,libell de la matire ou sous_matire
      			$code_formulaire .="<option value='$value'>$fragment[2]</option><option></option>"; // on met une option vide juste aprs la valeur par dfaut pour sparer du reste de la liste
          		break; // on peut sortir de la boucle;
        	}
        	$i++;
      	}
    	// DEBUGG print "<hr/>code_matiere_principale_enseignee = ".$_SESSION['code_matiere_principale_enseignee'].", matire = $fragment[2]<br />";
    	// DEBUGG print "cl correspondante trouve dans le tableau des matres : $key_mat<hr />";
    }
    else
    {
    	// sinon la premire valeur du champ doit tre la matire en cours de consultation dans la session
    	$m = $_SESSION['code_matiere_en_cours'];
    	$code_formulaire .= "<option>".$_SESSION['liste_matieres'][$m]."</option>";	
    }
    // voici les matires disponibles
    foreach($tableau_matieres as $value)
    {
      $selected = "";
      $fragment = explode(",",$value);
      // DEBUGG print "matire : $fragment[2] (demand : ".$_GET['matiere'].")";
      if (isset($_GET['matiere']) && $_GET['matiere'] == $fragment[2])
      { 
        $selected = "selected='selected'";
        // DEBUGG print $selected."<br />";
      }
      else
      {
        // DEBUGG print "<br />";
      }
      // l'option affiche est la matire (ou sous_matire), mais la valeur qui sera renvoye est $value
      // c'est--dire une chane du type code_matiere,id_sous_matiere,libell de la matire ou sous_matire
      $code_formulaire .="<option value='$value' $selected>$fragment[2]</option>";
    }
    $code_formulaire .="
    </select>";
    $code_formulaire .="<br />(Laissez ce champ vide si vous slectionnez un groupe dans le champ classe)";
  }
  else // Si ce n'est pas une synthse matire, il faut choisir la date (ou la priode)
  {
    // On affiche l'image du calendrier (champ avec un Datepicker)
    $code_formulaire .= "<label for='Form_Req_Date_Isolee'>Choisissez une date de consultation&nbsp;:</label> 
    <input id='Form_Req_Date_Isolee' type='text' size='10' name='date_isolee' class='datepicker choix_date_afaire' value='";
    if (isset($_POST['date_isolee']) && $_POST['date_isolee']!="")
      $code_formulaire .= $_POST['date_isolee'];
    $code_formulaire .="' />";
  }
  $code_formulaire .= "<br /><br /><label for='Form_Req_Classe'>Classe ou groupe&nbsp;:</label> 
  <select id='Form_Req_Classe' size='1' name='classe'>";
   // la classe si connue est affiche par dfaut, mais on peut aussi la modifier dans la liste qui suit
  if (isset($_SESSION['classe_en_cours']) && $_SESSION['classe_en_cours']!="")
  	$option_defaut = $_SESSION['classe_en_cours'];  
  // Si le formulaire est affich une deuxime fois(aprs une erreur par exemple), on raffiche la valeur saisie la premire fois
  elseif (isset($_POST['classe']) && $_POST['classe']!="")
    $option_defaut = $_POST['classe'];
  // Si c'est un parent connect, si $_SESSION['choix_classe_enfant'] est dfini, il a dj choisi la classe de l'un de ses enfants, on rcupre le choix au format classe%eleve_id
  if ($valid_group == "4")
  {
  	if (isset($_SESSION['choix_classe_enfant']) && $_SESSION['choix_classe_enfant'] != "")
  	{
  		$fragment = explode("%",$_SESSION['choix_classe_enfant']);
	  	// DEBUGG var_dump($fragment);
  		$_SESSION['ctextes_enfant_id'] = $fragment[1]; // au cas o on fixe ou refixe une variable de session
	  	// On recherche le prnom de cet enfant dans la variable de session 'enfants_scol'
  		foreach($_SESSION['enfants_scol'] as $value) // c'est un tableau
  		{
  			if (strstr($value,$_SESSION['ctextes_enfant_id']))	// C'est l'enfant choisi
  			{
  				// on rcupre son prnom
  				$champs = explode(",",$value);
  				$prenom = $champs[2];
  			}
  		}
  		$option_defaut_valeur_transmise = $fragment[0]."%".$_SESSION['ctextes_enfant_id'];
  		$option_defaut_valeur_affichee = $fragment[0]." "."($prenom)";
  		$code_formulaire .="<option value='$option_defaut_valeur_transmise'>".$option_defaut_valeur_affichee."</option>";
  	}
  	else // le choix de classe n'a pas encore t fait (entre directe par le lien de synthse matire sans avoir consulter un cahier de texte particulier au pralable)
  	{
  		$code_formulaire .="<option></option>";	
  	}
  }
  else // ce n'est pas un parent
  {
  	$code_formulaire .="<option>".$option_defaut."</option>";
  }
  // on recherche les autres classes ou groupes possibles
  if ($valid_group == "1" || $valid_group == "5" || $valid_group == "6" || $valid_group == "8") // groupes autoriss  voir les cahiers de textes de toutes les classes
  {
    $tableau_options1=liste_options_form("connect","division","divisions","");
    $tableau_options2=liste_options_form("connect","nom","groupes","");
    $tableau_options3=array_merge($tableau_options1,$tableau_options2);
    $code_formulaire.=affiche_liste_options_formulaire($tableau_options3);
  }
  elseif ($valid_group == "3") // Si c'est un prof, il ne pourra voir que le cahier de texte de ses classes
  {
    // Sauf le documentaliste qui peut choisir tous les cahiers de textes
    $sql5 = "SELECT libelle_long FROM disciplines_bcn,personnel WHERE id_pers='".quote_smart($_SESSION['valid_id_user'])."' AND personnel.code_discipline=disciplines_bcn.code_discipline";
    // DEBUGG print $sql5."<br />"; 
    $resultat5 = mysql_query($sql5);
    $ligne5 = mysql_fetch_array($resultat5);
    if (stristr($ligne5['libelle_long'],"Documentation"))
    {
      $is_documentaliste = true;
      $tableau_options1=liste_options_form("connect","division","divisions","");
	  $tableau_options2=liste_options_form("connect","nom","groupes","");
	  $tableau_options3=array_merge($tableau_options1,$tableau_options2);
      $code_formulaire.=affiche_liste_options_formulaire($tableau_options3);
    }
    else // c'est un prof normal : il ne pourra voir que le cahier de texte de ses classes
    {
      $tableau_options1=liste_options_form("connect","services.code_structure","services,enseignants_services","services.id_service = enseignants_services.id_service AND id_individu='".$_SESSION['identifiant_individu']."'");
	  $tableau_options2=liste_options_form("connect","nom","groupes","id_responsable='".$_SESSION['valid_id_user']."'");
   	  $tableau_options3=array_merge($tableau_options1,$tableau_options2);
      $code_formulaire.=affiche_liste_options_formulaire($tableau_options3);
    }
  }
  elseif ($valid_group == "11") // Si c'est un IPR, il ne pourra voir que le cahier de texte des classes des enseignants inspects (mais toutes ces classes)
  {
  	$liste_classes = array();
    foreach ($_SESSION['ipr_liste_classes_groupes'] as $value)
    {
    	$liste_classes[] = str_replace("%"," ",$value); // Pour affichage le % sparant le nom de la classe ou d'un groupe du prof inspect
    	$fragments = explode("%",$value);
    	$liste_valeurs[] = $fragments[0]; // le code structure (valeur qui sera renvoye par formulaire)
    }
    for ($i=0;$i<=count($liste_classes)-1;$i++)
 	{
   		$code_formulaire.= "<option value='".$liste_valeurs[$i]."'>".$liste_classes[$i]."</option>";
    }
  }
  elseif ($valid_group == "2")
  {
    // la classe de l'lve doit apparatre dans la liste des options
    $classe_eleve = cherche_classe_eleve_bis();
    if($classe_eleve!="")
      $code_formulaire .= "<option>$classe_eleve</option>";
    // On recherche les groupes ventuels dont l'lve fait partie
  	$liste_groupes = array();
    // On recherche le nom des groupes auquel il appartient
    $sql = "SELECT t1.nom FROM groupes as t1, groupes_eleves as t2 WHERE t1.id_groupe=t2.id_groupe AND t2.eleve_id='".quote_smart($_SESSION['identifiant_individu'])."'";
    // DEBUGG print $sql."<br />";
    $resultat = mysql_query($sql);
    if ($resultat)
    {
      if (mysql_num_rows($resultat)>0)
     {
       while ($ligne = mysql_fetch_array($resultat))
       {
        $liste_groupes[] = $ligne['nom'];
       }
       // DEBUGG print "resultat : "; var_dump($liste_groupes);
     }
    }
    else
    {
      $error_message = array("Le serveur de base de donnes est indisponible. Veuillez ressayer ultrieurement.","");
      affiche_erreurs($error_message);
      return;
    }
    // les groupes doivent apparatre dans la liste des options
    if (count($liste_groupes)!=0)
    {
      foreach($liste_groupes as $value)
      {
        $code_formulaire .= "<option>$value</option>";
      }
    } 
  }
  elseif ($valid_group == "4") // cas d'un parent
  {
    // code  complter !!
    /* Ici un parent doit pouvoir accder aux classes et aux groupes de tous leurs enfants */    
    // On recherche les classes des enfants de ce parent
    $sql = "SELECT classe,eleve_id FROM eleves WHERE eleve_id=";
  	for($i=0;$i<count($_SESSION['enfants_scol']);$i++)
  	{
    	$fragment=explode(",",$_SESSION['enfants_scol'][$i]);
    	$tab_id[$i]=$fragment[0]; // identifiant lve
    	$tab_nom[$i]=$fragment[1]; // nom lve
    	$tab_prenom[$i]=$fragment[2]; // prnom lve
    	if ($i==0) // Si 1er tour de boucle
      		$sql .= "'".quote_smart($tab_id[$i])."' ";
    	else //  partir de la 2me itration
      		$sql .= "OR eleve_id='".quote_smart($tab_id[$i])."' ";
  	}
  	$sql .= "ORDER BY nom,prenom"; // fin de la requte
	// DEBUGG print $sql."<br />";
    $resultat = mysql_query($sql);
    $code_formulaire .="
    <option></option>"; // 1re valeur vide
  	$i=0;
  	while ($ligne=mysql_fetch_array($resultat))
  	{
    	$code_formulaire .= "<option value=\"".$ligne['classe']."%".$ligne['eleve_id']."\">".$ligne['classe']." (".$tab_prenom[$i].")</option>";
    	$i++;
  	}
	// On recherche le nom des groupes auquel appartiennent les enfants
  	$sql = "SELECT DISTINCT t1.nom, prenom,t3.eleve_id FROM groupes as t1, groupes_eleves as t2, eleves as t3 WHERE t1.id_groupe=t2.id_groupe AND (t2.eleve_id=";
  	for($i=0;$i<count($tab_id);$i++)
  	{
    	if ($i==0) // Si 1er tour de boucle
      		$sql .= "'".quote_smart($tab_id[$i])."' AND t2.eleve_id=t3.eleve_id ";
    	else //  partir de la 2me itration
      		$sql .= "OR t2.eleve_id='".quote_smart($tab_id[$i])."' AND t2.eleve_id=t3.eleve_id ";
  	}
  	$sql .= ") ORDER BY nom"; // fin de la requte
	// DEBUGG print $sql."<br />";
  	$resultat = mysql_query($sql);
  	if ($resultat)
  	{
	    if (mysql_num_rows($resultat)>0)
    	{
      		while ($ligne = mysql_fetch_array($resultat))
      		{
        		$code_formulaire.="<option value=\"".$ligne['nom']."%".$ligne['eleve_id']."\">".$ligne['nom']." (".$ligne['prenom'].")</option>";
      		}     
    	}
  	}
  }
  	$code_formulaire .= "</select><br /><br />";
  	$code_formulaire .="
  	<input type='hidden' id='action' name='action' value='$action' />";
  	squelette_formulaire_standard("80%","post",$_SERVER['PHP_SELF'],"Remplissez ce formulaire",$code_formulaire,"Valider","submit_form","","","","","","centrer_contenu","id='ctextform' name='ctextform'");
}

function cherche_classe_eleve_bis()
{
      // ATTENTION, cette fonction n'est pas la mme que celle qui se trouve dans fonctions_diverses.php
      $sql = "SELECT t1.classe FROM eleves as t1, login as t2 WHERE t1.id_eleve=t2.id_pers AND t2.id_pers='".quote_smart($_SESSION['valid_id_user'])."'";
      $resultat = mysql_query($sql);
      if ($resultat)
      {
        if (mysql_num_rows($resultat)>0)
       {
         $ligne = mysql_fetch_array($resultat);
         $classe_eleve = $ligne['classe'];
         return $classe_eleve;
       }
       else
       {
        $error_message = array("<div align='justify'>Votre classe est introuvable. Veuillez contacter <a href='mailto:".email_encode($GLOBALS['admin_email'])."'>l'administrateur IntraEduWeb</a>.</div>","");
        affiche_erreurs($error_message);
        return;
       }
      }
      else
      {
        $error_message = array("Le serveur de base de donnes est indisponible. Veuillez ressayer ultrieurement.","");
        affiche_erreurs($error_message);
        return;
      }
}

function cherche_travaux_groupes()
{
	/**
	 * permet de trouver les travaux  faire ou faits en classe pour les matires qui sont enseignes en groupe
	 */
	
	global $date_isolee, $tableau_resultats, $action, $nb_travaux_par_matiere;
	// DEBUGG print "<hr />nb_travaux_par_matiere  l'entre dans la fonction cherche_travaux_groupes() :"; var_dump($nb_travaux_par_matiere);echo "<hr/>";
	
	// On recherche les groupes
    	
    	if ($_SESSION['valid_group'] == 2) // cas d'un lve connect => groupes qui concernent l'lve
    		$sql = "SELECT t1.nom as code_structure, t1.id_groupe FROM groupes as t1,groupes_eleves as t2 WHERE t2.eleve_id='".$_SESSION['identifiant_individu']."' AND t2.id_groupe=t1.id_groupe";
    	elseif ($_SESSION['valid_group'] == 4) // cas d'un parent connect => groupes qui concernent l'enfant choisi
    		$sql = "SELECT t1.nom as code_structure, t1.id_groupe FROM groupes as t1,groupes_eleves as t2 WHERE t2.eleve_id='".$_SESSION['ctextes_enfant_id']."' AND t2.id_groupe=t1.id_groupe";
    	else // Autre cas : on cherche la liste des groupes dont la classe est une division d'appartenance
    	// deux requtes en une seule grce  UNION !
			$sql = "(SELECT code_structure FROM structures WHERE divisions_appartenance LIKE '%".quote_smart($_SESSION['classe_en_cours'])."%') UNION (SELECT nom FROM groupes WHERE nom LIKE '%".quote_smart($_SESSION['classe_en_cours'])."%') ORDER BY code_structure";
		// DEBUGG print $sql."<br />"; 
		$resultat = mysql_query($sql);
		
		while ($ligne=mysql_fetch_array($resultat))
		{
			$sql8 = "SELECT id_responsable FROM groupes where nom='".$ligne['code_structure']."'";
			$resultat8 = mysql_query($sql8);
			$ligne8 = mysql_fetch_array($resultat8);
			if ($ligne8['id_responsable'] == 0) // C'est un groupe sconet
			{
				if ($action == "afaire")
					$sql7 = "SELECT DISTINCT CONCAT_WS('<br />Groupe ',t1.libelle_edition,t4.nom) as libelle_edition,t2.afaire,t3.id_ctexte,t3.code_matiere FROM matieres_sconet as t1, a_faire as t2,cahiers_textes as t3,groupes as t4, services as t5 WHERE t2.publication='1' AND t2.pourle='".quote_smart($date_isolee)."' AND t2.id_ctexte=t3.id_ctexte AND t4.nom=t3.code_structure AND t4.nom='".quote_smart($ligne['code_structure'])."' AND t5.code_structure=t4.nom AND t1.code_matiere=t5.code_matiere  AND t3.code_matiere=t5.code_matiere ORDER BY libelle_edition";
				elseif ($action == "faitle")
					$sql7 = "SELECT DISTINCT CONCAT_WS('<br />Groupe ',t1.libelle_edition,t4.nom) as libelle_edition,t3.activite,t3.id_ctexte,t3.code_matiere FROM matieres_sconet as t1,cahiers_textes as t3,groupes as t4, services as t5 WHERE t3.publication='1' AND t3.date='".quote_smart($date_isolee)."' AND t4.nom=t3.code_structure AND t4.nom='".quote_smart($ligne['code_structure'])."' AND t5.code_structure=t4.nom AND t1.code_matiere=t5.code_matiere  AND t3.code_matiere=t5.code_matiere ORDER BY libelle_edition";
			}
			else // C'est un groupe manuel
			{
				if ($action == "afaire")
					$sql7 = "SELECT DISTINCT CONCAT('Groupe<br />',t4.nom) as libelle_edition,t2.afaire,t3.id_ctexte,t3.code_matiere FROM a_faire as t2,cahiers_textes as t3,groupes as t4 WHERE t2.publication='1' AND t2.pourle='".quote_smart($date_isolee)."' AND t2.id_ctexte=t3.id_ctexte AND t4.nom=t3.code_structure AND t4.nom='".quote_smart($ligne['code_structure'])."' ORDER BY libelle_edition";
				elseif ($action == "faitle")
					$sql7 = "SELECT DISTINCT CONCAT('Groupe<br />',t4.nom) as libelle_edition,t3.activite,t3.id_ctexte,t3.code_matiere FROM cahiers_textes as t3,groupes as t4 WHERE t3.publication='1' AND t3.date='".quote_smart($date_isolee)."' AND t4.nom=t3.code_structure AND t4.nom='".quote_smart($ligne['code_structure'])."' ORDER BY libelle_edition";
			}
			// DEBUGG print $sql7."<br />";
			$resultat7 = mysql_query($sql7); // On a les entres de cahier de textes
      		$compteur_travaux = 0;
    		$libelle_edition_courant = "";
    		if (!isset($nb_travaux_par_matiere))
    			$nb_travaux_par_matiere = array();
    		while ($ligne7=mysql_fetch_array($resultat7)) // pour chaque rsultat
   			{
	   			// il faut garder une trace du nombre de travaux pour affichage ulrieur du tableau (notamment pour le rowspan par matire)
    			if ($libelle_edition_courant == "")
   				{
   				 	$libelle_edition_courant = $ligne7['libelle_edition'];
   			 		$compteur_travaux++;
   			 		$nb_travaux_par_matiere[$ligne7['libelle_edition']] = $compteur_travaux;
   				}
   				elseif ($libelle_edition_courant == $ligne7['libelle_edition'])
   				{
   					$compteur_travaux++;
   					$nb_travaux_par_matiere[$ligne7['libelle_edition']] = $compteur_travaux; // on est toujours sur la mme matire
   				}
   				else // on a chang de matire
   				{
   					$libelle_edition_courant = $ligne7['libelle_edition']; // on raffecte le libelle_courant
   					$compteur_travaux = 1; // et on rinitialise le $compteur_travaux
   					$nb_travaux_par_matiere[$ligne7['libelle_edition']] = $compteur_travaux;
   				}
   				if ($action == "afaire")
      			{
    				$tableau_resultats[$ligne7['libelle_edition']]['afaire'][$compteur_travaux] = $ligne7['afaire'];
    				// il faut chercher les docs joints au TAF
      				// Pour les documents joints (voir plus bas), on peut avoir besoin du nom des dossiers dans lesquels ils se trouvent
	    			// Or ces noms peuvent tre des noms de groupe, mais ils ne comportent ni accent, ni espace (car ce sont des noms de dossiers)
    				// Il faut donc rcuprer  partir de la bdd les noms des groupes disponibles, les transformer pour retirer espaces et accents et stocker ces noms dans un tableau qui nous servira plus tard, le cas chant pour faire des comparaisons et savoir si la fonction param_matiere_download nous a renvoy un nom de matire ou un nom de groupe
    				$sql8 = "SELECT nom from groupes";
    				$resultat8 = mysql_query($sql8);
    				$liste_noms_groupes = array();
    				if ($resultat8 && mysql_num_rows($resultat8)>0)
    				{
      					while ($ligne8 = mysql_fetch_array($resultat8))
      					{
        					$liste_noms_groupes[] = nospace(noaccent($ligne8['nom']));
      					}
    				}
    				$docs_joints = "";
      				$sql5 = "SELECT filename,commentaire FROM docs_joints_ctextes WHERE publication='1' AND id_afaire=".$ligne7['id_afaire'];
		    	    // DEBUGG print "On cherche les documents joints :<br />".$sql5."<br />";
    		        $resultat5 = mysql_query($sql5);
      		  		if ($resultat5 && mysql_num_rows($resultat5)>0)
      	  			{
        				$noms_dossiers_docs_joints = param_matiere_download($ligne7['libelle_edition']); // ce tableau ne contient qu'un lment (le nom du dossier contenant les documents joints)
				        // cette valeur est le nom d'une matire ou le nom d'un groupe : il faut savoir dans quel cas on est, car le paramtre $_GET['classe'] dans le lien qui va suivre dpend de cela
    		    		$flag_groupe = false;
        				if (in_array($noms_dossiers_docs_joints[0],$liste_noms_groupes))
          					$flag_groupe = true;
        				$j=0;
        				while ($ligne5=mysql_fetch_array($resultat5,MYSQL_ASSOC))
	        			{
    	      				$j++;
        	  				$docs_joints .= "<u>Document $j</u><br />";
          					if ($flag_groupe)
            					$docs_joints .= "<i>".respace($ligne5['filename'])."</i><br/><a href='./download_doc.php?file=".$ligne5['filename']."&amp;matiere=&amp;classe=".$noms_dossiers_docs_joints[0]."' title='Tlcharger le document ".$ligne5['filename']."'>[Tlcharger]</a>";
          					else // ce n'est pas un groupe : $noms_dossiers_docs_joints contient un seul nom (ce n'est pas un tableau) , celui de la matire
            					$docs_joints .= "<i>".respace($ligne5['filename'])."</i><br/><a href='./download_doc.php?file=".$ligne5['filename']."&amp;matiere=".$noms_dossiers_docs_joints."&amp;classe=".nospace($_SESSION['classe_en_cours'])."' title='Tlcharger le document ".$ligne5['filename']."'>[Tlcharger]</a>";
          					$docs_joints .= "<br /><font size='1'>(".htmlspecialchars_decode(stripslashes($ligne5['commentaire'])).")</font>";
          					$docs_joints .= "<br /><br />";
        				}
      	  			}
      	  			$tableau_resultats[$ligne7['libelle_edition']]['afaire'][$compteur_travaux] .= $docs_joints;
      			}
    			elseif ($action == "faitle")
    			{
	            	$tableau_resultats[$ligne7['libelle_edition']]['activite'][$compteur_travaux] = $ligne7['activite'];
    			}
    			$tableau_resultats[$ligne7['libelle_edition']]['id_ctexte'][$compteur_travaux] = $ligne7['id_ctexte'];    		
    		}
    	}
    	// DEBUGG print "<hr />nb_travaux_par_matiere  la sortie dans la fonction cherche_travaux_groupes() :"; var_dump($nb_travaux_par_matiere);echo "<hr/>";
    	return $tableau_resultats;
}

function affiche_tableau_resultats($vartitre,$th,$sql1,$sql2,$sql3)
{
  /* Cette fonction est similaire  affiche_resultats_groupe() mais comporte
  de nombreuses diffrences */
  global $action,$matiere,$date_isolee,$lien_date_id_sous_matiere,$nb_travaux_par_matiere;
  global $tableau_resultats;
  $tableau_resultats = array();
  // DEBUGG print $sql1."<hr />".$sql2."<hr />".$sql3;
  // affichage du titre de la page
  echo "<h1>Cahier de Textes ";
  if ($action == "synthmat")
  	$intitule_lien = "[Changer de classe ou de matire]";
  else
  	$intitule_lien = "[Changer de classe]";
  echo "de la Classe de ".$_SESSION['classe_en_cours']."</h1><center><i><a href='?action=$action'>$intitule_lien</a></i></center>";
  echo "<center><h2>$vartitre</h2></center>";
  // affichage du tableau de rsultats
  echo "<table width='100%' class='ctextes_synth'>";
  // d'abord la ligne d'en-tte
  echo "<tr>";
  $k = 1;
  foreach($th as $value) // contient les en-ttes de colonnes
  {
    if ($k == 1)
    	$class_add = " topleft first"; // CSS pour la 1re cellule d'en-tte
    elseif ($k == count($th))
    	$class_add = " topright last"; // CSS pour la dernire cellule d'en-tte
    else 
    	$class_add = "";
  	echo "<th class='fond_sommaire$class_add' scope='col'>$value</th>";
  	$k++;
  }
  echo "</tr>";
  // Maintenant les autres lignes
  if ($action != "synthmat")
  {
    // il s'agit d'afficher les travaux effectus en classe ($action =="faitle") ou les travaux  faire ($action == "afaire")  la date spcifie
    // on va mettre les rsultats des deux requtes $sql1 et $sql2 dans le mme tableau $tableau_resultats    
    $resultat1 = mysql_query($sql1);
    if (mysql_num_rows($resultat1)==0) // Si aucun  rsultat pour toutes les matires enseignes dans la classe
    {
      /* La requte pour les matires n'ayant rien donn dans le cahier de texte de la classe, il se peut qu'une matire soit associe  un groupe (langues, latin, autre option) et que des travaux  faire ou faits en classe sont prsents dans le cahier de textes de ce groupe. Il faut alors le faire apparatre dans les rsultats */
      // il faut donc rechercher pour chaque matire enseigne dans la classe, s'il y a un groupe associ
    	$tableau_resultats = array_merge($tableau_resultats,cherche_travaux_groupes());  
    }
    else // il y a des rsultats dans les matires enseignes en classe entire ou pas de rsultat en groupe
    {
    	$compteur_travaux = 0;
    	$libelle_edition_courant = "";
    	$nb_travaux_par_matiere = array();
    	while ($ligne1=mysql_fetch_array($resultat1)) // pour chaque rsultat
   		{
   			// il faut garder une trace du nombre de travaux pour affichage ulrieur du tableau (notamment pour le rowspan par matire)
    		if ($libelle_edition_courant == "")
   			{
   			 	$libelle_edition_courant = $ligne1['libelle_edition'];
   			 	$compteur_travaux++;
   			 	$nb_travaux_par_matiere[$ligne1['libelle_edition']] = $compteur_travaux;
   			}
   			elseif ($libelle_edition_courant == $ligne1['libelle_edition'])
   			{
   				$compteur_travaux++;
   				$nb_travaux_par_matiere[$ligne1['libelle_edition']] = $compteur_travaux; // on est toujours sur la mme matire
   			}
   			else // on a chang de matire
   			{
   				$libelle_edition_courant = $ligne1['libelle_edition']; // on raffecte le libelle_courant
   				$compteur_travaux = 1; // et on rinitialise le $compteur_travaux
   				$nb_travaux_par_matiere[$ligne1['libelle_edition']] = $compteur_travaux;
   			}
   			if ($action == "afaire")
      		{
    			$tableau_resultats[$ligne1['libelle_edition']]['afaire'][$compteur_travaux] = $ligne1['afaire'];
    			// il faut chercher les docs joints au TAF
      			// Pour les documents joints (voir plus bas), on peut avoir besoin du nom des dossiers dans lesquels ils se trouvent
    			// Or ces noms peuvent tre des noms de groupe, mais ils ne comportent ni accent, ni espace (car ce sont des noms de dossiers)
    			// Il faut donc rcuprer  partir de la bdd les noms des groupes disponibles, les transformer pour retirer espaces et accents et stocker ces noms dans un tableau qui nous servira plus tard, le cas chant pour faire des comparaisons et savoir si la fonction param_matiere_download nous a renvoy un nom de matire ou un nom de groupe
    			$sql8 = "SELECT nom from groupes";
    			$resultat8 = mysql_query($sql8);
    			$liste_noms_groupes = array();
    			if ($resultat8 && mysql_num_rows($resultat8)>0)
    			{
      				while ($ligne8 = mysql_fetch_array($resultat8))
      				{
        				$liste_noms_groupes[] = nospace(noaccent($ligne8['nom']));
      				}
    			}
    			$docs_joints = "";
      			$sql5 = "SELECT filename,commentaire FROM docs_joints_ctextes WHERE publication='1' AND id_afaire=".$ligne1['id_afaire'];
	    	    // DEBUGG print "On cherche les documents joints :<br />".$sql5."<br />";
    	        $resultat5 = mysql_query($sql5);
      	  		if ($resultat5 && mysql_num_rows($resultat5)>0)
      	  		{
        			$noms_dossiers_docs_joints = param_matiere_download($ligne1['libelle_edition']); // ce tableau ne contient qu'un lment (le nom du dossier contenant les documents joints)
			        // cette valeur est le nom d'une matire ou le nom d'un groupe : il faut savoir dans quel cas on est, car le paramtre $_GET['classe'] dans le lien qui va suivre dpend de cela
    	    		$flag_groupe = false;
        			if (in_array($noms_dossiers_docs_joints[0],$liste_noms_groupes))
          				$flag_groupe = true;
        			$j=0;
        			while ($ligne5=mysql_fetch_array($resultat5,MYSQL_ASSOC))
        			{
          				$j++;
          				$docs_joints .= "<u>Document $j</u><br />";
          				if ($flag_groupe)
            				$docs_joints .= "<i>".respace($ligne5['filename'])."</i><br/><a href='./download_doc.php?file=".$ligne5['filename']."&amp;matiere=&amp;classe=".$noms_dossiers_docs_joints[0]."' title='Tlcharger le document ".$ligne5['filename']."'>[Tlcharger]</a>";
          				else // ce n'est pas un groupe : $noms_dossiers_docs_joints contient un seul nom (ce n'est pas un tableau) , celui de la matire
            				$docs_joints .= "<i>".respace($ligne5['filename'])."</i><br/><a href='./download_doc.php?file=".$ligne5['filename']."&amp;matiere=".$noms_dossiers_docs_joints."&amp;classe=".nospace($_SESSION['classe_en_cours'])."' title='Tlcharger le document ".$ligne5['filename']."'>[Tlcharger]</a>";
          				$docs_joints .= "<br /><font size='1'>(".htmlspecialchars_decode(stripslashes($ligne5['commentaire'])).")</font>";
          				$docs_joints .= "<br /><br />";
        			}
      	  		}
      	  		$tableau_resultats[$ligne1['libelle_edition']]['afaire'][$compteur_travaux] .= $docs_joints;
      		}
    		elseif ($action == "faitle")
    		{
	            $tableau_resultats[$ligne1['libelle_edition']]['activite'][$compteur_travaux] = $ligne1['activite'];
    		}
    		$tableau_resultats[$ligne1['libelle_edition']]['id_ctexte'][$compteur_travaux] = $ligne1['id_ctexte'];    		
    	}
    	// DEBUGG print "<br />Nombre de travaux par matire <u>(AVANT la recherche dans les groupes)</u> : "; var_dump($nb_travaux_par_matiere);echo "<br />";
    	// on cherche q'il n'y a pas en plus des travaux pour les matirs enseignes en groupe
    	// On recherche les groupes
    	$tableau_resultats = array_merge($tableau_resultats,cherche_travaux_groupes()); 
    	// DEBUGG print "<br />Nombre de travaux par matire <u>(APRES la recherche dans les groupes)</u> : "; var_dump($nb_travaux_par_matiere);echo "<br />";
    	
    }	
    ksort($tableau_resultats); // le tableau est tri suivant les cls (matires, travaux)
    // DEBUGG print "<u>Tableau complet des rsultats (toutes matires) :</u><br />";
    // DEBUGG print "Nombre de matires : "; echo count($tableau_resultats)."<br />";var_dump($tableau_resultats);echo "<hr />";
    $nb_lignes_travaux_total = 0;
    foreach($tableau_resultats as $value)
    {
    	$nb_lignes_travaux_total += (count($value,COUNT_RECURSIVE)-2)/2;
    }
    // DEBUGG print "Nombre de lignes de travaux au total : "; echo $nb_lignes_travaux_total."<br />";
    for ($i=1;$i<=$nb_lignes_travaux_total;$i++)
    {
    	// si $i est pair, on colore lgrement le fond de la cellule, sinon on laisse en blanc
      if (is_int($i/2))
      {
        $class = "corps_formulaire";
      }
      else
      {
        $class = "";
      }
      
      // CSS pour la 1re et la dernire cellule de la dernire ligne
      if ($i == $nb_lignes_travaux_total)
      {
      	$class_add_first = " bottomleft";
      	$class_add_last = " bottomright";
      }
      
      echo "<tr>";
      if ($i == 1 || $pointeur_travaux_matiere>$nb_travaux_matiere) // c'est la 1re ligne donc la 1re matire ou la premire ligne d'une nouvelle matir
      {
      	if ($i == 1)
      	{
      		reset($tableau_resultats); // pointeur sur la 1re matire
      		$pointeur_travaux_matiere = 1;
      	}
      	elseif ($pointeur_travaux_matiere>$nb_travaux_matiere)
      	{
      		next($tableau_resultats); // pointeur sur la matire suivante
      		$pointeur_travaux_matiere = 1;
      	}
      	$nb_travaux_matiere = $nb_travaux_par_matiere[key($tableau_resultats)];
      	echo "<td class='".$class.$class_add_first."' valign='middle' align='center' rowspan='".$nb_travaux_matiere."' scope='row'>
      	<b><u>".key($tableau_resultats)."</u></b><br />";
      	$id_ctexte = $tableau_resultats[key($tableau_resultats)]['id_ctexte'][$pointeur_travaux_matiere];
      	
      	// Affichage du visa ventuel (DIR ou IPR : le plus rcent) : uniquement si la sance est dj renseigne
   		global $db;
        $CdtVisaManager = new CdtVisaManager($db);
        $code_affichage_visa = $CdtVisaManager->afficheTamponVisa($id_ctexte);
        if ($code_affichage_visa != "")
        	echo "<center>$code_affichage_visa</center>";
        echo "</td>";
      }
      
      if ($action == "afaire")
       	$cle = "afaire";
      elseif ($action == "faitle")
     	$cle = "activite";
      echo "<td class='$class' valign='middle' align='left'><br />".htmlspecialchars_decode(stripslashes($tableau_resultats[key($tableau_resultats)][$cle][$pointeur_travaux_matiere]))."<br /><br /></td>"; // 
      echo "<td class='".$class.$class_add_last."' valign='middle' align='center'>";
    	$id_ctexte = $tableau_resultats[key($tableau_resultats)]['id_ctexte'][$pointeur_travaux_matiere];
      	if ($action == "afaire")
      	{
      		// on recherche les infos ncessaires pour tablir un lien vers l'entre de cahier de textes correspondante
        	$sql = "SELECT date,code_matiere,code_structure,id_sous_matiere,id_groupe FROM cahiers_textes WHERE id_ctexte='".quote_smart($id_ctexte)."'";
        	// DEBUGG print $sql."<br />";
        	// DEBUGG print "Pointeur du tableau concernant la matire : $pointeur_travaux_matiere<br />";
        	// DEBUGG print $id_ctexte."<br />";
        	$resultat3 = mysql_query($sql);
        	$ligne3=mysql_fetch_array($resultat3,MYSQL_ASSOC);
        	if ($ligne3['id_groupe']!=0) // cette entre de cahier de texte correspond  un groupe !
        	{
        		// Voil le lien [consulter] qui permettra d'y accder
        		echo "<br />
        		<a href='cahiers_textes.php?imprimable=oui&amp;id_gpe=".$ligne3['code_structure']."&amp;date=".date_mysql_to_jjmmaaaa_tiret($ligne3['date'])."&amp;matiere=".$ligne3['code_matiere']."&amp;sous_matiere=0' title='Consulter le contenu de la sance en classe'>[Consulter]</a>
            	<br /><br />";
        	}
        	else // c'est une matire normale
        		echo "<br />
        		<a href='cahiers_textes.php?imprimable=oui&amp;date=".date_mysql_to_jjmmaaaa_tiret($ligne3['date'])."&amp;matiere=".$ligne3['code_matiere']."&amp;sous_matiere=".$ligne3['id_sous_matiere']."'  title='Consulter le contenu de la sance en classe'>[Consulter]</a>
            	<br /><br />";        	
      	}
      	if ($action == "faitle")
      	{
      		// dans cette troisime colonne, on recherche les documents joints
           	$sql6 = "SELECT filename,commentaire FROM docs_joints_ctextes WHERE publication = '1' AND id_ctexte='".quote_smart($id_ctexte)."'";
           	// DEBUGG print $sql6."<br />";
           	if (strstr(key($tableau_resultats),"<br />")) // Si l'intitul de la ligne comporte le nom d'un groupe 
           	{
           		// L'intitul de la ligne est du format 'matiere' ou 'matiere<br />Groupe *groupe_sconet*' ou 'Groupe<br />*groupe_manuel*
           		$recup_matiere = explode("<br />",key($tableau_resultats));
           		$matiere = $recup_matiere[0];
           		if ($matiere == "Groupe") // Si c'est un groupe manuel
           			$matiere = "";
           		$groupe = str_replace("Groupe ","",$recup_matiere[1]);
           		// DEBUGG var_dump($groupe);
           	}
           	else
           	{
           		$matiere = key($tableau_resultats); // C'est une matire normale
           		$groupe = ""; // pour valeur correcte de $url_mat_classe + loin
           	}
           	// DEBUGG print "Matiere  transmettre  param_matiere_download() : ".$matiere."<br />";
           	$resultat6 = mysql_query($sql6);
           	if ($resultat6 && mysql_num_rows($resultat6)>0)
           	{
            	$m=0;
            	$noms_dossiers_docs_joints = param_matiere_download($matiere);
            	// DEBUGG var_dump($noms_dossiers_docs_joints);
            	while ($ligne6=mysql_fetch_array($resultat6,MYSQL_ASSOC))
            	{
            		$m++;
            		echo "<u>Document $m</u><br />";
            		if (isset($groupe) && $groupe != "")
            			$url_mat_classe = "&amp;matiere=&amp;classe=".$groupe."'";
            		else
            			$url_mat_classe = "&amp;matiere=".$noms_dossiers_docs_joints."&amp;classe=".nospace($_SESSION['classe_en_cours'])."'";
            			// Et on propose un lien [Tlcharger]
            		if (is_array($noms_dossiers_docs_joints) && count($noms_dossiers_docs_joints)>1) // Il s'agit srement de groupes de langues
            			echo respace($ligne6['filename'])."<br/><a href='./download_doc.php?file=".$ligne6['filename']."&amp;matiere=&amp;classe=".$noms_dossiers_docs_joints[$n]."' title='Tlcharger le document ".$ligne6['filename']."'>[Tlcharger]</a>";
            		elseif (is_array($noms_dossiers_docs_joints))
            			echo respace($ligne6['filename'])."<br/><a href='./download_doc.php?file=".$ligne6['filename']."&amp;matiere=&amp;classe=".$noms_dossiers_docs_joints[0]."' title='Tlcharger le document ".$ligne6['filename']."'>[Tlcharger]</a>";
            		else // ce n'est pas un tableau => Cas d'une matire normale
            			echo respace($ligne6['filename'])."<br/><a href='./download_doc.php?file=".$ligne6['filename'].$url_mat_classe."' title='Tlcharger le document ".$ligne6['filename']."'>[Tlcharger]</a>";
            		echo "<br /><font size='1'>(".stripslashes($ligne6['commentaire']).")</font><br />";
            	}
             	$n++;
             	if (count($tab_id_ctexte)>1 && $n!=count($tab_id_ctexte))
               		echo "<hr />";
           	 }
      	}
      	$pointeur_travaux_matiere++;
      	 echo "</td>";
      echo "</tr>";
    }
    // DEBUGG print "Point d'arrt";
  }
  else // $action = synthmat (il s'agit d'une synthse matire)
  {
    // Pour les documents joints (voir plus bas), on peut avoir besoin du nom des dossiers dans lesquels ils se trouvent
    // Or ces noms peuvent tre des noms de groupe, mais ils ne comportent ni accent, ni espace (car ce sont des noms de dossiers)
    // Il faut donc rcuprer  partir de la bdd les noms des groupes disponibles, les transformer pour retirer espaces et accents et stocker ces noms dans un tableau qui nous servira plus tard, le cas chant pour faire des comparaisons et savoir si la fonction param_matiere_download nous a renvoy un nom de matire ou un nom de groupe
    $sql8 = "SELECT nom from groupes";
    $resultat8 = mysql_query($sql8);
    $liste_noms_groupes = array();
    if ($resultat8 && mysql_num_rows($resultat8)>0)
    {
      while ($ligne8 = mysql_fetch_array($resultat8))
      {
        $liste_noms_groupes[] = nospace(noaccent($ligne8['nom']));
      }
    }
    // il faut rassembler les rsultats des diffrentes requtes avant d'afficher les lignes du tableau
    // d'abord les entres de cahier de textes
    $i=0;
    $resultat1 = mysql_query($sql1);
    $nlignes = mysql_num_rows($resultat1);
    while ($ligne1=mysql_fetch_array($resultat1, MYSQL_ASSOC))
    {
      $i++;
      // si $i est pair, on colore lgrement le fond de la cellule, sinon on laisse en blanc
      if (is_int($i/2))
      {
        $class = "corps_formulaire";
      }
      else
      {
        $class = "";
      }
      
      // CSS pour la 1re et la dernire cellule de la dernire ligne
      if ($i == $nlignes)
      {
      	$class_add_first = " bottomleft";
      	$class_add_last = " bottomright";
      }
      
      // on affiche une ligne de rsultat
      echo "<tr>";
      // sur cette ligne, d'abord la date
      if ($_SESSION['type_structure_en_cours'] != "D")
      	$id_gpe = $_SESSION['classe_en_cours'];
      else
      	$id_gpe = "";
      echo "<td class='".$class.$class_add_first."'>
      <center>
      <h3 class='hidden'>Le ".MySQLDateToExplicitDate($ligne1['date'])."</h3>
      <a href='cahiers_textes.php?imprimable=oui&amp;date=".date_mysql_to_jjmmaaaa_tiret($ligne1['date'])."&amp;matiere=".$GLOBALS['id_matiere']."&amp;sous_matiere=$lien_date_id_sous_matiere&amp;id_gpe=$id_gpe'  title='Consulter le contenu de la sance du ".format_date_long("fr",date_mysql_to_jjmmaaaa($ligne1['date']))."'>".date_mysql_to_jjmmaaaa($ligne1['date'])."</a>
      </center>";
	  $id_ctexte = $ligne1['id_ctexte'];
      // Affichage du visa ventuel (DIR ou IPR : le plus rcent) : uniquement si la sance est dj renseigne
   	  global $db;
      $CdtVisaManager = new CdtVisaManager($db);
      $code_affichage_visa = $CdtVisaManager->afficheTamponVisa($id_ctexte);
      	if ($code_affichage_visa != "")
      		echo "<center>$code_affichage_visa</center>";
      echo "</td>";
      // puis le travail fait en classe
      echo "<td class='$class'>".htmlspecialchars_decode(traite_titraille(stripslashes($ligne1['activite']),"+1"))."</td>";
      // maintenant les travaux  faire
      echo "<td class='$class'>";
      $sql4 = $sql2.$ligne1['id_ctexte']." ORDER BY pourle";
      // DEBUGG print "On cherche les travaux  faire :<br />".$sql4."<br />";
      $resultat4 = mysql_query($sql4);
      if ($resultat4 && mysql_num_rows($resultat4)>0)
      {
        while ($ligne4=mysql_fetch_array($resultat4,MYSQL_ASSOC))
        {
          echo "<u>Pour le ".date_mysql_to_jjmmaaaa($ligne4['pourle'])."</u><br />";
          echo htmlspecialchars_decode(stripslashes($ligne4['afaire']))."<br />";
           // et les documents joints aux travaux  faire
          $sql5 =$sql3."id_afaire=".$ligne4['id_afaire'];
      	  // DEBUGG print "On cherche les documents joints :<br />".$sql5."<br />";
          $resultat5 = mysql_query($sql5);
      	  if ($resultat5 && mysql_num_rows($resultat5)>0)
      	  {
        	$noms_dossiers_docs_joints = param_matiere_download($matiere); // ce tableau ne contient qu'un lment (le nom du dossier contenant les documents joints)
	        // cette valeur est le nom d'une matire ou le nom d'un groupe : il faut savoir dans quel cas on est, car le paramtre $_GET['classe'] dans le lien qui va suivre dpend de cela
    	    $flag_groupe = false;
        	if (in_array($noms_dossiers_docs_joints[0],$liste_noms_groupes))
          		$flag_groupe = true;
        	$j=0;
        	while ($ligne5=mysql_fetch_array($resultat5,MYSQL_ASSOC))
        	{
          		$j++;
          		echo "<u>Document $j</u><br />";
          		if ($flag_groupe)
            		echo "<i>".respace($ligne5['filename'])."</i><br/><a href='./download_doc.php?file=".$ligne5['filename']."&amp;matiere=&amp;classe=".$noms_dossiers_docs_joints[0]."' title='Tlcharger le document ".$ligne5['filename']."'>[Tlcharger]</a>";
          		else // ce n'est pas un groupe : $noms_dossiers_docs_joints contient un seul nom (ce n'est pas un tableau) , celui de la matire
            		echo "<i>".respace($ligne5['filename'])."</i><br/><a href='./download_doc.php?file=".$ligne5['filename']."&amp;matiere=".$noms_dossiers_docs_joints."&amp;classe=".nospace($_SESSION['classe_en_cours'])."' title='Tlcharger le document ".$ligne5['filename']."'>[Tlcharger]</a>";
          		echo "<br /><font size='1'>(".htmlspecialchars_decode(stripslashes($ligne5['commentaire'])).")</font>";
          		echo "<br /><br />";
        	}
      	  }
        }
      }
      echo "</td>";
      // et enfin les documents joints aux contenus de sance
      echo "<td class='".$class.$class_add_last."'>";
      $sql5 =$sql3."id_ctexte=".$ligne1['id_ctexte'];
      // DEBUGG print "On cherche les documents joints :<br />".$sql5."<br />";
      $resultat = mysql_query($sql5);
      if ($resultat && mysql_num_rows($resultat)>0)
      {
        $noms_dossiers_docs_joints = param_matiere_download($matiere); // ce tableau ne contient qu'un lment (le nom du dossier contenant les documents joints)
        // cette valeur est le nom d'une matire ou le nom d'un groupe : il faut savoir dans quel cas on est, car le paramtre $_GET['classe'] dans le lien qui va suivre dpend de cela
        $flag_groupe = false;
        if (in_array($noms_dossiers_docs_joints[0],$liste_noms_groupes))
          $flag_groupe = true;
        $j=0;
        while ($ligne=mysql_fetch_array($resultat,MYSQL_ASSOC))
        {
          $j++;
          echo "<u>Document $j</u><br />";
          if ($flag_groupe)
            echo "<i>".respace($ligne['filename'])."</i><br/><a href='./download_doc.php?file=".$ligne['filename']."&amp;matiere=&amp;classe=".$noms_dossiers_docs_joints[0]."' title='Tlcharger le document ".$ligne['filename']."'>[Tlcharger]</a>";
          else // ce n'est pas un groupe : $noms_dossiers_docs_joints contient un seul nom (ce n'est pas un tableau) , celui de la matire
            echo "<i>".respace($ligne['filename'])."</i><br/><a href='./download_doc.php?file=".$ligne['filename']."&amp;matiere=".$noms_dossiers_docs_joints."&amp;classe=".nospace($_SESSION['classe_en_cours'])."' title='Tlcharger le document ".$ligne['filename']."'>[Tlcharger]</a>";
          echo "<br /><font size='1'>(".htmlspecialchars_decode(stripslashes($ligne['commentaire'])).")</font>";
          echo "<br /><br />";
        }
      }
      echo "</td>";
      echo "</tr>";
    }
    
  }
  echo "</table>";
}

function affiche_resultats_groupe($vartitre,$th,$sql1,$sql2,$sql3)
{
  /* Cette fonction est similaire  affiche_tableau_resultats() mais comporte
  de nombreuses diffrences */
  global $action,$id_matiere;
  // DEBUGG print $sql1."<hr />".$sql2."<hr />".$sql3;
  // affichage du titre de la page
  if ($vartitre == "") // traitement d'un cas particulier
  {
  	$vartitre = "Suivi chronologique en <span style='color:red'>".$_SESSION['assoc_libelle_id_groupe'][$id_matiere][0]."</span>";
  }
  // DEBUGG print "<br />$"."_SESSION['assoc_libelle_id_groupe']";var_dump($_SESSION['assoc_libelle_id_groupe']);
  // DEBUGG print "id_matire : $id_matiere"."<br />";
  echo "<h1>Cahier de Textes ";
  echo "du Groupe : ".$_SESSION['classe_en_cours']."</h1><center><i><a href='?action=$action'>[Changer de groupe]</a></i></center>";
  echo "<center><h2>$vartitre</h2></center>";
  // affichage du tableau de rsultats
  echo "<table width='100%' class='ctextes_synth'>";
  echo "<tr>";
  foreach($th as $value)
  {
    echo "<th class='fond_sommaire'>$value</th>";
  }
  echo "</tr>";
  $i=0;
    $resultat1 = mysql_query($sql1);
    while ($ligne1=mysql_fetch_array($resultat1))
    {
      $i++;
      // si $i est pair, on colore lgrement le fond de la cellule, sinon on laisse en blanc
      if (is_int($i/2))
      {
        $class = "corps_formulaire";
      }
      else
      {
        $class = "";
      }
      // on affiche une ligne de rsultat
      echo "<tr>";
      // premire colonne
      if ($action == "synthmat") // dans ce cas, le premier champ est la date
        echo "<td class='$class'><a href='cahiers_textes.php?imprimable=oui&amp;date=".date_mysql_to_jjmmaaaa_tiret($ligne1['date'])."&amp;matiere=".$ligne1['code_matiere']."&amp;sous_matiere=0&amp;id_gpe=".$_SESSION['classe_en_cours']."'  title='Consulter le contenu de la sance du ".format_date_long("fr",date_mysql_to_jjmmaaaa($ligne1[0]))."'>".date_mysql_to_jjmmaaaa($ligne1[0])."</a></td>"; //  mettre en forme correctement
      else // On affiche le contenu du travail
      {
       if ($ligne1['code_matiere'] != "") // Si c'est un groupe sconet, la matiere est identifie : on la prcise car pour des groupes bilangues, il faut distinguer les 2 langues
       {
      		$sql = "SELECT libelle_edition FROM cahiers_textes as t1, matieres_sconet as t2 WHERE t2.code_matiere=t1.code_matiere AND t1.code_matiere='".$ligne1['code_matiere']."'";
      		// DEBUGG print $sql."<br /";
      		$resultat = mysql_query($sql);
      		$ligne = mysql_fetch_array($resultat);
      		$intitule = "<u><b>En ".$ligne['libelle_edition']."</b></u><br />";
       }
       else
       {
       		$intitule = "";
       }
      	if ($action == "faitle")
       		echo "<td class='$class'>$intitule".htmlspecialchars_decode(stripslashes($ligne1[0]))."</td>";
       	elseif ($action == "afaire")
       	{
       		echo "<td class='$class'>$intitule".htmlspecialchars_decode(stripslashes($ligne1['afaire']));
       		$docs_joints = "";
      		$sql5 = "SELECT filename,commentaire FROM docs_joints_ctextes WHERE publication='1' AND id_afaire=".$ligne1['id_afaire'];
	    	// DEBUGG print "On cherche les documents joints :<br />".$sql5."<br />";
    	    $resultat5 = mysql_query($sql5);
      	  	if ($resultat5 && mysql_num_rows($resultat5)>0)
      	  	{
        		$j=0;
        		while ($ligne5=mysql_fetch_array($resultat5,MYSQL_ASSOC))
        		{
          			$j++;
          			$docs_joints .= "<u>Document $j</u><br />";
          			$docs_joints .= "<i>".respace($ligne5['filename'])."</i><br/><a href='./download_doc.php?file=".$ligne5['filename']."&amp;matiere=&amp;classe=".$_SESSION['classe_en_cours']."' title='Tlcharger le document ".$ligne5['filename']."'>[Tlcharger]</a>";
          			$docs_joints .= "<br /><font size='1'>(".htmlspecialchars_decode(stripslashes($ligne5['commentaire'])).")</font>";
          			$docs_joints .= "<br /><br />";
        		}
      	  	}
      	  	echo "$docs_joints</td>";
       	}
      }
      // deuxime colonne
      if ($action == "afaire") // on met un lien [consulter] vers le cahier de textes correspondant
      {
        echo "<td class='$class' align='center'>";
        echo "<a href='cahiers_textes.php?imprimable=oui&amp;date=".date_mysql_to_jjmmaaaa_tiret($ligne1['date'])."&amp;matiere=&amp;sous_matiere=0'  title='Consulter le contenu de la sance en classe'>[Consulter]</a>";
      }
      elseif ($action == "faitle")
      {
        // l, on recherche les documents joints
        echo "<td class='$class'>";
        $sql5 =$sql3."id_ctexte=".$ligne1[1]; // on complte la requte avec l'id_ctexte qui permettra de retrouver les documents joints
        $resultat = mysql_query($sql5);
        if ($resultat && mysql_num_rows($resultat)>0)
        {
          $j=0;
          while ($ligne=mysql_fetch_array($resultat,MYSQL_ASSOC))
          {
            $j++;
            echo "<u>Document $j</u><br />";
            echo "<i>".respace($ligne['filename'])."</i><br/><a href='./download_doc.php?file=".$ligne['filename']."&amp;matiere=&amp;classe=".nospace($_SESSION['classe_en_cours'])."' title='Tlcharger le document ".$ligne['filename']."'>[Tlcharger]</a>";
            echo "<br /><font size='1'>(".htmlspecialchars_decode(stripslashes($ligne['commentaire'])).")</font>";
            echo "<br /><br />";
          }
        }
      }
      elseif ($action == "synthmat")
      {
        // c'est le travail fait en classe
        echo "<td class='$class'>".htmlspecialchars_decode(stripslashes($ligne1[1]));
      }
      echo "</td>";
      // Troisime colonne (seulement si $action == synthmat)
      if ($action == "synthmat")
      {
        // Dans cette colonne, il faut mettre les travaux  faire : il faut d'abord les retrouver
        echo "<td class='$class'>";
        $sql4 = $sql2.$ligne1[2]; // on complte avec l'id_ctexte
        $resultat = mysql_query($sql4);
        if ($resultat && mysql_num_rows($resultat)>0)
        {
          while ($ligne=mysql_fetch_array($resultat,MYSQL_ASSOC))
          {
            echo "<u>Pour le ".date_mysql_to_jjmmaaaa($ligne['pourle'])."</u><br />";
            echo htmlspecialchars_decode(stripslashes($ligne['afaire']))."<br /><br />";
          }
        }
        echo "</td>";
      }
      // Quatrime colonne (seulement si $action == synthmat)
      if ($action == "synthmat")
      {
        // Dans cette colonne, il faut mettre les documents joints : il faut d'abord les retrouver
        echo "<td class='$class'>";
        $sql5 =$sql3."id_ctexte=".$ligne1[2]; // on complte avec l'id_ctexte
        $resultat = mysql_query($sql5);
        if ($resultat && mysql_num_rows($resultat)>0)
        {
          $j=0;
          while ($ligne=mysql_fetch_array($resultat,MYSQL_ASSOC))
          {
            $j++;
            echo "<u>Document $j</u><br />";
            echo "<i>".respace($ligne['filename'])."</i><br/><a href='./download_doc.php?file=".$ligne['filename']."&amp;matiere=&amp;classe=".nospace($_SESSION['classe_en_cours'])."' title='Tlcharger le document ".$ligne['filename']."'>[Tlcharger]</a>";
            echo "<br /><font size='1'>(".htmlspecialchars_decode(stripslashes($ligne['commentaire'])).")</font>";
            echo "<br /><br />";
          }
        }
        echo "</td>";
      }
      echo "</tr>";
    }
    echo "</table>";
}

function cherche_groupe_matiere($matiere,$id_matiere)
{
  // Comme son nom l'indique, renvoie le (ou les) identifiant(s) du (des) groupe(s) correspondant(s)  la matire choisie
  // Notamment ici un tableau est renvoy systmatiquement (contenant le plus souvent une seule valeur), s'il existe un groupe correspondant  la matire en cours. Si ce n'est pas le cas, c'est la valeur false qui est renvoye
  global $action;
  $id_groupe_matiere = array(); // contiendra le ou les identifiants groupe renvoys par la fonction
  $liste_groupes_matiere = array(); // contiendra la liste des libells de groupe trouvs

  /* certaines matires sont optionnelles et par consquent tous les lves d'une mme division ne les suivent pas forcment.
  Dans ce cas, les professeurs remplissent un cahier de texte de groupe (comme dans le cas des langues vivantes). Autrement dit, pour ces matires-l, on ne trouvera rien dans les entres de cahier de textes
  concernant la classe, mais dans celui du groupe qui comprend des lves de cette classe.
  Les personnes accdant  ces entres sont les lves du groupe, leurs parents, l'IPR, l'quipe pdagogique de la classe, la vie scolaire, la direction.
    
  On arrive ici lorsque la recherche d'une entre de cahier de texte pour la classe en cours et la matire en cours a t infructueuse (donc quand le prof remplit pour cette matire, un cahier texte de groupe)
    
  Cette fonction retourne en cas de succs, l'identifiant du groupe et en cas d'chec la valeur false
  Ces retour sont rcuprs dans le script  travers la variable $id_groupe_matiere
  */
 
// Les groupes recherchs sont les groupes sconet pas les groupes manuels
    	
    	if ($_SESSION['valid_group'] == 2) // cas d'un lve connect
    		$sql="SELECT t2.code_structure,t1.id_groupe FROM groupes as t1,structures as t2, services as t3, groupes_eleves as t4 WHERE t3.code_structure=t2.code_structure AND t1.nom=t2.code_structure AND t3.code_matiere='$id_matiere' AND id_responsable=0 AND t4.eleve_id='".$_SESSION['identifiant_individu']."' AND t4.id_groupe=t1.id_groupe";
    	elseif ($_SESSION['valid_group'] == 4) // cas d'un parent connect
    		$sql="SELECT t2.code_structure,t1.id_groupe FROM groupes as t1,structures as t2, services as t3, groupes_eleves as t4 WHERE t3.code_structure=t2.code_structure AND t1.nom=t2.code_structure AND t3.code_matiere='$id_matiere' AND id_responsable=0 AND t4.eleve_id='".$_SESSION['ctextes_enfant_id']."' AND t4.id_groupe=t1.id_groupe";
    	else // Autre cas : on cherche la liste des groupes sconet o cette matire est enseigne (la classe en cours ne sera pas concerne pour chaque groupe)
			$sql = "SELECT t2.code_structure,t3.id_groupe FROM services as t1,structures as t2,groupes as t3 WHERE code_matiere='$id_matiere' AND t1.code_structure= t2.code_structure AND t2.type_structure='G' AND t2.code_structure=t3.nom";
		// DEBUGG print $sql."<br />"; 
		$resultat = mysql_query($sql);
		if (mysql_num_rows($resultat) == 1) // il n'y a qu'un seul rsultat => pas de choix possible
		{
			$ligne = mysql_fetch_array($resultat);
			$id_groupe_matiere[] = $ligne['id_groupe'];
            return $id_groupe_matiere; 
		}
		elseif (mysql_num_rows($resultat) > 1) // Il y a plus d'un rsultat, on va donner le choix si cela concerne la classe en cours
		{
			$liste_groupes_a_choisir = array();
			$id_groupes_a_choisir = array();
			while ($ligne=mysql_fetch_array($resultat))
			{
				// Il faut ensuite retenir uniquement les groupes qui concernent la classe en cours
				if (in_array($ligne['code_structure'], $_SESSION['liste_groupes']))
				{
					$liste_groupes_a_choisir[] = $ligne['code_structure'];
					$id_groupes_a_choisir[] = $ligne['id_groupe'];
				}
			}
			if (count($liste_groupes_a_choisir) == 1) // S'il n'y qu'un groupe
			{
				$id_groupe_matiere[] = $id_groupes_a_choisir[0];
				return $id_groupe_matiere;
			}
			elseif (count($liste_groupes_a_choisir) > 1 && $action == "synthmat") // plusieurs groupes : on donne le choix si on demande une synthse matire
			{
				// DEBUGG var_dump($liste_groupes_a_choisir);var_dump($id_groupes_a_choisir);
				$listing_gpes = "";
				$k=0;
				foreach($liste_groupes_a_choisir as $value)
				{
					$listing_gpes .= "- <a href='?".$_SERVER['QUERY_STRING']."&amp;id_gpe=$value&amp;action=$action&amp;matiere=$id_matiere'>$value</a><br />";
					$k++;
				}
      			$error_message = array("<div align='justify'>La matire <strong><font color='black'>".$matiere."</font></strong> pour cette classe est rpartie en plusieurs groupes, cliquez sur le groupe pour lequel vous voulez consulter le cahier de texte :<br />$listing_gpes<br /></div>","");
      			affiche_erreurs($error_message);
      			return; 
			}
			else // Les groupes trouvs ne concernent pas cette classe : la matire est donc enseigne en classe entire
			{
				return false;
			}
		}
		else // pas de rsultat, cette matire est enseigne en classe entire
		{
			return false;
		}
}

function param_matiere_download($matiere)
{
  // fournit le paramtre 'matiere' pour l'url de tlchargement de document joint (pour une classe, pas un groupe)
  /* on ne peut pas se contenter de matiere='$matiere' dans le cas o $matiere est une sous_matire
  car les dossiers contenant les documents joints ont pour nom des matires parents uniquement
  (donc pas de sous_matire) et le document que l'on souhaite tlcharger sera dclar comme inexistant sur
  le serveur (le nom de dossier ne sera pas le bon).
  De mme si la matire est une langue vivante associe  un groupe de langues,il faut renvoyer comme nom de dossier
  celui du groupe de langue en place de la matire, de mme si la matire est optionnelle (il faut trouver le groupe correspondant)
  */
  global $lien_matiere_download,$action;
  $lien_dossier_download = array(); // c'est le tableau  renvoyer contenant le nom des dossiers de stockage des documents joints pour la matire en cours
  /* Si la matire est une langue vivante par exemple, elle peut correspondre  plusieurs groupes de langue, donc il faut renvoyer les noms correspondants. Cette ventualit de valeurs multiples oblige donc  renvoyer un tableau (mme si dans le cas normal d'un matire ne correspondant  aucun groupe, le tableau renvoy ne contient qu'un seul nom, ce qui est le cas le plus frquent)*/
  /* Le paramtre $lien_matiere_download a t fix par le formulaire du choix de la matire (si $action == "synthmat")
  et si la matire choisie est une sous_matire */
  // Si c'est une sous_matire, on doit renvoyer le nom de dossier correspondant  la matire parent
  if (isset($lien_matiere_download) && $lien_matiere_download!="" && $action=="synthmat")
  {
    $lien_dossier_download[0] = nospace(noaccent($lien_matiere_download));
    return $lien_dossier_download;
  }
  else // sinon le nom de dossier devrait tre celui de la matire elle-mme
  {
    //  moins que ce soit une sous_matire non choisie par formulaire mais s'affichant dans une synthse "faitle"
    if ($action!="synthmat")
    {
      $matiere = str_replace("_"," ",$matiere); // on remplace le _ ventuel par un espace avant d'effectuer la requte
      // d'abord il faut savoir si c'est une sous_matiere (et rcuprer la matire parent pour vrifier si elle est enseigne dans la classe)
      $sql = "SELECT * FROM sous_matieres WHERE sous_matiere='".quote_smart($matiere)."'";
      // DEBUGG print $sql."<br />";
      $resultat = mysql_query($sql);
      if (mysql_num_rows($resultat)>0) // c'est bien une sous_matire
      {
        // alors on rcupre la matire parent
        $ligne = mysql_fetch_array($resultat,MYSQL_ASSOC);
        $sql_mat = "SELECT libelle_edition FROM matieres_sconet WHERE code_matiere='".$ligne['code_matiere']."'";
        $resultat_mat = mysql_query($sql_mat);
        // Elle doit se substituer  la sous_matire dans les liens de tlchargement
        $lien_dossier_download[] = nospace(noaccent($ligne['libelle_edition']));
        return $lien_dossier_download;
      }
      else // Si ce n'est pas une sous_matiere c'est peut-tre une matire associe  un groupe (ex langues et matires optionnelles)
      {
        // on rcupre d'abord l'id_matire
        $sql = "SELECT libelle_edition,code_matiere from matieres_sconet WHERE libelle_edition='".quote_smart($matiere)."'";
        $resultat = mysql_query($sql);
        $ligne = mysql_fetch_array($resultat);
        if ($id_groupe = cherche_groupe_matiere($matiere,$ligne['code_matiere']))
        {
          if (count($id_groupe) == 1)
          {
            $sql = "SELECT nom FROM groupes WHERE id_groupe='".quote_smart($id_groupe[0])."'";
            $resultat = mysql_query($sql);
            $ligne = mysql_fetch_array($resultat);
            $lien_dossier_download[0] = nospace(noaccent($ligne['nom']));
            return $lien_dossier_download;
          }
          else // il y a plusieurs groupes concerns pour cette matire (ex: groupes de langues)
          {
            // il faut donc renvoyer le nom des groupes correspondants
            foreach ($id_groupe as $value)
            {
              $sql = "SELECT nom FROM groupes WHERE id_groupe='".quote_smart($value)."'";
              $resultat = mysql_query($sql);
              $ligne = mysql_fetch_array($resultat);
              $lien_dossier_download[] = nospace(noaccent($ligne['nom']));
            }
            return $lien_dossier_download;
          }
        }
      }
    }
    else // Il est sr qu'il ne s'agit pas d'une sous_matire, mais il peut encore s'agir d'une LV associe  un groupe de langue, ou d'une matire optionnelle (donc associe  un groupe)
    {
      // on rcupre d'abord l'id_matire
        $sql = "SELECT libelle_edition,code_matiere from matieres_sconet WHERE libelle_edition='".quote_smart($matiere)."'";
        $resultat = mysql_query($sql);
        $ligne = mysql_fetch_array($resultat);
        if ($id_groupe = cherche_groupe_matiere($matiere,$ligne['code_matiere']))
        {
          if (count($id_groupe) == 1)
          {
            $sql = "SELECT nom FROM groupes WHERE id_groupe='".quote_smart($id_groupe[0])."'";
            $resultat = mysql_query($sql);
            $ligne = mysql_fetch_array($resultat);
            $lien_dossier_download[0] = nospace(noaccent($ligne['nom']));
            return $lien_dossier_download;
          }
          else // il y a plusieurs groupes concerns pour cette matire (ex: groupes de langues)
          {
            // il faut donc renvoyer le nom des groupes correspondants
            foreach ($id_groupe as $value)
            {
              $sql = "SELECT nom FROM groupes WHERE id_groupe='".quote_smart($value)."'";
              $resultat = mysql_query($sql);
              $ligne = mysql_fetch_array($resultat);
              $lien_dossier_download[] = nospace(noaccent($ligne['nom']));
            }
            return $lien_dossier_download;
          }
        }
    }
    // ce qui retourn si c'est une matire normale : le nom de la matire elle-mme
    return nospace(noaccent($matiere));
  }
}

function ipr_out()
{
  // On met l'IPR dehors s'il tente d'accder  certaines parties du scripot interdites
  $error_message = array("Vous n'avez accs qu' la partie Synthse Matire pour la discipline que vous inspectez. Utilisez le sommaire de gauche pour vous y rendre.","");
  affiche_erreurs($error_message);
}

/* Script principal */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/synthese_ctextes.php"))
{
  global $action,$matiere,$date_isolee,$lien_date_id_sous_matiere,$lien_matiere_download; // Pour rendre ces variables dispo pour les fonctions de ce script
  global $tableau_resultats, $nb_travaux_par_matiere,$id_matiere;
   
  if (isset($_GET['action']) && $_GET['action']!="")
  {
    $action = $_GET['action'];
    // il faut supprimer ces variables, sinon on revient toujours au mme post
    // et on n'accde plus au formulaire de dpart car le tableau POST est constamment recharg  chaque appel de page
    unset($_POST);
    unset($_SESSION['post_imprimable']);
    // la date est peut-tre dfinie dans l'url
    if (isset($_GET['date']) && $_GET['date']!="")
    {
      // Dans ce cas, on va simuler un post de formulaire pour pouvoir excuter la suite
      $_POST['classe'] = $_SESSION['classe_en_cours'];
      $_POST['submit_form']= "Valider";
      $_POST['date_isolee'] = date_mysql_to_jjmmaaaa_tiret($_GET['date']);
      $_POST['action'] = $action;
    }
    if (isset($_GET['matiere']) && $_GET['matiere'] != "")
    {
    	if (isset($_GET['structure']) && $_GET['structure'] != "") // par exemple accs depuis l'interface professeur des visas de cahiers de textes
    		$_POST['classe'] = $_GET['structure'];
    	else
    		$_POST['classe'] = $_SESSION['classe_en_cours'];
      	$_POST['submit_form']= "Valider";
      	$_POST['action'] = $action;
    }
  }
  // Si l'appel du script est fait avec un paramtre id_gpe, il faut raffecter la variable $_SESSION['classe_en_cours'] avec le nom du groupe correspondant au pramtre id_gpe fourni
  if (isset($_GET['id_gpe']) && $_GET['id_gpe'] != "")
  {
    $sql4 = "SELECT nom from groupes where id_groupe='".quote_smart($_GET['id_gpe'])."'";
    $resultat4 = mysql_query($sql4);
    if ($resultat4 && mysql_num_rows($resultat4)>0)
    {
      $ligne4 = mysql_fetch_array($resultat4);
      $_SESSION['classe_en_cours'] = $ligne4['nom'];
    }
    else
    {
      $error_message = array("Aucun groupe ne correspond  cet identifiant !","");
      affiche_erreurs($error_message);
      return;
    }
  }
  
  // DEBUGG print "Dump du tableau $"."_SESSION (avant le POST) : ";var_dump($_SESSION);echo "<br />";
  if (isset($_POST['submit_form']))
  {
  	// on traite les donnes envoyes
    // le champ classe doit tre renseign
    if ($_POST['classe']=="")
    {
      $action = $_POST['action']; // on rcupre l'action car si non dfini on sera redirig vers la page d'acceuil par la fonction affiche_formulaire()
      $error_message = array("Vous n'avez pas renseign le champ classe ou groupe !","");
      affiche_erreurs($error_message);
      affiche_formulaire();
      return;
    }
    elseif(strstr($_POST['classe'],"%")) // Si ce post contient % c'est que c'est un parent connect qui a choisi un des ses enfants pour voir son cahier de textes (format classe%eleve_id)
    {
    	// Il faut donc rcuprer l'eleve_id pour le stocker dans une variable de session qui sera utilise par la suite
    	$fragment = explode("%",$_POST['classe']);
  		$_POST['classe'] = $fragment[0]; // voil la classe
  		$_SESSION['ctextes_enfant_id'] = $fragment[1];
    }
    $action = $_POST['action'];
    $_SESSION['classe_en_cours'] = $_POST['classe'];
    // Il faut savoir si c'est une division ou un groupe
    $_SESSION['type_structure_en_cours'] = cherche_type_structure($_SESSION['classe_en_cours']); 
    if (isset($_POST['date_isolee']) && $_POST['date_isolee']!="")
    {
      $date_isolee = convert_date_to_mysql($_POST['date_isolee'], $delimiter = '-');
      // On vrifie que c'est un jour ouvrable
      if (!test_jour_dans_periode_scolaire($date_isolee))
      {
        $error_message = array("La date choisie (".format_date_long($GLOBALS['default_language'],date_mysql_to_jjmmaaaa($date_isolee)).") tombe pendant les vacances scolaires !","");
        affiche_erreurs($error_message);
        affiche_formulaire();
        return;
      }
      if (!test_jour_ouvrable(date_mysql_to_jjmmaaaa($date_isolee)))
      {
        $error_message = array("Le jour choisi (".format_date_long($GLOBALS['default_language'],date_mysql_to_jjmmaaaa($date_isolee)).") n'est pas un jour ouvrable pour l'tablissement !","");
        affiche_erreurs($error_message);
        affiche_formulaire();
        return;
      }
    }
    elseif($action != "synthmat") // pour les synthses de travaux faits en classe ou  faire il nous faut la date de consultation
    { // pour un suivi chronologique (synthse matire $action == "synthmat") on n'a pas besoin de la date car toutes les entres de cahiers de textes sont concernes (depuis la rentre scolaire)
      $error_message = array("Vous n'avez pas complt le champ date !","");
      affiche_erreurs($error_message);
      affiche_formulaire();
      return;
    }
    // DEBUGG print "Dump du tableau $"."_SESSION (aprs le POST) : ";var_dump($_SESSION);echo "<br />";
    // on va laborer les diffrentes requtes et rgler des paramtres en fonction de ce qui est demand ($action)
    // puis les envoyer aux fonctions charges d'afficher les rsultats 
    switch($action)
    {
      case 'afaire':
        // Les IPR n'ont pas accs ici (ne peuvent pas voir les autres disciplines que celles qu'ils inspectent)
        if ($_SESSION['valid_group'] == "11")
        {
          ipr_out();
          return;
        }
        // Titre de la page de rsultats (complt + bas) 
        $vartitre = "Travail  faire ";
        // Libell des en-ttes des colonnes dans le tableau des rsultats
        $th = array("Matire","Travail  faire","Cahier de Textes");
        // suite du titre de la page : ici on met des liens vers les jours prcdents et suivants
        mysql_jour_suiv_prec_ouvrable($date_isolee,"-1");
        $vartitre .= "pour le : <a href='".$_SERVER['PHP_SELF']."?action=$action&amp;date=".$GLOBALS['newdate_ouvrable']."'><img src='".$GLOBALS['chemin_relatif']."images/little_previous.png' alt='Jour prcdent' title='Jour prcdent' align='middle'/></a> 
        <a href='".$_SERVER['PHP_SELF']."?action=$action' title='Choisir une autre date'>"
        .format_date_long($GLOBALS['default_language'],date_mysql_to_jjmmaaaa($date_isolee));
        mysql_jour_suiv_prec_ouvrable($date_isolee,"1");
        $vartitre .=
        "</a> <a href='".$_SERVER['PHP_SELF']."?action=$action&amp;date=".$GLOBALS['newdate_ouvrable']."'><img src='".$GLOBALS['chemin_relatif']."images/little_next.png' alt='Jour suivant' title='Jour suivant' align='middle'/></a>";
        // Voici les requtes vers la base de donnes
        if ($_SESSION['type_structure_en_cours'] == "D") // si c'est une classe
        {
          // on cherche le travail  faire pour le jour demand matire par matire
          $sql1 = "SELECT DISTINCT t1.libelle_edition,t2.id_afaire,t2.afaire,t3.id_ctexte,t3.code_matiere FROM matieres_sconet as t1,a_faire as t2,cahiers_textes as t3,structures as t4 WHERE t2.publication='1' AND t2.pourle='".quote_smart($date_isolee)."' AND (t1.code_matiere=t3.code_matiere || t3.code_matiere='') AND t2.id_ctexte=t3.id_ctexte AND t4.code_structure=t3.code_structure AND t4.code_structure='".quote_smart($_SESSION['classe_en_cours'])."' AND t2.publication='1' ORDER BY t1.libelle_edition";
          /* on cherche aussi le travail  faire pour le jour demand sous_matire par sous_matire
          mais dans les rsultats, la sous_matire apparatra comme une matire
          les rsultats de ces deux requtes seront concatns aprs leur xcution pour un affichage homogne
          des matires*/
          $sql2 = "SELECT DISTINCT t1.sous_matiere as matiere,t2.id_afaire,t2.afaire,t3.id_ctexte FROM sous_matieres as t1,a_faire as t2,cahiers_textes as t3,structures as t4 WHERE t2.publication='1' AND t2.pourle='".quote_smart($date_isolee)."' AND (t1.id_sous_matiere=t3.id_sous_matiere AND t3.id_sous_matiere<>0) AND t2.id_ctexte=t3.id_ctexte AND t4.code_structure=t3.code_structure AND t4.code_structure='".quote_smart($_SESSION['classe_en_cours'])."' AND t2.publication='1' ORDER BY matiere";
        }
        else // Si c'est un groupe cr manuellement ou un groupe sconet
        {
          // ici les matires ne sont pas concernes puisqu'un groupe ne correspond qu' une seule matire en principe (sauf les groupes bilangues ! C'est pour a qu'on rcupre aussi le code_matiere) 
          $sql1 = "SELECT DISTINCT t2.id_afaire,t2.afaire,t3.date,t3.code_matiere FROM a_faire as t2, cahiers_textes as t3,groupes as t4 WHERE t2.publication='1' AND t2.pourle='".quote_smart($date_isolee)."' AND t2.id_ctexte=t3.id_ctexte AND t4.id_groupe=t3.id_groupe AND t4.nom='".quote_smart($_SESSION['classe_en_cours'])."' AND t2.publication='1'";
          $sql2 = ""; // donc pas de sous_matire  chercher !
        }
        $sql3 = ""; // Ce paramtre est ncessaire dans l'appel de la fonction d'affichage des rsultats, mais dans le cas (switch) qui nous intresse, on ne s'en sert pas 
        if ($_SESSION['type_structure_en_cours'] == "D") // si c'est une classe
          affiche_tableau_resultats($vartitre,$th,$sql1,$sql2,$sql3); 
        else // si c'est un groupe
        {
          $th = array("Travail  faire","Cahier de Textes"); // la valeur prcdente de $th est crase (ici pas de "matire" concerne)
          affiche_resultats_groupe($vartitre,$th,$sql1,$sql2,$sql3);
        }
       break;
      case 'faitle':
        // Les IPR n'ont pas accs ici (ne peuvent pas voir les autres disciplines que celles qu'ils inspectent)
        if ($_SESSION['valid_group'] == "11")
        {
          ipr_out();
          return;
        }
        // pour les commentaires, voir le case prcdent
        $vartitre = "Travail fait en classe ";
        $th = array("Matire","Travail fait en classe","Documents<br />distribus");
        mysql_jour_suiv_prec_ouvrable($date_isolee,"-1");
        $vartitre .= "le : <a href='".$_SERVER['PHP_SELF']."?action=$action&amp;date=".$GLOBALS['newdate_ouvrable']."'><img src='".$GLOBALS['chemin_relatif']."images/little_previous.png' alt='Jour prcdent' title='Jour prcdent' align='middle'/></a> 
        <a href='".$_SERVER['PHP_SELF']."?action=$action' title='Choisir une autre date'>"
        .format_date_long($GLOBALS['default_language'],date_mysql_to_jjmmaaaa($date_isolee));
        mysql_jour_suiv_prec_ouvrable($date_isolee,"1");
        $vartitre .=
        "</a> <a href='".$_SERVER['PHP_SELF']."?action=$action&amp;date=".$GLOBALS['newdate_ouvrable']."'><img src='".$GLOBALS['chemin_relatif']."images/little_next.png' alt='Jour suivant' title='Jour suivant' align='middle'/></a>";
        if ($_SESSION['type_structure_en_cours'] == "D") // si c'est une classe
        {
          $sql1 = "SELECT DISTINCT t1.libelle_edition,t3.id_ctexte,t3.code_matiere,t3.activite FROM matieres_sconet as t1,cahiers_textes as t3,structures as t4 WHERE t3.publication='1' AND t3.date='".quote_smart($date_isolee)."' AND (t1.code_matiere=t3.code_matiere || t3.code_matiere='') AND t4.code_structure=t3.code_structure AND t4.code_structure='".quote_smart($_SESSION['classe_en_cours'])."' AND t3.publication='1' ORDER BY t1.libelle_edition";
          $sql2 = "SELECT DISTINCT t1.sous_matiere as matiere,t3.activite,t3.id_ctexte FROM sous_matieres as t1,cahiers_textes as t3,structures as t4 WHERE t3.publication='1' AND t3.date='".quote_smart($date_isolee)."' AND (t1.id_sous_matiere=t3.id_sous_matiere AND t3.id_sous_matiere<>0) AND t4.code_structure=t3.code_structure AND t4.code_structure='".quote_smart($_SESSION['classe_en_cours'])."' AND t3.publication='1' ORDER BY matiere";
        }
        else // Si c'est un groupe cr manuellement ou un groupe sconet
        {
          // ici les matires ne sont pas concernes puisqu'un groupe ne correspond qu' une seule matire en principe (sauf les groupes bilangues ! C'est pour a qu'on rcupre aussi le code_matiere) 
          $sql1 = "SELECT DISTINCT t3.activite,t3.id_ctexte,t3.code_matiere FROM cahiers_textes as t3,groupes as t4 WHERE t3.publication='1' AND t3.date='".quote_smart($date_isolee)."' AND t4.id_groupe=t3.id_groupe AND t4.nom='".quote_smart($_SESSION['classe_en_cours'])."' AND t3.publication='1'";
          $sql2 = "";            
        }
        $sql3 = "SELECT filename,commentaire FROM docs_joints_ctextes WHERE publication='1' AND "; // sera complte ultrieurement en fonction du rsultat de $sql1
        if ($_SESSION['type_structure_en_cours'] == "D") // si c'est une classe
          affiche_tableau_resultats($vartitre,$th,$sql1,$sql2,$sql3);
        else // si c'est un groupe
        {
          $th = array("Travail fait en classe","Documents<br />distribus");
          affiche_resultats_groupe($vartitre,$th,$sql1,$sql2,$sql3);
        }
        break;
      case 'synthmat':
       		$lien_date_id_sous_matiere = 0;
	        // on vrifie si le champ matire a t complt
    	    if (isset($_POST['matiere']) && $_POST['matiere']!="")
        	{
          	/* on extrait les informations renvoyes (la variable $_POST['matiere'] contient ce format d'information :
          	identifiant_matire,identifiant_sous_matire,libell de la matire ou de la sous_matire) */
          	$fragment = explode(",",$_POST['matiere']); 
          	$id_matiere = $fragment[0];
          	$id_sous_matiere = $fragment[1]; // vaut 0 si ce n'est pas une sous_matire, mais une matire
          	$matiere = $fragment[2]; // libell de la matire/sous_matire
          	/* si la matire est une langue ou une matire optionnelle, alors il faut rechercher s'il existe un groupe correspondant (contenant cette classe) car dans ce cas, ce sont les entres
          	du cahier de textes du groupe qu'il faudra afficher ou modifier. Cette recherche n'a lieu
          	q'une fois : on pose un flag ($id_groupe_matiere) s'il existe un tel groupe et toutes les 
          	requtes devront en tenir compte pour substituer  la classe et  la matire, le groupe
          	*/
          	$tab_id_groupe_matiere = cherche_groupe_matiere($matiere,$id_matiere); 
          	if (count($tab_id_groupe_matiere) == 1)
	            $id_groupe_matiere = $tab_id_groupe_matiere[0];
          	else
	            exit; // on arrte le script (l'utilisateur a  choisir entre plusieurs groupes)
	          // DEBUGG print "<br />$"."id_groupe_matiere = ".$id_groupe_matiere."<br />";
    	      if ($_SESSION['type_structure_en_cours'] == "D") // Si on a affaire  une classe et pas un groupe
        	  {
	            // On vrifie que la matire choisie est bien enseigne dans cette classe
	            if (!in_array($matiere,$_SESSION['liste_matieres']))
            	{
              	$error_message = array("La matire choisie ($matiere) n'est pas enseigne dans la classe de ".$_SESSION['classe_en_cours'].", 
              	Veuillez choisir une autre matire","");
              	affiche_erreurs($error_message);
              	affiche_formulaire();
              	return;
            	}
          	  }
        	}
        	elseif (isset($_GET['matiere']) && $_GET['matiere']!="") // la matire est fourine dans l'url (accs par le lien Imprimer dans le menu Cahier de Textes)
        	{
        		$id_matiere = $_GET['matiere'];
        		if (isset($_SESSION['liste_matieres']) && isset($_SESSION['liste_matieres'][$id_matiere]))
        			$matiere = $_SESSION['liste_matieres'][$id_matiere]; // libell de la matire (pour affichage dans le titre)
        		else // il faut retrouver le libell dition de la matire d'aprs son identifiant
        		{
        			$sql = "SELECT libelle_edition FROM matieres_sconet WHERE code_matiere='".quote_smart($id_matiere)."'";
        			$resultat = mysql_query($sql);
      				if ($resultat)
      				{
        				if (mysql_num_rows($resultat)>0)
        				{
        					$ligne = mysql_fetch_array($resultat);
        					$matiere = $ligne['libelle_edition'];
        				}
      				}	
        		}       			
        	}
        	elseif($_SESSION['type_structure_en_cours'] == "D") // si c'est une classe et pas un groupe, il faut absolument une matire
        	{
          		$error_message = array("Pour un suivi chronologique dans une matire donne (synthse matire), vous devez choisir une matire dans le formulaire !","");
          		affiche_erreurs($error_message);
          		affiche_formulaire();
          		return;
        	}
        	if ($_SESSION['type_structure_en_cours'] == "D") // c'est une classe
        	{
          		$vartitre = "Suivi chronologique en <span style='color:red'>$matiere</span>";
          		$th = array("Date","Travail fait en classe", "Travail  faire", "Documents<br />distribus");
	          // Il faut rechercher toutes les entres de cahier de textes correspondant  cette classe et cette discipline
	          // est-ce une matire ou une sous_matire ?
	          	if ($id_groupe_matiere) // c'est une langue vivante ou une matire optionnelle correspondant  un groupe
		            $sql1 = "SELECT date,activite,id_ctexte FROM cahiers_textes as t1,groupes as t2 WHERE t1.publication='1' AND t1.id_groupe=t2.id_groupe AND t2.id_groupe='".quote_smart($id_groupe_matiere)."' ORDER BY date";                        
        	  	elseif ($id_sous_matiere==0) // c'est une matire normale ou une LV qui s'enseigne en classe entire
	        	    $sql1 = "SELECT date,activite,id_ctexte FROM cahiers_textes WHERE publication='1' AND code_structure='".quote_smart($_SESSION['classe_en_cours'])."' AND code_matiere='".quote_smart($id_matiere)."' ORDER BY date";  
          		else // c'est une sous_matire
	            	$sql1 = "SELECT date,activite,id_ctexte FROM cahiers_textes as t1,divisions as t2 WHERE t1.publication='1' AND t1.id_division=t2.id_div AND t2.division='".quote_smart($_SESSION['classe_en_cours'])."' AND id_sous_matiere='".quote_smart($id_sous_matiere)."' ORDER BY date";
	          // Il faut maintenant rechercher le travail donn  faire dans les entres de cahier de textes trouves
          		$sql2 = "SELECT * FROM a_faire WHERE publication='1' AND id_ctexte="; // sera complte avec les rsultats de la requte $sql1
	          // Enfin, recherchons les documents joints correspondants
          		$sql3 = "SELECT * FROM docs_joints_ctextes WHERE publication='1' AND "; // sera complte avec les rsultats de la requte $sql1
          		affiche_tableau_resultats($vartitre,$th,$sql1,$sql2,$sql3);
        	}
        	else // Si c'est un groupe
        	{
	          // mme si une matire a t slectionne dans le formulaire, on n'en tient pas compte
	          // le formulaire prcisait de laisser le champ matire vide si on slectionne un groupe au lieu d'une classe
	          // Cependant, si c'est un groupe sconet, celui-ci correspond  une ou plusieurs matires (ex groupe bilangue)
	          if ($_SESSION['type_structure_en_cours'] == "G")
	          {
	          	// Il faut rechercher la ou les matires correspondantes
	          	$sql = "SELECT DISTINCT t2.code_matiere,libelle_edition FROM services as t1, matieres_sconet as t2 WHERE t1.code_structure='".$_SESSION['classe_en_cours']."' AND t1.code_matiere=t2.code_matiere";
	          	// DEBUGG print $sql."<br />";
	          	$resultat = mysql_query($sql);
	          	if (mysql_num_rows($resultat) == 1)
	          	{
	          		unset($_SESSION['assoc_libelle_id_groupe']);
	          		$ligne = mysql_fetch_array($resultat);
	          		$id_matiere = $ligne['code_matiere'];
	          		$_SESSION['assoc_libelle_id_groupe'][$id_matiere][]=$ligne['libelle_edition'];
	          		//$_SESSION['assoc_libelle_id_groupe'] = array_unique($_SESSION['assoc_libelle_id_groupe']); // limination de doublons venutels
	          		// DEBUGG print "id_matire : ".$id_matiere."<br />";
	          	}
	          	elseif(mysql_num_rows($resultat) > 1) // +sieurs rsultats, va falloir donner le choix de la matire
	          	{
	          		unset($_SESSION['assoc_libelle_id_groupe']);
	          		while ($ligne = mysql_fetch_array($resultat))
	          		{
						$_SESSION['assoc_libelle_id_groupe'][$ligne['code_matiere']][]=$ligne['libelle_edition'];
	          			$listing_gpes .= "- <a href='?".$_SERVER['QUERY_STRING']."&amp;id_gpe=".$_SESSION['classe_en_cours']."&amp;action=synthmat&amp;matiere=".$ligne['code_matiere']."'>".$ligne['libelle_edition']."</a><br />";
		          	}
		          	//$_SESSION['assoc_libelle_id_groupe'] = array_unique($_SESSION['assoc_libelle_id_groupe']); // limination de doublons venutels
		          	// DEBUGG print "<br />$"."_SESSION['assoc_libelle_id_groupe']";var_dump($_SESSION['assoc_libelle_id_groupe']);
		          	$error_message = array("<div align='justify'>Dans le groupe <strong><font color='black'>".$_SESSION['classe_en_cours']."</font></strong> sont enseignes plusieurs matires, cliquez sur la matire pour laquelle vous voulez consulter le cahier de texte :<br />$listing_gpes<br /></div>","");
		      		affiche_erreurs($error_message);
		      		return;
	          	}
	          	$vartitre = ""; // Attention le titre doit tre chang en fonction du choix que fera l'utilisateur (param url => fonction affiche_tableau_resultats())           	
	          }
	          else
	          {
          		$vartitre = "Suivi chronologique";
	          }
          	  $th = array("Date","Travail fait en classe", "Travail  faire", "Documents<br />distribus");
		      // Il faut rechercher toutes les entres de cahier de textes correspondant  ce groupe
          	  $sql1 = "SELECT date,activite,id_ctexte,code_matiere FROM cahiers_textes as t1,groupes as t2 WHERE t1.publication='1' AND t1.id_groupe=t2.id_groupe AND t2.nom='".quote_smart($_SESSION['classe_en_cours'])."' ORDER BY date";            
	          // Il faut maintenant rechercher le travail donn  faire dans les entres de cahier de textes trouves
          	  $sql2 = "SELECT * FROM a_faire WHERE publication='1' AND id_ctexte="; // sera complte avec les rsultats de la requte $sql1
	          // Enfin, recherchons les documents joints correspondants
          	  $sql3 = "SELECT * FROM docs_joints_ctextes WHERE publication='1' AND "; // sera complte avec les rsultats de la requte $sql1
          	  affiche_resultats_groupe($vartitre,$th,$sql1,$sql2,$sql3);
        	}
        break;
        default:
          // si $action n'est pas dfinie ou ne vaut pas ce qui est prvu, on redirige la page vers l'accueil
          if (empty($_SERVER['HTTPS']))
            $protocole = "http";
          else
            $protocole = "https";
          echo "
          <script type='text/javascript'>
          <!--
          location.href = '$protocole://".$_SERVER['HTTP_HOST'].$GLOBALS['racine']."';
          // -->
          </script>";
    }
  }
  elseif ($action == "synthmat" && (isset($_GET['id_gpe']) && $_GET['id_gpe'] != "")) // En cas de choix de groupe si une matire est enseigne dans plusieurs groupes
  {
  	$_SESSION['classe_en_cours'] = $_GET['id_gpe'];
  	$_SESSION['type_structure_en_cours'] = "G";
  	$id_matiere = $_GET['matiere'];
  	// mme si une matire a t slectionne dans le formulaire, on n'en tient pas compte
	// le formulaire prcisait de laisser le champ matire vide si on slectionne un groupe au lieu d'une classe
    $vartitre = "";
    $th = array("Date","Travail fait en classe", "Travail  faire", "Documents<br />distribus");
	// Il faut rechercher toutes les entres de cahier de textes correspondant  ce groupe
    $sql1 = "SELECT date,activite,id_ctexte,code_matiere FROM cahiers_textes as t1,groupes as t2 WHERE t1.publication='1' AND t1.id_groupe=t2.id_groupe AND t2.nom='".quote_smart($_GET['id_gpe'])."' AND t1.code_matiere='$id_matiere' ORDER BY date";            
	// Il faut maintenant rechercher le travail donn  faire dans les entres de cahier de textes trouves
    $sql2 = "SELECT * FROM a_faire WHERE publication='1' AND id_ctexte="; // sera complte avec les rsultats de la requte $sql1
	// Enfin, recherchons les documents joints correspondants
    $sql3 = "SELECT * FROM docs_joints_ctextes WHERE publication='1' AND "; // sera complte avec les rsultats de la requte $sql1
    affiche_resultats_groupe($vartitre,$th,$sql1,$sql2,$sql3);
  }
  else
  {
    affiche_formulaire();
    return;
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>