<?php
/**
 * cahiers_textes.php
 *
 * fDescriptif de la page c_cahier_textes.php
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// la page est protge, elle utilise les sessions et le systme d'authentification diffrencie
// le tableau $array_valid_user contient les identifiants des catgories d'utilisateurs autoriss  accder  cette page (voir la table groupes_utilisateurs)

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");
$array_valid_user=array("1","2","3","4","5","6","8","11"); // les groupes admin, eleves, profs, parents, gestadmin, direction, surveillants, IPR ont seuls une autorisation d'accs (c'est le groupe charg de la gestion administrative du contenu de l'intranet)
$error_message = check_valid_user($array_valid_user);
connexion_mysql();
select_database();
  
  // Gestion des droits d'accs suivant l'utilisateur connect
  //echo "valid_group : ".$_SESSION['valid_group']."<br />";
  if (isset($_SESSION['valid_group'])) // vite un message d'erreur si la personne n'est pas connecte
  switch ($_SESSION['valid_group'])
  {
    case '2': // l'utilisateur connect est un lve
      // on cherche sa classe
      cherche_classe_eleve(); // Rsultat enregistr dans $_SESSION['classe_en_cours'] (voir fonction cherche_classe_eleve() dans fonctions_diverses.php)
  	  if (!isset($_SESSION['classe_eleve']))
      	$_SESSION['classe_eleve'] = $_SESSION['classe_en_cours']; // puis dans $_SESSION['classe_eleve']  
  	  // 2 variables car $_SESSION['classe_eleve'] garde la classe d'origine de l'lve en mmoire alors que $_SESSION['classe_en_cours'] peut contenir par la suite le nom d'un groupe si un groupe est choisi pour consulter son cahier de textes
  	  $liste_groupes = array();
      // On recherche le nom des groupes auquel il appartient
      $sql = "SELECT t1.nom FROM groupes as t1, groupes_eleves as t2 WHERE t1.id_groupe=t2.id_groupe AND t2.eleve_id='".quote_smart($_SESSION['identifiant_individu'])."'";
      // DEBUGG echo $sql."<br />";
      $resultat = mysql_query($sql);
      if ($resultat)
      {
        if (mysql_num_rows($resultat)>0)
       {
         while ($ligne = mysql_fetch_array($resultat))
         {
          $liste_groupes[] = $ligne['nom'];
         }
         // DEBUGG echo "resultat : "; var_dump($liste_groupes);
       }
      }
      else
      {
        $error_message = array("Le serveur de base de donnes est indisponible. Veuillez ressayer ultrieurement.","");
        affiche_erreurs($error_message);
        return;
      }
      // On indique le mode de travail sur le cahier de textes
      $mode = "consultation";
      break;
    case '3': // l'utilisateur connect est un prof 
      // On indique le mode de travail sur le cahier de textes
      $mode = "consultation"; // Le mode saisie sera activ plus tard (uniquement sur la matire qu'enseigne le prof dans la classe)
      break;
    case '4': // l'utilisateur connect est un parent
      // On cherchera (dans c_cahiers_textes.php) les lves dont il est parent, puis les classes correspondantes et les groupes
      // de toutes faon le mode est  la consultation
      $mode = "consultation";
      break;
    case '11': // l'utilisateur connect est un IPR
      $mode = "consultation";
      break;
    default: // Pour les cas 1 (admin), 5 (gestadmin), 6 (direction), 8 (surveillants) c'est--dire les reste des groupes qui sont autoriss  consulter ces pages
      // toutes les classes sont accessibles
      // tous les groupes sont accessibles
      // On indique le mode de travail sur le cahier de textes
      $mode = "consultation";
  }

// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="c_cahiers_textes.php";

// Indique le contexte pour l'affichage du sommaire correspondant dans le squelette de page
$contexte = "cahiers_textes";
$titre_page = "Cahier de textes";

$chemin_relatif = "../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

// Squelette de page utilis : spcifique au cahier de textes
include(IEW_DIR.$GLOBALS['repertoire_theme']."ct.php");
?>