<?php 
/**
 * ct_day.php
 *
 * Descriptif de la page c_ct_day.php
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2013 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

// 1er contle de scurit
// Qui a droit d'accder au carnet de bord du cahier de textes ? =>  les profs, les administrateurs, la direction, les IPR
$array_valid_user=array("1","3","6","11");
$error_message = check_valid_user($array_valid_user);

$chemin_relatif = "../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="c_ct_day.php";

// Indique le contexte pour l'affichage du sommaire correspondant dans le squelette de page
$contexte = "cahiers_textes";

$titre_page = "Carnet de bord : Cahier de texte du jour";

// Traitement AJAX du changement de jour (bouton jour prcdent, jour suivant
$js = "update_ct_day.js";

// Squelette de page utilis : spcifique au cahier de textes
include(IEW_DIR.$GLOBALS['repertoire_theme']."ct.php");

?>