<?php
/**
 * donnees_perso.php
 *
 * Descriptif de la page donnant accs  la consultation des donnes personnelles d'un utilisateur
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// la page est protge, elle utilise les sessions et le systme d'authentification diffrencie
// le tableau $array_valid_user contient les identifiants des catgories d'utilisateurs autoriss  accder  cette page (voir la table groupes_utilisateurs)

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");
include(CONF_DIR."k.php"); // un require_once ne donne pas accs  $GLOBALS['crypt_key'] pour le script c_donnees_perso.php

connexion_mysql();
select_database();

// On va rcuprer la liste des identifiants de groupes utilisateurs valides
$group_list = array();
$sql = "SELECT id_groupe FROM groupes_utilisateurs ORDER BY id_groupe";
$resultat = mysql_query($sql);
if ($resultat && mysql_num_rows($resultat) >0)
{
  while ($ligne = mysql_fetch_array($resultat))
  {
    $group_list[] = $ligne['id_groupe']; 
  }
}
else
{
  $error_message = array("Impossible de vrifier la liste des groupes autoriss  accder  cette page. Le serveur Mysql est peut-tre indisponible.","");
  affiche_erreurs($error_message);
  exit;
}
$array_valid_user=$group_list; // Tout utilisateur authentifi aura un accs
$error_message = check_valid_user($array_valid_user);

// Voici le script du contenu qui sera affich dans le corps de la page
if ($_SESSION['valid_group'] == "4") // s'il s'agit d'un parent, il est redirig vers une page spcifique
  $nomfichier ="c_donnees_parent.php"; // mais comme il ne passe pas par donnees_parent.php, un message d'erreur sera affich
else 
  $nomfichier ="c_donnees_perso.php";

$chemin_relatif = "../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

// Squelette de page utilis
include(IEW_DIR."squelette.php");
?>