<?php
/**
 * edt.php
 *
 * Descriptif de la page permettant la consultation des emplois du temps
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");
require_once(IEW_DIR."lib/fonctions_edt.php"); // fonctions spcifiques

// tout utilisateur identifi a droit d'accder aux emplois du temps (mais une slection sera faite dans c_edt.php pour les informations prsentes)
$array_valid_user=array("1","2","3","4","5","6","7","8","9","10","11");
$error_message = check_valid_user($array_valid_user);

$chemin_relatif = "../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="c_edt.php";
$contexte = "edt";
$titre_page = "Emploi du temps";

if (isset($_GET['mode']) && $_GET['mode'] == "ct") // en mode cahier de textes (=tableau de bord), effet lightbox ncessaire pour accder aux dtails du cahier de textes  partir du rsum
{
	$js = array("change_edt.js","scriptaculous.js","lightview2.8.0/js/lightview.js"); // fichier js qui sera inclus dans le head
	$css_file = "javascript/lightview2.8.0/css/lightview.css";
}
else // Consultation de l'edt seul
	$js = "change_edt.js";

// Squelette de page utilis : forcment en format imprimable car sinon les plannings edt peuvent "dborder" de leur conteneur
include(IEW_DIR.$GLOBALS['repertoire_theme']."imprimable.php");
?>