<?php
/**
 * mdp.php
 *
 * descriptif de la page de permettant la modification du mot de passe de l'utilisateur IntraEduWeb
 * utilis en authentification native ou bien pour les utilisateurs locaux
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

$array_valid_user=array("tous"); // tous les utilisateurs ont une autorisation d'accs
$error_message = check_valid_user($array_valid_user);

$chemin_relatif = "../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="c_mdp.php";

// On inclut ici du code javascript qui sert  l'authentification avec un hashage MD5 ct client du mot de passe fourni dans le formulaire de login :ainsi le mot de passe n'est pas transmis au serveur (on limine le risque d'interception de celui-ci) mais seulement sa signature MD5.
$js = "new_passwd.js"; // fichier js qui sera inclu dans le head

// Squelette de page utilis
include(IEW_DIR."squelette.php");
?>