<?php
/**
 * saisie_notes.php
 *
 * descriptif de la page de permettant la saisie des notes d'information
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

$array_valid_user=array("1","5","6","8"); // Seul les groupe admin, gestadmin, direction et Vie scolaire ont une autorisation d'accs
$error_message = check_valid_user($array_valid_user);

$chemin_relatif = "../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="c_saisie_notes.php";

// Indique le contexte pour l'affichage : utilis par la fonction debut_code_html() pour intgrer le code js ncessaire
//  la gestion de tinymce dans les <textarea>
$contexte = "notes_infos";

// Squelette de page utilis
include(IEW_DIR."squelette.php");
?>