<?php
/**
 * semab.php
 *
 * descriptif du contexte de la page du calendrier des semaines A et B
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */
 
if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)).'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

// On rcupre donc dans la base les dates de rentre et de vacances scolaires
connexion_mysql();
select_database();
$sql = "select * from semab";
 $resultat =@mysql_query($sql);
 if (!$resultat)
 {
  $error_message = array("La table contenant les informations pour le calendrier des semaines n'existe
  pas. Prvenez <a href='mailto".email_encode($GLOBALS['admin_email'])."'>l'administrateur IntraEduWeb.</a>.",""); 
  debut_code_html("popup");
  echo "<h1>Calendrier des semaines</h1>";
  affiche_erreurs($error_message);
  fin_code_html();
  exit;
 }
 if (mysql_num_rows($resultat)==0)
 {
   
   	$error_message=array( "<div align='justify'>La table contenant les informations pour le calendrier des semaines existe bien mais ne contient aucune donne. Ceci s'explique si l'installation de IEW est frache ou bien si vous venez de clturer l'anne scolaire. Dans tous les cas, il faut mettre  jour ce calendrier pour permettre l'accs  de nombreuses fonctionnalits de l'application.
   	<p><a href='".$GLOBALS['racine']."prive/admin/prive/saisie_semab.php'>Prparer le calendrier scolaire</a></p></div>","");
   	debut_code_html("popup");
   	echo "<h1>Calendrier des semaines</h1>";
   	affiche_erreurs($error_message);
   	fin_code_html();
   	exit;
   
 }
 $variable = mysql_fetch_array($resultat);
 // On transforme les dates rcupres en timestamp pour comparaison ultrieure
 $date_rentree = strtotime($variable['date_rentree']);
 $dbt_toussaint = strtotime($variable['dbt_toussaint']);
 $fin_toussaint = strtotime($variable['fin_toussaint']);
 $dbt_noel = strtotime($variable['dbt_noel']);
 $fin_noel = strtotime($variable['fin_noel']);
 $dbt_fev = strtotime($variable['dbt_fev']);
 $fin_fev = strtotime($variable['fin_fev']);
 $dbt_paq = strtotime($variable['dbt_paq']);
 $fin_paq = strtotime($variable['fin_paq']);
 $dbt_1t = strtotime($variable['dbt_1t']);
 $fin_1t = strtotime($variable['fin_1t']);
 $p_1t = strtotime($variable['p_1t']);
 $dbt_2t = strtotime($variable['dbt_2t']);
 $fin_2t = strtotime($variable['fin_2t']);
 $p_2t = strtotime($variable['p_2t']);
 $dbt_3t = strtotime($variable['dbt_3t']);
 $fin_3t = strtotime($variable['fin_3t']);
 $p_3t = strtotime($variable['p_3t']);
 $dbt_ete = strtotime($variable['dbt_ete']);
 
$date = strtotime(date("Y-m-d")); // on transforme la date actuelle (format mysql) aussi en timestamp

$nomfichier ="c_semab.php";

// Squelette de page utilis
include(IEW_DIR."squelette.php");
?>