<?php 
/**
 * test2.php
 *
 *  fonction/rle du script
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2014 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */
 

/**
* Calculer le temps d'execution d'un script
*/
 
// relever le point de dpart
$timestart=microtime(true);
 
/**
* Execution du code PHP:
* - requete SQL,
* - gnration du code HTML, 
* - ...
*/

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php"); // Accs aux diffrentes librairies de fonction + 2 connexions  la base de donne (procdurale et OO)


$fichier = ".1 La gestion d' un projet et la recherche de solutions";

$extension = strrchr($fichier, ".");
var_dump($extension);
// pas + de 5 cc (. + 4 lettres max), sinon c pas une extension
if (strlen($extension) > 5)
	$extension = "";
var_dump($extension);

// nom fichier sans extension
$nom_fichier = substr($fichier,0,strlen($fichier)-strlen($extension));
var_dump($nom_fichier);
// pas de point autoris dans le nom du fichier (seulement pour l'extension)
$nom_fichier = str_replace(".","_",$nom_fichier);
var_dump($nom_fichier);
// nom fichier avec extension
$nom_fichier = $nom_fichier.$extension;
var_dump($nom_fichier);



// Fin du code PHP  tester
$timeend=microtime(true);
$time=$timeend-$timestart;
 
//Afficher le temps d'xecution
$page_load_time = number_format($time, 3);
echo "<hr />Debut du script: ".date("H:i:s", $timestart);
echo "<br>Fin du script: ".date("H:i:s", $timeend);
echo "<br>Script execute en " . $page_load_time . " sec<hr />";
?>
?>