<?php
/**
 * ct.php
 *
 * Squelette de page pour l'affichage du cahier de textes
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */
 
require_once (IEW_DIR.$GLOBALS['repertoire_theme']."fonctions_formatage_sommaire.php");
include($GLOBALS['chemin_relatif'].$GLOBALS['repertoire_navigation']."somcahiers_textes.php");

debut_code_html();

// Ce squelette de page est en format imprimable
$_SESSION['imprimable'] = "oui";

?>
<div id="page">
	<a name="haut"></a>
	<?php affiche_entete_imprimable();?>
	<!-- Affichage du menu dans la partie gauche --> 
    <div id="menu_gauche_ct" role="navigation">
    	<div id="menus_matieres" class="sommaire">
			<?php affiche_sommaire_cahiers_textes();?>
		</div>
    </div>
	<!-- Affichage de la partie centrale de la page --> 
    <div id="contenu_central" class="contenu_ct" role="main">
    	<?php affiche_contenu(); ?><br /><br />
    	<!-- Affichage de la barre de navigation horizontale infrieure -->
      <?php affiche_barre_navigation_horizontale_inf(); ?>
    <br /><br />
    <!-- Affichage du pied de page --> 
    <div id="pied_page" role="contentinfo">
      <a id='bas'></a>
     <?php echo "
     <b>".strtoupper($GLOBALS['nom_etablissement']).", ".$GLOBALS['adresse_etablissement']." ".$GLOBALS['cp_etablissement']." ".$GLOBALS['ville_etablissement']." - Tl: ".$GLOBALS['tel_etablissement']."
     </b>
     <br /><br />"; ?>
     <div id="copyright">
     <?php aff_copyright(); ?>
     </div>
    </div><br />
    </div>
  </div>
<?php
fin_code_html();
?>