<?php
/**
 * c_liste_pers.php
 *
 * Ce script donne la liste complte du personnel par catgorie
 * Mais sans les prnoms complets ni les grades (accessibles  tout public, mme non authentifi)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"admin/liste_pers.php"))
{
  connexion_mysql();
  select_database();
  $sql = "SELECT * FROM personnel ORDER BY nom,prenom";
      $resultat = mysql_query($sql);
      if (mysql_num_rows($resultat))
      {
        echo "<br /><br />Il y a <b><font color=\"red\">".mysql_num_rows($resultat)."</font></b> membres du personnel dans notre tablissement.";
        echo "<table width=\"100%\"><tr><td></td><td align=\"right\"><a href=\"#bas\">Bas de la page</a></td></tr></table>";
        // Recherche du type d'tablissement
        $sql = "SELECT code_type_etab FROM uaj";
        $resultat = mysql_query($sql);
        $ligne = mysql_fetch_array($resultat);
        $type_etab = $ligne['code_type_etab'];
        ////////////////// Personnel administratif //////////////////////
        // dans le personnel administratif, on compte : la direction, le chef des travaux s'il existe, le gestionnaire, le secrtariat
        $sql ="SELECT COUNT(*) FROM personnel WHERE categorie='1' OR categorie='2' OR categorie='5' OR categorie='6'";
        $resultat = mysql_query($sql);
        $ligne = mysql_fetch_row($resultat);
        $nombre_pers_admin = $ligne[0];
        echo "<table class='fond_clair' width=\"100%\"><tr><td width=\"50%\"><h2><u>PERSONNEL ADMINISTRATIF</u></h2></td>";
        echo "<td width=\"50%\" align=\"right\"><font color=\"red\"><b>".$ligne[0]." </b></font>personne(s)</td></tr></table><br />";
        echo "<table width=\"100%\">";
        // D'abord la direction
          $sql = "SELECT civilite,nom,prenom,sous_categorie FROM personnel WHERE categorie='5' ORDER BY sous_categorie";
          $resultat = @mysql_query($sql);
          while ($ligne = @mysql_fetch_array($resultat))
          {
            if ($ligne['sous_categorie'] == "DIR CL1")
            {
            	if ($type_etab=="CLG")
            		$titre = "Principal";
            	elseif ($type_etab=="LYC" || $type_etab=="LP")
            		$titre = "Proviseur";
            	else
            		$titre = "Directeur";	
            }
            elseif ($ligne['sous_categorie'] == "DIR CL2")
            {
            	if ($type_etab=="CLG")
            		$titre = "Principal Adjoint";
            	elseif ($type_etab=="LYC" || $type_etab=="LP")
            		$titre = "Proviseur Adjoint";
            	else
            		$titre = "Directeur Adjoint";	
            }
            else
            	$titre = "Direction";
            echo "<tr><td width=\"34%\">".$ligne['civilite']." ".$ligne['nom']." ".substr($ligne['prenom'],0,1).".</td><td>".$titre."</td></tr>";
          }
        // Puis le gestionnaire
        $sql = "SELECT t1.civilite,t1.nom,t1.prenom,t2.categorie FROM personnel as t1, categories_pers as t2 WHERE t1.categorie='6' AND t2.id_cat=t1.categorie ORDER BY t1.nom,t1.prenom";
        $resultat = mysql_query($sql);
        while ($ligne = mysql_fetch_array($resultat))
        {
          echo "<tr><td width=\"34%\">".$ligne['civilite']." ".$ligne['nom']." ".substr($ligne['prenom'],0,1).".</td><td>".$ligne['categorie']."</td></tr>";
        }
        // Le Chef des travaux
        $sql = "SELECT t1.civilite,t1.nom,t1.prenom,t1.activite,t2.categorie FROM personnel as t1, categories_pers as t2 WHERE t1.categorie='2' AND t2.id_cat=t1.categorie ORDER BY t1.activite,t1.nom,t1.prenom";
        $resultat = mysql_query($sql);
        while ($ligne = mysql_fetch_array($resultat))
        {
          echo "<tr><td width=\"34%\">".$ligne['civilite']." ".$ligne['nom']." ".substr($ligne['prenom'],0,1).".</td><td>".$ligne['categorie']." ".$ligne['activite']."</td></tr>";
        }
        // le reste du personnel administratif (secrtariat)
        $sql = "SELECT t1.civilite,t1.nom,t1.prenom,t2.sous_categorie FROM personnel as t1,sous_categories_pers as t2 WHERE t1.categorie='1' AND t2.id_cat=t1.categorie AND t2.id_sous_cat=t1.sous_categorie ORDER BY t2.sous_categorie,t1.nom,t1.prenom";
        $resultat = mysql_query($sql);
        while ($ligne = mysql_fetch_array($resultat))
        {
          echo "<tr><td width=\"34%\">".$ligne['civilite']." ".$ligne['nom']." ".substr($ligne['prenom'],0,1).".</td><td>".$ligne['sous_categorie']."</td></tr>";
        }
        echo "</table><br />";
        ////////////////// Personnel Vie scolaire //////////////////////
        $sql ="SELECT COUNT(*) FROM personnel WHERE categorie='8'";
        $resultat = mysql_query($sql);
        $ligne = mysql_fetch_row($resultat);
        $nombre_pers_vie_scol = $ligne[0];
        echo "<table class='fond_clair' width=\"100%\"><tr><td width=\"50%\"><h2><u>PERSONNEL VIE SCOLAIRE</u></h2></td>";
        echo "<td width=\"50%\" align=\"right\"><font color=\"red\"><b>".$ligne[0]." </b></font>personne(s)</td></tr></table><br />";
        echo "<table width=\"100%\">";
        // d'abord le ou les CPE
        $sql = "SELECT civilite,nom,prenom,sous_categorie,id_pers FROM personnel WHERE sous_categorie like 'CPE%' OR sous_categorie='22' ORDER BY nom,prenom";
        $resultat = @mysql_query($sql);
        while ($ligne = @mysql_fetch_array($resultat))
        {
          echo "<tr><td width=\"34%\">".$ligne['civilite']." ".$ligne['nom']." ".substr($ligne['prenom'],0,1).".</td><td>CPE</td></tr>";
        }
        // puis les surveillants ou assistants d'ducation
        $sql = "SELECT civilite,nom,prenom,t2.sous_categorie, id_pers FROM personnel as t1, sous_categories_pers as t2 WHERE categorie='8' AND t1.sous_categorie not like 'CPE%' AND t1.sous_categorie not like '22' AND t1.sous_categorie=t2.id_sous_cat ORDER BY nom,prenom";
        $resultat = @mysql_query($sql);
        while ($ligne = @mysql_fetch_array($resultat))
        {
          echo "<tr><td width=\"34%\">".$ligne['civilite']." ".$ligne['nom']." ".substr($ligne['prenom'],0,1).".</td><td>".stripslashes($ligne['sous_categorie'])."</td></tr>";
        }
        echo "</table><br />";
        //////////////// Personnel Enseignant //////////////////////
        $sql ="SELECT COUNT(*) FROM personnel WHERE categorie='7'";
        // DEBUGG print $sql."<hr />";
        $resultat = mysql_query($sql);
        $ligne = mysql_fetch_row($resultat);
        $nombre_pers_enseignant = $ligne[0];
        echo "<table class='fond_clair' width=\"100%\"><tr><td width=\"50%\"><h2><u>PERSONNEL ENSEIGNANT</u></h2></td>";
        echo "<td width=\"50%\" align=\"right\"><font color=\"red\"><b>".$ligne[0]." </b></font>personne(s)</td></tr></table><br />";
        affiche_personnel_enseignant(false);
        ///////////////// Autres personnels //////////////////////
        $sql ="SELECT COUNT(*) FROM personnel";
        $resultat = mysql_query($sql);
        $ligne = mysql_fetch_row($resultat);
        $nombre_autres_pers = $ligne[0]-($nombre_pers_admin + $nombre_pers_vie_scol + $nombre_pers_enseignant);
        $with_grade = "activit"; // Permet d'afficher l'activit, mais pas le prnom
        echo "<br /><table class='fond_clair' width=\"100%\"><tr><td width=\"50%\"><h2><u>AUTRES PERSONNELS</u></h2></td>";
        echo "<td width=\"50%\" align=\"right\"><font color=\"red\"><b>".$nombre_autres_pers." </b></font>personne(s)</td></tr></table><br />";
        affiche_autres_personnels($with_grade,"4"); // c'est le COP
        affiche_autres_personnels($with_grade,"9"); // Medico-social
        affiche_autres_personnels($with_grade,"10"); // Agents
        affiche_autres_personnels($with_grade,"12"); // Contrats aids
       
        echo "<table width=\"100%\"><tr><td></td><td align=\"right\"><a href=\"#haut\">Haut de la page</a>   </td></tr></table>";
      }
      else //if (mysql_num_rows($resultat))
      {
        $error_message = array("La table du personnel ne contient aucune donne !","");
        affiche_erreurs($error_message);
        return;
      }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>