<?php
/**
 * c_pers_admin.php
 *
 * Permet l'affichage du trombinoscope du personnel administratif
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"admin/pers_admin.php"))
{
  // Le clic droit est interdit sur la page
  protection_image();

  echo "<h1>Le personnel administratif</h1>";
  connexion_mysql();
  select_database();
  $sql = "SELECT count(*) FROM personnel";
  $resultat = @mysql_query($sql);
  $ligne = @mysql_fetch_array($resultat);
  if ($ligne[0] == 0)
  {
    $error_message = array("La table contenant la liste du personnel est vide !","");
    affiche_erreurs($error_message);
    return;
  }
  // Si on arrive ici, c'est que la table du personnel n'est pas vide
  // Recherche du type d'tablissement
  $sql = "SELECT code_type_etab FROM uaj";
  $resultat = mysql_query($sql);
  $ligne = mysql_fetch_array($resultat);
  $type_etab = $ligne['code_type_etab'];
  // D'abord la direction
  $sql = "SELECT civilite,nom,prenom,sous_categorie,id_pers FROM personnel WHERE categorie='5' ORDER BY sous_categorie";
  $resultat = @mysql_query($sql);
  echo "
  <table width='100%' border='0'>
    <tr>";
    while ($ligne = @mysql_fetch_array($resultat))
    {
      if ($ligne['sous_categorie'] == "DIR CL1")
      {
       	if ($type_etab=="CLG")
      		$titre = "Principal";
        elseif ($type_etab=="LYC" || $type_etab=="LP")
        	$titre = "Proviseur";
        else
        	$titre = "Directeur";	
      }
      elseif ($ligne['sous_categorie'] == "DIR CL2")
      {
      	if ($type_etab=="CLG")
      		$titre = "Principal Adjoint";
      	elseif ($type_etab=="LYC" || $type_etab=="LP")
      		$titre = "Proviseur Adjoint";
      	else
      		$titre = "Directeur Adjoint";	
      }
      else
      	$titre = "Direction";
      if ($ligne['nom']!="")
      {
        echo "<td align='center' valign='top'><h2><font color='red'>".$titre."</font></h2>";
        echo affiche_fotoprof($ligne['prenom'],$ligne['nom'],$ligne['id_pers']);
        if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
        {
          echo "<a href=\"../prive/donnees_perso.php?id_pers=".$ligne['id_pers']."&amp;gpe=personnel\"><font size='2'>".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</font></a></td>";
        }
        elseif (isset($_SESSION['valid_group']) && ($_SESSION['valid_group'] == "3" || $_SESSION['valid_group'] == "7" || $_SESSION['valid_group'] == "8" || $_SESSION['valid_group'] == "9" || $_SESSION['valid_group'] == "10"))
        {
          echo "<font size='2'>".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</font></td>";
        }
        else
        {
          echo "<font size='2'>".$ligne['civilite']." ".$ligne['nom']."</font></td>";
        }
      }
    }
    echo "
    </tr>
  </table>
  <p><br /></p>";
  // Puis le gestionnaire et le chef de travaux (avec ses adjoints ventuels)
  $sql = "SELECT * FROM personnel as t1, categories_pers as t2 WHERE t1.categorie IN(2,6) AND t2.id_cat=t1.categorie ORDER BY t1.categorie,t1.activite,t1.nom";
  $resultat = @mysql_query($sql);
  echo "
  <table width='100%' border='0'>
    <tr>";
    while ($ligne = @mysql_fetch_array($resultat))
    {
      if ($ligne['nom']!="")
      {
        echo "<td align='center' valign='top'><h2><font color='red'>".$ligne['categorie'];
        if ($ligne['activite']!="")
          echo " ".$ligne['activite'];
        echo "</font></h2>";
        echo affiche_fotoprof($ligne['prenom'],$ligne['nom'],$ligne['id_pers']);
        if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
        {
          echo "<a href=\"../prive/donnees_perso.php?id_pers=".$ligne['id_pers']."&amp;gpe=personnel\"><font size='2'>".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</font></a></td>";
        }
        elseif (isset($_SESSION['valid_group']) && ($_SESSION['valid_group'] == "3" || $_SESSION['valid_group'] == "7" || $_SESSION['valid_group'] == "8" || $_SESSION['valid_group'] == "9" || $_SESSION['valid_group'] == "10"))
        {
          echo "<font size='2'>".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</font></td>";
        }
        else
        {
          echo "<font size='2'>".$ligne['civilite']." ".$ligne['nom']."</font></td>";
        }
      }
    }
    echo "
    </tr>
  </table>
  <p><br /></p>";
  // le reste du personnel administratif (secrtariat)
  $sql = "SELECT * FROM personnel as t1,sous_categories_pers as t2 WHERE t1.categorie='1' AND t2.id_cat=t1.categorie AND t2.id_sous_cat=t1.sous_categorie ORDER BY t2.sous_categorie";
  $resultat = @mysql_query($sql);
  echo "
  <table width='100%' border='0'>
    <tr>";
    while ($ligne = @mysql_fetch_array($resultat))
    {
      if ($ligne['nom']!="")
      {
        echo "<td align='center' valign='top'><h2><font color='red'>".$ligne['sous_categorie']."</font></h2>";
        echo affiche_fotoprof($ligne['prenom'],$ligne['nom'],$ligne['id_pers']);
        if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
        {
          echo "<a href=\"../prive/donnees_perso.php?id_pers=".$ligne['id_pers']."&amp;gpe=personnel\"><font size='2'>".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</font></a></td>";
        }
        elseif (isset($_SESSION['valid_group']) && ($_SESSION['valid_group'] == "3" || $_SESSION['valid_group'] == "7" || $_SESSION['valid_group'] == "8" || $_SESSION['valid_group'] == "9" || $_SESSION['valid_group'] == "10"))
        {
          echo "<font size='2'>".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</font></td>";
        }
        else
        {
          echo "<font size='2'>".$ligne['civilite']." ".$ligne['nom']."</font></td>";
        }
      }
    }
    echo "
    </tr>
  </table>
  <p><br /></p>";
  
  // on affiche le formulaire de gestion administrative de ces pages
  if ($_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
  {
  	echo "<br /><br /><br /><center>";
  	$code_formulaire = "<br />Cet accs est strictement rserv aux personnes charges de la gestion administrative de l'intranet, comme le secrtariat de l'tablissement par exemple.<br /><br /><a href='".$GLOBALS['chemin_relatif']."prive/admin/prive/bdd_pers.php?action=Modifier_Supprimer'>Mise  jour de la base de donnes du personnel</a><br /><br />";
  	squelette_formulaire_standard("75%","","","Rserv  l'administration",$code_formulaire,"","","","","","","");
  	echo "</center>";
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>