<?php
/**
 * c_pers_prof.php
 *
 * Affiche la liste des professeurs, classs par discipline
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"admin/pers_prof.php"))
{
  // Le clic droit est interdit sur la page
  protection_image();

  connexion_mysql();
  select_database();
  $sql = "SELECT count(*) FROM personnel";
  $resultat = @mysql_query($sql);
  $ligne = @mysql_fetch_array($resultat);
  if ($ligne[0] == 0)
  {
    $error_message = array("La table contenant la liste du personnel est vide !","");
    affiche_erreurs($error_message);
    return;
  }
  // Si on arrive ici, c'est que la table du personnel n'est pas vide
  echo "<h1>Le personnel enseignant (par matire)</h1>";
  // On rcupre la liste des matires
  $sql = "SELECT libelle_edition, code_matiere FROM matieres_sconet ORDER BY libelle_edition";
  $resultat = mysql_query($sql);
  while ($ligne = @mysql_fetch_array($resultat))
  {
    // On cherche s'il y a des enseignants qui ont un service dans cette matire
    $sql2 = "SELECT DISTINCT civilite,nom,prenom,id_pers FROM personnel as t1,enseignants_services as t2, services as t3 WHERE t3.code_matiere='".$ligne['code_matiere']."' AND t3.id_service=t2.id_service AND t2.id_individu=t1.id_individu";
  	// DEBUGG print $sql2."<hr />";
  	$resultat2 = mysql_query($sql2);
  	if (mysql_num_rows($resultat2) >0) // On affichera la matire que si elle est enseignes par au moins un prof
  	{
  		$ancre_matiere = str_replace(" ","",$ligne['libelle_edition']);
  		echo "<a name=\"$ancre_matiere\"></a>";
    	echo "<table border=\"0\" width=\"100%\"><tr>";
    	echo "<td class='titre-matiere-trombi-pers-prof'><h2 class='titre-liste-personnel'>".$ligne['libelle_edition']."</h2></td>";
    	echo "<td>&nbsp;</td>";
    	echo "</tr></table>";
    	echo "<table border=\"0\" width=\"100%\">";
    	if (mysql_num_rows($resultat2)<=5) // si - de 6 enseignants
        {
          echo "<tr>";
          $largeur_colonne = floor(100/mysql_num_rows($resultat2)); 
          for ($i=1;$i<=mysql_num_rows($resultat2);$i++)
          {
            $ligne2 = mysql_fetch_array($resultat2);
            $civilite = $ligne2['civilite'];
            $nom = $ligne2['nom'];
            if ($ligne2['nom']!="")
            {
              echo "<td width=\"$largeur_colonne\" align=\"center\" valign='top'>";
              echo affiche_fotoprof($ligne2['prenom'],$ligne2['nom'],$ligne2['id_pers']);
              if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
              {
                echo "<a href=\"../prive/donnees_perso.php?id_pers=".$ligne2['id_pers']."&amp;gpe=personnel\"><font size=\"2\">$civilite $nom ".ucfirst(strtolower($ligne2['prenom']))."</font></a></td>";
              }
              elseif (isset($_SESSION['valid_group']) && ($_SESSION['valid_group'] == "3" || $_SESSION['valid_group'] == "7" || $_SESSION['valid_group'] == "8" || $_SESSION['valid_group'] == "9" || $_SESSION['valid_group'] == "10"))
              {
                echo "<font size=\"2\">$civilite&nbsp;$nom ".ucfirst(strtolower($ligne2['prenom']))."</font></td>";
              }
              else // utilisateur lve ou parent : pas le droit de voir le prnom du prof
              {
                echo "<font size=\"2\">$civilite&nbsp;$nom</font></td>";
              }
            }
          }
          echo "</tr>";
          echo "</table>";
          echo "<br /><br />";
        }
        else  // si + de 5 enseignants, crer une ligne supplmentaire dans la tableau
        {
          // si + de 5 personnes, crer au moins une ligne supplmentaire dans la tableau
          // Combien y aura-t-il de lignes ?
          $quotient = mysql_num_rows($resultat2)/5;
          if (is_int($quotient))
            $nb_ligne_tableau = $quotient;
          else
            $nb_ligne_tableau = intval($quotient)+1;
          $largeur_colonne = floor(100/mysql_num_rows($resultat2)); 
          // Voici les lignes  afficher
          for ($j=1;$j<=$nb_ligne_tableau;$j++)
          {
            $largeur_colonne = floor(100/mysql_num_rows($resultat2)); 
            // sur chaque ligne, 5 personnes au max
            echo "<tr>";
            for ($i=1;$i<=5;$i++)
            {
              $ligne2 = mysql_fetch_array($resultat2);
              $civilite = $ligne2['civilite'];
              $nom = $ligne2['nom'];
              if ($ligne2['nom']!="")
              {
                echo "<td width=\"$largeur_colonne\" align=\"center\" valign='top'>";
                echo affiche_fotoprof($ligne2['prenom'],$ligne2['nom'],$ligne2['id_pers']);
                if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
                {
                  echo "<a href=\"../prive/donnees_perso.php?id_pers=".$ligne2['id_pers']."&amp;gpe=personnel\"><font size=\"2\">$civilite $nom ".ucfirst(strtolower($ligne2['prenom']))."</font></a></td>";
                }
                elseif (isset($_SESSION['valid_group']) && ($_SESSION['valid_group'] == "3" || $_SESSION['valid_group'] == "7" || $_SESSION['valid_group'] == "8" || $_SESSION['valid_group'] == "9" || $_SESSION['valid_group'] == "10"))
                {
                  echo "<font size=\"2\">$civilite&nbsp;$nom ".ucfirst(strtolower($ligne2['prenom']))."</font></td>";
                }
                else // utilisateur lve ou parent : pas le droit de voir le prnom du prof
                {
                  echo "<font size=\"2\">$civilite&nbsp;$nom</font></td>";
                }
              }
            }
            echo "</tr>";
          }
          echo "</table>";
          echo "<br /><br />";
        } // if (mysql_num_rows($resultat2)<=5)
  	}
  }
  
  // on affiche le formulaire de gestion administrative de ces pages
  if ($_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
  {
  	echo "<br /><br /><br /><center>";
  	$code_formulaire = "<br />Cet accs est strictement rserv aux personnes charges de la gestion administrative de l'intranet, comme le secrtariat de l'tablissement par exemple.<br /><br /><a href='".$GLOBALS['chemin_relatif']."prive/admin/prive/bdd_pers.php?action=Modifier_Supprimer'>Mise  jour de la base de donnes du personnel</a><br /><br />";
  	squelette_formulaire_standard("75%","","","Rserv  l'administration",$code_formulaire,"","","","","","","");
  	echo "</center>";
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>