<?php
/**
 * c_pp.php
 *
 * Page affichant la liste des professeurs principaux
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"admin/pp.php"))
{
  connexion_mysql();
  select_database();
  $annee_scol = annee_scolaire_en_cours();
  if ($annee_scol == "")
    $annee_scol = "(non dfinie)";
  echo "<h1>Liste des Professeurs Principaux<br />Anne scolaire ".$annee_scol."</h1>";
  $sql ="SELECT civilite,nom,prenom,t3.code_structure as division,id_pers FROM personnel as t1, profs_principaux as t2, structures as t3 WHERE id_prof=id_individu AND t3.code_structure=t2.code_structure ORDER BY t3.code_structure";
  $resultat = mysql_query($sql);
  if ($resultat)
  {
    if (mysql_num_rows($resultat)>0)
    {
      echo "<br /><center><table class='profs_principaux' width='60%'><tr bgcolor='#FFCC99'><th>Classe</th><th bgcolor='#FFCC99'>Professeur Principal</th></tr>";
      $i=0; // variable utilise pour contrler la parit du numro de ligne dans le tableau des rsultats pour colorer diffremment une ligne sur deux le fond de la cellule
      while ($ligne = mysql_fetch_array($resultat))
      {
        $civilite = $ligne['civilite'];
        $nom = $ligne['nom'];
        $prenom = $ligne['prenom'];
        $division = $ligne['division'];
        $i++;
        // si $i est pair, on colore lgrement le fond de la cellule, sinon on laisse en blanc
        if (is_int($i/2))
        {
          $class = "corps_formulaire";
        }
        else
        {
          $class = "";
        }
        echo "<tr><td class='$class' align='center'><b><a href='".$GLOBALS['chemin_relatif']."prive/eqpedag.php?classe=$division' title=\"Voir l'quipe pdagogique de $division\">$division</a></b></td>";
        // lien vers la fiche personnelle si le visiteur est membre du groupe admin,gestadmin ou direction
        if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6")
        {
          echo "<td class='$class'><b><a href=\"../prive/donnees_perso.php?id_pers=".$ligne['id_pers']."&amp;gpe=personnel\" title=\"Voir la fiche personnelle de $civilite $nom ".ucfirst(strtolower($prenom))."\">$civilite $nom ".ucfirst(strtolower($prenom))."</a></b></td>";
        }
        elseif (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "3")
        {
          echo "<td class='$class'><b>$civilite $nom ".ucfirst(strtolower($prenom))."</b></td>";
        }
        else //prenom pas visible pour les autres que l'admin + les profs
          echo "<td class='$class'><b>$civilite $nom</b></td>";
        echo "</tr>";
      }
      echo "</table></center>";
    }
    else
    {
      $error_message = array("La table des professeurs principaux ne contient aucune donne. Veuillez renseigner les <a href='".$GLOBALS['chemin_relatif']."prive/eqpedag.php'>quipes pdagogiques</a>.","");
      affiche_erreurs($error_message);
      return;
    }
  }
  else
  {
    $error_message = array("Le serveur de base de donnes est indisponible. Veuillez ressayer ultrieurement.","");
    affiche_erreurs($error_message);
    return;
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>