<?php
/**
 * c_pernot.php
 *
 * Affiche les priodes de notation (dbut + fin de trimestres et demi-priodes de notation)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */
 
/* Acquisition des variables dates de la table semab utilises pour dterminer le calendrier des priodes*/
echo "<br /><h1>Priodes de notation</h1>";
connexion_mysql();
select_database();
 $sql = "select * from semab";
 $resultat = @mysql_query($sql);
 if (!$resultat)
 {
  $error_message = array("La table contenant les informations pour le calendrier des semaines n'existe
  pas. Prvenez <a href='mailto:".email_encode($GLOBALS['admin_email'])."'>l'administrateur IntraEduWeb</a>.","");
  affiche_erreurs($error_message);
  return;
 }
 if (mysql_num_rows($resultat)==0)
 {
  $error_message = array("La table contenant les informations pour le calendrier des semaines existe bien
  mais ne contient aucune donne. Prvenez <a href='mailto:".email_encode($GLOBALS['admin_email'])."'>l'administrateur IntraEduWeb</a>.","");
  affiche_erreurs($error_message);
  return;
 }
 $variable = mysql_fetch_array($resultat);
 $dbt_1t = $variable['dbt_1t'];
 $fin_1t = $variable['fin_1t'];
 $p_1t = $variable['p_1t'];
 $dbt_2t = $variable['dbt_2t'];
 $fin_2t = $variable['fin_2t'];
 $p_2t = $variable['p_2t'];
 $dbt_3t = $variable['dbt_3t'];
 $fin_3t = $variable['fin_3t'];
 $p_3t = $variable['p_3t'];
 $tableau = array("dbt_1t", "fin_1t", "p_1t", "dbt_2t",
 "fin_2t", "p_2t", "dbt_3t", "fin_3t", "p_3t");
 foreach($tableau as $value) { 	// formate les dates  mysql de aaaa-mm-jj en jj/mm/aaaa
  list($annee,$mois,$jour)=explode("-",$$value);
  $$value=date("d/m/Y", mktime(0,0,0,$mois,$jour,$annee));
  }
  
 ?>
<center>
<table class="ctextes edt">
  <tr>
    <td width="20%" class="vide" bgcolor="maroon"></td>
    <th width="25%" class="entete_formulaire" bgcolor="#FFCC99" colspan="2" height="20">Trimestre 1</th>
    <th width="25%" class="entete_formulaire" bgcolor="#FFCC99" colspan="2" height="20">Trimestre 2</th>
    <th width="25%" class="entete_formulaire topright" bgcolor="#FFCC99" colspan="2" height="20">Trimestre 3</th>
  </tr>
  <tr>
    
    <td width="20%" class="vide" bgcolor="maroon"></td>
    <td width="13%" height="40" class="entete_formulaire" bgcolor="#FFCC99"><b>Du</b></td>
    <td width="12%" height="40" class="entete_formulaire" bgcolor="#FFCC99"><b>Au</b></td>
    <td width="13%" height="40" class="entete_formulaire" bgcolor="#FFCC99"><b>Du</b></td>
    <td width="12%" height="40" class="entete_formulaire" bgcolor="#FFCC99"><b>Au</b></td>
    <td width="13%" height="40" class="entete_formulaire" bgcolor="#FFCC99"><b>Du</b></td>
    <td width="12%" height="40" class="entete_formulaire" bgcolor="#FFCC99"><b>Au</b></td>
  </tr>
  <tr>
    
    <td width="20%" align="center" bgcolor="#FFCC99" height="40"><b><font color="maroon">1re demi-priode</font></b></td>
    <td width="13%" align="center" height="40" class="corps_formulaire">
    <?php echo format_date_long($GLOBALS['default_language'],$dbt_1t) ?></td>
    <td width="12%" align="center" height="40" class="corps_formulaire">
    <?php echo format_date_long($GLOBALS['default_language'],$p_1t) ?></td>
    <td width="13%" align="center" height="40" class="corps_formulaire">
    <?php echo format_date_long($GLOBALS['default_language'],$dbt_2t) ?></td>
    <td width="12%" align="center" height="40" class="corps_formulaire">
    <?php echo format_date_long($GLOBALS['default_language'],$p_2t) ?></td>
    <td width="13%" align="center" height="40" class="corps_formulaire">
    <?php echo format_date_long($GLOBALS['default_language'],$dbt_3t) ?></td>
    <td width="12%" align="center" height="40" class="corps_formulaire">
    <?php echo format_date_long($GLOBALS['default_language'],$p_3t) ?></td>
  </tr>
    <?php
  $tableau=array("p_1t", "p_2t", "p_3t");
  foreach($tableau as $value) { 	
  list($jour,$mois,$annee)=explode("/",$$value);
  $jour=$jour+1;
  $new{$value}="$jour"."/"."$mois"."/"."$annee"; 
  // le dbut de la 2me priode est le prochain jour ouvrable suivant la fin de la 1re priode
  while (!test_jour_ouvrable($new{$value}))
  {
  	$new_date_mysql = convert_date_to_mysql($new{$value});
  	// Le jour suivant est-il ouvrable ?
  	$new_date = date_mysql_to_jjmmaaaa(date("Y-m-d", strtotime("+1 day",strtotime($new_date_mysql))));
  $new{$value} = $new_date;
  }
 }

  ?>
  <tr>
    
    <td width="20%" align="center" bgcolor="#FFCC99" height="40" class="bottomleft"><b><font color="maroon">2me demi-priode</font></b></td>
    <td width="13%" align="center" height="40" class="corps_formulaire">
    <?php echo format_date_long($GLOBALS['default_language'],$new['p_1t']) ?></td>
    <td width="12%" align="center" height="40" class="corps_formulaire">
    <?php echo format_date_long($GLOBALS['default_language'],$fin_1t) ?></td>
    <td width="13%" align="center" height="40" class="corps_formulaire">
    <?php echo format_date_long($GLOBALS['default_language'],$new['p_2t']) ?></td>
    <td width="12%" align="center" height="40" class="corps_formulaire">
    <?php echo format_date_long($GLOBALS['default_language'],$fin_2t) ?></td>
    <td width="13%" align="center" height="40" class="corps_formulaire">
    <?php echo format_date_long($GLOBALS['default_language'],$new['p_3t']) ?></td>
    <td width="12%" align="center" height="40" class="corps_formulaire bottomright">
    <?php echo format_date_long($GLOBALS['default_language'],$fin_3t) ?></td>
  </tr>
</table>
</center>
<?php
if (isset($_SESSION['valid_group']) && ($_SESSION['valid_group']=="1" || $_SESSION['valid_group']=="5")) // pour admin ou gestadmin
{
   // on affiche le formulaire de gestion administrative de ces pages
   echo "<a name='bas'></a><br /><br /><center>";
   $code_formulaire = "<br />Cet accs est strictement rserv aux personnes charges de la gestion administrative de l'intranet, comme le secrtariat de l'tablissement par exemple.<br /><br /><a href='$racine"."prive/admin/prive/saisie_semab.php'>Mise  jour des Priodes de notation</a><br /><br />";
   squelette_formulaire_standard("75%","","","Rserv  l'administration",$code_formulaire,"","","","","","","");
   echo "</center>";
}
?>