<?php
/**
 * doc.php
 *
 * Affiche des liens vers les documentations disponibles en tlchargement
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"docs/index.php"))
{
  echo "<h1>Documentations utilisateurs</h1>";
  echo "<br />";
  if (isset($_SESSION['valid_group']))
  {
    $autres_utilisateurs = array("1","2","3","4","5","8","11");
    $ancre = $_SESSION['valid_group'];
    if (!in_array($ancre,$autres_utilisateurs))
      $ancre = "autres";
  }
  else
    $ancre = "";
  echo "<a href='http://iew.free.fr/?-Documentation-'>Tlcharger le guide Utilisateur</a>";
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>