<?php
/**
 * modele_inc_connect.php
 *
 * fichier modle utilis par le script install.php pour crer le fichier inc_connect.php
 * contenant le nom d'administrateur de la base MySQL et son mot de passe
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

include($GLOBALS['stock_baselev']."k.php"); // pour le chiffrement
// Phrase  crypter et cryptage (base64_encode  cause des caractres binaires produits par la fonction de cryptage)
$mysql_admin = base64_encode(mcrypt_encrypt($GLOBALS['algo'], $GLOBALS['crypt_key'], $_SESSION['liste_variables']['new_mysql_admin'], $GLOBALS['mode'], $GLOBALS['iv']));
$mysql_admin_passwd = base64_encode(mcrypt_encrypt($GLOBALS['algo'], $GLOBALS['crypt_key'], $_SESSION['liste_variables']['new_mysql_admin_passwd'], $GLOBALS['mode'], $GLOBALS['iv']));

$fichier_connect = "<?php
/**
 * inc_connect.php
 *
 * fichier contenant le nom d'administrateur de la base MySQL et son mot de passe
 * (informations sont cryptes)
 * Il est gnr automatiquement lors de l'installation
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	gnr  l'installation, le ";
$fichier_connect .= format_date_long("fr","")."  ".date("H:i:s");
$fichier_connect .= "
 * @copyright	2004-".date("Y")." Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */
 
$"."mysql_server = \"".$_SESSION['liste_variables']['new_mysql_server']."\";
$"."mysql_admin = \"$mysql_admin\";
$"."mysql_admin_passwd = \"$mysql_admin_passwd\";
if (isset($"."_SESSION['anscol']) && $"."_SESSION['anscol'] !=\"\") // Si on est dans les archives
  $"."anscol = \"_\".str_replace(\"-\",\"_\",$"."_SESSION['anscol']); // car Mysql n'accepte pas les tirets dans les noms de bases
else // l'anne scolaire est celle en cours => la base est celle de l'installation
  $"."anscol = \"\";
$"."mysql_database = \"".$_SESSION['liste_variables']['new_mysql_database']."\".$"."anscol;";
// On enregistre les changements dans le fichier de connexion
$fichier = @fopen($_SESSION['liste_variables']['new_stock_baselev']."inc_connect.php","w"); // ouverture en criture en crasant le contenu existant
// on ecrit la ligne d'en-tte contenant les champs de donnes
@fwrite($fichier,$fichier_connect);
@fclose($fichier);
?>