<?php
/**
 * fonctions_erreurs.php
 *
 * regroupe les fonctions d'affichage de messages d'erreurs ou de russite d'oprations
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

function affiche_erreurs($error_message)
//***************************** description *****************************************************************//
// cette fonction permet d'afficher les messages d'erreur
// la variable $error_message est un tableau  deux lments : le premier contient le message proprement dit et le second contient une valeur vide ou une valeur de contrle indiquant  la fonction ce qu'elle doit faire
// Date de cration : 12/07/2004
// Date de dernire mise  jour : 
//***************************** Fin description ***********************************************************//
 {
   global $racine;
   if ($error_message[0] == "") // pas de message  afficher
   {
   		return;
   }
   else // Il y a un message d'erreur
   {
   		echo "
   		<center>
   		<div class='texterror'>
   			<center>
   			<table width='50%'>
   				<tr>
   					<td align='center'>
   						<img src=\"$racine"."images/warning.gif\" alt='' />
   					</td>
   					<td align='center'>
   						<div class='texterror-warning'>ATTENTION</div>
   					</td>
   					<td align='center'>
   						<img src=\"$racine"."images/warning_right.gif\" alt='' />
   					</td>
   				</tr>
   			</table>
   			</center>
   			";
   		// On formate l'affichage
   		if (is_array($error_message))
   		{
   			$fragments = explode("<br />",$error_message[0]);
   		}
   		else  // ce n'est pas un tableau mais une chane de caractre uniquement : il ne faut avoir recours  $error_message[0] sinon seul le 1er cc de la chane sera renvoy
   		{
   			$fragments = explode("<br />",$error_message);
   		}
   		foreach($fragments as $value)
   		{
   			$chaine_brute = trim(strip_tags($value)); 
   			if (strlen($chaine_brute)<105)
   			{	
   				// On peut centrer
   				echo $value."<br />";
   			}
   			else
   			{
   				// On justifie
   				echo "<div align='justify'>".$value."</div>";
   			}
   		}
   		echo "</div></center><br />";
   		if ($error_message[1]=="login") // Le message d'erreur fait suite  un problme d'authentification comme l'indique la valeur de contrle (2me lment du tableau $error_message)
   		{
    		 affiche_formulaire_login();
   		}
   		elseif ($error_message[1]=="charte") // Le message d'erreur fait suite au fait que l'utilisateur connect n'a pas encore accept la charte IntraEduWeb comme l'indique la valeur de contrle (2me lment du tableau $error_message)
   		{
    		$_SESSION['accept_charte']="non";
   			affiche_charte();
   		}
   		elseif ($error_message[1]=="log-cas")
   		{
   			deconnexion();
   		}
   }
 }
 
function affiche_ok($ok_message)
//***************************** description *****************************************************************//
// cette fonction permet d'afficher les messages de confirmation d'opration russie
// la variable $ok_message contient le message de confirmation
// Date de cration : 17/01/2005
// Date de dernire mise  jour :
//***************************** Fin description ***********************************************************//
{
	global $racine;
   	echo "<center><div class='encadrer ok_message'><center><table width='50%'><tr><td align='center'><img src=\"$racine"."images/trophees001.gif\" alt='' /></td><td align='center'><div class='texterror-warning'>Opration Russie !</div></td><td align='center'><img src=\"$racine"."images/trophees001.gif\" alt='' /></td></tr></table></center><br />";
	$fragments = preg_split("#<br />#",$ok_message);
   	foreach($fragments as $value)
   	{
   		$chaine_brute = trim(strip_tags($value)); 
   		if (strlen($chaine_brute)<105)
   		{	
   			// On peut centrer
   			echo $value."<br />";
   		}
   		else
   		{
   			// On justifie
   			echo "<div align='justify'>".$value."</div>";
   		}
   	}
   	echo "</div></center><br />";
}

function erreur_url_direct()
//***************************** description *****************************************************************//
 // cette fonction permet de centraliser le message d'erreur affich quand un utilisateur tente d'accder
 // directement dans l'URL  un script dont le nom commence par c_ (on doit normalement passer par un
 // script de description de page, notamment pour les autorisations d'accs
 // Date de cration : 15/01/2005
 // Date de dernire mise  jour : 15/01/2005
 //***************************** Fin description ***********************************************************//
{
   $error_message = array("<h3><center>Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !</center></h3>","");
   return $error_message;
}
?>