<?php 
/**
 * CdtDocJoint.php
 *
 * Dfinition de la classe CdtDocJoint pour la gestion des documents joints aux cahiers de textes
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2014 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

class CdtDocJoint extends Hydrator
{
	private		$id_doc,
				$filename,
				$commentaire,
				$id_ctexte,
				$id_afaire,
				$publication,
				$md5;
	
	// getters
	
	public function id_doc()
	{
		return $this->id_doc;
	}

	public function filename()
	{
		return $this->filename;
	}

	public function commentaire()
	{
		return $this->commentaire;
	}

	public function id_ctexte()
	{
		return $this->id_ctexte;
	}

	public function id_afaire()
	{
		return $this->id_afaire;
	}

	public function publication()
	{
		return $this->publication;
	}

	public function md5()
	{
		return $this->md5;
	}
	
	// setters
	
	public function setId_doc($id_doc)
	{
		$this->id_doc = $id_doc;
	}

	public function setFilename($filename)
	{
		$this->filename = $filename;
	}

	public function setCommentaire($commentaire)
	{
		$this->commentaire = $commentaire;
	}

	public function setId_ctexte($id_ctexte)
	{
		$this->id_ctexte = $id_ctexte;
	}

	public function setId_afaire($id_afaire)
	{
		$this->id_afaire = $id_afaire;
	}

	public function setPublication($publication)
	{
		$this->publication = $publication;
	}

	public function setMd5($md5)
	{
		$this->md5 = $md5;
	}	
	
	// Autres mthodes
	
}
?>