<?php 
/**
 * CdtDocJointManager.php
 *
 * Gestion des objets de la classe CdtDocJointManager (CRUD et autres fonctionnalits)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2014 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

require_once(IEW_DIR."modules/commun/modeles/classes/Crud.php");

class CdtDocJointManager extends Crud
{
	// paramtres ncessaires pour le CRUD
	protected $table = 'docs_joints_ctextes';
	protected $pk = 'id_doc'; // cl primaire
}
?>