<?php 
/**
 * CdtSeance.php
 *
 * Dfinition de la classe CdtSeance pour la gestion des sances de cahier de textes
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2014 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

class CdtSeance extends Hydrator
{
	private		$id_ctexte,
				$date,
				$code_structure,
				$id_groupe,
				$id_individu,
				$code_matiere,
				$id_sous_matiere,
				$activite,
				$publication;
	
	// getters
	
	public function id_ctexte()
	{
		return $this->id_ctexte;
	}

	public function date()
	{
		return $this->date;
	}

	public function code_structure()
	{
		return $this->code_structure;
	}

	public function id_groupe()
	{
		return $this->id_groupe;
	}

	public function id_individu()
	{
		return $this->id_individu;
	}

	public function code_matiere()
	{
		return $this->code_matiere;
	}

	public function id_sous_matiere()
	{
		return $this->id_sous_matiere;
	}
	
	public function activite()
	{
		return $this->activite;
	}
	
	public function publication()
	{
		return $this->publication;
	}
				
	// setters
	
	public function setId_ctexte($id_ctexte)
	{
		$this->id_texte = $id_ctexte;
	}

	public function setDate($date)
	{
		$this->date = $date;
	}

	public function setCode_structure($code_structure)
	{
		$this->code_structure = $code_structure;
	}

	public function setId_groupe($id_groupe)
	{
		$this->id_groupe = $id_groupe;
	}

	public function setId_individu($id_individu)
	{
		$this->id_individu = $id_individu;
	}

	public function setCode_matiere($code_matiere)
	{
		$this->code_matiere = $code_matiere;
	}

	public function setId_sous_matiere($id_sous_matiere)
	{
		$this->id_sous_matiere = $id_sous_matiere;
	}

	public function setActivite($activite)
	{
		$this->activite = $activite;
	}

	public function setPublication($publication)
	{
		$this->publication = $publication;
	}
	
	// Autres mthodes

}
?>