<?php 
/**
 * MembreDuPersonnel.php
 *
 * Dfinition de la classe MembreDuPersonnel pour la gestion des utilisateurs membres du personnel
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2014 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

class MembreDuPersonnel extends Utilisateur
{
	private		$type,
				$datenaiss,
				$activite,
				$categorie,
				$sous_categorie,
				$civilite,
				$code_discipline;
	
	// getters
	
	public function type()
	{
		return $this->type;
	}

	public function datenaiss()
	{
		return $this->datenaiss;
	}

	public function activite()
	{
		return $this->activite;
	}

	public function categorie()
	{
		return $this->categorie;
	}

	public function sous_categorie()
	{
		return $this->sous_categorie;
	}

	public function civilite()
	{
		return $this->civilite;
	}

	public function code_discipline()
	{
		return $this->code_discipline;
	}
	
	//setters
	
	public function setType($type)
	{
		$this->type = $type;
	}

	public function setDatenaiss($datenaiss)
	{
		$this->datenaiss = $datenaiss;
	}

	public function setActivite($activite)
	{
		$this->activite = $activite;
	}

	public function setCategorie($categorie)
	{
		$this->categorie = $categorie;
	}

	public function setSous_categorie($sous_categorie)
	{
		$this->sous_categorie = $sous_categorie;
	}

	public function setCivilite($civilite)
	{
		$this->civilite = $civilite;
	}

	public function setCode_discipline($code_discipline)
	{
		$this->code_discipline = $code_discipline;
	}
	
}
?>