<?php 
/**
 * ServiceProfesseur.php
 *
 * Dfinition de la classe ServiceProfesseur pour la gestion des services d'enseignement d'un professeur
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2014 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

class ServiceProfesseur extends Hydrator
{
	private		$id_enseignant_service,
				$id_service,
				$type,
				$id_individu,
				$heures_agent,
				$taux_ponderation;
	
	// getters
	
	public function id_enseignant_service()
	{
		return $this->id_enseignant_service;
	}

	public function id_service()
	{
		return $this->id_service;
	}

	public function type()
	{
		return $this->type;
	}

	public function id_individu()
	{
		return $this->id_individu;
	}

	public function heures_agent()
	{
		return $this->heures_agent;
	}

	public function taux_ponderation()
	{
		return $this->taux_ponderation;
	}
	
	// setters
	
	public function setId_enseignant_service($id_enseignant_service)
	{
		$this->id_enseignant_service = $id_enseignant_service;
	}

	public function setId_service($id_service)
	{
		$this->id_service = $id_service;
	}

	public function setType($type)
	{
		$this->type = $type;
	}

	public function setId_individu($id_individu)
	{
		$this->id_individu = $id_individu;
	}

	public function setHeures_agent($heures_agent)
	{
		$this->heures_agent = $heures_agent;
	}

	public function setTaux_ponderation($taux_ponderation)
	{
		$this->taux_ponderation = $taux_ponderation;
	}

	// Autres mthodes
}
?>