<?php 
/**
 * Utilisateur.php
 *
 * Dfinition de la classe Utilisateur pour la gestion des utilisateurs de l'application
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2013 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

class Utilisateur extends Hydrator
{
	private		$id_pers,
				$id_individu,
				$eleve_id,
				$id_personne,
				$nomlogin,
				$auth_source,
				$id_gpe_utilisateurs,
				$mot_pass,
				$nom,
				$prenom,
				$date_validite,
				$etat,
				$limit_date_passwd;
	
	// getters
	
	public function id_pers()
	{
		return $this->id_pers;
	}

	public function id_individu()
	{
		return $this->id_individu;
	}

	public function eleve_id()
	{
		return $this->eleve_id;
	}

	public function id_personne()
	{
		return $this->id_personne;
	}

	public function nomlogin()
	{
		return $this->nomlogin;
	}

	public function auth_source()
	{
		return $this->auth_source;
	}

	public function id_gpe_utilisateurs()
	{
		return $this->id_gpe_utilisateurs;
	}

	public function mot_pass()
	{
		return $this->mot_pass;
	}

	public function nom()
	{
		return $this->nom;
	}

	public function prenom()
	{
		return $this->prenom;
	}

	public function date_validite()
	{
		return $this->date_validite;
	}

	public function etat()
	{
		return $this->etat;
	}

	public function limit_date_passwd()
	{
		return $this->limit_date_passwd;
	}
	
	// setters
	
	public function setId_pers($id_pers)
	{
		$this->id_pers = $id_pers;
	}

	public function setId_individu($id_individu)
	{
		$this->id_individu = $id_individu;
	}

	public function setEleve_id($eleve_id)
	{
		$this->eleve_id = $eleve_id;
	}

	public function setId_personne($id_personne)
	{
		$this->id_personne = $id_personne;
	}

	public function setNomlogin($nomlogin)
	{
		$this->nomlogin = $nomlogin;
	}

	public function setAuth_source($auth_source)
	{
		$this->auth_source = $auth_source;
	}

	public function setId_gpe_utilisateurs($id_gpe_utilisateurs)
	{
		$this->id_gpe_utilisateurs = $id_gpe_utilisateurs;
	}

	public function setMot_pass($mot_pass)
	{
		$this->mot_pass = $mot_pass;
	}

	public function setNom($nom)
	{
		$this->nom = $nom;
	}

	public function setPrenom($prenom)
	{
		$this->prenom = $prenom;
	}

	public function setDate_validite($date_validite)
	{
		$this->date_validite = $date_validite;
	}

	public function setEtat($etat)
	{
		$this->etat = $etat;
	}

	public function setLimit_date_passwd($limit_date_passwd)
	{
		$this->limit_date_passwd = $limit_date_passwd;
	}
	
	// Autres mthodes
	
	public function getData()
	{
		// Accder  ses donnes personnelles
	}
	
	public function getLogConnexions()
	{
		// Accder  son journal de connexion
	}
	
	public function acceptCharte()
	{
		// Accepter la charte utilisateur de l'application
	}
}
?>