<?php 
/**
 * UtilisateurManager.php
 *
 * Gestion des objets de la classe Utilisateur (CRUD et autres fonctionnalits)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2014 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

require_once(IEW_DIR."modules/commun/modeles/classes/Crud.php");

class UtilisateurManager extends Crud
{
	// paramtres ncessaires pour le CRUD
	protected $table = 'login';
	protected $pk = 'id_pers'; // cl primaire
}
?>