<?php 
/**
 * EdtCours.php
 *
 * Dfinition de la classe EdtCours pour la gestion des cours dans les emplois du temps
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2014 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

class EdtCours extends Hydrator
{
	private		$id_cours,
				$id_enseignant_service,
				$code_alternance,
				$code_jour,
				$heure_debut,
				$duree,
				$code_matiere,
				$code_matiere_etab,
				$code_salle;
	
	// getters
	
	public function id_cours()
	{
		return $this->id_cours;
	}

	public function id_enseignant_service()
	{
		return $this->id_enseignant_service;
	}

	public function code_alternance()
	{
		return $this->code_alternance;
	}

	public function code_jour()
	{
		return $this->code_jour;
	}

	public function heure_debut()
	{
		return $this->heure_debut;
	}

	public function duree()
	{
		return $this->duree;
	}

	public function code_matiere()
	{
		return $this->code_matiere;
	}

	public function code_matiere_etab()
	{
		return $this->code_matiere_etab;
	}

	public function code_salle()
	{
		return $this->code_salle;
	}

	// setters

	public function setId_cours($id_cours)
	{
		$this->id_cours = $id_cours;
	}

	public function setId_enseignant_service($id_enseignant_service)
	{
		$this->id_enseignant_service = $id_enseignant_service;
	}

	public function setCode_alternance($code_alternance)
	{
		$this->code_alternance = $code_alternance;
	}

	public function setCode_jour($code_jour)
	{
		$this->code_jour = $code_jour;
	}

	public function setHeure_debut($heure_debut)
	{
		$this->heure_debut = $heure_debut;
	}

	public function setDuree($duree)
	{
		$this->duree = $duree;
	}

	public function setCode_matiere($code_matiere)
	{
		$this->code_matiere = $code_matiere;
	}

	public function setCode_matiere_etab($code_matiere_etab)
	{
		$this->code_matiere_etab = $code_matiere_etab;
	}

	public function setCode_salle($code_salle)
	{
		$this->code_salle = $code_salle;
	}

	// Autres mthodes
	
}
?>