<?php
/**
 * somabsences.php
 *
 * contient le libell des rubriques, sous-rubriques (avec leur liens) du sommaire pour les pages concernant les absences
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Dans le tableau suivant, pour chaque rubrique, on associe les sous-rubriques et leurs liens
// Si le lien doit ouvrir un pop-up ou un nouvel onglet, sa structure doit tre la suivante :
// $lien = "javascript://chemin_vers_la_cible_du_lien\" title=\"titre_du_lien (nouvelle fentre ou nouvel onglet)\"// onclick='code_du_onclick'" (attribut title obligatoire)
// Ceci permet de passer la validation XHTML (car target='_blank' pas valide)

$rubriques_somabsences = array(
"Absences" => array("Saisir" => "prive/absences.php\" title=\"Signaler les absences des lves\"","Cahier d'appel" => "prive/bddabsences.php\" title=\"Consulter le cahier d'appel des classes\"","Etat tranche horaire" => "prive/abs_affichage.php?critere=th\" title=\"Consulter les absences des lves par tranche horaire\"","Etat <abbr title=\"Demi-Pensionnaires\">DP</abbr>" => "prive/abs_affichage.php?critere=dp\" title=\"Consulter les absences des lves demi-pensionnaires\"","Rechercher" => "prive/recherche_absent.php\" title=\"Rechercher les absences d'un lve\"","Imprimer" => "prive/admin/surveillants/absences_impression.php\" title=\"Imprimer les absences des lves\""),
"Groupes-classes" => array("Gestion" => "prive/gesgroupes.php\" title=\"Crer/Modifier un groupe d'lves\"","Voir la liste" => "prive/gesgroupes.php?choix=consulter\" title=\"Consulter la liste des groupes lves\"")
);
?>