<?php
/**
 * somadmintraeduweb.php
 *
 * contient le libell des rubriques, sous-rubriques (avec leur liens) du sommaire spcifique  l'administrateur du site
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Dans le tableau suivant, pour chaque rubrique, on associe les sous-rubriques et leurs liens
// Si le lien doit ouvrir un pop-up ou un nouvel onglet, sa structure doit tre la suivante :
// $lien = "javascript://chemin_vers_la_cible_du_lien\" title=\"titre_du_lien (nouvelle fentre ou nouvel onglet)\"// onclick='code_du_onclick'" (attribut title obligatoire)
// Ceci permet de passer la validation XHTML (car target='_blank' pas valide)

// Le sommaire dpend si l'anne scolaire est celle en cours ou dans les archives
if (isset($_SESSION['anscol']) && isset($_SESSION['anscol']) !="") // Si on est dans les archives
  $rubriques_somadmintraeduweb = array(); // Pas de sommaire spcifique (c'est celui de gestadmin qui sera affich)
else // Cas ordinaire de l'anne scolaire en cours
  $rubriques_somadmintraeduweb = array(
  "Thmes et couleurs" => array("Choisir" => "install/modif_config.php\" title='Modifier la configuration IEW'","Documentation" => "docs/index.php\" title='Consulter la documentation utilisateur'"),
  "Base de donnes" => array("Importer" => "prive/admin/prive/imports.php?type=adm\" title='Importer les donnes (divisions et groupes, enseignants et quipes pdagogiques etc...)'", "Sauvegarde" => "prive/admintraeduweb/sauvegarde.php\" title='Effectuer une sauvegarde de la Base de donnes IEW'","Restauration" => "prive/admintraeduweb/restauration.php\" title='Restaurer une sauvegarde de la Base de donnes IEW'", "Mise  jour" => "prive/admintraeduweb/maj_version.php\" title=\"Mettre  jour l'application\"","Clture anne scolaire" => "prive/admin/prive/cloture_anscol.php\" title=\"Procder  la clture de l'anne scolaire en cours\"","Archives" => "prive/admin/prive/archives.php\" title='Consulter les archives des annes scolaires prcdentes'"),
  "Scurit" => array("Test" => "prive/admintraeduweb/security_check.php\" title=\"Analyser la scurit de l'environnement IEW\""),
  "Messagerie" => array("Configuration serveur" => "install/modif_config.php#gestion_mail\" title=\"Modifier la configuration d'accs  la messagerie interne de l'tablissement\""),
  "Fichiers spciaux" => array("Tlchargement" => "prive/admintraeduweb/telechargement.php\"","Diffusion des comptes" => "prive/admintraeduweb/prepare_diffusion_new_comptes.php\" title=\"Tlcharger les fichiers de mots de passe des utilisateurs authentifis localement\"","Demandes de mots de passe" => "prive/admintraeduweb/demandes_mdp.php\" title=\"Grer les demandes de nouveaux mots de passe (utilisateurs authentifis localement)\""),
  "Infos tablissement" => array("Paramtrage" => "install/modif_config.php#infos_etab\" title=\"Modifier les informations relatives  l'tablissement\"", "Logos, signatures" => "prive/admintraeduweb/maj_logos_sign.php\" title=\"Mettre  jour le logo de l'tablissement ou le tampon de signature du chef d'tablissement\""),
  "Utilisateurs spciaux" => array("Affecter un groupe" => "prive/admintraeduweb/affecter_groupe.php\" title=\"Modifier l'attribution de droits dans l'application (affectation de groupe)\"", "Mot de passe admin" => "prive/mdp.php\" title=\"Modifier le mot de passe de l'administrateur local de IEW\"")
  );
?>