<?php
/**
 * somcahiers_textes.php
 *
 * contient le libell des rubriques, sous-rubriques (avec leur liens) du sommaire spcifique des pages de cahiers de textes
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Ici les rubriques sont les matires, et les sous-rubriques, les sous-matires
// on les rcupre dans la base de donnes (sommaire dynamique)
// Le sommaire n'est affich que si la classe est dfinie (elle doit tre choisie dans le formulaire d'entre sur les pages cahiers de textes)
// Comme ce fichier est inclus avant les scripts c_cahiers_textes.php et c_synthese_ctextes.php, il faut vrifer si la liste des matires
//  afficher doit tre mise  jour (en cas de changement de classe dans c_cahiers_textes.php : $_POST['submit_classe'] et $_GET['set_classe'], 
// en cas de changement de classe dans c_synthese_ctextes.php : $_POST['submit_form'])
if (isset($_POST['submit_classe']) || isset($_GET['set_classe']) || isset($_POST['submit_form']))
{
  $_SESSION['classe_en_cours'] = recup_choix_classe_ctextes();
  // On cherche  savoir si c'est une classe ou un groupe
  $_SESSION['type_structure_en_cours'] = cherche_type_structure($_SESSION['classe_en_cours']);
  unset($_SESSION['liste_matieres']);
  unset($_SESSION['liste_sous_matieres']);
}
session_trouve_matieres_classe();
?>