<?php
/**
 * somparent.php
 *
 * contient le libell des rubriques, sous-rubriques (avec leur liens) du sommaire spcifique aux parents d'lves
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Dans le tableau suivant, pour chaque rubrique, on associe les sous-rubriques et leurs liens
// Si le lien doit ouvrir un pop-up ou un nouvel onglet, sa structure doit tre la suivante :
// $lien = "javascript://chemin_vers_la_cible_du_lien\" title=\"titre_du_lien (nouvelle fentre ou nouvel onglet)\"// onclick='code_du_onclick'" (attribut title obligatoire)
// Ceci permet de passer la validation XHTML (car target='_blank' pas valide)
$rubriques_somparent = array(
"Mon/Mes enfant(s)" => array("Fiche individuelle" => "prive/fichindiv.php\" title='Consulter la fiche de renseignements administratifs de mon/mes enfant(s)'","Carnet de correspondance" => "prive/carnet_corresp.php\" title='Consulter le carnet de correspondance de mon/mes enfant(s)'","Carnet de Notes" => "javascript://".$GLOBALS['url_notation']."\" title='Accder aux notes de mon/mes enfants (nouvelle fentre ou nouvel onglet)'// onclick='window.open(this.href); return false;'","Insc/Rinscription" => "prive/inscription.php\" title=\"Tlcharger le document d'inscription ou de rinscription\"", "Absences" => "prive/recap_absences.php\" title='Consulter le rcapitulatif des absences de mon/mes enfant(s)'"),
"Divers" => array("Dlgus de parents" => "prive/delegues_parents.php\" title='Voir la liste / le trombinoscope des dlgus de parents'","Conseil d'administration" => "prive/comptes_rendus_ca.php\" title=\"Consulter les comptes-rendus du Conseil d'administration\"")
);
?>