<?php
/**
 * page-404.php
 *
 * Page d'erreur 404 personnalise
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */
 
if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)).'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");
debut_code_html();
echo "<h1 class='hidden'>Page introuvable</h1>";
$error_message = array("<b>La page que vous demandez n'existe pas ou est introuvable</b><br />Il est aussi possible que cette page fasse partie du projet d'extension des fonctionnalits de l'application IntraEduWeb. Consultez le <a href='".$GLOBALS['url_site_intraEduWeb']."' target='_blank' title='Visiter le site officiel IntraEduWeb (nouvelle fentre)'>site officiel IntraEduWeb</a> pour vrifier si une mise  jour est disponible. La version <abbr title='IntraEduweb'>IEW</abbr> installe actuellement est la version <b>".trim(file_get_contents(IEW_DIR."VERSION"))."</b><br /><a href='".$GLOBALS['racine']."index.php'>Retour  l'accueil</a>","");
affiche_erreurs($error_message);
fin_code_html();
?>
