<?php
/**
 * c_autorisations.php
 *
 * Page de recherche sur les autorisations accords par les reprsentants lgaux
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

function affiche_formulaire_recherche()
{
  // Il faut rcuprer les critres de recherche : ce sont les libells des demandes d'autorisation
  $sql = "SELECT * FROM autorisations_etab";
  $resultat = mysql_query($sql);
  if (!$resultat || mysql_num_rows($resultat) == 0)
  {
    $error_message = array("<div align='justify'>Aucun critre de recherche n'a t trouv dans la base de donne. Veuillez contacter l'<a href=\"mailto:".email_encode($GLOBALS['admin_email'])."\">administrateur IEW</a></div>","");
    affiche_erreurs($error_message);
    return;
  }
  // Si on arrive ici c'est que la rcupration des libells des demandes d'autorisation a russi
  // On va traiter le rsultat plus bas
  $code_formulaire = "
  <p><label for='Form_Req_Classe'>Choisissez la classe</label>&nbsp;:
  <select size='1' name='classe' id='Form_Req_Classe'>";
  $tableau_options1=liste_options_form("connect","division","divisions","");
  $code_formulaire.=affiche_liste_options_formulaire($tableau_options1);
  // On rcupre les niveaux
  $sql = "SELECT code_mef,libelle_long FROM mefs WHERE code_mef IN(SELECT code_mef FROM structures WHERE type_structure='D')";
  $resultat = mysql_query($sql);
  $niveaux = array();
  while ($ligne = mysql_fetch_array($resultat))
  {
  	$code_formulaire .= "<option value='%".$ligne['code_mef']."%".$ligne['libelle_long']."'>Toutes les classes de ".$ligne['libelle_long']."</option>"; // Le % est positionn pour indiquer que c'est un mef (un niveau)
  }
  $code_formulaire .="<option>Toutes les classes de l'tablissement</option>
  </select>
  </p><br />
  <p><label for='Form_Req_Domaine'>Choisissez un domaine</label>&nbsp;:
  <select size='1' name='domaine' id='Form_Req_Domaine'>";
  // On a besoin de l'url complte du script PHP qui sera appel pour fournir les donnes XML ncessaire  l'AJAX
  // Mais il faut que le protocole soit spcifi (http ou https) est doit tre le mme que celui utilis dans la requte vers le script d'appel (autorisations.php)
  $protocole = get_protocol_http($_SERVER['SCRIPT_URI']);
  $path_url = $protocole.$_SERVER['HTTP_HOST'].$GLOBALS['racine']."prive/admin/";
  $code_formulaire .= "<option></option>";
  $sql = "SELECT titre,id_domaine FROM domaines_autorisations ORDER BY titre";
  $result = mysql_query($sql);
  if (mysql_num_rows($result) >0)
  {
    while ($enregistrement = mysql_fetch_array($result)) // on les affiche
    {
      // La valeur contient l'URL du script PHP qui va fournir les donnes XML pour l'AJAX
      $id_domaine = $enregistrement['id_domaine'];
      $code_formulaire .= "<option value='".$path_url."autorisations_domaine.php?id_domaine=".$id_domaine."'>".$enregistrement['titre']."</option>";
    }
  }
  $code_formulaire .="
  </select>
  </p>
  <div id='sous_form'>
    <div id='select_critere' style='visibility: hidden;display: none;'>
    <br /><p><label for='Form_Req_Criteres'>Slectionnez un critre</label>&nbsp;:<br />
    <select size='8' id='Form_Req_Criteres' name='criteres'>
    	<option></option>
    </select>
    </p>
    </div>
    <div id='detail' style='text-align: justify; margin-top: 10px; visibility: hidden; display: none;' class='encadrer'>
    </div>
    <div id='final_select'>
    </div>
  </div>
  <input type='hidden' name='id_domaine' id='id_domaine' />
  <br />";
  
  // vient maintenant la partie qui dpend du choix du domaine d'autorisation => Traitement Javascript sur le client

  echo "<br /><center>";
  squelette_formulaire_standard("100%","post",$_SERVER['PHP_SELF']."' name='recherche_form' id='recherche_form","Consulter les Autorisations Parentales",$code_formulaire,"Rechercher","soumettre","","","","","");
  echo "</center>";
}

/* Dbut du programme principal */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/admin/autorisations.php"))
{
  // script appel avec un changement de critre
  if (isset($_GET['chgcrit']) && $_GET['chgcrit'] == "ok")
  {
    // On efface le POST pour pouvoir rafficher le formulaire de dpart
    unset($_POST);
    unset($_SESSION['post_imprimable']);
  }
  if (!isset($_POST['soumettre']) || !isset($_POST['criteres'])) // Le formulaire de choix de la classe, du domaine d'autorisations et des critres de recherche n'a pas t valid, on l'affiche
  {
    echo "<br /><h1>Base Elves<br/>Autorisations du Reprsentant Lgal</h1><br />";
    echo "Cette page permet d'effectuer une recherche (multicritres) concernant les autorisations accordes par le reprsentant lgal.<br />";
    // Seuls les groupes admin, gestadmin et surveillants ont le droit de faire la saisie des autorisations parentales
    // Remarque : les parents eux-mmes le peuvent, mais uniquement bien sr pour leur enfant, directement sur la fiche lve
    if ($_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "8")
      echo "<br /><center><div class='encadrer_justifie'>Si vous souhaitez mettre  jour les autorisations, rendez-vous sur la page de <a href='prive/saisie_autorisations.php'>saisie</a>.";
    if ($_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5")
      echo "<br />Si vous souhaitez grer (dfinir, modifier, supprimer) les domaines d'autorisations, rendez-vous sur la page de <a href='prive/gestion_dom_autorisations.php'>gestion des domaines d'autorisations</a>.</div></center>";
    elseif ($_SESSION['valid_group'] == "8")
      echo "</div></center><br />";
    
    affiche_formulaire_recherche();
  }
  else // formulaire de choix de la classe, du domaine d'autorisations et des critres de recherche valid
  {
    /**** On affiche le rsultat de la recherche ****/
    echo "<h1>Recherche des autorisations/refus</h1>";
    // On rcupre les nom et les libells des champs du domaine d'autorisation choisi
    // et on les stocke dans un tableau
    $sql = "SELECT nom_champ, libelle FROM autorisations_etab WHERE id_domaine='".quote_smart($_POST['id_domaine'])."' ORDER BY libelle";
    $noms_champ = array();
    $libelles = array();
    $resultat = mysql_query($sql);
    while ($ligne = mysql_fetch_array($resultat))
    {
      $noms_champ[] = $ligne['nom_champ'];
      $libelles[] = $ligne['libelle'];
    }
    
    $where_classe = "";
    // il peut y avoir +sieurs classes concernes par la recherche
    if (strstr($_POST['classe'],"%")) // cas d'un niveau complet
    {
      // il faut rcuprer le mef depuis le format %code_mef%libelle_long
      $fragment = explode("%",$_POST['classe']); // c'est fragment[2] qui contient le libelle du niveau
      $where_classe = "classe IN(SELECT code_structure FROM structures WHERE type_structure='D' AND code_mef LIKE '%".$fragment[1]."%') AND";
      $etendue = "Toutes les classes de $fragment[2]";
      
    }
    elseif (stripslashes($_POST['classe']) == "Toutes les classes de l'tablissement") // cas de slection de toutes les classes quel que soit le niveau
    {
    	$where_classe = "classe IN(SELECT code_structure FROM structures WHERE type_structure='D') AND";
        $etendue = "Toutes les classes de l'tablissement";
    }
    else // Une seule classe est concerne
    {
      $etendue = "Classe de ".$_POST['classe'];
      $where_classe = "classe='".quote_smart($_POST['classe'])."' AND";
    }
    
    // Voici le critre slectionn dans le formulaire
    echo "<p><u>Critre :</u> <strong>".$libelles[$_POST['criteres']].", <i>".stripslashes($etendue)."</i></strong></p><br />";
    echo "<p><a href=\"?chgcrit=ok\">[Dfinir un autre critre de recherche]</a></p>";
    
    // On recherche maintenant pour la(les) classe(s) et ce critre, les autorisations ou refus correspondants
    $critere = $noms_champ[$_POST['criteres']];
    $sql = "SELECT id_eleve,nom,prenom,".quote_smart($critere).",classe from eleves as t1,autorisations_".quote_smart($_POST['id_domaine'])." as t2 WHERE $where_classe t1.eleve_id=t2.eleve_id ORDER BY classe,nom,prenom";
    // DEBUGG print "<br />".$sql;
    $resultat = mysql_query($sql);
    if ($resultat && mysql_num_rows($resultat) >0)
    {
      echo "<table class='ctextes edt'>";
      // d'abord la ligne d'en-tte
      echo "<tr>";
      echo "<th class='fond_sommaire topleft'>Nom  Prnom</th>";
      echo "<th class='fond_sommaire'>Classe</th>";
      echo "<th class='fond_sommaire'>Autorisation</th>";
      echo "<th class='fond_sommaire topright'>Refus</th>";
      echo "</tr>";
      $nblignes = mysql_num_rows($resultat);
      // puis les autres lignes
      $k = 0; $compteur_ok = 0; $compteur_no = 0;
      while ($ligne = mysql_fetch_array($resultat))
      {
        $k++;
        // si $k est pair, on colore lgrement le fond de la cellule, sinon on laisse en blanc
        if (is_int($k/2))
        {
          $class = "corps_formulaire";
        }
        else
       {
          $class = "";
        }
      	echo "<tr>";
        echo "<td class='$class' align='left'><a href='fichelev.php?id_eleve=".$ligne['id_eleve']."&amp;imprimable=oui' title='Consulter la fiche de cet(te) lve'>".$ligne['nom']." ".$ligne['prenom']."</a></td>";
        echo "<td class='$class' align='center'>".$ligne['classe']."</td>";
        if ($ligne[$critere] == "1") // Le reponsable lgal a donn son autorisation pour ce critre
        {
          $compteur_ok++;
          echo "<td class='$class' style='background-color:#46eb4e' align='center'><img src='".$GLOBALS['chemin_relatif']."images/ok.gif' alt='Oui' /></td>";
          echo "<td class='$class'></td>";
        }
        else // Le reponsable lgal n'a pas donn son autorisation pour ce critre (donc refus par dfaut)
        {
          $compteur_no++;
          echo "<td class='$class'></td>";
          echo "<td class='$class' style='background-color:#ff8f8c' align='center'><img src='".$GLOBALS['chemin_relatif']."images/no.gif' alt='Non' /></td>";
        }
        echo "</tr>";
      }
      echo "<tr class='bottomleft' style='background-color:#cecfce'>";
      echo "<td align='center'><b>$nblignes lves</b></td>";
      echo "<td align='center'><b>TOTAL</b></td>";
      echo "<td align='center'><strong>$compteur_ok</strong></td>";
      echo "<td align='center' class='bottomright'><strong>$compteur_no</strong></td>";
      echo "</tr>";
      echo "</table>";
    }
    else
    {
      $error_message = array("<div align='justify'>Il n'y a pas d'information correspondant  ce critre pour cette classe dans la base de donnes ou bien le serveur est indisponible. En l'absence d'information contraire, vous devez considrer le refus du reprsentant lgal comme s'appliquant par dfaut.</div>","");
      affiche_erreurs($error_message);
    }
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>