<?php
/**
 * c_bddelev.php
 *
 * Affiche un formulaire de recherche dans la base de donnes lves (dont le rsultat est fourni
 * par le script admin/consult_bddelev.php) et un lien vers le script de mise  jour de cette base lves
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

/* Dclaration de fonctions */
function imprimer_form() {
 $code_formulaire = "<br />Remplissez <b> au moins l'un</b> des champs suivants :<br />
 <div align='justify'>Pour les champs nom et prnom, vous pouvez utiliser des jokers (ex : a* pour tous les noms commenant par a)</div>
 <p><label for='Form_Req_Nom'>Nom</label>&nbsp;:
 &nbsp; <input type='text' id='Form_Req_Nom' name='nom' size='18' value='tous' />&nbsp;&nbsp;&nbsp;
  <label for='Form_Req_Prenom'>Prnom</label>&nbsp;:&nbsp; <input type='text' id='Form_Req_Prenom' name='prenom' size='18' value='tous' /></p>
  <br /><p><label for='Form_Req_Classe'>Classe(s)</label>&nbsp;:&nbsp; 
   <select size='1' id='Form_Req_Classe' name='classe'>
    <option selected='selected'>toutes</option>";
 $code_formulaire .= affiche_liste_options_formulaire(liste_options_form("connect","division","divisions",""));
 // On rcupre les niveaux
 $sql = "SELECT code_mef,libelle_long FROM mefs WHERE code_mef IN(SELECT code_mef FROM structures WHERE type_structure='D')";
 $resultat = mysql_query($sql);
 while ($ligne = mysql_fetch_array($resultat))
 {
   $code_formulaire .= "<option value='%".$ligne['code_mef']."%".$ligne['libelle_long']."'>Toutes les classes de ".$ligne['libelle_long']."</option>"; // Le % est positionn pour indiquer que c'est un mef (un niveau)
 }
 $code_formulaire .= "</select></p>
 <fieldset class='form_config'>
     	<legend>Autres critres de recherche</legend>";
 // On recherche les LV et les langues mortes
 $sql = "SELECT libelle_edition,code_matiere FROM matieres_sconet WHERE libelle_court LIKE '%LV%' OR libelle_court LIKE 'LATIN%' OR libelle_court LIKE 'GREC%' ORDER BY libelle_edition";
 $resultat = mysql_query($sql);
 $i = 1;
 while ($ligne = mysql_fetch_array($resultat))
 {
   $code_formulaire .= "
   <input type='radio' id='btn_$i' name='option_langue' value='".$ligne['libelle_edition']."%".$ligne['code_matiere']."' /><label for='btn_$i'>".$ligne['libelle_edition']."</label>&nbsp;&nbsp;&nbsp;";
   $i++;
 }
 $code_formulaire .= "
 <br /><br /><input type='checkbox' id='Chk_doublement' name='doublement' value='1' />
  <label for='Chk_doublement'>Redoublant</label>&nbsp;&nbsp;&nbsp;
  <input type='checkbox' id='Chk_DP' name='regime' value='DP' />
  <label for='Chk_DP'>Demi-pensionnaire</label>&nbsp;&nbsp;&nbsp;
  </fieldset><br />".info_champs_obligatoires()."<br />";
 squelette_formulaire_standard("80%","post","admin/consult_bddelev.php","Recherche sur la base de donnes lves",$code_formulaire,"Rechercher","soumettre","Annuler","annuler","","",""); 
}

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/bddelev.php"))
{
  echo "<h1>Consulter la base lves</h1>";
  if (!isset($_POST['soumettre'])) // si la variable $soumettre n est pas dfinie
  {
    connexion_mysql();
    select_database();
    $sql = "SELECT classe FROM eleves"; // recherche du nom des divisions
    $resultat = mysql_query($sql);
    if (!$resultat)
    {
      $error_message = array("La table contenant les donnes des lves n'existe pas. Prvenez votre administrateur intranet.","");
      affiche_erreurs($error_message);
      return;
    }
    $nb_enregistrements = mysql_num_rows($resultat);
    if ($nb_enregistrements == 0) // si la base lve est vide
    {
      $error_message = array("<div align='justify'>La Base de donnes lves est vide ! Cliquer sur le bouton \"Mise  jour de la base lves\" plus bas dans la page.<br />Quand la mise  jour est termine, cliquer <a href=\"bddelev.php\">ICI</a> pour recharger la page de recherche</div>","");
      affiche_erreurs($error_message);
    }
    else
    {
      echo "<br />";
      imprimer_form();
    }
  }
  if (isset($_SESSION['valid_group']) && ($_SESSION['valid_group']=="1" || $_SESSION['valid_group']=="5")) // pour admin ou gestadmin
  {
    // on affiche le formulaire de gestion administrative de ces pages
    echo "<br />";
    echo "<a name='bas'></a><br /><center>";
    $code_formulaire = "<br />Cet accs est strictement rserv aux personnes charges de la gestion administrative de l'intranet, comme le secrtariat de l'tablissement par exemple.<br /><br /><a href='".$GLOBALS['chemin_relatif']."prive/admin/prive/maj_bddelev.php' onclick=\" window.open('".$GLOBALS['chemin_relatif']."prive/admin/prive/maj_bddelev.php','Mise_a_jour_bddelev','toolbar=no,location=no,directories=no,menuBar=no,scrollbars=yes,resizable=no,status=no,width=500');return false;\">Mise  jour de la base lves ...</a><br /><br />";
    squelette_formulaire_standard("75%","","","Rserv  l'administration",$code_formulaire,"","","","","","","");
    echo "</center>";
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>