<?php
/**
 * c_trombinelev.php
 *
 * Permet d'accder au trombinoscope des lves
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

function affiche_formulaire()
{
 //***************************** description *****************************************************************//
 // cette fonction permet d'afficher le formulaire permetttant de choisir la classe ou le groupe dont on veut
 // voir le trombinoscope
 //***************************** Fin description ***********************************************************//
  
	$is_documentaliste = false;
  	$valid_group = $_SESSION['valid_group'];
  	if ($valid_group == "1" || $valid_group == "5" || $valid_group == "6" || $valid_group == "8" || $valid_group == "9" || $valid_group == "10") // si l'utilisateur est un surveillant (ou un admin intraeduweb) ou encore un membre de la direction, du groupe gestadmin, le conseiller d'orientation, le service sant/social il pourra voir toutes les classes (et tous les groupes)
  	{
	    $tableau_options1=liste_options_form("connect","division","divisions","");
		$tableau_options2=liste_options_form("connect","nom","groupes","");
		$tableau_options3=array_merge($tableau_options1,$tableau_options2);
  	}
  	elseif ($valid_group == "3") // Si c'est un prof, il ne pourra choisir que le cahier de texte de ses classes
  	{
	    // 	Sauf le documentaliste qui peut choisir tous les cahiers de textes
    	$sql5 = "SELECT libelle_long FROM disciplines_bcn,personnel WHERE id_pers='".quote_smart($_SESSION['valid_id_user'])."' AND personnel.code_discipline=disciplines_bcn.code_discipline";
	    // DEBUGG echo $sql5."<br />"; 
	    $resultat5 = mysql_query($sql5);
	    $ligne5 = mysql_fetch_array($resultat5);
	    if (stristr($ligne5['libelle_long'],"Documentation"))
	    {
      	$is_documentaliste = true;
      	$tableau_options1=liste_options_form("connect","division","divisions","");
	  	$tableau_options2=liste_options_form("connect","nom","groupes","");
	  	$tableau_options3=array_merge($tableau_options1,$tableau_options2);
    	}
    	else // c'est un prof normal : il ne pourra voir que le cahier de texte de ses classes
    	{
      	$tableau_options1=liste_options_form("connect","services.code_structure","services,enseignants_services","services.id_service = enseignants_services.id_service AND id_individu='".$_SESSION['identifiant_individu']."'");
	  	$tableau_options2=liste_options_form("connect","nom","groupes","id_responsable='".$_SESSION['valid_id_user']."'");
   	  	$tableau_options3=array_merge($tableau_options1,$tableau_options2);
    	}
  	}	
	else
	{
		$error_message = array("Vous ne faites pas partie d'un groupe autoris  consulter les trombinoscopes !","");
		affiche_erreurs($error_message);
	}
	$code_formulaire = "<br /><center><label for='Form_Req_Classe'>Classe ou groupe&nbsp;:</label> 
  	<select size='1' name='classe' id='Form_Req_Classe'>";
  	$code_formulaire.=affiche_liste_options_formulaire($tableau_options3);
	// On rcupre les niveaux
  	$sql = "SELECT DISTINCT libelle_long as niveau FROM mefs WHERE code_mef IN (SELECT code_mef FROM structures) ORDER BY libelle_long";
  	$resultat = mysql_query($sql);
  	$niveaux = array();
  	while ($ligne = mysql_fetch_array($resultat))
  	{
    	$code_formulaire .= "<option>Toutes les classes de ".$ligne['niveau']."</option>";
  	}
  	$code_formulaire.="<option>Toutes les classes de l'tablissement</option>
  	</select></center><br />";
  	squelette_formulaire_standard("90%","post",$_SERVER['PHP_SELF'],"<h2 class='hidden'>Choisir un trombinoscope d'lves</h2>Choisir un trombinoscope d'lves  afficher",$code_formulaire,"Voir le trombinoscope","soumettre","","","","","");
}

function affiche_trombin_classe($classe,$id_groupe)
{
//***************************** description *****************************************************************//
 // cette fonction permet d'afficher le trombinoscope d'une classe (ou d'un groupe)
 // paramtres : $id_groupe si gal  false c'est qu'il ne s'agit pas d'un groupe, dans le cas contraire (cas d'un groupe)
 // c'est la requte  excuter pour rcuprer les id_eleve ncessaires pour afficher les photos
 //***************************** Fin description ***********************************************************//
 
 $flag_pp = false; // initalisation pour ce qui suit
 if ($_SESSION['valid_group'] == "3") // Pour un prof, on cherche s'il est Professeur Principal de la classe
 {
  	$sql2 = "SELECT code_structure FROM profs_principaux WHERE id_prof='".$_SESSION['identifiant_individu']."' AND code_structure='$classe'";
   	// DEBUGG print $sql2."<br />";
   	$resultat2 = mysql_query($sql2);
   	if (mysql_num_rows($resultat2)>0) // Oui il est PP de la classe
 	{
 		$flag_pp = true; // On positionne un flag qui sera utilis + loin (permettra d'accder depuis le trombinoscope  la fiche de l'lve) 
 	}
 }
 // DEBUGG print "flag_pp =".$flag_pp;"<br />";        
 if ($id_groupe) // Si c'est un groupe
 {
     $sql = "SELECT nom,prenom,id_eleve FROM eleves as t1, groupes_eleves as t2 WHERE id_groupe='$id_groupe' AND t1.eleve_id=t2.eleve_id ORDER BY nom,prenom";
     $resultat = mysql_query($sql);
     $titre_tableau = "Groupe $classe";
 }
 else // ce n'est pas un groupe, mais une classe
 {
   $sql1 = "SELECT nom,prenom,id_eleve FROM eleves WHERE classe='".quote_smart($classe)."' ORDER BY nom,prenom";
   $resultat = mysql_query($sql1);
   $titre_tableau = "Classe de $classe";
 }
  
 if (mysql_num_rows($resultat)>0) // afficher le trombinoscope s'il y a des lves dans cette classe ou ce groupe
 {
   
   // Voil le trombinoscope
   $ancre_classe = str_replace(" ","",$classe);
   echo "<a name='$ancre_classe'></a>";
   echo "<table border='0' width='100%' class='fond_clair'><tr>";
   // titre du tableau
   echo "<td width='50%' align='left'><a name=\"$ancre_classe\"></a><h2 class='hidden'>Classe de $classe</h2><u><b>$titre_tableau</b></u>&nbsp;&nbsp;&nbsp;";
   echo "<br />Effectif&nbsp;: <font color='red'><b>".mysql_num_rows($resultat)."</b></font> lves&nbsp;&nbsp;&nbsp;";
   // pas de lien emploi du temps pour un groupe
   if (!$id_groupe) // Si c'est une classe (pas un groupe), on affiche le lien vers l'emploi du temps
     echo "<a href='../edt.php?categorie=classes&amp;edt=$classe' title=\"Voir l'emploi du temps de la classe de ".$classe."\">[Emploi du temps]</a>";
   echo "</td>";
   echo "<td width='50%' align='right' valign='top'><a href='?another=oui'>[Choisir un autre trombinoscope]</a></td>";
   echo "</tr></table><br />";
   echo "<table border=\"0\" width=\"100%\">";
   if (mysql_num_rows($resultat)<=5) // si - de 6 lves (rarement le cas !, peut-tre sur un groupe...)
   {
     echo "<tr>";
     $largeur_colonne = floor(100/mysql_num_rows($resultat)); 
     for ($i=1;$i<=mysql_num_rows($resultat);$i++)
     {
       $ligne = mysql_fetch_array($resultat);
       $nom = $ligne['nom'];
       if ($ligne['nom']!="")
       {
         echo "<td width=\"$largeur_colonne\" align=\"center\" valign='top'>";
         echo affiche_fotoelev($ligne['id_eleve']);
         if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6" || ($_SESSION['valid_group'] == "3" && $flag_pp))
         {
           echo "<font size=\"2\"><a href='fichelev.php?id_eleve=".$ligne['id_eleve']."' title=\"Consulter la fiche de ".$ligne['prenom']." $nom\">$nom<br />".$ligne['prenom']."</a></font></td>";
         }
         else
         {
           echo "<font size=\"2\">$nom<br />".$ligne['prenom']."</font></td>";
         }
       }
     }
     echo "</tr>";
     echo "</table>";
     echo "<br /><br />";
   }
   else  
   {
     // si + de 5 personnes, crer au moins une ligne supplmentaire dans la tableau
     // Combien y aura-t-il de lignes ?
     $quotient = mysql_num_rows($resultat)/5;
     if (is_int($quotient))
       $nb_ligne_tableau = $quotient;
     else
       $nb_ligne_tableau = intval($quotient)+1;
     $largeur_colonne = floor(100/mysql_num_rows($resultat)); 
     // Voici les lignes  afficher
     for ($j=1;$j<=$nb_ligne_tableau;$j++)
     {
       $largeur_colonne = floor(100/mysql_num_rows($resultat)); 
       // sur chaque ligne, 5 personnes au max
       echo "<tr>";
       for ($i=1;$i<=5;$i++)
       {
         $ligne = mysql_fetch_array($resultat);
         $nom = $ligne['nom'];
         if ($ligne['nom']!="")
         {
           echo "<td width=\"$largeur_colonne\" align=\"center\" valign='top'>";
           echo affiche_fotoelev($ligne['id_eleve']);
           if (isset($_SESSION['valid_group']) && $_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6" || ($_SESSION['valid_group'] == "3" && $flag_pp))
           {
             echo "<font size=\"2\"><a href='fichelev.php?id_eleve=".$ligne['id_eleve']."' title=\"Consulter la fiche de ".$ligne['prenom']." $nom\">$nom<br />".$ligne['prenom']."</a></font></td>";
           }
           else
           {
             echo "<font size=\"2\">$nom<br />".$ligne['prenom']."</font></td>";
           }
         }
       }
       echo "</tr>";
     }
     echo "</table>";
     echo "<br /><br />";
   } // if (mysql_num_rows($resultat)<=5)
 } // if (mysql_num_rows($resultat)
}

function traite_classe($classe)
{
//***************************** description *****************************************************************//
 // cette fonction traite le champ classe fourni par le formulaire (la classe peut tre unique, concerner
 // un niveau entier ou tout l'tablissement, ou encore un groupe)
 //***************************** Fin description ***********************************************************//
 
 if (stristr($classe,"toutes")) // Si plusieurs classes concernes
 {
   if (!stristr($classe,"de l'tablissement")) // Il s'agit de toutes les classes d'un mme niveau
   {
     $niveau = substr($classe,22,strlen($classe)-22);
     $sql = "SELECT DISTINCT mefs.code_mef FROM structures,divisions,mefs WHERE division=structures.code_structure AND mefs.libelle_long LIKE '$niveau%'";
     // DEBUGG print $sql."<br />"; var_dump($niveau);print "<br />";
     $resultat = mysql_query($sql);
     $liste_classes = array();
     while ($ligne=mysql_fetch_array($resultat))
     {
     	$sql = "SELECT code_structure FROM structures WHERE code_mef LIKE '%".$ligne['code_mef']."%' AND type_structure='D' ORDER BY code_structure";
     	// DEBUGG print $sql."<br />";
     	$resultat2 = mysql_query($sql);
     	while ($ligne2=mysql_fetch_array($resultat2))
     	{
     		$liste_classes[] = $ligne2['code_structure'];
     	}
     }
     $liste_classes = array_unique($liste_classes);
     asort($liste_classes);
     // DEBUGG var_dump($liste_classes); print "<br />";
     foreach ($liste_classes as $value)
     {
     	affiche_trombin_classe($value,false);
     }
   }
   else // Il s'agit de toutes les classes de l'tablissement
   {
     $sql = "SELECT division FROM divisions ORDER BY division";
     $flag = "all"; // On positionne un flag qui va conditionner le traitement ultrieur
   }
   $resultat = mysql_query($sql);
   if (mysql_num_rows($resultat)>0)
   {
     while ($ligne=mysql_fetch_array($resultat))
     {
       affiche_trombin_classe($ligne['division'],false);
     }
   }
 }
 else // Il s'agit d'une classe unique ou d'un groupe
 {
    $sql = "SELECT * FROM groupes WHERE nom='$classe'";
    $resultat = mysql_query($sql);
   	if (mysql_num_rows($resultat)>0)
    {
    	$ligne = mysql_fetch_array($resultat);
    	$id_groupe = $ligne['id_groupe'];
    	affiche_trombin_classe($classe,$id_groupe);
    }
 	affiche_trombin_classe($classe,false);
 }
}

function affiche_form_gestion()
{
//***************************** description *****************************************************************//
 // cette fonction permet d'afficher le formulaire de gestion (lien vers le script de mise  jour du trombinoscope
 // lves
 //***************************** Fin description ***********************************************************//
 echo "<br /><br /><a name='bas'></a><center>";
 $code_formulaire = "<br />Cet accs est strictement rserv aux personnes charges de la gestion administrative IntraEduWeb.<br /><br /><a href='prive/maj_trombinelev.php'>Mise  jour du trombinoscope Elves...</a><br /><br />";
 squelette_formulaire_standard("75%","","","Rserv  l'administration",$code_formulaire,"","","","","","","");
 echo "</center>";
}

/* Dbut du programme principal */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/admin/trombinelev.php"))
{
  // Le clic droit est interdit sur la page
  protection_image();
  
  connexion_mysql();
  select_database();
  if ((!isset($_POST['soumettre']) || (isset($_GET['another']) && $_GET['another'] == "oui")) && !isset($_GET['classe'])) // si la variable $soumettre n est pas dfinie ou si le script est appel avec le paramtre another positionn  "oui" dans l'url (cela signifie que l'utilisateur a dj visionn un trombinoscope et souhaite en voir un autre
  {
    echo "<br /><h1>Trombinoscope Elves</h1>";
  	affiche_formulaire();
  }
  elseif (isset($_GET['classe']))
  {
  	if (strlen($_GET['classe']) >10)
  		$titre_classe = "<br/>(".stripslashes($_GET['classe']).")";
  	else 
  		$titre_classe = "(".stripslashes($_GET['classe']).")";
  	echo "<br /><h1>Trombinoscope Elves $titre_classe</h1><br />";
    traite_classe(stripslashes($_GET['classe']));
    if ($_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6" || $_SESSION['valid_group'] == "8")
    	affiche_form_gestion();
  }
  else // le formulaire du choix de la classe a t envoy
  {
    if (strlen($_POST['classe']) >10)
  		$titre_classe = "<br/>(".stripslashes($_POST['classe']).")";
  	else 
  		$titre_classe = "(".stripslashes($_POST['classe']).")";
  	echo "<br /><h1>Trombinoscope Elves $titre_classe</h1><br />";
    traite_classe(stripslashes($_POST['classe']));
    if ($_SESSION['valid_group'] == "1" || $_SESSION['valid_group'] == "5" || $_SESSION['valid_group'] == "6" || $_SESSION['valid_group'] == "8")
    	affiche_form_gestion();
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>