<?php
/**
 * archives.php
 *
 * Descriptif du contexte de la page d'accs aux archives des annes scolaires antrieures 
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// la page est protge, elle utilise les sessions et le systme d'authentification diffrencie
// le tableau $array_valid_user contient les identifiants des catgories d'utilisateurs autoriss  accder  cette page (voir la table groupes_utilisateurs)

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../../../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

$array_valid_user=array("1","3","5","6"); // Seul admin, le profs, gestadmin ou la direction peut y avoir accs
$error_message = check_valid_user($array_valid_user);
// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="c_archives.php";

$chemin_relatif = "../../../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

// on traite l'accs ventuel aux archives d'une anne scolaire passe en paramtre dans l'URL (lors du premier accs  une archive choisie par l'utilisateur)
if (isset($_GET['anscol']) && preg_match("#^20[0-9]{2}-20[0-9]{2}$#",$_GET['anscol'])) // on contrle aussi le format
{
  $_SESSION['anscol'] = $_GET['anscol']; // alors on la fournit  l'ensemble de l'application pour toute la session
  // et on redirige l'utilise vers la page qu'il consultait avant le changement d'anne
  // sauf cas particulier du professeur qui arrive dans les archives depuis le cahiers de textes => est redirig vers la synthse matire (+ pratique)
  if ($_SESSION['nouveau_script'] == "/iew/prive/cahiers_textes.php")
  {
  	unset($_SESSION['classe_en_cours']);
  	header("Location: /iew/prive/synthese_ctextes.php?action=synthmat");
  }
  else
  	header("Location: ".$_SESSION['nouveau_script']);
  exit;
}

// Squelette de page utilis
include(IEW_DIR."squelette.php");
?>