<?php
/**
 * c_archives.php
 *
 * Page d'accs aux archives des annes scolaires antrieures 
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/admin/prive/archives.php")) 
{
    echo "<h1>Accs aux archives IEW</h1>";
	$code_formulaire = "<br /><div align='justify'>
    A la fin d'une anne scolaire, les donnes sont archives et sauvegardes sur un support amovible; mais vous pouvez tout de mme y accder depuis IEW en choisissant ci-dessous l'anne scolaire que vous souhaitez consulter parmi celles qui sont disponibles&nbsp;:</div><br />";
    // On recherche dans les archives les annes scolaires disponibles
    $annees_scol = trouve_annees_archives();
    if (count($annees_scol) == 0)
      $code_formulaire .= "<font color='red'><strong>Aucune archive antrieure  l'anne en cours n'est disponible</strong></font><br /><br />";
    else
    {
      rsort($annees_scol); // on trie les annes scolaires de la plus rcente  la plus ancienne
      foreach($annees_scol as $value)
      {
        $code_formulaire .= "<center><a href='?anscol=$value'>".$value."<br /></a>"; // on affiche le lien correspondant  l'anne scolaire
      }
      $code_formulaire .= "<br /></center>";
    }
    echo "<center>";
    squelette_formulaire_standard("100%","post",$_SERVER['PHP_SELF'],"Choisir une anne scolaire",$code_formulaire,"","", "","","","","");
    echo "</center>";
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>