<?php
/**
 * c_bdd_pers.php
 *
 * Ce script permet d ajouter, de supprimer ou d diter les donnes concernant un membre du
 * personnel. Il permet de mettre  jour la base de  donnes mysql correspondante ('personnel')
 * utilise ailleurs dans le site. 
 * 
 * Paramtre d'entre : $action dtermine ce que doit faire le script
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

/* dfinition des fonctions */

function affiche_liens_nav($action)
{
  switch ($action)
  {
    case "Modifier_Supprimer":
      echo "<a href=\"bdd_pers.php?action=Ajout\">[Ajouter un nouveau membre du personnel]</a><br /><br />";
      break;
    case "Ajout":
      echo "<a href=\"bdd_pers.php?action=Modifier_Supprimer\">[Modifier/Supprimer la fiche d'un membre du personnel]</a> <a href='".$_SERVER['PHP_SELF']."'>[Liste alphabtique du personnel]</a><br /><br />";
      break;
    case "Modifier_une_fiche":
      echo "<a href=\"bdd_pers.php?action=Ajout\">[Ajouter un nouveau membre du personnel]</a>&nbsp;&nbsp;&nbsp;";
      echo "<a href=\"bdd_pers.php?action=Modifier_Supprimer\">[Modifier la fiche d'un membre du personnel]</a><br /><br />";
      break;
  }
}


function new_affiche_form($comment,$method)
{
  switch ($method)
  {
    case '_POST':
      $tab_valeurs = $_POST;
      break;
    case '_GET':
      $tab_valeurs = $_GET;
      break;
  }
  // initialisations
  $civilite = "";
  $nom = "";
  $prenom = "";
  $datenaiss = "";
  $categorie = "";
  $sous_categorie = "";
  $code_discipline = "";
  $activite = "";
  $titre_formulaire = "Ajouter une fiche";
  $texte_bouton = "Suivant &gt;&gt;";
  if (!isset($tab_valeurs['id_pers']) || $comment=="vide") // On initialise
  {
    $id_pers = "";
  }
  
  if ($comment!="vide") // 
  {
    // On leur affecte les valeurs du POST si le formulaire a dj t soumis
    if (isset($tab_valeurs)) // Si le formulaire a dj t envoy et est  nouveau affich, on affiche les valeurs du POST
    {
      foreach ($tab_valeurs as $value)
      {
        $cle = key($tab_valeurs); // Renvoie la cl courante
        $$cle = stripslashes($value); // Forme une variable ayant pour nom la cl courante et lui donne la valeur de l'lment courant
        next($tab_valeurs); // pointe sur la cl suivante
      }
    }
    
  }
  // cette fonction affiche le formulaire saisie d un nouveau membre du personnel
  $code_formulaire = "<br /><table border='0'>
  <tr>
  <td align='left'>";
  switch ($civilite)
  { // si une fiche est dite en vue d tre modifie, la civilit correspondante est coche
    case "Mme":
      $code_formulaire .= "<input type='radio' id='Form_Req_rbt_M' value='M.' name='civilite' /><label for='Form_Req_rbt_M'>M.</label>&nbsp;&nbsp;
      <input type='radio' id='Form_Req_rbt_Mme' name='civilite' checked='checked' value='Mme' /><label for='Form_Req_rbt_Mme'>Mme</label>&nbsp;&nbsp; 
      <input type='radio' id='Form_Req_rbt_Mlle' name='civilite' value='Mlle' /><label for='Form_Req_rbt_Mlle'>Mlle</label>";
      break;
    case "Mlle":
      $code_formulaire .= "<input type='radio' id='Form_Req_rbt_M' value='M.' name='civilite' /><label for='Form_Req_rbt_M'>M.</label>&nbsp;&nbsp;
      <input type='radio' id='Form_Req_rbt_Mme' name='civilite' value='Mme' /><label for='Form_Req_rbt_Mme'>Mme</label>&nbsp;&nbsp; 
      <input type='radio' id='Form_Req_rbt_Mlle' name='civilite' checked='checked' value='Mlle' /><label for='Form_Req_rbt_Mlle'>Mlle</label>";
      break;
    default: // cas standard si la civilit n est pas dfinie (nouvelle fiche) ou si c est M.
      $code_formulaire .= "<input type='radio' id='Form_Req_rbt_M' value='M.' checked='checked' name='civilite' /><label for='Form_Req_rbt_M'>M.</label>&nbsp;&nbsp;
      <input type='radio' id='Form_Req_rbt_Mme' name='civilite' value='Mme' /><label for='Form_Req_rbt_Mme'>Mme</label>&nbsp;&nbsp; 
      <input type='radio' id='Form_Req_rbt_Mlle' name='civilite' value='Mlle' /><label for='Form_Req_rbt_Mlle'>Mlle</label>";
  }
  $code_formulaire .= "<p>
  <label for='Form_Req_Nom'>Nom</label>&nbsp;:
  <input type='text' id='Form_Req_Nom' name='nom' size='20' value=\"$nom\" /><br /><br />
  <label for='Form_Req_Prenom'>Prnom</label>&nbsp;:
  <input type='text' id='Form_Req_Prenom' name='prenom' size='20' value=\"$prenom\" />
  </p>
  <p>
  <label for='Form_Datenaiss'>Date de naissance&nbsp;(format jj-mm-aaaa)</label>&nbsp;:
  <input type='text' id='Form_Datenaiss' class='datepicker' name='datenaiss' size='10' value='$datenaiss' />
  </p>
  <p>
  <label for='Form_Req_Categorie'>Catgorie de personnel</label>&nbsp;:&nbsp;";
  // On cherche la catgorie  partir de son id dans la base de donnes
  // si $categorie est vide, cette requte ne renvoie aucune donne
  $sql = "SELECT id_cat,categorie FROM categories_pers WHERE id_cat='".quote_smart($categorie)."'";
  $resultat = mysql_query($sql);
  $ligne = mysql_fetch_array($resultat);
  if (isset($_POST['categorie']) && $_POST['categorie']!="" && $comment!="vide") // Si la catgorie a dj t renseigne par un post prcdent
  {
    // Alors on l'affiche (sans pouvoir la modifier)
    $code_formulaire .= "<font color='red'><b>".$ligne['categorie']."</b></font><br />";
    // il ne faut pas oublier de transmettre son id au prochain post !
    $code_formulaire .= "<input type='hidden' id='Form_Req_Categorie' name='categorie' value='".$ligne['id_cat']."' /></p>";
  }
  else // On peut choisir ou modifier la catgorie
  {
    $code_formulaire .= "
    <select id='Form_Req_Categorie' size='1' name='categorie'>";
    // La catgorie est vide ou bien contient l'id_catgorie (mais il faut afficher le nom de la catgorie, pas son id)
    $code_formulaire .="<option selected='selected' value='".$ligne['id_cat']."'>".$ligne['categorie']."</option>";
    $code_formulaire .= new_liste_options_form("id_cat","categorie","categories_pers","",""); 
    $code_formulaire .= "</select></p>";
  }
  /*************** sous-formulaire ************/
  if ((isset($_POST['categorie']) || isset($_GET['categorie'])) && $comment!="vide") // Si la catgorie a dj t renseigne par un post prcdent (soumission du formulaire) ou un get (modification d'une fiche)
  {
    // On positionne un flag pour indiquer que la deuxime partie du formulaire a t affiche
    $suite_formulaire = true;
    $titre_formulaire = "Complter/vrifier la fiche";
    $texte_bouton = "Ajouter  la liste du personnel";
    // Ce flag sera transmis par la soumission du formulaire
    $code_formulaire .= "<input type='hidden' name='suite_formulaire' value='$suite_formulaire' />";
    // on vrifie s'il existe une sous-categorie
    $sql = "SELECT COUNT(*) FROM sous_categories_pers WHERE id_cat='".quote_smart($categorie)."'";
    $resultat = mysql_query($sql);
    $ligne = mysql_fetch_array($resultat);
    if ($ligne['COUNT(*)']>0)
    {
      // Alors on affiche le sous-formulaire pour choisir la sous-catgorie
      // Mais d'abord, on teste pour savoir si une modifcation de catgorie a eu lieu, dans ce cas prvenir l'utilisateur de ce qu'il doit faire
      if ($GLOBALS['change_cat'])
      {
        $code_formulaire .= "<p><i><font color='red'>Vous venez de modifier la catgorie de personnel  laquelle appartenait <font color='blue'>$prenom $nom</font>. Vous devez alors vrifier ou modifier les champs suivants de ce formulaire :</font></i></p>";
      }
      $code_formulaire .= "
      <p><label for='Form_Req_EGA'>Emploi, grade ou activit</label>&nbsp;:&nbsp; 
      <select size='1' name='sous_categorie' id='Form_Req_EGA'>";
      if ($sous_categorie != "" && !$GLOBALS['change_cat']) // la sous_categorie est dj dfinie (par un post prcdent ou un get) et $GLOBALS['change_cat'] est sur false
      { // il faut rappeler que $sous_categorie contient l'identifiant de la sous_categorie (pas la sous_categorie elle mme !)
        // Alors on va l'afficher en clair (pas son id)
        if ($categorie == "7" || $categorie == "5") // cela concerne les profs
        {
        	$sql = "SELECT libelle_long FROM grades_personnel WHERE libelle_court='".quote_smart($sous_categorie)."'";
        	$resultat = mysql_query($sql);
        	$ligne = mysql_fetch_array($resultat);
        	$code_formulaire .= "<option selected='selected' value='$sous_categorie'>".stripslashes($ligne['libelle_long'])."</option>";
        }
        else
        {
        	$sql = "SELECT sous_categorie FROM sous_categories_pers WHERE id_sous_cat='".quote_smart($sous_categorie)."'";
        	$resultat = mysql_query($sql);
        	$ligne = mysql_fetch_array($resultat);
        	$code_formulaire .= "<option selected='selected' value='$sous_categorie'>".stripslashes($ligne['sous_categorie'])."</option>";
        }
      }
      /*else // sinon on n'affiche rien
      {
        $code_formulaire .= "<option selected='selected'>$sous_categorie</option>";
      }*/
      if ($categorie == "7")
      {
      	$code_formulaire .= new_liste_options_form("libelle_court","libelle_long","grades_personnel","","ORDER BY libelle_long");
      }
      elseif ($categorie == "5")
      {
      	$code_formulaire .= new_liste_options_form("libelle_court","libelle_long","grades_personnel","libelle_long LIKE '%DIRECTION%'","");
      }
      else 
      {
      	$code_formulaire .= new_liste_options_form("id_sous_cat","sous_categorie","sous_categories_pers","id_cat=$categorie","");
      }
      $code_formulaire .= "</select></p>";
    }
    else // s'il n'existe pas de sous_categorie on renvoie tout le mme un champ sous_categorie vide)
    {
      $code_formulaire .= "<input type='hidden' name='sous_categorie' value='' />";
    }
    if ($categorie == "7") // pour les professeurs on affiche ou on renseigne la discipline enseigne
    {
    	$code_formulaire .= "
      <p><label for='Form_Req_Discipline'>Discipline</label>&nbsp;: 
      <select size='1' name='code_discipline' id='Form_Req_Discipline'>";
      $sql = "SELECT t1.code_discipline,libelle_long FROM disciplines_bcn as t1, personnel as t2 WHERE t1.code_discipline=t2.code_discipline AND id_pers='$id_pers'";
      // DEBUGG print $sql."<br />";
      $resultat = mysql_query($sql);
      $ligne = mysql_fetch_array($resultat);
      $libelle_plus = ""; // permet de complter le libell pour distinguer des libells identique mais avec des codes_disciplines diffrents
      /* Par exemple I1300 = MATHEMATIQUES (IPR-IA)
       * N1300 = MATHEMATIQUES (INSPECTION)
       * L1300 = MATHEMATIQUES (Lyce) => Certifis ou Agrgs
       * */
      switch (substr($ligne['code_discipline'],0,1))
      {
      	case "C":
      		$libelle_plus = " (PEGC)";
      		break;
      	case "L":
      		$libelle_plus = " (Lyce)";
      		break;
      	case "P";
      		$libelle_plus = " (Lyce Pro)";
      		break;
      }
      $code_formulaire .= "<option selected='selected' value='".$ligne['code_discipline']."'>".stripslashes($ligne['libelle_long'])."$libelle_plus</option>";
      $sql = "SELECT code_discipline,libelle_long FROM disciplines_bcn ORDER BY libelle_long";
      // DEBUGG print $sql."<br />";
      $resultat = mysql_query($sql);
      while ($ligne = mysql_fetch_array($resultat))
      {
      	$libelle_plus = ""; // permet de complter le libell pour distinguer des libells identique mais avec des codes_disciplines diffrents
      	/* Par exemple I1300 = MATHEMATIQUES (IPR-IA)
       		* N1300 = MATHEMATIQUES (INSPECTION)
       		* L1300 = MATHEMATIQUES (Lyce) => Certifis ou Agrgs
       	* */
      	switch (substr($ligne['code_discipline'],0,1))
      	{
      		case "C":
      			$libelle_plus = " (PEGC)";
      			break;
      		case "L":
	      		$libelle_plus = " (Lyce)";
    	  		break;
      		case "P";
	      		$libelle_plus = " (Lyce Pro)";
    	  		break;
      	}
      	$code_formulaire .= "<option value='".$ligne['code_discipline']."'>".$ligne['libelle_long']."$libelle_plus</option>";
      }
      $code_formulaire .= "</select></p>";	
    }
    /* L'activit peut tre  prciser pour certaines catgories ou sous-catgories
    2 = Chef des travaux (prciser si c'est un adjoint au Chef de travaux)
    3 = CES
    7 = Enseignant
    10 = TOS
    11 = CEC
    12 = CAE */
    if ($categorie == "3" || $categorie == "2" || $categorie == "10" || $categorie == "11" || $categorie == "12" || $categorie == "5")
    {
      	if ($categorie == "5")
      	{
      		// Recherche du type d'tablissement
          	$sql = "SELECT code_type_etab FROM uaj";
          	$resultat = mysql_query($sql);
          	$ligne = mysql_fetch_array($resultat);
          	$type_etab = $ligne['code_type_etab'];
      		// Recherche du grade et de l'activit du personnel de direction
          	$sql = "SELECT activite, sous_categorie FROM personnel WHERE id_pers='$id_pers'";
      		$resultat = mysql_query($sql);
      		$ligne = mysql_fetch_array($resultat);
      		if (($ligne['activite']) == "")
            {
          		if ($ligne['sous_categorie'] == "DIR CL1" || $ligne['sous_categorie'] == "DIR HC")
            	{
            		if ($type_etab=="CLG")
            			$titre = "Principal";
            		elseif ($type_etab=="LYC" || $type_etab=="LP")
            			$titre = "Proviseur";
            		else
            			$titre = "Directeur";	
            	}
            	elseif ($ligne['sous_categorie'] == "DIR CL2")
            	{
            		if ($type_etab=="CLG")
            			$titre = "Principal Adjoint";
            		elseif ($type_etab=="LYC" || $type_etab=="LP")
            			$titre = "Proviseur Adjoint";
            		else
            			$titre = "Directeur Adjoint";	
            	}
            	else
            		$titre = "Direction";
            	// On en profite pour mettre  jour la table
            	$sql1 = "UPDATE personnel set activite='$titre' WHERE id_pers='".$ligne['id_pers']."'";
            	mysql_query($sql1);
            }
            else // L'activit est dj renseigne dans la table, on affiche la valeur trouve dans la table
            {
            	$titre = $ligne['activite'];
            }
            $code_formulaire .= "<p><label for='Form_Req_Activite'>Prcisez le poste&nbsp;:</label>
    		<select size='1' name='activite' id='Form_Req_Activite'>
    		<option>$titre</option>";
            $code_formulaire .= new_liste_options_form("sous_categorie","sous_categorie","sous_categories_pers","id_cat=$categorie","");
    		$code_formulaire .= "</select></p>"; 
      	}
      	else
      	{
      		$code_formulaire .= "<p><label for='Form_Activite'>Eventuellement, prcisez l'activit&nbsp;:</label><input type='text' id='Form_Activite' name='activite' size='35' value=\"".stripslashes($activite)."\" /></p>";	
      	}
    }
    else // si la catgorie n'est pas 2,3,7 ou 10
    {
      // il faut quand mme renvoyer un champ activite (null dans ce cas)
      $code_formulaire .= "<input type='hidden' name='activite' value='' />";
    }
    
    // il faut aussi renvoyer la valeur de $GLOBALS['change_cat']
    $code_formulaire .=  "<input type='hidden' name='change_cat' value='".$GLOBALS['change_cat']."' />";
  }
  /****************** *********************/
  $code_formulaire .="
  </td>
  <td><img src='".$GLOBALS['chemin_relatif']."images/pixel.gif' width='20' alt='' /></td>
  <td align='center' valign='top'>
  <br /><br />".affiche_fotoprof($nom,$prenom,$id_pers)."
  </td>
  </tr>
  </table>";
  $code_formulaire .= info_champs_obligatoires();
  $code_formulaire .= "<br />";
  $code_formulaire .= "<input type='hidden' value='".$GLOBALS['action']."' name='action' /><input type='hidden' value='$id_pers' name='id_pers' />";
  if ($GLOBALS['action'] == "Modifier_une_fiche")
  { // si modification d une fiche, afficher le bouton Enregitrer les modifications
    $titre_formulaire = "Modifier une fiche";
    squelette_formulaire_standard("100%","post","bdd_pers.php#debut",$titre_formulaire,$code_formulaire,"Enregistrer les modifications","ajouter","","","Retour  la liste du personnel","","\"location.href='".$_SERVER['PHP_SELF']."?annuler=ok';\""); 
  }
  else
  { // dans le cas d un ajout dans la base de donnes, on affiche le bouton Ajouter
    squelette_formulaire_standard("100%","post","bdd_pers.php#debut",$titre_formulaire,$code_formulaire,$texte_bouton,"ajouter","","","Abandonner la fiche","","\"location.href='".$_SERVER['PHP_SELF']."?annuler=ok';\""); 
  }
}

function verif_form($action,$id_pers,$nom,$prenom,$datenaiss,$categorie,$sous_categorie,$activite,$civilite,$code_discipline)
{
  // initialisations
  $err_format="";
  
  // vrifie que certains champs obligatoires ont ts renseigns, ou que les dates sont correctement
  // formates, puis effectue la mise  jour de la base de donnes
  
  if ($nom=="" || $prenom=="" || $categorie=="")
  {
    // si certains champs obligatoires ne sont pas renseigns, afficher un message d alerte
    $error_message = array("Il y a des champs vides ! <br />Remplissez correctement les champs obligatoires.","");
    affiche_erreurs($error_message);
    if ($GLOBALS['action'] == "Ajout") // affiche une nouvelle fois le formulaire
    {
      new_affiche_form("edition","_POST");
    } // dans le cas contraire le formulaire est dj affich
    return false; // arrt d excution (cela permet d viter d afficher deux fois le formulaire)
  }
  else // si les champs sont renseigns
  {
    if ($datenaiss) // si la date de naissance est renseigne, on vrifie le format de l'entre utilisateur
    {
      $err_format=0; // a priori pas d erreur sur la date
      if (preg_match("/[0-9]{2}-[0-9]{2}-[0-9]{4}/", $datenaiss)) // format jj-mm-aaaa ?
      {
        // DEBUGG print "OK !!";
      	$element=preg_split("#-#", $datenaiss);
        if (($element[0]>=0)&&($element[0]<=31)): // si le numro du jour n'est pas valide
        else :
          $err_format=1;
        endif;
        if (($element[1]>=0)&&($element[1]<=12)): // si le numro du mois n'est pas valide
        else :
         $err_format=1;
        endif;
        if (($element[2]>=1900)&&($element[2]<=2037)): // si l'anne n'est pas valide
        else :
          $err_format=1;
        endif;
      }
      else
      {
        $err_format=1;
      } // if (preg...)
    } // if ($datenaiss)
   } // if (!$nom...

   if ($err_format==1) // il y a erreur sur la date
   {
      //////////////////////// certaines donnes saisies ne sont pas au format spcifi donc recommencer !
      $error_message = array("Il y a des dates mal formates ! <br />Remplissez correctement les champs en respectant le format jj-mm-aaaa pour les dates.","");
      affiche_erreurs($error_message);
      new_affiche_form("edition","_POST"); // affiche  nouveau le formulaire pour dition
      return false; // evite l excution du reste du script, il se rechargera losque l utilisateur soumettra le formulaire
   }
   else // il n y a pas d erreur sur la date
   {
      $message = maj_bdd_pers($GLOBALS['action'],$id_pers,$nom,$prenom,$datenaiss,$activite,$categorie,$sous_categorie,$civilite, $code_discipline);
      if (is_array($message)) // Si un tableau est renvoy par maj_bdd_pers(), il y a eu un problme
      {
        affiche_erreurs($message);
      }
      else // Sinon c'est que tout c'est bien droul
      {
        affiche_ok($message);
        //  faire aprs chaque validation dfinitive de formulaire pour viter des problmes avec le changement de format d'affichage
        unset($_SESSION['post_imprimable']);
      }
      return true;
   } 
}

function maj_bdd_pers($action,$id_pers,$nom,$prenom,$datenaiss,$activite,$categorie,$sous_categorie,$civilite,$code_discipline)
{
  include(CONF_DIR."k.php");
  if ($datenaiss!="")
  {
    list($jour,$mois,$annee)=explode("-",$datenaiss);
	  $datenaiss="$annee-$mois-$jour"; // formate les date au format mysql
  }
	$nom = strtoupper($nom); // formate le nom en majuscules
	$prenom = strtoupper(substr($prenom,0,1)).strtolower(substr($prenom,1,strlen($prenom))); // formate la 1re lettre du prnom en majuscule
	$activite = strtoupper(substr($activite,0,1)).strtolower(substr($activite,1,strlen($activite)));
	if ($GLOBALS['action'] == "Modifier_une_fiche")
	{
		// on rcupre le nom et prnom du membre du personnel pour sauvegarde
		$sql="SELECT nom,prenom FROM personnel WHERE id_pers='".quote_smart($id_pers)."'";
		$resultat=mysql_query($sql);
		$row=mysql_fetch_row($resultat);
		$ancien_nom=$row[0];
		$ancien_prenom=$row[1];
		// on met  jour la fiche du membre du personnel
		$sql = "UPDATE personnel SET nom='".quote_smart($nom)."',prenom='".quote_smart($prenom)."',datenaiss='".quote_smart($datenaiss)."',activite='".quote_smart($activite)."',categorie='".quote_smart($categorie)."',sous_categorie='".quote_smart($sous_categorie)."',civilite='".quote_smart($civilite)."', code_discipline='".quote_smart($code_discipline)."' WHERE id_pers='".quote_smart($id_pers)."'";
		$flag=mysql_query($sql);
		if ($flag) // Si la requte est reussie, la fiche a bien t modifie
		{
			// On vrifie si le nom de login n'a pas chang par rapport  la table login
			// ce qui peut se produire si le nom et/ou le prenom du membre du personnel a t modifi
			$sql="SELECT nomlogin,auth_source FROM login WHERE id_pers='".quote_smart($id_pers)."'";
			$resultat=mysql_query($sql);
			$row=mysql_fetch_row($resultat);
			$ancien_login=$row[0]; // on rcupre l'ancien login
			$auth_source=$row[1]; // et le mode d'authentification
			if ($auth_source == "native") // Si l'authenfication se fait sur un serveur CAS, le login ne doit pas tre modifi
			{
				$nouveau_login=test_exist_login(prepare_login($prenom,$nom)); // on formate le nouveau login
				if (strtolower($nom)!=strtolower($ancien_nom) || strtolower($prenom)!=strtolower($ancien_prenom)) // Si le nom ou le prnom a chang (vraiment chang : un changement de casse ne compte pas, c pourquoi on compare en mettant tout en minuscule)
				{
					if ($nouveau_login!=$ancien_login) // et si le login est modifi
					{	// Alors, il faut mettre  jour le nouveau login
						// dans la table login
						// On cherche s'il y a un groupe d'utilisateur par dfaut dfini pour la catgorie de cet utilisateur
    	      			$sql = "SELECT id_groupe FROM categories_pers WHERE id_cat='".quote_smart($categorie)."'";
        	  			$resultat = mysql_query($sql);
          				if ($resultat && mysql_num_rows($resultat)!=0)
          				{
            				$ligne = mysql_fetch_array($resultat);
            				$id_groupe_utilisateur = $ligne['id_groupe'];
          				}
          				else
          				{
	            			$id_groupe_utilisateur = "";
    	      			}
          				$sql="UPDATE login SET nomlogin='".quote_smart($nouveau_login)."',id_gpe_utilisateurs='".quote_smart($id_groupe_utilisateur)."' WHERE id_pers='".quote_smart($id_pers)."'";
						if (mysql_query($sql))
						{
							// et dans le fichiers de mots de passe comptes_personnel.txt
							modif_fichier_texte_codes_acces($GLOBALS['stock_baselev']."comptes_personnel.txt","",$id_pers,$ancien_prenom,$ancien_nom,$prenom,$nom,$nouveau_login);
							// et dans le fichiers de mots de passe new_comptes_personnel.txt (si ncessaire)
							modif_fichier_texte_codes_acces($GLOBALS['stock_baselev']."new_comptes_personnel.txt","",$id_pers,$ancien_prenom,$ancien_nom,$prenom,$nom,$nouveau_login);
			    	        // on prvient l'utilisateur que son identifiant a chang
            				$message = "Ceci est un message automatique.\nSuite  une modification de votre nom ou prnom dans la base de donnes du personnel, votre identifiant IntraEduWeb a chang. Voici votre nouvel identifiant :\n$nouveau_login\nVotre mot de passe est cependant inchang.\nVeuillez en prendre note et conserver cette information pour pouvoir  nouveau vous connecter sur le service IntraEduWeb de l'tablissement.";
            				if (!mail($ancien_login."@".$GLOBALS['mail_server'], "modification d'identifiant IntraEduweb", $message, "From: Messagerie automatique IntraEduWeb\r\n"))
            				{
              					$error_message = array("<div align='justify'>L'identifiant IntraEduWeb de <font color='blue'>$prenom $nom</font> (anciennement <font color='blue'>$ancien_prenom $ancien_nom</font>) a t modifi, mais il est impossible de prvenir cette personne par mail automatique (le message n'a pu tre envoy avec succs).<br />IL EST IMPERATIF de lui communiquer l'information suivante <u>par un autre moyen</u> :</div><br />Ancien indentifiant IntraEduWeb : <font color='blue'>$ancien_login</font><br />Nouvel identifiant IntraEduWeb : <font color='blue'>$nouveau_login</font>","");
              					affiche_erreurs($error_message);
            				}
		  				    // Comme le nom ou le prnom a chang (correction pb d'orthographe par ex) il faut mettre  jour le champ correspondant dans la table login, de faon  ce qu' la connexion de l'utilisateur et dans le message de bienvenue, ses noms et prnoms apparaissent correctement (sans faute d'orthographe)
    	  			        $sql="UPDATE login set nom='".quote_smart($nom)."',prenom='".quote_smart($prenom)."' WHERE id_pers='".quote_smart($id_pers)."'";
        	    			mysql_query($sql); // mais on ne contrle pas si a a russi (pas trop grave)
          				}
					}
        			else // le nom ou le prnom a chang (correction pb d'orthographe par ex), mais pas le login
        			{
			        	  // il faut mettre  jour le champ correspondant dans la table login, de faon  ce qu' la connexion de l'utilisateur et dans le message de bienvenue, ses noms et prnoms apparaissent correctement (sans faute d'orthographe)
          				$sql="UPDATE login set nom='".quote_smart($nom)."',prenom='".quote_smart($prenom)."' WHERE id_pers='".quote_smart($id_pers)."'";
          				mysql_query($sql); // mais on ne contrle pas si a a russi (pas trop grave)
        			}
				}
			}
			$ok_message = "La fiche a t modifie avec succs !";
                        return $ok_message;
		}
		else // Si la mise  jour n'a pu tre faite
		{
			?><script type='text/javascript'><!--
				alert("La fiche n'a pas pu tre mise  jour.");
			//--></script><?php
		}
		return;
	}
	else // Si c'est un ajout
	{
		// On va crer le compte utilisateur
    // prparons les donnes, elles seront quote_smartes dans la requte SQL
    $nom = trim(htmlspecialchars($nom));
    $prenom = trim(htmlspecialchars($prenom));
    $activite = trim(htmlspecialchars($activite));

    // On cherche s'il y a un groupe d'utilisateur par dfaut dfini pour la catgorie de cet utilisateur
    $sql = "SELECT id_groupe FROM categories_pers WHERE id_cat='".quote_smart($categorie)."'";
    $resultat = mysql_query($sql);
    if ($resultat && mysql_num_rows($resultat)!=0)
    {
      $ligne = mysql_fetch_array($resultat);
      $id_groupe_utilisateur = $ligne['id_groupe'];
    }
    else
    {
      $id_groupe_utilisateur = "";
    }
    
    // Il faut s'assurer que l'utilisateur n'existe pas dj (la table login ne gre pas les doublons nom, prnom
    // car des homonymies sont possibles pour des personnes diffrentes)
    // Par exemple en cas de rechargement de la page avec le mme POST
    if ($datenaiss == "") $datenaiss="0000-00-00";
    $sql = "SELECT * from personnel WHERE nom='".quote_smart($nom)."' AND prenom='".quote_smart($prenom)."' AND datenaiss='".quote_smart($datenaiss)."' AND civilite='".quote_smart($civilite)."' AND categorie='".quote_smart($categorie)."' AND sous_categorie='".quote_smart($sous_categorie)."'";
    $resultat1 = mysql_query($sql);
    if ($resultat1 && mysql_num_rows($resultat1) >0) // Le membre du personnel existe dj, c'est un REPOST !
    {
      $error_message = array("La table contenant le compte utilisateur (identifant + mot de passe) n'a pas pu tre mise  jour parce que l'utilisateur existe dj.","");
      return $error_message;
    }
    else // c'est bon on peut crer le nouveau compte
    {
      // On teste si un compte homonyme existe dj dans la table login
      $sql = "SELECT * FROM login WHERE nom='".quote_smart($nom)."' AND prenom='".quote_smart($prenom)."'";
      $resultat3 = mysql_query($sql);
      if ($resultat3 && mysql_num_rows($resultat3) >0)
      {
      	// On met les variables suivantes dans des variables de session car la page va tre recharge et il faut que les donnes soient disponibles
      	$noms_variables = array ("nom","prenom","datenaiss","activite","categorie","sous_categorie","civilite","id_groupe_utilisateur","code_discipline");
      	foreach ($noms_variables as $value)
      	{
      		$_SESSION['newpers'][$value] = $$value;
      	}
      	// DEBUGG var_dump($_SESSION['newpers']);
      	$message_choix = "Il existe dj au moins <b>un utilisateur homonyme</b> ayant un compte IEW : Faites votre choix !<br/><br />
      	<p>Ceci peut notamment se produire pour les utilisateurs ayant un compte invit sur le serveur SSO et qui se sont connects au moins une fois  IEW (ils font alors partie du groupe \"exterieurs\"), mais ils ne font pas forcment partie du personnel de l'tablissement. A vous de trancher :</p><br /><br />
      	<p>Si vous tes sr que ce compte correspond au membre du personnel que vous voulez ajouter, cliquez sur le lien [Intgrer cette personne en tant que membre du personnel]. Ceci permettra  cette personne de s'authentifier auprs du serveur SSO.</p>
      	<p>Dans le cas contraire <b>(par exemple si l'homonyme appartient  un groupe d'utilisateurs diffrent de celui du membre du personnel que vous souhaitez crer)</b>, cliquez sur le lien [Crer un nouveau compte (local) IEW] : un nouveau compte (local) sera cr et il vous faudra communiquer les codes d'accs  la personne concerne.</p><br /><br />";
      	$i=1;
      	while ($ligne3 = mysql_fetch_array($resultat3))
      	{
      		$sql = "SELECT nom as nom_groupe from groupes_utilisateurs WHERE id_groupe='".$ligne3['id_gpe_utilisateurs']."'";
      		$resultat4 = mysql_query($sql);
      		$ligne4 = mysql_fetch_array($resultat4);
      		$message_choix .= "<p>- <b>".$ligne3['nom']." ".$ligne3['prenom']."</b> (Groupe <b>".$ligne4['nom_groupe']."</b>)</p><br /><p><a href='?new_compte=non&amp;id_pers=".$ligne3['id_pers']."'>[Intgrer cette personne en tant que membre du personnel]</a> <a href='?new_compte=oui'>[Crer un nouveau compte (local) IEW]</a></p>";
      		if ($i < mysql_num_rows($resultat3))
      		 $message_choix .= "<hr />";
      		$i++;
      	}
      	$error_message = array($message_choix,"");
      	return $error_message;
      }
      // On ouvre les fichiers destins  recevoir les codes d'accs du membre du personnel  l'ouverture de son compte
      $fichier=fopen($GLOBALS['stock_baselev']."comptes_personnel.txt","a");
      $fichier_suivant=fopen($GLOBALS['stock_baselev']."new_comptes_personnel.txt","a");
	  $GLOBALS['flag_no_user_ldap_import'] = true; // Le $flag_no_user_ldap_import sert  indiquer que la cration du compte IEW doit avoir lieu
	// avec cration d'un mot de passe (et inscription dans un fichier de diffusion),
	// mme si la mthode d'authentification par dfaut n'est pas native
      if ($id=cree_compte_iew("","","",$nom,$prenom,$id_groupe_utilisateur,$fichier,$fichier_suivant))
      { 
        // on vrifie que le compte de l'utilisateur qui vient d'tre cr ne se trouve pas dans le fichier des comptes  supprimer (s'il existe suppr_comptes_personnel.txt), ceci pourrait se produire s'il y a cration d'un compte immdiatement aprs sa suppression (par exemple pour des tests)
        if (file_exists($GLOBALS['stock_baselev']."suppr_comptes_personnel.txt"))
        {
          $contenu_fichier_suppr = file($GLOBALS['stock_baselev']."suppr_comptes_personnel.txt");
          $i=0;
          $flag_trouve = false;
          foreach ($contenu_fichier_suppr as $value) // pour chaque ligne du fichier
          {
            if (strstr($value,$login))
            {  // si le compte est prsent, il faut le retirer de ce fichier !
              $contenu_fichier_suppr[$i] = ""; // on supprime la ligne correspondante
              $flag_trouve = true;
            }
            $i++;
          }
          if ($flag_trouve) // alors il faut rcrire le fichier
          {
            $new_contenu_fichier_suppr = enlever_valeurs_vides($contenu_fichier_suppr);
            if ($new_contenu_fichier_suppr) // si
            {
              $fichier=fopen($GLOBALS['stock_baselev']."suppr_comptes_personnel.txt","w");
              foreach ($new_contenu_fichier_suppr as $value)
              {
                fwrite($fichier,$value);
              }
		          fclose($fichier);
            }
            else // si en enlevant les valeurs vides, il n'y a plus rien dans le tableau, on efface le fichier (car il ne contient aucun compte  supprimer)
            {
              unlink($GLOBALS['stock_baselev']."suppr_comptes_personnel.txt");
            }
          }
        }
        // On va mettre  jour la table contenant la liste du personnel
        // Comme la cration d'un membre du personnel ne se fait pas ici avec un fichier d'import, le id_individu n'est pas connu
        // Ce qui revient  insrer un zro (car colonne de type int(11)
        // Or comme cette colonne est not null unique, elle n'accepte pas un nouveau zro (ajout d'un 2me membre du personnel avec ce script)
        // En consquence, l'astuce est de crer un id_individu ngatif et de le dcrmenter au cours des ajouts successifs de membres
        // du personnel avec ce script
        $sql = "SELECT MIN(id_individu) as id_individu FROM personnel"; // On rcupre d'abord la valeur la + basse de l'id_individu (nulle ou ngative)
        $resultat2 = mysql_query($sql);
        $ligne = mysql_fetch_array($resultat2);
        if ($ligne['id_individu'] > 0) // Si c'est positif, c'est qu'il n'y a pas de membre du personnel authentifi localement
        {
        	$id_individu = 0; // Alors le premier d'entre-eux aura comme id_individu 0
        }
        else // il n'y a des membres du personnel authentifis localement (pas de compte correspondant sur le serveur SSO)
        {
        	$id_individu = $ligne['id_individu']-1; // on dcrmente l'id_individu
        }
		$sql = "INSERT INTO personnel VALUES('".quote_smart($id)."','$id_individu','','".quote_smart($nom)."','".quote_smart($prenom)."','".quote_smart($datenaiss)."','".quote_smart($activite)."','".quote_smart($categorie)."','".quote_smart($sous_categorie)."','".quote_smart($civilite)."','".quote_smart($code_discipline)."')";
		// DEBUGG print $sql."<br />";
      }
      else
      {
        // Erreur MySQL
        $error_message = array("La table contenant le compte utilisateur (identifant + mot de passe) n'a pas pu tre mise  jour parce que l'utilisateur existe dj ou parce qu'il y a un problme avec le serveur MySQL! Veuillez ressayer ultrieurement. Cet utilisateur n'a pas t ajout  la base de donnes","");
        return $error_message;
      }
      fclose($fichier); // On ferme les fichiers servant  l'enregistrement des codes d'accs du membre du personnel
      fclose($fichier_suivant);
	  $flag=mysql_query($sql);
	  if ($flag) // Si la requte a abouti
	  {
		// On met  jour la colonne id_individu dans la table login
		$sql = "UPDATE login SET id_individu='$id_individu' WHERE id_pers='$id'";
		mysql_query($sql);
	  	$ok_message = "<div align='justify'>Un nouveau membre du personnel <font color='blue'>($nom $prenom)</font> a t ajout dans la base de donnes.<br />Vous pouvez, si vous en disposez au format jpeg (poids infrieur ou gal  60 Ko !), incorporer sa <a href='javascript://' onclick=\" window.open('".$GLOBALS['chemin_relatif']."prive/admin/prive/maj_trombin_personnel.php?id_pers=$id','Mise_a_jour_photo','toolbar=no,location=no,directories=no,menuBar=no,scrollbars=no,resizable=no,status=no,width=500,height=400')\" title='Mettre  jour la photo'>photographie d'identit</a></div>";
        return $ok_message;
	  }
	  else // La requte n'a pas abouti (membre dj existant, serveur MySQL indisponible)
	  {
		$error_message = array("Le nouveau membre du personnel n'a pu tre ajout dans la base de donnes ou existe dja.","");
        return $error_message;
	  }
    }
	}
}

/* script principal */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/admin/prive/bdd_pers.php"))
{
  // Le clic droit est interdit sur la page
  protection_image();
  
  if (isset($_GET['new_compte']) && $_GET['new_compte'] == "oui") // Un utilisateur homonyme a dj un compte IEW, mais l'admin a dcid qu'il ne s'agit pas de la mme personne et impose la cration d'un nouveau compte
  {
  	// On a les donnes utilisateur dans la variable de session newpers
  	// On cre le nouveau compte
        // On ouvre les fichiers destins  recevoir les codes d'accs du membre du personnel  l'ouverture de son compte
      $fichier=fopen($GLOBALS['stock_baselev']."comptes_personnel.txt","a");
      $fichier_suivant=fopen($GLOBALS['stock_baselev']."new_comptes_personnel.txt","a");
	  $GLOBALS['flag_no_user_ldap_import'] = true; // Le $flag_no_user_ldap_import sert  indiquer que la cration du compte IEW doit avoir lieu
	// avec cration d'un mot de passe (et inscription dans un fichier de diffusion),
	// mme si la mthode d'authentification par dfaut n'est pas native
      if ($id=cree_compte_iew("","","",$_SESSION['newpers']['nom'],$_SESSION['newpers']['prenom'],$_SESSION['newpers']['id_groupe_utilisateur'],$fichier,$fichier_suivant))
      { 
        // on vrifie que le compte de l'utilisateur qui vient d'tre cr ne se trouve pas dans le fichier des comptes  supprimer (s'il existe suppr_comptes_personnel.txt), ceci pourrait se produire s'il y a cration d'un compte immdiatement aprs sa suppression (par exemple pour des tests)
        if (file_exists($GLOBALS['stock_baselev']."suppr_comptes_personnel.txt"))
        {
          $contenu_fichier_suppr = file($GLOBALS['stock_baselev']."suppr_comptes_personnel.txt");
          $i=0;
          $flag_trouve = false;
          foreach ($contenu_fichier_suppr as $value) // pour chaque ligne du fichier
          {
            if (strstr($value,$login))
            {  // si le compte est prsent, il faut le retirer de ce fichier !
              $contenu_fichier_suppr[$i] = ""; // on supprime la ligne correspondante
              $flag_trouve = true;
            }
            $i++;
          }
          if ($flag_trouve) // alors il faut rcrire le fichier
          {
            $new_contenu_fichier_suppr = enlever_valeurs_vides($contenu_fichier_suppr);
            if ($new_contenu_fichier_suppr) // si
            {
              $fichier=fopen($GLOBALS['stock_baselev']."suppr_comptes_personnel.txt","w");
              foreach ($new_contenu_fichier_suppr as $value)
              {
                fwrite($fichier,$value);
              }
		          fclose($fichier);
            }
            else // si en enlevant les valeurs vides, il n'y a plus rien dans le tableau, on efface le fichier (car il ne contient aucun compte  supprimer)
            {
              unlink($GLOBALS['stock_baselev']."suppr_comptes_personnel.txt");
            }
          }
        }
        // On va mettre  jour la table contenant la liste du personnel
        // Comme la cration d'un membre du personnel ne se fait pas ici avec un fichier d'import, le id_individu n'est pas connu
        // Ce qui revient  insrer un zro (car colonne de type int(11)
        // Or comme cette colonne est not null unique, elle n'accepte pas un nouveau zro (ajout d'un 2me membre du personnel avec ce script)
        // En consquence, l'astuce est de crer un id_individu ngatif et de le dcrmenter au cours des ajouts successifs de membres
        // du personnel avec ce script
        $sql = "SELECT MIN(id_individu) as id_individu FROM personnel"; // On rcupre d'abord la valeur la + basse de l'id_individu (nulle ou ngative)
        $resultat2 = mysql_query($sql);
        $ligne = mysql_fetch_array($resultat2);
        if ($ligne['id_individu'] > 0) // Si c'est positif, c'est qu'il n'y a pas de membre du personnel authentifi localement
        {
        	$id_individu = 0; // Alors le premier d'entre-eux aura comme id_individu 0
        }
        else // il n'y a des membres du personnel authentifis localement (pas de compte correspondant sur le serveur SSO)
        {
        	$id_individu = $ligne['id_individu']-1; // on dcrmente l'id_individu
        }
		$sql = "INSERT INTO personnel VALUES('".quote_smart($id)."','$id_individu','','".quote_smart($_SESSION['newpers']['nom'])."','".quote_smart($_SESSION['newpers']['prenom'])."','".quote_smart($_SESSION['newpers']['datenaiss'])."','".quote_smart($_SESSION['newpers']['activite'])."','".quote_smart($_SESSION['newpers']['categorie'])."','".quote_smart($_SESSION['newpers']['sous_categorie'])."','".quote_smart($_SESSION['newpers']['civilite'])."','".quote_smart($_SESSION['newpers']['code_discipline'])."')";
		// DEBUGG print $sql."<br />";
      }
      else
      {
        // Erreur MySQL
        $error_message = array("La table contenant le compte utilisateur (identifant + mot de passe) n'a pas pu tre mise  jour parce que l'utilisateur existe dj ou parce qu'il y a un problme avec le serveur MySQL! Veuillez ressayer ultrieurement. Cet utilisateur n'a pas t ajout  la base de donnes<br /><a href='".$_SERVER['PHP_SELF']."'>[Retour  la liste du personnel]</a>","");
        affiche_erreurs($error_message);
      }
      fclose($fichier); // On ferme les fichiers servant  l'enregistrement des codes d'accs du membre du personnel
      fclose($fichier_suivant);
	  $flag=mysql_query($sql);
	  if ($flag) // Si la requte a abouti
	  {
		// On met  jour la colonne id_individu dans la table login
		$sql = "UPDATE login SET id_individu='$id_individu' WHERE id_pers='$id'";
		mysql_query($sql);
	  	$ok_message = "<div align='justify'>Un nouveau membre du personnel <font color='blue'>(".$_SESSION['newpers']['nom']." ".$_SESSION['newpers']['prenom'].")</font> a t ajout dans la base de donnes.<br />Vous pouvez, si vous en disposez au format jpeg (poids infrieur ou gal  60 Ko !), incorporer sa <a href='javascript://' onclick=\" window.open('".$GLOBALS['chemin_relatif']."prive/admin/prive/maj_trombin_personnel.php?id_pers=$id','Mise_a_jour_photo','toolbar=no,location=no,directories=no,menuBar=no,scrollbars=no,resizable=no,status=no,width=500,height=400')\" title='Mettre  jour la photo'>photographie d'identit</a>
		<br /><a href='".$_SERVER['PHP_SELF']."'>[Retour  la liste du personnel]</a></div>";
        affiche_ok($ok_message);
	  }
	  else // La requte n'a pas abouti (membre dj existant, serveur MySQL indisponible)
	  {
		$error_message = array("Le nouveau membre du personnel n'a pu tre ajout dans la base de donnes ou existe dja.<br /><a href='".$_SERVER['PHP_SELF']."'>[Retour  la liste du personnel]</a>","");
        affiche_erreurs($error_message);
	  }
  	// On efface les donnes de session newpers, fin du script
  	unset($_SESSION['newpers']);
  	unset($_POST);
    unset($_GET);
    unset($_SESSION['post_imprimable']);
  	return;
  }
  if (isset($_GET['new_compte']) && $_GET['new_compte'] == "non") // // Un utilisateur homonyme a dj un compte IEW, il faut juste intgrer cet utilisateur dans la table personnel
  {
  	// Il nous faut aussi $_GET['idpers'] !! (voir + bas la requte d'insertion)
  	// On a les donnes utilisateur dans la variable de session newpers
  	// On enregistre les donnes dans la table personnel
        // Comme la cration d'un membre du personnel ne se fait pas ici avec un fichier d'import, le id_individu n'est pas connu
        // Ce qui revient  insrer un zro (car colonne de type int(11)
        // Or comme cette colonne est not null unique, elle n'accepte pas un nouveau zro (ajout d'un 2me membre du personnel avec ce script)
        // En consquence, l'astuce est de crer un id_individu ngatif et de le dcrmenter au cours des ajouts successifs de membres
        // du personnel avec ce script
        $sql = "SELECT MIN(id_individu) as id_individu FROM personnel"; // On rcupre d'abord la valeur la + basse de l'id_individu (nulle ou ngative)
        $resultat2 = mysql_query($sql);
        $ligne = mysql_fetch_array($resultat2);
        if ($ligne['id_individu'] > 0) // Si c'est positif, c'est qu'il n'y a pas de membre du personnel authentifi localement
        {
        	$id_individu = 0; // Alors le premier d'entre-eux aura comme id_individu 0
        }
        else // il n'y a des membres du personnel authentifis localement (pas de compte correspondant sur le serveur SSO)
        {
        	$id_individu = $ligne['id_individu']-1; // on dcrmente l'id_individu
        }
        if (isset($_SESSION['newpers']))
        {
			$sql = "INSERT INTO personnel VALUES('".quote_smart($_GET['id_pers'])."','$id_individu','','".quote_smart($_SESSION['newpers']['nom'])."','".quote_smart($_SESSION['newpers']['prenom'])."','".quote_smart($_SESSION['newpers']['datenaiss'])."','".quote_smart($_SESSION['newpers']['activite'])."','".quote_smart($_SESSION['newpers']['categorie'])."','".quote_smart($_SESSION['newpers']['sous_categorie'])."','".quote_smart($_SESSION['newpers']['civilite'])."','".quote_smart($_SESSION['newpers']['code_discipline'])."')";
			// DEBUGG print $sql."<br />";
  			mysql_query($sql);
  			// On met  jour la colonne id_individu dans la table login
			$sql = "UPDATE login SET id_individu='$id_individu' WHERE id_pers='".quote_smart($_GET['id_pers'])."'";
			mysql_query($sql);
        }
        else
        {
        	$error_message = array("Les donnes utilisateurs ont t perdues et ne peuvent tre enregistres ! Il s'agit peut-tre d'un rechargement de page, sinon vrifier le code de l'application !<br /><a href='".$_SERVER['PHP_SELF']."'>[Retour  la liste du personnel]</a>","");
        	affiche_erreurs($error_message);
        	unset($_SESSION['newpers']); // fin du script
  			unset($_POST);
    		unset($_GET);
    		unset($_SESSION['post_imprimable']);
        	return;
        }
		if (mysql_affected_rows() != -1) // Si la requte a abouti
		{
			$ok_message = "<div align='justify'>Un nouveau membre du personnel <font color='blue'>(".$_SESSION['newpers']['nom']." ".$_SESSION['newpers']['prenom'].")</font> a t ajout dans la base de donnes.<br />Vous pouvez, si vous en disposez au format jpeg (poids infrieur ou gal  60 Ko !), incorporer sa <a href='javascript://' onclick=\" window.open('".$GLOBALS['chemin_relatif']."prive/admin/prive/maj_trombin_personnel.php?id_pers=".$_GET['id_pers']."','Mise_a_jour_photo','toolbar=no,location=no,directories=no,menuBar=no,scrollbars=no,resizable=no,status=no,width=500,height=400')\" title='Mettre  jour la photo'>photographie d'identit</a>
			<br /><a href='".$_SERVER['PHP_SELF']."'>[Retour  la liste du personnel]</a></div>";
        	affiche_ok($ok_message);
		}
		else // La requte n'a pas abouti (membre dj existant, serveur MySQL indisponible)
		{
			$error_message = array("Le nouveau membre du personnel n'a pu tre ajout dans la base de donnes ou existe dja.<br /><a href='".$_SERVER['PHP_SELF']."'>[Retour  la liste du personnel]</a>","");
        	affiche_erreurs($error_message);
		}
  	// On efface les donnes de session newpers devenues inutiles, fin du script
  	unset($_SESSION['newpers']);
  	unset($_POST);
    unset($_GET);
    unset($_SESSION['post_imprimable']);
  	return;
  }
  // Si le formulaire de saisie d'un nouveau membre du personnel a t annul, on efface les variables $_POST, $_GET et $_SESSION['imprimable'] de faon  revenir  la liste du personnel
  if (isset($_GET['annuler']))
  {
    unset($_POST);
    unset($_GET);
    unset($_SESSION['post_imprimable']);
  }
  // On initialise les variables qui ne le sont pas
  if (isset($_POST['change_cat'])) // Flag utilis pour savoir si un changement de catgorie de personnel vient de se produire sur le formulaire de modification de la fiche d'un des membres du personnel
    $GLOBALS['change_cat'] = $_POST['change_cat'];
  else
    $GLOBALS['change_cat'] = false; 
    
  if (!isset($_GET['affichage']))
  {
    $affichage = "";
  }
  else
  {
    $affichage = $_GET['affichage'];
  }
  if (isset($_GET['action']))
  {
    $GLOBALS['action'] = $_GET['action']; // la variable voque plus loin prendra la valeur fournie dans l'URL
  }
  elseif (isset($_POST['action']) && $_POST['action'] != "")
  {
    $GLOBALS['action'] = $_POST['action']; // la variable voque plus loin prendra la valeur fournie dans le champ cach du formulaire
  }
  else // si pas de valeur fournie pour $GLOBALS['action']
  {
    $GLOBALS['action'] = "Modifier_Supprimer"; // point normal d'entre dans le script si l'action n'est pas dfinie dans l'URL ni dans le formulaire
  }
  if (!isset($_GET['ajouter']))
  {
    $ajouter = "";
  }
  else
  {
    $ajouter = $_GET['ajouter']; // la variable voque plus loin prendra la valeur du POST
  }
  if (!isset($_GET['supprimer']))
  {
    $supprimer = "";
  }
  else
  {
    $supprimer = $_GET['supprimer']; // la variable voque plus loin prendra la valeur du POST
  }
  
  echo "<a name='debut'></a>";
  // On affiche le titre de la page
  if ($affichage=="par_categorie")
  {
    echo "<br /><h1>Liste du personnel par catgorie</h1><br />";
  }
  else
  {
    echo "<br /><h1>Base de donnes du personnel</h1><br />";
  }
  // DEBUGG var_dump($_POST);
  // DEBUGG echo "<br />action : ".$GLOBALS['action']."<br/>";
  affiche_liens_nav($GLOBALS['action']);
  connexion_mysql();
  select_database();

  switch ($GLOBALS['action'])
  { 
    case "Ajout":
      if (!isset($_POST['ajouter']))
      {
        new_affiche_form("vide","");
      }
      else // si le formulaire a t soumis (1re partie : champs civilite,nom,prenom,date de naissance,categorie)
      {
        if (!isset($_POST['suite_formulaire'])) // c'est encore la 1re partie du formulaire
        {
          // Il faut vrifier si les champs indispensables ont t renseigns
          if ($_POST['nom']=="" || $_POST['prenom']=="" || $_POST['categorie']=="")
          {
            $error_message = array("Il y a des champs vides ! <br />Remplissez correctement les champs obligatoires.","");
            affiche_erreurs($error_message);
            new_affiche_form("suite","_POST");
            return;
          }
          // On affiche la seconde partie du formulaire (derniers champs : emploi grade,activit)
          new_affiche_form("suite","_POST");
          // On interrompt l'xcution ici car il faut que cette deuxime partie du formulaire soit poste (avec un champ cach flag $suite_formulaire positionn)
          return;
        } // pas besoin de else car si le code est excute la commande return permet de s'assurer que le reste du script n'est pas excut sauf si le flag $suite_formulaire est positionn
        // Si on arrive ici c'est donc que la 2me partie du formulaire a t soumise; on vrifie ces entres
        if (verif_form($_POST['action'],$_POST['id_pers'],$_POST['nom'],$_POST['prenom'],$_POST['datenaiss'],$_POST['categorie'],$_POST['sous_categorie'],$_POST['activite'],$_POST['civilite'], $_POST['code_discipline']))
        { // comme la vrif a russi, on affiche un nouveau formulaire pour un futur ajout
          new_affiche_form("vide","");
        }
      }
      break;
    case "Modifier_Supprimer": // c est le point d entre normal du script
      if ($supprimer=="ok")
      {
        $id_pers = $_GET['id_pers'];
        $err="";
        // on rcupre le nom et le prnom du membre du personnel  supprimer
        $sql ="SELECT nom,prenom,categorie,sous_categorie FROM personnel WHERE id_pers='".quote_smart($id_pers)."'";
        $resultat=mysql_query($sql);
        $row=mysql_fetch_row($resultat);
        $prenom=$row[1];
        $nom=$row[0];
        $categorie=$row[2];
        $sous_categorie=$row[3];
        
	        // On le supprime de la table personnel
    	    $sql = "DELETE FROM personnel WHERE id_pers='".quote_smart($id_pers)."'";
        	mysql_query($sql);
        	if (mysql_affected_rows()==0)
          	$err .= "Impossible de supprimer la personne de la table du personnel !<br />";
	        // On rcupre son nomlogin
    	    $sql = "SELECT nomlogin FROM login WHERE id_pers='".quote_smart($id_pers)."'";
        	$resultat=mysql_query($sql);
        	$row=mysql_fetch_row($resultat);
        	$login=$row[0];
	        // On efface aussi le membre du personnel de la table login
    	    $sql = "DELETE FROM login WHERE id_pers='".quote_smart($id_pers)."'";
        	mysql_query($sql);
	        if (mysql_affected_rows()==0)
    	    {
        	  $err .= "Impossible d'effacer le compte utilisateur !<br />";
          	$err_flag_del = "";
        	}
        	if (!isset($err_flag_del)) // Si ce flag n'est pas dfini c'est que le compte est supprim
        	{
	          // Il faut supprimer l'enregistrement correspondant au compte dans le fichier texte contenant les utilisateurs (utilis par l'administrateur rseau de l'tablissement pour crer les comptes en dbut d'anne scolaire)
    	      modif_fichier_texte_codes_acces($GLOBALS['stock_baselev']."comptes_personnel.txt",$supprimer,$id_pers,"","",$prenom,$nom,"");
        	  // on regarde galement si une suppression est  faire dans ce fichier
	          modif_fichier_texte_codes_acces($GLOBALS['stock_baselev']."new_comptes_personnel.txt",$supprimer,$id_pers,"","",$prenom,$nom,"");
    	      // Il faut inscrire cet utilisateur dans la liste des comptes  supprimer
        	  $fichier_suppr=@fopen($GLOBALS['stock_baselev']."suppr_comptes_personnel.txt","a");
          	  $enregistrement=$id_pers.",".$login.",".$prenom.",".$nom."\n";
	          // On s'assure que le nom n'existe pas dj dans le ficher de suppression des comptes (ce qui peut se produire lors de tests d'ajout puis de suppression successifs d'un mme membre du personnel) On vite ainsi les doublons dans ce fichier
    	      $contenu_fichier_suppr = file_get_contents($GLOBALS['stock_baselev']."suppr_comptes_personnel.txt");
        	  if (!strstr($contenu_fichier_suppr,$enregistrement))
          	  {  // si l'enregistrement n'existe pas dj, on tente de l'crire
              	if (!fwrite($fichier_suppr,$enregistrement))
              		$err .= "Impossible d'inscrire l'utilisateur dans le fichier contenant les comptes  supprimer !<br />";
          	  }
          	  fclose($fichier_suppr);
          	  // on supprime les donnees obsoletes sans lien avec le compte supprim
          	  suppr_compte_tables_nettoyage($id_pers);
        	}
        	if ($err!="") // En cas d'erreur, on indique le problme
        	{
          		$error_message = array($err,"");
          		affiche_erreurs($error_message);
          		echo "<a href='".$_SERVER['PHP_SELF']."'>[Retour  la liste du personnel]</a>";
          		return;
        	}
        
	        // On supprime alors la photo d'identit si elle existe
    	    $fichier_photo = $GLOBALS['stock_baselev']."fotoprof/".$id_pers.".jpg";
	        if (file_exists($fichier_photo))
        	{
          		if(!@unlink($fichier_photo))
          		{
            		$error_message = array("
            		<div align='justify'>
            		La photo d'identit de $prenom $nom n'a pas pu tre supprime. Vrifiez que les droits sur les fichiers sont corrects<br />
            		ou supprimez manuellement le fichier $id_pers.jpg dans le rpertoire ".$GLOBALS['stock_baselev']."fotoprof. Pour ce faire, prvenez votre <a href='mailto:".email_encode($GLOBALS['admin_email'])."'>administrateur IntraEduWeb</a> qui se chargera de la suppression.
            		</div>","");
            		affiche_erreurs($error_message);
          		}
        	}           
	        // Si on arrive ici, c'est que tout c'est bien droul : la suppression est un succs !
    	    $ok_message = "<font color='blue'>$prenom $nom</font> a bien t supprim(e) de la liste du personnel ainsi que son compte d'accs  IntraEduWeb.";
        	affiche_ok($ok_message);
      
      	
        //  faire aprs chaque validation dfinitive de formulaire pour viter des problmes avec le changement de format d'affichage
        unset($_SESSION['post_imprimable']);
      }
      // ici doivent tre proposs les diffrents types d affichage de la liste du personnel
      // par ordre alphabtique
      // par catgories
      $sql = "SELECT * FROM personnel ORDER BY nom,prenom";
      $resultat = mysql_query($sql);
      if (mysql_num_rows($resultat))
      {
        echo "Il y a <b><font color=\"red\">".mysql_num_rows($resultat)."</font></b> fiche(s) dans la base de donnes.";
        if ($affichage=="par_categorie")
        {
          echo "&nbsp;&nbsp;&nbsp;<a href=\"?action=Modifier_Supprimer\">[Liste alphabtique du personnel]</a>";
          echo "<br /><br />";
          echo "<table width=\"100%\"><tr><td></td><td align=\"right\"><a href=\"#bas\">Bas de la page</a>    </td></tr></table>";
          // Recherche du type d'tablissement
          $sql = "SELECT code_type_etab FROM uaj";
          $resultat = mysql_query($sql);
          $ligne = mysql_fetch_array($resultat);
          $type_etab = $ligne['code_type_etab'];
          ////////////////// Personnel administratif //////////////////////
          // dans le personnel administratif, on compte : la direction, le chef des travaux s'il existe, le gestionnaire, le secrtariat
          $sql ="SELECT COUNT(*) FROM personnel WHERE categorie='1' OR categorie='2' OR categorie='5' OR categorie='6'";
          $resultat = mysql_query($sql);
          $ligne = mysql_fetch_row($resultat);
          $nombre_pers_admin = $ligne[0];
          echo "<table class='fond_clair' width=\"100%\"><tr><td width=\"50%\"><h2><u>PERSONNEL ADMINISTRATIF</u></h2></td>";
          echo "<td width=\"50%\" align=\"right\"><font color=\"red\"><b>".$ligne[0]." </b></font>personne(s)</td></tr></table><br />";
          echo "<table width=\"100%\">";
          // D'abord la direction
          $sql = "SELECT id_pers,civilite,nom,prenom,sous_categorie,activite FROM personnel WHERE categorie='5' ORDER BY sous_categorie";
          $resultat = @mysql_query($sql);
          while ($ligne = @mysql_fetch_array($resultat))
          {
            // l'activit n'est peut-tre pas encore renseigne dans la table (ceci ne se fait pas dans l'import)
            if (is_null($ligne['activite']))
            {
          		if ($ligne['sous_categorie'] == "DIR CL1" || $ligne['sous_categorie'] == "DIR HC")
            	{
            		if ($type_etab=="CLG")
            			$titre = "Principal";
            		elseif ($type_etab=="LYC" || $type_etab=="LP")
            			$titre = "Proviseur";
            		else
            			$titre = "Directeur";	
            	}
            	elseif ($ligne['sous_categorie'] == "DIR CL2")
            	{
            		if ($type_etab=="CLG")
            			$titre = "Principal Adjoint";
            		elseif ($type_etab=="LYC" || $type_etab=="LP")
            			$titre = "Proviseur Adjoint";
            		else
            			$titre = "Directeur Adjoint";	
            	}
            	else
            		$titre = "Direction";
            	// On en profite pour mettre  jour la table
            	$sql1 = "UPDATE personnel set activite='$titre' WHERE id_pers='".$ligne['id_pers']."'";
            	mysql_query($sql1);
            }
            else // L'activit est dj renseigne dans la table, on affiche la valeur trouve dans la table
            {
            	$titre = $ligne['activite'];
            }
            echo "<tr><td width=\"34%\">".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</td><td>".$titre."</td></tr>";
            
          }
          // Puis le gestionnaire
          $sql = "SELECT t1.civilite,t1.nom,t1.prenom,t2.categorie FROM personnel as t1, categories_pers as t2 WHERE t1.categorie='6' AND t2.id_cat=t1.categorie ORDER BY t1.nom,t1.prenom";
          $resultat = @mysql_query($sql);
          while ($ligne = @mysql_fetch_array($resultat))
          {
            echo "<tr><td width=\"34%\">".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom'])).   "</td><td>".$ligne['categorie']."</td></tr>";
          }
          // Le Chef des travaux
          $sql = "SELECT t1.civilite,t1.nom,t1.prenom,t1.activite,t2.categorie FROM personnel as t1, categories_pers as t2 WHERE t1.categorie='2' AND t2.id_cat=t1.categorie ORDER BY t1.activite,t1.nom,t1.prenom";
          $resultat = @mysql_query($sql);
          while ($ligne = @mysql_fetch_array($resultat))
          {
            echo "<tr><td width=\"34%\">".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom'])).   "</td><td>".$ligne['categorie']." ".$ligne['activite']."</td></tr>";
          }
          // le reste du personnel administratif (secrtariat)
          $sql = "SELECT t1.civilite,t1.nom,t1.prenom,t2.sous_categorie FROM personnel as t1,sous_categories_pers as t2 WHERE t1.categorie='1' AND t2.id_cat=t1.categorie AND t2.id_sous_cat=t1.sous_categorie ORDER BY t2.sous_categorie,t1.nom,t1.prenom";
          $resultat = @mysql_query($sql);
          while ($ligne = @mysql_fetch_array($resultat))
          {
            echo "<tr><td width=\"34%\">".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</td><td>".stripslashes($ligne['sous_categorie'])."</td></tr>";
          }
          echo "</table><br />";
          ////////////////// Personnel Vie scolaire //////////////////////
          $sql ="SELECT COUNT(*) FROM personnel WHERE categorie='8'";
          $resultat = mysql_query($sql);
          $ligne = mysql_fetch_row($resultat);
          $nombre_pers_vie_scol = $ligne[0];
          echo "<table class='fond_clair' width=\"100%\"><tr><td width=\"50%\"><h2><u>PERSONNEL VIE SCOLAIRE</u></h2></td>";
          echo "<td width=\"50%\" align=\"right\"><font color=\"red\"><b>".$ligne[0]." </b></font>personne(s)</td></tr></table><br />";
          echo "<table width=\"100%\">";
          // d'abord le ou les CPE
          $sql = "SELECT civilite,nom,prenom,sous_categorie,id_pers FROM personnel WHERE sous_categorie like 'CPE%' OR sous_categorie='22' ORDER BY nom,prenom";
          $resultat = @mysql_query($sql);
          while ($ligne = @mysql_fetch_array($resultat))
          {
            echo "<tr><td width=\"34%\">".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</td><td>CPE</td></tr>";
          }
          // puis les surveillants ou assistants d'ducation
          $sql = "SELECT civilite,nom,prenom,t2.sous_categorie, id_pers FROM personnel as t1, sous_categories_pers as t2 WHERE categorie='8' AND t1.sous_categorie not like 'CPE%' AND t1.sous_categorie not like '22' AND t1.sous_categorie=t2.id_sous_cat ORDER BY nom,prenom";
          $resultat = @mysql_query($sql);
          while ($ligne = @mysql_fetch_array($resultat))
          {
            echo "<tr><td width=\"34%\">".$ligne['civilite']." ".$ligne['nom']." ".ucfirst(strtolower($ligne['prenom']))."</td><td>".stripslashes($ligne['sous_categorie'])."</td></tr>";
          }
          echo "</table><br />";
          //////////////// Personnel Enseignant //////////////////////
          $sql ="SELECT COUNT(*) FROM personnel WHERE categorie='7'";
          $resultat = mysql_query($sql);
          $ligne = mysql_fetch_row($resultat);
          $nombre_pers_enseignant = $ligne[0];
          echo "<table class='fond_clair' width=\"100%\"><tr><td width=\"50%\"><h2><u>PERSONNEL ENSEIGNANT</u></h2></td>";
          echo "<td width=\"50%\" align=\"right\"><font color=\"red\"><b>".$ligne[0]." </b></font>personne(s)</td></tr></table><br />";
          affiche_personnel_enseignant(true);
          ///////////////// Autres personnels //////////////////////
          $sql ="SELECT COUNT(*) FROM personnel";
          $resultat = mysql_query($sql);
          $ligne = mysql_fetch_row($resultat);
          $nombre_autres_pers = $ligne[0]-($nombre_pers_admin + $nombre_pers_vie_scol + $nombre_pers_enseignant);
          echo "<br /><table class='fond_clair' width=\"100%\"><tr><td width=\"50%\"><h2><u>AUTRES PERSONNELS</u></h2></td>";
          echo "<td width=\"50%\" align=\"right\"><font color=\"red\"><b>".$nombre_autres_pers." </b></font>personne(s)</td></tr></table><br />";
          $with_grade = "tout"; // Le prnom est affich ainsi que l'activit
          affiche_autres_personnels($with_grade,"4"); // c'est le COP
        affiche_autres_personnels($with_grade,"9"); // Medico-social
        affiche_autres_personnels($with_grade,"10"); // Agents
        affiche_autres_personnels($with_grade,"12"); // Contrats aids
	  // Voici les catgories personnalises par les tablissements
	  $sql = "SELECT id_cat FROM categories_pers WHERE id_cat>12";
	  $resultat = mysql_query($sql);
          while ($ligne = mysql_fetch_row($resultat))
	  {	  	
		affiche_autres_personnels($with_grade,$ligne[0]); // Catgorie supplmentaire
	  }
        }
        else // si affichage par dfaut (ordre alphabtique)
        {
          echo "&nbsp;&nbsp;&nbsp;<a href=\"?action=Modifier_Supprimer&amp;affichage=par_categorie\">[Liste du personnel par catgorie]</a>";
          echo "<br /><br />";
          echo "<table width=\"100%\"><tr><td></td><td align=\"right\"><a href=\"#bas\">Bas de la page</a>    </td></tr></table>";
          $code_formulaire = "<br /><table width=\"100%\" border='0'><tr><td><b><u><font color=\"red\">Nom</font></u></b></td>";
          $code_formulaire .= "<td><b><u><font color=\"red\">Prnom</font></u></b></td>";
          $code_formulaire .= "<td align='center'><b><u><font color=\"red\">Action</font></u></b></td></tr>";
          while ($ligne = mysql_fetch_array($resultat))
          {
            // formate la date mysql en jj-mm-aaaa pour un affichage ventuel dans le formulaire d dition d un enregistrement
            // si l utilisateur clique sur le lien Modifier
            if (isset($ligne['datenaiss']) && $ligne['datenaiss']!="0000-00-00")
            {
              list($annee,$mois,$jour)=explode("-",$ligne['datenaiss']);
              $ligne['datenaiss']=$jour."-".$mois."-".$annee;
            }
            else
            {
              $ligne['datenaiss']="";
            }
            $code_formulaire .= "<tr><td>".$ligne["nom"]."</td><td>".$ligne["prenom"]."</td>";
            $code_formulaire .= "<td align='center'><a href=\"?action=Modifier_une_fiche&amp;id_pers=".$ligne['id_pers']."&amp;nom=".$ligne['nom']."&amp;prenom=".$ligne['prenom'];
            $code_formulaire .= "&amp;datenaiss=".$ligne['datenaiss']."&amp;categorie=".$ligne['categorie']."&amp;sous_categorie=".$ligne['sous_categorie'];
            $code_formulaire .= "&amp;activite=".$ligne['activite']."&amp;civilite=".$ligne['civilite']."\" title=\"diter ou Modifier la fiche de ".$ligne['prenom']." ".$ligne['nom']."\">diter/Modifier</a>";
            $code_formulaire .= "&nbsp;&nbsp;&nbsp;<a href=\"?action=Modifier_Supprimer&amp;supprimer=ok&amp;id_pers=".$ligne['id_pers'];
            $code_formulaire .= "\" onclick=\"return(window.confirm('Voulez-vous vraiment retirer ".$ligne['prenom']." "     .$ligne['nom']." de la base de donnes du personnel ?'));\" title=\"Supprimer ".$ligne['prenom']." ".$ligne['nom']." de la liste du personnel\">Supprimer</a></td></tr>";
          }
          $code_formulaire .= "</table><br />";
          echo "<center>";
          squelette_formulaire_standard("75%","","","Liste alphabtique du personnel",$code_formulaire,"","","","","","",""); 
          echo "</center>";
        } // if ($affichage=="par_categorie")
        echo "<table width=\"100%\"><tr><td></td><td align=\"right\"><a href=\"#haut\">Haut de la page</a>   </td></tr></table>";
      }
      else //if (mysql_num_rows($resultat))
      {
        $error_message = array("La table du personnel ne contient aucune donne !","");
        affiche_erreurs($error_message);
        return;
      }
      break;
    case "Modifier_une_fiche":
      if (isset($_POST['action']) && $_POST['action'] == "Modifier_une_fiche") // Si la valeur provient du formulaire de modification de fiche
      {
        // on ne fait rien car il ne faut plus afficher le formulaire de modification (dj effectue)
      }
      else // Si la valeur provient de l'URL, on affiche le formulaire de modification
      {
        //echo "change_cat :",$GLOBALS['change_cat'];
        new_affiche_form("modification","_GET");
      }
      if (isset($_POST['ajouter'])) // le formulaire de modification vient d'tre soumis
      {
        // Il faut d'abord vrifier si la catgorie de personnel vient d'tre change
        $sql = "SELECT categorie FROM personnel WHERE id_pers='".quote_smart($_POST['id_pers'])."'";
        $resultat = mysql_query($sql);
        $ligne = mysql_fetch_array($resultat);
        if ($ligne['categorie']!=$_POST['categorie'] && !$GLOBALS['change_cat']) // si la catgorie a chang
        {  // alors il faut que le formulaire soit modifi en consquence (car il y a peut-tre des informations complmentaires  donner
          $GLOBALS['change_cat'] = true; // On active le flag indiquant le changement de catgorie
          //echo "change_cat :",$GLOBALS['change_cat'];
          new_affiche_form("modification","_POST");
          return;
        }
        if (verif_form($_POST['action'],$_POST['id_pers'],$_POST['nom'],$_POST['prenom'],$_POST['datenaiss'],$_POST['categorie'],$_POST['sous_categorie'],$_POST['activite'],$_POST['civilite'], $_POST['code_discipline']))
        {
          // Si tout est ok (entres de formulaire + inscription dans la base de donnes)
          echo "<a href='".$_SERVER['PHP_SELF']."'>[Retour  la liste du personnel]</a>";
        }
      }
      break;
  } // switch ($GLOBALS['action'])
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>