<?php
/**
 * c_do_remplacants.php
 *
 * Ajout ou suppression des remplacements de professeurs
 * 
 * Traite les donnes transmises par le formulaire de saisie des remplacements
 * (voir c_remplacants.php)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../../../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

if (!isset($_GET['suppr'])) // pas de paramtre suppr dans l'url => C'est un ajout !
{
	if (isset($_POST['id_remplacant']) && $_POST['id_remplacant'] != "" && isset($_POST['id_titulaire']) && $_POST['id_titulaire'] != "") // on ne fait pas de traitement si accs direct au script (formulaire dans c_remplacants.php non soumis)
	{
		$error = "";
		// traitement des donnes du formulaire
		$sql = "INSERT INTO remplacants VALUES('".$_POST['id_remplacant']."','".$_POST['id_titulaire']."');";
		if (mysql_query($sql))
		{
			// recherche du code_discipline du titulaire et recopie de ce code pour le remplaant
			$sql = "SELECT code_discipline FROM personnel WHERE id_individu='".$_POST['id_titulaire']."'";
			$resultat = mysql_query($sql);
			$ligne = mysql_fetch_array($resultat);
			$sql = "UPDATE personnel set code_discipline='".$ligne['code_discipline']."' WHERE id_individu='".$_POST['id_remplacant']."'";
			if (!mysql_query($sql))
				$error .= $sql."<br />".mysql_errno()." : ".mysql_error()."<br />";
			// on va recopier le service du titulaire dans le service du remplaant
			$sql = "SELECT * FROM enseignants_services WHERE id_individu='".$_POST['id_titulaire']."'";
			$resultat = mysql_query($sql);
			while ($ligne = mysql_fetch_array($resultat)) // pour chaque service du titulaire
			{
				$id_enseignant_service_titulaire = $ligne['id_enseignant_service']; // on va s'en servir pour identifier le service  recopier dans l'EDT
				// recopie du service du titulaire vers un nouveau service du remplaant
				$sql = "INSERT INTO enseignants_services VALUES(NULL,'".$ligne['id_service']."','".$ligne['type']."','".$_POST['id_remplacant']."','".$ligne['heures_agent']."','".$ligne['taux_ponderation']."')";
				if (!mysql_query($sql))
					$error .= $sql."<br />".mysql_errno()." : ".mysql_error()."<br />";
				$id_enseignant_service_remplacant = mysql_insert_id(); // on va s'en servir pour lier avec la table "cours" qui contiendra l'EDT du remplaant
				// On recherche les cours de l'EDT correspondant au service du titulaire en cours dans la boucle while
				$sql = "SELECT code_alternance,code_jour,heure_debut,duree,code_matiere,code_matiere_etab,code_salle FROM cours WHERE id_enseignant_service='".$id_enseignant_service_titulaire."'";
				$resultat2 = mysql_query($sql);
				while ($ligne2 = mysql_fetch_array($resultat2)) // Pour chaque cours trouv
				{
					// recopie du cours du titulaire vers un nouveau cours du remplaant (la seule valeur qui diffre entre les cours du titulaire et du remplaant est la colonne id_enseignant_service)
					$sql = "INSERT INTO cours VALUES(NULL,'$id_enseignant_service_remplacant','".$ligne2['code_alternance']."','".$ligne2['code_jour']."','".$ligne2['heure_debut']."','".$ligne2['duree']."','".$ligne2['code_matiere']."','".$ligne2['code_matiere_etab']."','".$ligne2['code_salle']."')";
					if (!mysql_query($sql))
					$error .= $sql."<br />".mysql_errno()." : ".mysql_error()."<br />";	
				}
			}
			// on recopie les groupes (qui ne sont pas dans les services) dont le titulaire est responsable pour y mettre galement la responsabilit sur le remplaant
			$sql = "SELECT id_pers FROM personnel WHERE id_individu='".$_POST['id_titulaire']."'"; 
			$resultat = mysql_query($sql);
			$ligne = mysql_fetch_array($resultat);
			$id_pers_titulaire = $ligne['id_pers'];
			$sql = "SELECT id_pers, nom,prenom FROM personnel WHERE id_individu='".$_POST['id_remplacant']."'"; 
			$resultat = mysql_query($sql);
			$ligne = mysql_fetch_array($resultat);
			$id_pers_remplacant = $ligne['id_pers'];
			$nom_remplacant = $ligne['nom'];
			$prenom_remplacant = $ligne['prenom'];
			$sql = "SELECT * FROM groupes WHERE id_responsable='$id_pers_titulaire'"; 
			$resultat = mysql_query($sql);
			while ($ligne=mysql_fetch_array($resultat))
			{
				/* afin de ne pas toucher  la structure de la table groupes (et donc ne pas avoir  modifier les scripts qui l'utilisent)
				 * on va recrer un groupe identique en composition d'lves donc le nom sera lgrement modifi car celui-ci portera
				 * le nom du remplaant  la place du nom du titulaire
				 * */
				$framents = explode("-",$ligne['nom']); // rappel : nom du groupe au format "type-classes-nom du prof"
				$nom_groupe = $fragments[0]."-".$fragments[1]."-".substr($prenom_remplacant,0,1).".".$nom_remplacant; // nouveau nom du groupe  ajouter
				$sql = "INSERT INTO groupes VALUES(NULL,'".$nom_groupe."','".$id_pers_remplacant."')";
				if (!mysql_query($sql))
					$error .= $sql."<br />".mysql_errno()." : ".mysql_error()."<br />";
			}
		}
		else
			$error .= $sql."<br />".mysql_errno()." : ".mysql_error()."<br />";
		if ($error == "")
		{
			// On active le compte au cas o il serait dsactiv (par exemple aprs une suppression du remplacement suivi qq temps aprs d'un ajout avec la mme personne)
			$sql = "UPDATE login set etat='1' WHERE id_pers='$id_pers_remplacant'";
			mysql_query($sql);
			// Recupration des noms + prnoms du titulaire et du remplaant pour affichage du message de succs
			$sql = "SELECT civilite,nom as nom_titulaire, prenom as prenom_titulaire FROM personnel WHERE id_individu='".$_POST['id_titulaire']."'";
			$resultat = mysql_query($sql);
			$ligne = mysql_fetch_array($resultat);
			$sql = "SELECT civilite,nom as nom_remplacant, prenom as prenom_remplacant FROM personnel WHERE id_individu='".$_POST['id_remplacant']."'";
			$resultat = mysql_query($sql);
			$ligne2 = mysql_fetch_array($resultat);
			$ok_message = "Le Remplacement de <span class='noir'>".$ligne['civilite']." ".$ligne['nom_titulaire']." ".$ligne['prenom_titulaire']."</span> par <span class='bleu'>".$ligne2['civilite']." ".$ligne2['nom_remplacant']." ".$ligne2['prenom_remplacant']."</span> a bien t pris en compte.<br /><span class='bleu'>".$ligne2['civilite']." ".$ligne2['nom_remplacant']." ".$ligne2['prenom_remplacant']."</span> peut dsormais utiliser pleinement l'application IEW. <noscript><a href='remplacants.php'>Voir les remplacements en cours</a></noscript>";
			affiche_ok($ok_message);
		}
		else 
		{
			$error_message = array("Le remplacement n'a pas pu tre ajout dans la base de donnes&nbsp;:<br />$error<br /><noscript><a href='remplacants.php'>Voir les remplacements en cours</a></noscript>","");
			affiche_erreurs($error_message);
		}
	}
	else 
	{
		$error_message = array("Au moins un des champs de formulaire est vide ! Veuillez slectionner un professeur remplaant dans la liste de gauche et un professeur titulaire dans la liste de droite. <noscript><a href='remplacants.php'>Rafficher le formulaire</a></noscript>","");
		affiche_erreurs($error_message);
	}
}
else // C'est une suppression d'un remplacement
{
	// Rcupration d'infos qui seront affichs dans les messages de succs/chec
	$sql = "SELECT civilite,nom,prenom FROM personnel WHERE id_individu=(SELECT id_titulaire FROM remplacants WHERE id_remplacant='".quote_smart($_GET['suppr'])."')";
	$resultat = mysql_query($sql);
	if (mysql_num_rows($resultat) > 0) // S'il y a un rsultat, c'est qu'il y a qq chose  supprimer
	{
		$ligne = mysql_fetch_array($resultat);
		$civilite_titulaire = $ligne['civilite'];
		$nom_titulaire = $ligne['nom'];
		$prenom_titulaire = $ligne['prenom'];
		// Suppression dans la table "remplacants"
		$sql = "DELETE FROM remplacants WHERE id_remplacant='".quote_smart($_GET['suppr'])."'";
		$error = "";
		if (!mysql_query($sql))
			$error .= $sql."<br />".mysql_errno()." : ".mysql_error()."<br />";
		// il faut supprimer galement les cours du remplaant
		$sql = "SELECT * FROM enseignants_services WHERE id_individu='".quote_smart($_GET['suppr'])."'";
		$resultat = mysql_query($sql);
		while ($ligne = mysql_fetch_array($resultat)) // pour chaque service du titulaire
		{
			
		}
		// Suppression des services du remplacant
		$sql = "DELETE FROM enseignants_services WHERE id_individu='".quote_smart($_GET['suppr'])."'";
		if (!mysql_query($sql))
			$error .= $sql."<br />".mysql_errno()." : ".mysql_error()."<br />";
		// Suppression des groupes en responsabilit pour le remplacant
		$sql = "SELECT id_pers,civilite,nom,prenom from personnel WHERE id_individu='".quote_smart($_GET['suppr'])."'";
		$resultat = mysql_query($sql);
		$ligne = mysql_fetch_array($resultat);
		$id_pers_remplacant = $ligne['id_pers'];
		$civilite_remplacant = $ligne['civilite'];
		$nom_remplacant = $ligne['nom'];
		$prenom_remplacant = $ligne['prenom'];
		$sql = "DELETE FROM groupes WHERE id_responsable='$id_pers_remplacant'";
		if (!mysql_query($sql))
			$error .= $sql."<br />".mysql_errno()." : ".mysql_error()."<br />";
		// Par prcaution, dsactivation du compte, le remplacant ne peut plus se connecter, mais ceci n'oblige pas  supprimer son compte tout de suite
		// car parfois il y a prolongation du remplacement (il suffira dans ce cas de ractiver le compte)
		$sql = "UPDATE login set etat='0' WHERE id_pers='$id_pers_remplacant'";
		mysql_query($sql);
		if ($error == "")
		{
			$ok_message = "Le remplacement de <span class='noir'>$civilite_titulaire&nbsp;$nom_titulaire&nbsp;$prenom_titulaire</span> par <span class='bleu'>$civilite_remplacant&nbsp;$nom_remplacant&nbsp;$prenom_remplacant</span> a t supprim, mais le compte de <span class='bleu'>$civilite_remplacant&nbsp;$nom_remplacant&nbsp;$prenom_remplacant</span> est conserv (par mesure de prcaution, il vient d'tre dsactiv). <noscript><a href='remplacants.php'>Vrifiez les remplacements encore en cours</a></noscript>";
			affiche_ok($ok_message);
		}
		else 
		{
			$error_message = array("Le remplacement de <span class='noir'>$civilite_titulaire&nbsp;$nom_titulaire&nbsp;$prenom_titulaire</span> par <span class='bleu'>$civilite_remplacant&nbsp;$nom_remplacant&nbsp;$prenom_remplacant</span> n'a pas pu tre supprim de la base de donnes&nbsp;:<br />$error<br /><noscript><a href='remplacants.php'>Voir les remplacements en cours</a></noscript>","");
			affiche_erreurs($error_message);
		}
	}
	else // En cas de rechargement de la page aprs suppression
	{
		$error_message = array("Ce remplacement a dj t supprim de la base de donnes. <noscript><a href='remplacants.php'>Voir les remplacements en cours</a></noscript>","");
		affiche_erreurs($error_message);
	}
}

?>