<?php 
/**
 * c_get_time_pauses_edt.php
 *
 * Permet la saisie/modification/suppression des horaires de pause dans les EDT
 * (pauses rcrations ou djeuner)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package	IEW
 * @author	Sylvain GODM <sylvain.godme@gmail.com>
 * @version	$LastChangedRevision$, $LastChangedDate$
 * @copyright	2004-2013 Sylvain GODM
 * @link	http://iew.free.fr
 * @license	GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/get_time_pauses_edt.php"))
{
	echo "<h1>Gestion des horaires de pause<br />pour les emplois du temps</h1>";
	
	if (isset($_POST['submit']))
	{
		// Vrification des entres de formulaire
		$err = false;
		foreach ($_POST as $key => $value)
		{
			if ($key != 'submit')
				if ($value !="" && !preg_match ("#([0-9]{4})#", $value))
				{
					$err = true;
				}
		}
		if ($err)
		{
			$error_message = array("Les horaires doivent tre au format hhmm !","");
			affiche_erreurs($error_message);
		}
		else 
		{
			$sql = "UPDATE horaires_pauses SET debut_recree_matin='".$_POST['dbt_recree_matin']."', debut_recree_aprem='".$_POST['dbt_recree_aprem']."', debut_pause_dej='".$_POST['dbt_pause_dej']."'";
			if (mysql_query($sql))
			{
				$ok_message = "Les horaires ont t bien enregistrs dans la base de donnes";
				affiche_ok($ok_message);
				unset($_POST);
			}
			else 
			{
				$error_message = array(mysql_errno(). ": " . mysql_error(). "!","");
				affiche_erreurs($error_message);
				unset($_POST);
			}
		}
	}
	// on vrifie que des donnes sur les pauses existent
	$sql = "SELECT * FROM horaires_pauses";
	$resultat = mysql_query($sql);
	if (mysql_num_rows($resultat) > 0) // OK, il y en a
	{
		$ligne = mysql_fetch_array($resultat);
		$dbt_recree_matin = $ligne["debut_recree_matin"];
		$dbt_recree_aprem = $ligne["debut_recree_aprem"];
		$dbt_pause_dej = $ligne["debut_pause_dej"];
	}
	// Formulaire de saisie/modification
	$code_formulaire = "<p>Entrez les horaires au format hhmm.<br />Par exemple pour 9h50, taper 0950.</p>
	<p>
	<label for='Form_recree_matin'><b>Dbut de la rcration du matin&nbsp;:</b></label>
	<input id='Form_recree_matin' aria-labelledby='Form_Req_recree_matin' type='text' size='5' name='dbt_recree_matin' value='".$dbt_recree_matin."'/>
	</p>
	<p>
	<label for='Form_recree_aprem'><b>Dbut de la rcration de l'aprs-midi&nbsp;:</b></label>
	<input id='Form_recree_aprem' aria-labelledby='Form_Req_recree_aprem' type='text' size='5' name='dbt_recree_aprem' value='".$dbt_recree_aprem."'/>
	</p>
	<p>
	<label for='Form_pause_dej'><b>Dbut de la pause djeuner&nbsp;:</b></label>
	<input id='Form_pause_dej' aria-labelledby='Form_Req_pause_dej' type='text' size='5' name='dbt_pause_dej' value='".$dbt_pause_dej."'/>
	</p>
	<br />";
	squelette_formulaire_standard("80%","post",$_SERVER['PHP_SELF'],"<h2 class='hidden'>Saisie/Modification des horaires de pause</h2>Saisie/Modification des horaires de pause",$code_formulaire,"Enregistrer les modifications","submit","","","","","","centrer_contenu");
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>