<?php
/**
 * c_maj_coord.php
 *
 * initialise ou met  jour les coordonnateurs matires
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

function affiche_form($matiere)
{
  $code_formulaire = "
  <table class='ctextes edt'>
      <tr>
        <th width='25%' align='center' bgcolor='#FFFF00' height='19'>Matire</th>
        <th width='40%' align='center' bgcolor='#FFFF00' height='19'>Professeur coordonnateur actuel</th>
        <th width='35%' align='center' bgcolor='#FFFF00' height='19'>Nouveau Professeur coordonnateur</th>
      </tr>
  ";
  $i = 0;
  foreach($matiere as $value)
  {
    $i++;
    // On crit une ligne par matire dans le tableau du formulaire
    // Il faut retrouver le libell de la matire
    $sql = "SELECT libelle_long FROM matieres_sconet WHERE code_matiere='$value'";
    $result = mysql_query($sql); 
    if ($result && mysql_num_rows($result) > 0)
    {
    	$ligne = mysql_fetch_array($result);
    	$libelle_matiere = $ligne['libelle_long'];
    }
    else 
   		$libelle_matiere = "libell non trouv";
    $code_formulaire .= "
    <tr>
      <td width='25%'>&nbsp;<b><font color='brown'>".$libelle_matiere."</font></b></td>
      <td width='40%' align='center'>";
      // On cherche les professeurs actuellement connus comme coordonnateurs dans cette matire
      $sql = "SELECT t1.id_individu,t2.nom,t2.prenom FROM coordonnateurs as t1,personnel as t2 WHERE code_matiere='".quote_smart($value)."' AND t1.id_individu=t2.id_individu";
      // DEBUGG print $sql;
      $result = mysql_query($sql);                        
      if (mysql_num_rows($result) >0)
      {
        while ($enregistrement = mysql_fetch_array($result)) // on les affiche
        {
          $affiche = $enregistrement['nom']." ".$enregistrement['prenom'];
          $code_formulaire .= $affiche."&nbsp<a href='maj_coord.php?matiere=".$value."&suppr=".$enregistrement['id_individu']."'>[Supprimer]</a><br />";
        }
      }
      else // Si pas de prof dfini dans cette matire, permettre quand mme l'affichage de la bordure de la cellule
      {
        $code_formulaire .= "<i><font color=red>Non dfini</font></i>";
      }
      $code_formulaire .= "
      </td>
      <td width='35%'' align='center'>";
      // on cherche tous les profs enseignant cette matire
      $sql = "SELECT DISTINCT t1.id_individu,nom,prenom FROM personnel as t1,enseignants_services as t2,services as t3 WHERE t1.id_individu=t2.id_individu AND t2.id_service=t3.id_service AND t3.code_matiere='$value' ORDER BY nom,prenom";
      $resultat = mysql_query($sql);
      $nb_options = mysql_num_rows($resultat);
      $nb_options++;
      if ($nb_options>=6) // On n'affichera au maximum que 5 profs dans le select (le reste sera  drouler par l'utilisateur)
        $nb_options = 5;
      // On met ici le champ select, avec en surbrillance le cas chant le coordonnateur dj choisi
      $code_formulaire .= "
      <select size='1' name='prof$i' id='prof$i'>";
      $code_formulaire .= "<option></option>";
      while($ligne = mysql_fetch_array($resultat))
      {
        // on cherche si le prof est dj dclar en coordonnateur
        $sql2 = "SELECT t1.id_individu FROM coordonnateurs as t1,personnel as t2 WHERE t1.id_individu=t2.id_individu AND t2.id_individu='".quote_smart($ligne['id_individu'])."' AND t1.code_matiere='".quote_smart($value)."'";
        $resultat2 = mysql_query($sql2);
        // DEBUGG print $sql2;
        if (mysql_num_rows($resultat2)>0)  // sic'est le cas, on le met en surbrillance
          $code_formulaire .= "
          <option selected='selected' value='".$ligne['id_individu']."'>".$ligne['nom']." ".$ligne['prenom']."</option>";
        else // sinon, affichage normal
          $code_formulaire .= "
          <option value='".$ligne['id_individu']."'>".$ligne['nom']." ".$ligne['prenom']."</option>";          
      }
    $code_formulaire .= "
    </select>";
    $code_formulaire .= "
      </td>
    </tr>";
  }
  $code_formulaire .= "
  </table>";
  squelette_formulaire_standard("100%","post","maj_coord.php","Mise  jour des Coordonnateurs matires",$code_formulaire,"Envoyer","soumettre","Annuler","Annuler","Retour  la liste des Coordonnateurs","retour","window.location.href='".$GLOBALS['racine']."prive/coordonnateurs.php';");
}

/* Programme principal */

// Le script en cours doit tre le script d'appel prvu
if (end_with_string($_SERVER['PHP_SELF'],"prive/admin/prive/maj_coord.php"))
{
  // on tablit une fois pour toutes la connexion avec la base de donnes
  connexion_mysql();
  select_database();
  
  // On traite une suppression ventuelle dans la liste des coordonnateurs
  if (isset($_GET['suppr']) && $_GET['suppr']!="")
  {
    $sql = "DELETE FROM coordonnateurs WHERE id_individu='".quote_smart($_GET['suppr'])."' AND code_matiere='".quote_smart($_GET['matiere'])."'";
    if (!mysql_query($sql) || mysql_affected_rows()<=0)
    {
      $error_message = array("Le professeur slectionn n'a pas pu tre supprim de la lise des coordonnateurs!","");
      affiche_erreurs($error_message);      
    }
  }
  
  // Entre normale du script
  
  // on va d'abord vrifier que la table du personnel n'est pas vide, sinon, inutile de continuer
  $sql = "SELECT count(*) FROM personnel";
  $resultat = @mysql_query($sql);
  $ligne = @mysql_fetch_array($resultat);
  if ($ligne[0] == 0)
  {
    $error_message = array("La table contenant la liste du personnel est vide !","");
    affiche_erreurs($error_message);
    return;
  }
  // c'est bon, on continue
  $matiere = array();

  // On va slectionner les matires
  $sql = "SELECT code_matiere FROM matieres_sconet";
  $resultat = mysql_query($sql);
  while ($ligne = @mysql_fetch_array($resultat))
  {
    array_push($matiere,$ligne['code_matiere']); 
  }
  // DEBUGG var_dump($matiere);
 
  if (isset($_POST['soumettre'])) // formulaire envoy : on le traite
  {
    $i = 0;
    $erreur = "";
    foreach($matiere as $value)
    {
      $i++;
      if (isset($_POST['prof'.$i]) && $_POST['prof'.$i]!="")
      {
        // on cherche s'il existe dj une entre
        $sql = "SELECT id_individu FROM coordonnateurs WHERE id_individu='".quote_smart($_POST['prof'.$i])."' AND code_matiere='".quote_smart($value)."'";
        $resultat = mysql_query($sql);
        if (mysql_num_rows($resultat)>0)
          $sql = "UPDATE coordonnateurs SET id_individu='".quote_smart($_POST['prof'.$i])."' WHERE code_matiere='".quote_smart($value)."'";
        else
          $sql = "INSERT INTO coordonnateurs VALUES(NULL,'".quote_smart($_POST['prof'.$i])."','".quote_smart($value)."')";
        if (!mysql_query($sql))
          $erreur .= "Le coordonnateur <b>$value</b> n'a pas pu tre mis  jour !<br />";
      }
    }
    if ($erreur != "")
    {
      $error_message = array("
      <div align='justify'>
      La liste des coordonateurs matires n'a pas pu correctement tre mise  jour car les erreurs suivantes ce sont produites :
      <br />
      $erreur
      </div>
      ","");
      affiche_erreurs($error_message);
      return;
    }
    else
    {
      $ok_message = "La <a href='../../coordonnateurs.php'>liste des coordonnateurs matires</a> a t mise  jour avec succs!";
      affiche_ok($ok_message);
      unset($_POST);
      unset($_SESSION['post_imprimable']);
    }
  }
  else
    affiche_form($matiere);
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>