<?php
/**
 * imprime_eqpedag.php
 *
 * formate la sortie de la liste des quipes pdagogiques pour impression
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// la page est protge, elle utilise les sessions et le systme d'authentification diffrencie
// le tableau $array_valid_user contient les catgories de personnel autorises  accder  cette page, et le cas chant l'activit
// ou l'emploi requis dans cette catgorie (ce dernier critre peut prendre plusieurs valeurs, dans ce cas elles doivent tre
// spars d'une virgule SANS espace avant ou aprs, et ces critres sont des sous-chaines qui seront recherches - insensibilit
//  la casse - dans l'emploi ou l'activit de l'utilisateur connect)

require_once("$DOCUMENT_ROOT/intranet/librairie_fonctions.php");
$array_valid_user=array('Administratif' => 'Secrtaire','CES' => 'secrtariat');
check_valid_user($array_valid_user);

function trouve_id_pp($classe)
{
	// trouver le numero id du prof principal
	$sql = "SELECT id_prof FROM profs_principaux as t1,divisions as t2 WHERE t2.division='$classe' AND t2.id_div=t1.id_div";
	$resultat = mysql_query($sql);
	if ($ligne = @mysql_fetch_array($resultat)) // s il y a des rponses
	{
          return $ligne{id_prof};
	}
        else
        {
          echo "Le professeur principal de la classe '$classe' est introuvable. Assurez-vous que l'quipe pdagogique de cette classe est bien  jour. Arrt du script.";
          exit;
        }
}

function liste_profs($classe)
{

  $listeprofs = array(); // Tableau associatif destin  lister les professeurs enseignant dans la classe pour chaque matire

        // trouver tous les membres de l'quipe pdagogique
	$sql = "SELECT t3.id_prof,t4.civilite,t4.nom,t4.prenom,t3.matiere FROM eqpedag as t3,personnel as t4 WHERE t3.classe='$classe' AND t3.id_prof= id_pers ORDER BY matiere";
        $resultat = mysql_query($sql);
        if ($resultat && mysql_num_rows($resultat)>0)
	{
	  while ($ligne = mysql_fetch_array($resultat))
	  {
	      // tableau contenant la liste des professeurs de la classe slectionne
              if (!array_key_exists($ligne{matiere},$listeprofs)) // Si le tableau contenant le ou les profs de la matire n'existe pas, on le cre, (dans le cas contraire il ne faut pas le rinitialiser sinon les profs dj inscrits seront effacs)
              {
                $listeprofs{$ligne{matiere}}=array(); // La cl est la matire
              }
              $nom_prof=$ligne{civilite}.",".$ligne{nom}.",".$ligne{prenom}.",".$ligne{id_prof}; // et voici la valeur  crire
              array_push($listeprofs{$ligne{matiere}},$nom_prof);      
          }
	}
        else
        {
          echo "L'quipe pdagogique de la classe '$classe' est introuvable. Arrt du script.";
          exit; 
        }
        
        //**DEBOGGAGE**//
        //echo "<p><b><u>Classe : $classe</b></u><p>";print_r($listeprofs);echo "<p>";
        
        return $listeprofs;
}

function liste_eqpedag()
{
	$sql = "SELECT division FROM divisions"; // On slectionne toutes les classes
	$resultat=mysql_query($sql);
	if ($resultat && mysql_num_rows($resultat)>0) // La requte est fructueuse
	{
		while ($ligne=mysql_fetch_array($resultat)) // pour chaque classe
		{
			$classe=$ligne{division};
			$tab_liste_eqpedag{$classe}=array(); // Tableau associatif contenant les classes et leurs professeurs
			$tab_id_pp{$classe}=array(); // Tableau associatif contenant les classes et l'id de leur pp
			array_push($tab_id_pp{$classe},trouve_id_pp($classe)); // voici l'id du pp
			array_push($tab_liste_eqpedag{$classe},liste_profs($classe)); // et l'quipe pdagogique
		}
	}
	return $tab_liste_eqpedag;
}

function liste_pp()
// Renvoie un tableau contenant les numros id des profs principaux, index sur les numros id des divisions (classes)
{
  $sql = "SELECT division FROM divisions"; // On slectionne toutes les classes
  $resultat=mysql_query($sql);
  if ($resultat && mysql_num_rows($resultat)>0) // La requte est fructueuse
  {
    while ($ligne=mysql_fetch_array($resultat)) // pour chaque classe
    {
      $classe=$ligne{division};
      $tab_id_pp{$classe}=array(); // Tableau associatif contenant les classes et l'id de leur pp
      array_push($tab_id_pp{$classe},trouve_id_pp($classe)); // voici l'id du pp
    }
  }
  return $tab_id_pp;
}

function surligne($str,$query)
//Cette fonction surligne (et met en gras) la sous-chane $query de la chane $str.
{
  return preg_replace("#($query)#i","<b style=\"background-color:yellow;\">\\1</b>",$str);
}

/* Progamme principal */
?>
<html>
 <head>
 <style type="text/css">
 <!--
.surligne { background-color: #d3d1d1; }
 -->
 </style>
 </head>
<body topmargin=0 leftmargin=0 bgcolor="white">
<?php
// on tablit une fois pour toutes la connexion avec la base de donnes

connexion_mysql();
select_database();

$tab=liste_eqpedag(); // Tableau associatif (4 dimensions) contenant les classes et leurs quipes pdagogiques respectives
$tab_id_pp=liste_pp();// Tableau associatif (2 dimensions) contenant les numros id des profs principaux, index sur les numros id des divisions (classes)

//**DEBOGGAGE**//
//echo "<b><u>Tableau gnral :</u></b><p><pre>";print_r($tab); echo "</pre><p>";

$divisions=array(); // Contient la liste des classes

// on dtermine l'anne scolaire
$sql = "SELECT date_rentree FROM semab";
$resultat=mysql_query($sql);
if ($resultat && mysql_num_rows($resultat)>0)
{
	$row=mysql_fetch_row($resultat);
	$fragment=explode("-",$row[0]);
	$annee_scolaire=$fragment[0]." - ".(intval($fragment[0])+1);
}
$sql = "SELECT division FROM divisions"; // On slectionne toutes les classes
$resultat=mysql_query($sql);
$nb_classes=mysql_num_rows($resultat);
while ($ligne=mysql_fetch_array($resultat))
{
	array_push($divisions,$ligne{division}); // On remplit le tableau contenant la liste des classes
}

//**DEBOGGAGE**//print_r($divisions);

echo "<center><h1>Equipes Pdagogiques (anne $annee_scolaire)</h1></center><br />";
// On rcupre la liste des matires
$matieres = array();
$langues = array();
$sql = "SELECT matiere FROM matieres ORDER BY matiere";
$resultat=mysql_query($sql);
while ($ligne = mysql_fetch_array($resultat))
{
  // On nettoie les langues en faisant disparatre LV1, LV2 ...
  if (strpos($ligne{matiere},"LV")) // Alors c'est une langue
  {
    $ligne{matiere} = trim(substr($ligne{matiere},0,strpos($ligne{matiere},"LV")));
    // Les caractres LV1, LV2... sont limins
    //ceci peut produire des doublons dans le tableau qui seront limins plus tard
    // en effet Allemand LV1 et Allemand LV2 donneront deux lments Allemand
    array_push($langues,$ligne{matiere}); // On rpertorie les langues dans un autre tableau
  }
  array_push($matieres,$ligne{matiere});
}
$matieres = array_unique($matieres); // On limine les doublons (cf langues)
// Par contre, les cls des doublons limins ne sont pas conserves : on peut alors avoir des cls du style [0], [2], [4] etc... ce qui pose des problmes dans la suite du script car les boucles qui vont parcourir ce tableau se font sur des indices entiers conscutifs croissants donc si par exemple la cl [1] n'existe pas, aucun lment ne peut y correspondre (a ne serait pas un problme si on utilisait foreach pour parcourir le tableau, mais plus loin, on utilise for)
// Donc voici une petite astuce (on recopie dans un nouveau tableau chaque lment pour avoir des indices entiers conscutifs
$new_matieres = array();
foreach($matieres as $value)
{
  array_push($new_matieres,$value);
}
$matieres = $new_matieres;
// on va faire la mme chose pour ce qui suit
$langues = array_unique($langues);
$new_langues = array();
foreach($langues as $value)
{
  array_push($new_langues,$value);
}
$langues = $new_langues;

//**DEBOGGAGE**//
//echo "<p><b><u>Matires (lignes  afficher dans le tableau) :</b></u><p>";print_r($matieres);echo "<p>";echo "<p><b><u>Langues :</b></u><p>";print_r($langues);echo "<p>";

//**DEBOGGAGE**//
//echo "<p><b><u>Tableau des profs principaux (identifiants):</b></u><p>";print_r($tab_id_pp);echo "<p>";

echo "<table border=1 width=100%>";
for ($i=0;$i<=count($matieres);$i++)  // le nombre de lignes du tableau (nb de matires + 1)
{
  if ($i==0) // la ligne zro est la ligne d'en-tte
  {
    echo "<tr>";
    for ($k=0;$k<=$nb_classes;$k++) // le nombre de colonnes du tableau (classes)
    {
      if ($k!=0)
      {
        $j=$k-1;
        echo "<th bgcolor=#f4bf81><div style='font : 6pt arial'>";
        echo substr($divisions[$j],0,1)." me ".substr($divisions[$j],-1); // on crit les classes
        echo "</div></th>";
      }
      else // c'est la colonne zro de la ligne zro, on n'crit rien
      {
        echo "<th>";
        echo "&nbsp;";
        echo "</th>";
      }
    }
    echo "</tr>";
  }
  else // Voici les autres lignes
  {
    echo "<tr>";
    for ($k=0;$k<=$nb_classes;$k++) // On boucle sur les colonnes (autant que nb de classe + 1)
    {
      if ($k!=0) // Ce n'est pas la premire colonne
      {
        // Slection des donnes  crire
        $matiere_en_cours=$matieres[$i-1];
        $j=$k-1;
        if (in_array($matiere_en_cours,$langues)) // Si la matire est une langue
        {
          // Alors on recherche les profs enseignant la LV1, la LV2 ...
          for ($l=1;$l<=2;$l++) // On boucle sur le numro de LV (1, 2)
          {
            $profs_langues{"LV$l"} = array();
            
            //**DEBOGGAGE**//
            //echo "<b><u> ($divisions[$j]) TABLEAU DE LV$l ($matiere_en_cours)</b></u><br />";print_r($tab{$divisions[$j]}[0]{"$matiere_en_cours LV$l"});echo "<p>";
            
            if (is_array($tab{$divisions[$j]}[0]{"$matiere_en_cours LV$l"})) // Ce test permet d'viter le renvoi d'une erreur "Warning: Invalid argument supplied for foreach() in" si on fait le foreach qui suit sur un tableau qui n'existe pas (ex pas de LV2 en 6me)
            {
              foreach ($tab{$divisions[$j]}[0]{"$matiere_en_cours LV$l"} as $value)
              {
                // $tab{$divisions[$j]}[0] contient le tableau associatif des matires pour la classe en cours, chaque lment tant une matire
                array_push($profs_langues{"LV$l"},$value); // On empile dans le tableau des profs de langues par numro LV (format civilite,nom,prenom,id_prof)
                $fragment = explode(",",$value); // On recherche si le pp est dans la liste
                if ($tab_id_pp{$divisions[$j]}[0] ==  $fragment[3]) // Si le pp est ici (les numro id correspondent)
                {
                  $pp="oui"; // On pose un flag utilis plus bas
                  break; // Inutile de boucler car il y a un seul pp par classe
                }
              }
            }
            sort($profs_langues{"LV$l"}); // On s'assure le tri alphabtique
            
            //**DEBOGGAGE**//
            //echo "<b><u>($divisions[$j]) TABLEAU DES PROFS DE LV$l ($matiere_en_cours)</b></u><br />";print_r($profs_langues{"LV$l"});echo "<p>";
            
            reset($profs_langues{"LV$l"}); // pointeur en dbut de tableau
          } // on boucle sur le numro LV suivant
          
          // Les tableaux de prof de langue pour cette matire sont prts  tre affichs
          
            echo "<td align=center";
            if ($pp=="oui") // Si le prof principal est dans la liste, la cellule est grise
            {
              echo " bgcolor=#c9c9c9>";
            }
            else
            {
              echo ">"; // il faut fermer la balise <td ouverte plus haut...
            }
            echo "<div style='font : 4pt arial'>";
            for ($l=1;$l<=2;$l++) // On boucle sur le numro de LV (1, 2)
            {
              if (count($profs_langues{"LV$l"})!=0) // Il y a au moins un prof dans ce tableau
              {
                echo "<u>"."LV$l"."</u><br />"; // On affiche LV1 ou LV2...
                foreach($profs_langues{"LV$l"} as $value)
                {
                  if ($value)
                  {
                    $fragment=explode(",",$value);
                    if ($fragment[3] == $tab_id_pp{$divisions[$j]}[0]) // Si c'est lui le pp
                    {
                      // Alors il est mis en gras, italique et surlign
                      echo "<b><i>".surligne($fragment[0],$fragment[0])."<br />"; //puis la civilit
                      echo surligne($fragment[1],$fragment[1])."</b></i><br />"; // et enfin le nom du prof
                    }
                    else
                    {
                      echo $fragment[0]."<br />"; //puis la civilit
                      echo $fragment[1]."<br />"; // et enfin le nom du prof
                    }
                  }
                  
                }
              }
              else // Pas de prof, pour que la bordure de la cellule soit dessine, on met un espace
              {
                echo "&nbsp;";
              }
              // on remet les tableaux  zro (sinon empilement pour plusieurs classes)
              $profs_langues{"LV$l"} = array();
              echo "<br />"; // On spare par une ligne vierge les groupes LV
            } 
            echo "</div>";
            echo "</td>";
            $pp="non"; // On rinitialise
        }
        else // Ce n'est pas une langue vivante
        {
          // on prend le nom du ou des profs
          $profs_matiere = array(); // Ce tableau contiendra la liste des profs enseignant la matire dans cette classe
          if (is_array($tab{$divisions[$j]}[0]{$matiere_en_cours})) // Ce test permet d'viter le renvoi d'une erreur "Warning: Invalid argument supplied for foreach() in" si on fait le foreach qui suit sur un tableau qui n'existe pas (ex pas de LV2 en 6me)
          {
            foreach ($tab{$divisions[$j]}[0]{$matiere_en_cours} as $value)
            {
              $fragment=explode(",",$value);
              if ($fragment[3] == $tab_id_pp{$divisions[$j]}[0]) // Si c'est lui le pp
              {
                $pp="oui"; // on pose le flag
              }
              array_push($profs_matiere,$value);
            }
          }
          echo "<td ";
          if ($pp=="oui") // Si la cellule contient le prof principal, elle est grise
          {
            echo "bgcolor=#d3d1d1 ";
          }
          echo  "align=center>";
          echo "<div style='font : 4pt arial'>";
          if (count($profs_matiere)!=0) // Si il y au moins un prof  afficher
          {
            foreach($profs_matiere as $value)
            {
              $fragment=explode(",",$value);
              if ($fragment[3] == $tab_id_pp{$divisions[$j]}[0]) // Si c'est le pp de la classe, il est affich en gras et italique et surlign
              {
                echo "<b><i>";
                echo surligne($fragment[0],$fragment[0]); // On affiche la civilit
                echo "<br />".surligne($fragment[1],$fragment[1])."<br />"; // puis le nom du prof
                echo "</b></i>";
              }
              else // Si ce n'est pas le pp, affichage normal
              {
                echo $fragment[0]; // On affiche la civilit
                echo "<br />".$fragment[1]."<br />"; // puis le nom du prof
              }
            }        
          }
          else // aucun prof  afficher, on met un espace pour que la bordure de la cellule soit tout de mme dessine
          {
            echo "&nbsp;";
          }
          echo "</div>";
          echo "</td>";
          $pp="non"; // On rinitialise le flag
          $profs_matiere = array(); // et le tableau pour viter l'empilement de plusieurs classes
        }
      }
      else // Si c'est la colonne zro de la ligne, on crit le titre de la matire
      {
        echo "<td bgcolor=#fffbc4>";
        echo "<div style='font : 4pt arial'><i><b>";
        echo strtoupper($matieres[$i-1]);
        echo "</b></i></div>";
        echo "</td>";
      }
    }
    echo "</tr>";
  }
}
echo "</table>";
echo "<center><p>&nbsp;</p><p><div style='font : 6pt arial'>Vous pouvez retrouver ces informations dans l'intranet (Choisir \"Informations Administratives\" dans le sommaire de la page d'accueil, puis dans le sommaire de la nouvelle page, le lien \"Equipes pdagoqiques\" (section Gestion Pdagogique).</div></p></center>";
?>
</body>
</html>