<?php
/**
 * maj_trombinelev.php
 *
 * Descriptif de la page c_maj_trombinelev.php
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// la page est protge, elle utilise les sessions et le systme d'authentification diffrencie
// le tableau $array_valid_user contient les identifiants des catgories d'utilisateurs autoriss  accder  cette page (voir la table groupes_utilisateurs)

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../../../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

function affiche_formulaire_upload()
{
  if (isset($_GET['id_eleve']) && $_GET['id_eleve']!="")
  {
    // On recherche les infos concernant l'lve dans la base de donnes
    // Mais les parents connects n'ont le droit de voir que leurs enfants !!
    if ($_SESSION['valid_group']=="4")
    {
      $sql = "SELECT t1.id_eleve,t1.eleve_id,t1.nom,t1.prenom,t1.classe FROM eleves as t1, responsables_eleves as t2 WHERE t1.eleve_id=t2.eleve_id AND t2.personne_id='".$_SESSION['identifiant_individu']."' AND t1.id_eleve='".quote_smart($_GET['id_eleve'])."'";
      // DEBUGG print $sql."<br />";
    }
    else
    {
      $sql = "SELECT * FROM eleves WHERE id_eleve='".quote_smart($_GET['id_eleve'])."'";
      // DEBUGG print $sql."<br />";
    }
    $resultat = mysql_query($sql);
    if ($resultat)
    {
      if (mysql_num_rows($resultat)>0)
      {
        $ligne = mysql_fetch_array($resultat);
        $nom = $ligne['nom'];
        $prenom = $ligne['prenom'];
      }
      else
      {
        if ($_SESSION['valid_group']=="4") // parent connect
          $error_message = array("Vous ne pouvez consulter que les fiches concernant votre(vos) enfant(s) !","");
         else
          $error_message = array("Aucune fiche ne correspond  cet lve dans la base de donnes. La fiche doit avoir t efface !","");
        affiche_erreurs($error_message);
        exit;
      }
    }
    else
    {
      $error_message = array("Le serveur de base de donnes est indisponible. Veuillez ressayer ultrieurement.","");
      affiche_erreurs($error_message);
      exit;
    }
  }
  else
  {
    $error_message = array("Aucun identifiant Elve dfini  l'appel de cette page !","");
    affiche_erreurs($error_message);
    exit;
  }

  // si on arrive ici, c'est que les donnes lves ont pu tre rcupres : on affiche le formulaire de changement de photo

  $code_formulaire = "<br />
  <div class='titre_cadre_formulaire' align='left'><b>Elve</b></div>
  <div class='cadre_formulaire_gris' align='center'>
  <table width='100%' border='0' bgcolor='#e6e7e6'>
  <tr valign='top'>
    <td>
      <p><label for='Form_Nom'>Nom&nbsp;:</label></p>
    </td>
    <td>
      <p><input type='text' size='20' name='nom' id='Form_Nom' readonly='readonly' value=\"$nom\" /></p>
    </td>
    <td rowspan='3' width='33%' align='center' valign='middle'>";
      $code_formulaire .= affiche_fotoelev($_GET['id_eleve'],"75","90");
      $code_formulaire .="
    </td>
  </tr>
  <tr valign='top'>
    <td>
      <p><label for='Form_Prenom'>Pr&eacute;nom&nbsp;:</label></p>
    </td>
    <td>
    <p><input type='text' size='20' name='prenom' id='Form_Prenom' readonly='readonly' value=\"$prenom\" /></p>
    </td>
  </tr>
  </table>
  <p align='justify'>Cliquez le bouton parcourir et slectionnez le fichier image souhait (60 ko maximum). Cliquez enfin sur le bouton &quot;Mettre  jour&quot;.</p>
  <p><label for='Form_Photo'>Photo&nbsp; :</label><input type='hidden' name='MAX_FILE_SIZE' id='Form_Photo' value='61440' />
  <label class='hidden' for='Form_Fichier'>Fichier&nbsp;:</label><input name='fichier' id='Form_Fichier' type='file' /></p>
  </div>
  <input type='hidden' name='id_eleve' value='".$_GET['id_eleve']."' />
  <br />";
  echo "<br /><center>";
  squelette_formulaire_upload("95%","multipart/form-data","post",$_SERVER['PHP_SELF'],"<h1 class='hidden'>Mettre  jour une photo</h1>Mettre  jour une photo",$code_formulaire,"Mettre  jour","soumettre","","","","","");
  echo "</center>";
}

function fin_balises_html()
{
  echo "</body></html>";
  exit;
}

debut_code_html("popup");

$array_valid_user=array("1","4","5","6","8"); // les groupes admin, parents (avec une restriction : uniquement pour leurs enfants scolariss dan l'tablissement), gestadmin et direction ont seuls une autorisation d'accs (c'est le groupe charg de la gestion administrative du contenu de l'intranet)
$error_message = check_valid_user($array_valid_user);

$chemin_relatif = "../../../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

if (isset($error_message)) // traitement de l'accs sans autorisation
{
  echo "<p></p>";
  affiche_erreurs($error_message);
  exit;
}

// Accs autoris : on poursuit le traitement; d'abord on rcupre les infos sur l'lve dans la base de donnes
connexion_mysql();
select_database();

// Si l'appel est conscutif au POST du formulaire d'upload
if (isset($_POST['soumettre']))
{
  // on traite le formulaire d'upload envoy
  if (!isset($_FILES['fichier']['tmp_name']))
    {
      $error_message = array("Le tlchargement n'a pas pu s'effectuer. Vrifiez vos entres de formulaire puis renouveller l'opration.","");
      echo "<br /><br /><br /><br /><br /><br />";
      affiche_erreurs($error_message);
      fin_balises_html();
    }
    if ($_FILES['fichier']['size']==0)
    {
      $error_message = array("<div align='justify'>Le fichier tlcharg ne contient aucune donne ou bien la taille excde le maximum des 60 ko autoriss. Vrifiez le nom du fichier et son contenu, puis <a href='?id_eleve=".$_POST['id_eleve']."'>renouveller l'opration</a>.</div>","");
      echo "<br /><br /><br /><br /><br /><br />";
      affiche_erreurs($error_message);
      fin_balises_html();
    }
    if (!is_uploaded_file($_FILES['fichier']['tmp_name'])) // pour la scurit
    {
      $error_message = array("Attention, le fichier  traiter est un fichier local du serveur est n'a pas t tlcharg  partir du client. Le script est interrompu pour des raisons de scurit.","");
      echo "<br /><br /><br /><br /><br /><br />";
      affiche_erreurs($error_message);
      fin_balises_html();
    }
    // on vrifie maintenant l'extension
    $type_file = $_FILES['fichier']['type'];
    if(!strstr($type_file, 'image/jpeg')) // Ce doit tre un fichier jpeg !
    {
      $error_message = array("Attention, le fichier  traiter n'est pas au format jpeg !","");
      echo "<br /><br /><br /><br /><br /><br />";
      affiche_erreurs($error_message);
      fin_balises_html();
    }
    if( !move_uploaded_file($_FILES['fichier']['tmp_name'], $GLOBALS['stock_baselev']."fotoelev/".$_POST['id_eleve'].".jpg") )
    {
      $error_message = array("Le fichier tlcharg n'a pas pu tre copi dans le dossier cible sur le serveur","");
      echo "<br /><br /><br /><br /><br /><br />";
      affiche_erreurs($error_message);
      fin_balises_html();
    }
    else
    {
      // Si on arrive l c'est que tout va bien, mais le fichier est en droit 600; donc si on veut faire une sauvegarde du rpertoire 'data' par exemple par FTP, comme seul le propritaire du fichier (apache) y a accs, on ne pourra pas lire ce fichier et donc la sauvegarde sera incomplte
      // On va donc mettre les droits 644 (pas de droit d'excution pour les autres, on ne sait jamais)
      chmod($GLOBALS['stock_baselev']."fotoelev/".$_POST['id_eleve'].".jpg", 0644);
      $ok_message = "La nouvelle photo a bien t enregistre !<br /><a href='javascript://' onclick='window.close();'>Fermez cette fentre</a> et recharger la page pour la mettre  jour.<br />";
      echo "<br /><br /><br /><br /><br /><br />";
      affiche_ok($ok_message);
    }
}
else // c'est la premire fois qu'on affiche la fentre : il faut afficher le formulaire d'upload
{
  affiche_formulaire_upload();
}
fin_code_html();
?>