<?php
/**
 * users_inline.php
 *
 * Descriptif de la page affichant les utilisateurs actuellement connects
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

$array_valid_user=array("1"); // Seul le groupe admin a une autorisation d'accs
$error_message = check_valid_user($array_valid_user);

$chemin_relatif = "../../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

// On va imposer une frquence de rafraichissement si non spcifie dans l'url
if (!isset($_GET['refresh']) || !is_numeric($_GET['refresh']) || intval($_GET['refresh']) != 30)
{
	header("Location: ".$GLOBALS['racine']."prive/admintraeduweb/users_inline.php?refresh=30");
}
$js = "autorefresh.js"; // fichier js qui sera inclu dans le head permettant le rafraichissement automatique des donnes toutes les 30 secondes
$titre_page = "Liste des utilisateurs actuellement en ligne";

// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="c_users_inline.php";

// Squelette de page utilis : forcment en format imprimable car sinon le contenu des tableau peut "dborder"
include(IEW_DIR.$GLOBALS['repertoire_theme']."imprimable.php");
?>