<?php
/**
 * c_admin_notes.php
 *
 * page de gestion administrative des notes de services
 * (ajout, modification, suppression des notes d'information)
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

/* Dclaration des fonctions */

function affiche_liste_notes($destinataire){

//***************************** description ********************************//
 // cette fonction affiche un tableau regroupant les notes d'information adresses au destinataire
 // paramtre entr ($destinataire) : lves ou profs
 // auteur : S.GODM (sylvain.godme@gmail.com)
 // Date de dernire mise  jour : 19/08/02
 //***************************** Fin description *****************************//

 echo "<h2><font color=\"red\">Notes  destination des $destinataire</font></h2> <a href=\"saisie_notes.php\">[Saisie d'une note]</a><br />";
$sql = "SELECT UNIX_TIMESTAMP(date), auteur, objet, destinataire, note, id_note FROM notes WHERE destinataire like '%".quote_smart($destinataire)."%'";
$resultat = mysql_query($sql);
$i=0;
$nbligne = mysql_num_rows($resultat);
?>
<table border="0" cellpadding="3" width="100%">
<?php
printf("<tr><td><i><br />Il y a <b><font color=\"red\">%s</font></b> note(s) d'information.</i></td>",$nbligne);
if ($nbligne>=3):
?>
<td align="right" valign="bottom"><a href="#bas">Bas de la page</a></td>
<?php
endif;
?>
</tr>
</table>
<table class="ctextes" width="100%">
<?php
while($ligne = mysql_fetch_array($resultat)) {
 $i++;
 $id_note = $ligne['id_note'];
 echo "
 		<tr>
 			<td bgcolor=\"#FFCC99\">
 				<h3 class='hidden'>".stripslashes($ligne["objet"])."</h3>	
 				<strong>
 				<font color=\"brown\">
 					$i. ".stripslashes($ligne["objet"])."
 				</font></strong>
 				&nbsp;&nbsp;&nbsp;<a href=\"admin_notes.php?action=modifier&amp;id_note=$id_note\">[Modifier]</a>
 				<a href=\"admin_notes.php?action=supprimer&amp;id_note=$id_note\" onclick=\"return(window.confirm('Voulez-vous vraiment effacer cette note ?'));\">[Supprimer]</a>
 			</td>
 		</tr>
 		<tr>
 			<td>
 				Auteur : ".stripslashes($ligne["auteur"])."
 				<br />Publi le : ".date("d\/m\/Y  H\hi", $ligne["UNIX_TIMESTAMP(date)"])."<hr />".
 				stripslashes($ligne["note"])."<br />
 			</td>
 		</tr>";
}
?>
</table>
<table border="0" width="100%">
  <tr>
    <td width="40%"><br /></td>
    <?php
    if ($nbligne>=3):
     ?>
     <td width="60%" align="right" valign="top"><br />&nbsp;<a href="#haut">Haut de la page</a></td>
     <?php
    endif;
    ?>
  </tr>
</table>
<?php
}

/* Dbut du programme principal */

echo "<h1>Administration des notes d'information</h1>";

connexion_mysql();
select_database();

if (isset($_GET['action']))
  $action = $_GET['action'];
else
  $action = "";

switch ($action){
 case 'modifier':
  ?>
  <script language="JavaScript">
  window.location.href="saisie_notes.php?id_note=<?php echo $_GET['id_note'] ?>";
  </script>
  <?php
  break;
 case 'supprimer':
  $sql = "DELETE FROM notes WHERE id_note='".quote_smart($_GET['id_note'])."'";
  mysql_query($sql);
  affiche_liste_notes("lves");
  affiche_liste_notes("profs");
  affiche_liste_notes("parents");
  echo "<br /><a href=\"saisie_notes.php\">[Saisie d'une note]</a><br /><br /><a href=\"admin_notes.php?action=supprall\" onclick=\"return(window.confirm('Voulez-vous vraiment effacer toutes les notes d\'information ?'));\"
  >[Suppression de toutes les notes d'information]</a><br /><br />";
  break;
 case 'supprall':
  $sql = "DELETE FROM notes";
  mysql_query($sql);
  affiche_liste_notes("lves");
  affiche_liste_notes("profs");
  affiche_liste_notes("parents");
  break;
 default:
affiche_liste_notes("lves");
affiche_liste_notes("profs");
affiche_liste_notes("parents");
echo "<br /><a href=\"saisie_notes.php\">[Saisie d'une note]</a><br /><br /><a href=\"admin_notes.php?action=supprall\" onclick=\"return(window.confirm('Voulez-vous vraiment effacer toutes les notes d\'information ?'));\">[Suppression de toutes les notes d'information]</a><br /><br />";
}
?>