<?php
/**
 * c_mdp.php
 *
 * permet la modification du mot de passe de l'utilisateur IntraEduWeb
 * utilis en authentification native ou bien pour les utilisateurs locaux
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

function affiche_formulaire_change_passwd()
{
  // Remarque : le mot de passe actuel est demand pour une scurit plus accrue (cas o l'utilisateur
  // a quitt son poste de travail sans fermer sa session et un malveillant venant aprs lui tente
  // de lui changer son mot de passe)
   
 $chemin_relatif = $GLOBALS['chemin_relatif'];
 echo "<center>";
 $code_formulaire = "<input type='hidden' name='md5_old' />
 <input type='hidden' name='md5_new' />
 <table width='100%' border='0'>
          <tr>
            <td colspan='2'>
              <img src='".$chemin_relatif."images/pixel.gif' width='2' height='10' alt='' />
            </td>
          </tr>
          <tr>
            <td align='right'>
              <label for='FormReqOldPasswd'>Mot de passe actuel</label>&nbsp;:
            </td>
            <td align='center'>
               <input type='password' name='old_passwd' id='FormReqOldPasswd' />
            </td>
          </tr>
          <tr>
            <td>
              <img src='".$chemin_relatif."images/pixel.gif' width='2' height='5' alt='' />
            </td>
          </tr>
          <tr>
            <td colspan='2'>
              Il faut crer un nouveau mot de passe (8 caractres minimum : <u>pour tre suffisamment sr, il faut des lettres et chiffres mlangs</u>&nbsp;: cliquez sur le bouton qui suit pour gnrer un mot de passe sr).<br /><input type='button' value='Afficher le sous-formulaire de gnration de mot de passe' onclick='affiche_generer_mot_passe();' />
              <div id='avertissement_securite' name='avertissement_securite' class='encadrer' style='text-align: justify; margin-top: 5px; margin-bottom: 5px;'>
                <i><u><strong>IMPORTANT :</strong></u> Pour des raisons de scurit concernant <u>vos donnes personnelles</u> et celles de certains autres membres de la communaut ducative de l'tablissement, il est impratif de respecter les recommandations ci-dessus dans le choix du nouveau mot de passe.</i>
              </div>
              <div id='generer_mot_passe' name='generer_mot_passe' style='visibility: hidden;display: none;text-align: justify;'>
              </div>
              <div id='message_copie_passwd' name='message_copie_passwd' style='visibility: hidden;display: none;text-align: justify;'>
              </div>
            </td>
          </tr>
          </table>
          ".info_champs_obligatoires();
 squelette_formulaire_standard("90%","post","'".$_SERVER['PHP_SELF']."' name='change_passwd' onsubmit='javascript:submit_pass();'","<h2 class='hidden'>Gnration du nouveau mot de passe</h2>Gnration du nouveau mot de passe",$code_formulaire,"Valider","soumettre","Annuler","","","","");
 echo "</center>";
 echo "<script type='text/javascript'><!--
 document.log.old_passwd.focus();
 //--></script>";
}

function verif_old_passwd($username, $md5_password)
// Vrifie si l'ancien mot de passe fourni est le bon
{
  // connexion  la base de donnes
  connexion_mysql();
  select_database();
  $result = mysql_query("SELECT id_pers FROM login WHERE nomlogin ='".quote_smart($username)."' AND mot_pass = '".quote_smart($md5_password)."'");
  if (!$result || mysql_num_rows($result)==0)
  {
    return false;
  }
  else
  {
    return true;
  }
}

function generer_passwd()
{
  $code_gen_passwd = "
  <hr /><p>
    Cette section est destine  vous aider  crer des mots de passe difficiles  casser et donc suffisamment srs. Les options pr-coches et certains champs sont griss (dsactivs) de faon  ne pas changer le parmtrage par dfaut pour une meilleure scurit. <strong><font color='red'>Veillez  ce que personne ne puisse voir votre cran lorsque vous allez cliquer sur le bouton \"Gnrer un mot de passe alatoire\"</font></strong>. Vous <u>pourrez cliquer plusieurs fois</u> sur ce bouton jusqu' ce que le rsultat vous satisfasse. lorsque ce sera le cas, Veuillez taper le nouveau mot de passe (en respectant la casse) dans les 2 zones de saisie prvues  cet effet et validez le formulaire.
    <br />
    <br />
    Les options imposes pour gnrer le mot de passe sont :
    <br />
    La casse du premier caractre et du reste du mot de passe en utilisant chiffres et/ou majuscules et/ou minuscules, sans caractres spciaux, ainsi qu'une longueur de 8 caractres : 
  </p>
    <table align=\"center\">
      <tbody>
        <tr>
          <td> le premier caractre peut tre : <br />
            <ul>
              <li> <input name=\"firstNumber\" checked=\"checked\" type=\"checkbox\" disabled=\"disabled\" /> Nombre </li>
              <li> <input name=\"firstLower\" checked=\"checked\" type=\"checkbox\" disabled=\"disabled\" /> minuscule </li>
              <li> <input name=\"firstUpper\" checked=\"checked\" type=\"checkbox\" disabled=\"disabled\" /> majuscule </li>
              <li> <input name=\"firstOther\" type=\"checkbox\" disabled=\"disabled\" /> autre </li>
            </ul>
          </td>
          <td> &nbsp; </td>
          <td> les autres peuvent tre: <br />
            <ul>
              <li> <input name=\"latterNumber\" checked=\"checked\" type=\"checkbox\" disabled=\"disabled\" /> Nombre </li>
              <li> <input name=\"latterLower\" checked=\"checked\" type=\"checkbox\" disabled=\"disabled\" /> minuscule </li>
              <li> <input name=\"latterUpper\" checked=\"checked\" type=\"checkbox\" disabled=\"disabled\" /> majuscule </li>
              <li> <input name=\"latterOther\" type=\"checkbox\" disabled=\"disabled\" disabled=\"disabled\" /> autre </li>
            </ul>
          </td>
        </tr>
        <tr>
          <td> caractres spciaux a inclure? <input name=\"extraChars\" size=\"20\" type=\"text\" disabled=\"disabled\" /> </td>
        </tr>
        <tr>
          <td> longueur du mot de passe: <input name=\"passwordLength\" value=\"8\" size=\"3\" type=\"text\" disabled=\"disabled\" /> caractres </td>
        </tr>
        <tr>
          <td><br /><input value=\"Gnrer un mot de passe alatoire\" onclick=\"document.change_passwd.password.value =getPassword(document.change_passwd.passwordLength.value, document.change_passwd.extraChars.value,document.change_passwd.firstNumber.checked, document.change_passwd.firstLower.checked,document.change_passwd.firstUpper.checked, document.change_passwd.firstOther.checked,document.change_passwd.latterNumber.checked, document.change_passwd.latterLower.checked,document.change_passwd.latterUpper.checked, document.change_passwd.latterOther.checked);affiche_message_copie_passwd();\" type=\"button\"> </td>
        </tr>
        <tr>
          <td> le nouveau mot de passe que vous avez gnr : <br /> <input name=\"password\" id=\"password\" size=\"20\" type=\"text\" /> </td>
        </tr>
      </tbody>
    </table>
  <hr />
  ";
  // Il faut supprimer les retours  la ligne sinon ce code, transmis au javascript ne s'affichera pas
  $code_gen_passwd = str_replace(chr(10),"",$code_gen_passwd);
  $code_gen_passwd = str_replace(chr(13),"",$code_gen_passwd);
  return $code_gen_passwd;
}

// Le script en cours doit tre le script d'appel prvu
if ($_SERVER['PHP_SELF'] == $GLOBALS['racine']."prive/mdp.php")
{
  include(CONF_DIR."k.php");
  // Voici un code javascript pour gnrer un mot de passe alatoire
  ?>
  <script language="JavaScript">
    function getRandomNum(lbound, ubound) {
    return (Math.floor(Math.random() * (ubound - lbound)) + lbound);
    }
    function getRandomChar(number, lower, upper, other, extra) {
    var numberChars = "0123456789";
    var lowerChars = "abcdefghijklmnopqrstuvwxyz";
    var upperChars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    var otherChars = "`~!@#$%^&amp;amp;*()-_=+[{]}\\|;:'\",<.>/? ";
    var charSet = extra;
    if (number == true)
    charSet += numberChars;
    if (lower == true)
    charSet += lowerChars;
    if (upper == true)
    charSet += upperChars;
    if (other == true)
    charSet += otherChars;
    return charSet.charAt(getRandomNum(0, charSet.length));
    }
    function getPassword(length, extraChars, firstNumber, firstLower, firstUpper, firstOther,
    latterNumber, latterLower, latterUpper, latterOther) {
    var rc = "";
    if (length > 0)
    rc = rc + getRandomChar(firstNumber, firstLower, firstUpper, firstOther, extraChars);
    for (var idx = 1; idx < length; ++idx) {
    rc = rc + getRandomChar(latterNumber, latterLower, latterUpper, latterOther, extraChars);
    }
    return rc;
    }
    function affiche_generer_mot_passe()
    {
      // On efface le message de scurit
      document.getElementById("avertissement_securite").style.visibility="hidden";
      document.getElementById("avertissement_securite").style.display="none";
      // On commence par afficher le bloc div contenant le critre  slectionner
      document.getElementById("generer_mot_passe").style.visibility="visible";
      document.getElementById("generer_mot_passe").style.display="block";
      var content = "<?php echo addslashes(generer_passwd()) ?>";
      document.getElementById("generer_mot_passe").innerHTML=content;
    }
    function affiche_message_copie_passwd()
    {
      document.getElementById("message_copie_passwd").style.visibility="visible";
      document.getElementById("message_copie_passwd").style.display="block";
      var contenu = "Si le mot de passe gnr vous satisfait, veuillez le tapez (en respectant la casse) dans <u>la deuxime zone de saisie</u> ci-dessous et <strong>RETENEZ-LE</strong> avant de valider le formulaire. Sinon, cliquez  nouveau sur le bouton \"Gnrer un mot de passe\"<center><table>                  <tr><td align=right>Nouveau mot de passe<font color='red'>*</font> :</td><td align=center><input type='password' name='new_passwd' id='new_passwd' readonly='readonly' /></td></tr><tr><td align=right>Retapez le Nouveau mot de passe<font color='red'>*</font> : </td><td align=center><input type='password' name='retype_new_passwd' /></td></tr><tr>                  <td colspan=2><img src='"+"<?php echo $chemin_relatif ?>"+"images/pixel.gif' width=2 height=10></td>   </tr></table></center>";
      document.getElementById("message_copie_passwd").innerHTML=contenu;
       // Le 1er champ de saisie du nouveau mot de passe contient celui qui est cr alatoirement
      document.getElementById("new_passwd").value=document.getElementById("password").value;
    }
  </script>
<?php

	echo "<h1>Changer votre mot de passe</h1>";	

  if (isset($_POST['soumettre']) && isset($_POST['md5_new']) && isset($_POST['md5_old']))
  {
    // On traite le formulaire
    // On commence par vrifier si l'ancien mot de passe est le bon
    if (verif_old_passwd($_SESSION['valid_login'], $_POST['md5_old']))
    { 
      $result="";
      if ($_POST['md5_new']!="") // si le formulaire a dj t soumis, mais que l'xcution de new_passwd.js ne s'est pas bien passe, alors la variable $_POST['md5_new'] est quand mme dfinie (par la soumission du formulaire, en tant que champ cach) mais est vide (puisque new_passwd.js n'a pas pu ajuster sa valeur), donc il ne faudrait pas changer le mot de passe dans la base de donne dans ce cas
      {
        // On vrifie que le nouveau mot de passe n'est pas gal  l'ancien
        if ($_POST['md5_new'] == $_POST['md5_old'])
        {
          $error_message = array("Votre nouveau mot de passe est identique  l'ancien !<br />Veuillez recommencer :","");
        affiche_erreurs($error_message);
        affiche_formulaire_change_passwd();
        }
        // On peut changer le mot de passe
        // Sa dure de validit est paramtrable dans config.php (en nombre de mois)
        $today = strtotime(date("Y-m-d"));
        $upto = $today+60*60*24*30*$GLOBALS['validite_mdp'];
        $limit_date_passwd = date("Y-m-d",$upto);
        $sql = "UPDATE login SET mot_pass = '".quote_smart($_POST['md5_new'])."',limit_date_passwd='$limit_date_passwd' WHERE nomlogin ='".quote_smart($_SESSION['valid_login'])."'" ;
        $result = mysql_query($sql);
      }
      if (!$result)
      {
        $error_message = array("Votre mot de passe n'a pas pu tre chang !<br />Veuillez recommencer (ou ressayez plus tard) :","");
        affiche_erreurs($error_message);
        affiche_formulaire_change_passwd();
      }
      else // a c'est bien pass
      {
        // On inscrit le changement dans le fichier de stockage
        // En fait ici, le changement de mot de passe ayant t fait par l'utilisateur lui-mme
        // Celui-ci ne sera pas inscrit dans le fichier de stockage (remplac par une zone vide)
        // Ceci permettra  l'admnistrateur de n'avoir  diffuser en dbut d'anne scolaire
        // que les comptes disposant d'un mot de passe (crypt), c'est--dire pour les utilisateurs
        // crs aprs un import automatique (s'ils ne modifient pas eux-mme leur mot de passe
        // par la suite
        $sql = "SELECT id_gpe_utilisateurs FROM login WHERE id_pers='".quote_smart($_SESSION['valid_login'])."'"; // il faut d'abord savoir  quel type d'utilisateur lve, membre du personnel, parent, on a  faire
        $result1 = mysql_query($sql);
        $ligne1 = mysql_fetch_array($result1);
        if ($ligne1['id_gpe_utilisateurs']=="2") // L'utilisateur est un lve
        {
          $nom_fichier = $GLOBALS['stock_baselev']."comptes_eleves.txt";
        }
        elseif ($ligne1['id_gpe_utilisateurs']=="4") // L'utilisateur est un parent
        {
          $nom_fichier = $GLOBALS['stock_baselev']."comptes_parents.txt";
        }
        elseif ($ligne1['id_gpe_utilisateurs']=="11") // L'utilisateur est un IPR
        {
          $nom_fichier = $GLOBALS['stock_baselev']."comptes_ipr.txt";
        }
        elseif ($ligne1['id_gpe_utilisateurs']!="11") // L'utilisateur est peut-tre un membre du personnel
        {
          if ($ligne1['id_gpe_utilisateurs']=="12") // Non, c'est une personne extrieure rattache  l'tablissement
            $nom_fichier = $GLOBALS['stock_baselev']."comptes_exterieurs.txt";
          else
            $nom_fichier = $GLOBALS['stock_baselev']."comptes_personnel.txt"; // C'est bien un membre du personnel
        }
        modif_codes_acces_fichier_texte($nom_fichier,$_SESSION['valid_id_user'],$_SESSION['valid_prenom'],$_SESSION['valid_nom'],$_SESSION['valid_login'],"","");
        // Message de confirmation de changement du mot de passe
        $ok_message = "Votre mot de passe a t chang ! Ceci prendra effet lors de votre prochaine connexion.";
        echo "<br />";
        affiche_ok($ok_message);
        return;
      }
    }
    else // L'ancien mot de passe n'est pas le bon !
    {
      if ($_POST['md5_old']!="")
      {
        $error_message = array("Votre mot de passe actuel n'est pas celui que vous venez de fournir ! Veuillez recommencer :","");
        affiche_erreurs($error_message);
      }
      else
      {
        echo "<br />";
      }
      affiche_formulaire_change_passwd();
    }
  }
  else
  {
    echo "<br />";
    affiche_formulaire_change_passwd();
  }
}
else // L'utilisateur essaie d'invoquer ce script directement dans l'URL (interdit)
{
  $error_message = array("Vous tentez d'accder  un script qui n'est pas accessible directement  partir de l'URL... Utilisez les liens de navigation !","");
  affiche_erreurs($error_message);
}
?>