<?php
/** /**
 * synthese_ctextes.php
 *
 * Descriptif de la page c_synthese_ctextes.php
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

// la page est protge, elle utilise les sessions et le systme d'authentification diffrencie
// le tableau $array_valid_user contient les identifiants des catgories d'utilisateurs autoriss  accder  cette page (voir la table groupes_utilisateurs)

if(!defined('IEW_DIR')) define('IEW_DIR',realpath(dirname(__FILE__)."/../").'/');
// Inclusions
require_once(IEW_DIR."librairie_fonctions.php");

$array_valid_user=array("1","2","3","4","5","6","8","11"); // les groupes admin, eleves, profs, parents, gestadmin, direction, surveillants et IPR ont seuls une autorisation d'accs (c'est le groupe charg de la gestion administrative du contenu de l'intranet)
$error_message = check_valid_user($array_valid_user);
connexion_mysql();
select_database();
  
// Voici le script du contenu qui sera affich dans le corps de la page
$nomfichier ="c_synthese_ctextes.php";

// Indique le contexte pour l'affichage du sommaire correspondant dans le squelette de page
$contexte = "cahiers_textes";
$titre_page = "Cahier de Textes";

$chemin_relatif = "../"; // indique comment retrouver le rpertoire racine (pour le dossier 'images' par exemple)

// Squelette de page utilis : spcifique au cahier de textes
include(IEW_DIR.$GLOBALS['repertoire_theme']."ct.php");
?>