<?php
/**
 * imprimable.php
 *
 * squelette du format imprimable des pages
 * 
 * Ce fichier fait partie du projet IntraEduWeb (IEW)
 * 
 * @package		IEW
 * @author			Sylvain GODM <sylvain.godme@gmail.com>
 * @version		$LastChangedRevision$, $LastChangedDate$
 * @copyright		2004-2012 Sylvain GODM
 * @link			http://iew.free.fr
 * @license		GPL License version 3 (http://www.gnu.org/licenses/gpl.html)
 * @filesource
 * 
 */

debut_code_html();

// Ce squelette de page est en format imprimable
$_SESSION['imprimable'] = "oui";

?>
<div id="page">
	<a name="haut"></a>
	<?php affiche_entete_imprimable();?>
	<!-- Affichage de la partie centrale de la page --> 
    <div id="contenu_central" class="imprimable" role="main">
    	<?php affiche_contenu(); ?>
    </div>
    <!-- Affichage de la barre de navigation horizontale infrieure -->
      <?php affiche_barre_navigation_horizontale_inf(); ?>
    <br /><br />
    <!-- Affichage du pied de page --> 
    <div id="pied_page" role="contentinfo">
      <a id='bas'></a>
      <?php echo "
      			<b>".strtoupper($GLOBALS['nom_etablissement']).", ".$GLOBALS['adresse_etablissement']." ".$GLOBALS['cp_etablissement']." ".$GLOBALS['ville_etablissement']." - Tl: ".$GLOBALS['tel_etablissement']."
      			</b>
      		<br /><br />";
      		aff_copyright(); ?>
      </div><br />
  </div>
<?php
fin_code_html();
?>